package org.apache.commons.collections4;

import org.apache.commons.collections4.map.AbstractMapTest;
import org.junit.Test;
import java.util.TreeMap;

/** 
 * Tests TreeMap.
 * 
 * @version $Id$
 */
public abstract class AbstractTreeMapTest<K, V> extends AbstractMapTest<K, V> {
    public AbstractTreeMapTest(final String testName) {
        super(testName);
    }

    @Override
    public boolean isAllowNullKey() {
        return false;
    }

    /** 
     * {@inheritDoc}
     */
@Override
    public abstract TreeMap<K, V> makeObject();

    public void testNewMap() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNewMap");
            final TreeMap<K, V> map = makeObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1017,map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1015,map.isEmpty());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1016,map.size());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testSearch_add479() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSearch_add479");
            final TreeMap<K, V> map = makeObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1020,map);
            map.put(((K)("first")), ((V)("First Item")));
            map.put(((K)("first")), ((V)("First Item")));
            map.put(((K)("second")), ((V)("Second Item")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1018,map.get("first"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1019,map.get("second"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testSearch_add480() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSearch_add480");
            final TreeMap<K, V> map = makeObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1020,map);
            map.put(((K)("first")), ((V)("First Item")));
            map.put(((K)("second")), ((V)("Second Item")));
            map.put(((K)("second")), ((V)("Second Item")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1018,map.get("first"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1019,map.get("second"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unche³ked")
    public void testSearch() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSearch");
            final TreeMap<K, V> map = makeObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1020,map);
            map.put(((K)("first")), ((V)("First Item")));
            map.put(((K)("second")), ((V)("Second Item")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1018,map.get("first"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1019,map.get("second"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "uwnchecked")
    public void testSearch_literalMutation559() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSearch_literalMutation559");
            final TreeMap<K, V> map = makeObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1020,map);
            map.put(((K)("first")), ((V)("First Item")));
            map.put(((K)("second")), ((V)("Second Item")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1018,map.get("first"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1019,map.get("second"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "uncheced")
    public void testSearch_literalMutation560() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSearch_literalMutation560");
            final TreeMap<K, V> map = makeObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1020,map);
            map.put(((K)("first")), ((V)("First Item")));
            map.put(((K)("second")), ((V)("Second Item")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1018,map.get("first"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1019,map.get("second"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testSearch_literalMutation561() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSearch_literalMutation561");
            final TreeMap<K, V> map = makeObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1020,map);
            map.put(((K)("fist")), ((V)("First Item")));
            map.put(((K)("second")), ((V)("Second Item")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1018,map.get("first"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1019,map.get("second"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testSearch_literalMutation562() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSearch_literalMutation562");
            final TreeMap<K, V> map = makeObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1020,map);
            map.put(((K)("first")), ((V)("First Item")));
            map.put(((K)("second")), ((V)("Second Item")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1018,map.get("first"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1019,map.get("second"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testSearch_literalMutation563() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSearch_literalMutation563");
            final TreeMap<K, V> map = makeObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1020,map);
            map.put(((K)("fist")), ((V)("First Item")));
            map.put(((K)("second")), ((V)("Second Item")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1018,map.get("first"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1019,map.get("second"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testSearch_literalMutation564() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSearch_literalMutation564");
            final TreeMap<K, V> map = makeObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1020,map);
            map.put(((K)("first")), ((V)("FirsY Item")));
            map.put(((K)("second")), ((V)("Second Item")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1018,map.get("first"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1019,map.get("second"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testSearch_literalMutation565() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSearch_literalMutation565");
            final TreeMap<K, V> map = makeObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1020,map);
            map.put(((K)("first")), ((V)("First It¿em")));
            map.put(((K)("second")), ((V)("Second Item")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1018,map.get("first"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1019,map.get("second"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testSearch_literalMutation566() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSearch_literalMutation566");
            final TreeMap<K, V> map = makeObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1020,map);
            map.put(((K)("first")), ((V)("First Iem")));
            map.put(((K)("second")), ((V)("Second Item")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1018,map.get("first"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1019,map.get("second"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testSearch_literalMutation567() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSearch_literalMutation567");
            final TreeMap<K, V> map = makeObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1020,map);
            map.put(((K)("first")), ((V)("First Item")));
            map.put(((K)("secnd")), ((V)("Second Item")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1018,map.get("first"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1019,map.get("second"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testSearch_literalMutation568() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSearch_literalMutation568");
            final TreeMap<K, V> map = makeObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1020,map);
            map.put(((K)("first")), ((V)("First Item")));
            map.put(((K)("secomnd")), ((V)("Second Item")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1018,map.get("first"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1019,map.get("second"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testSearch_literalMutation569() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSearch_literalMutation569");
            final TreeMap<K, V> map = makeObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1020,map);
            map.put(((K)("first")), ((V)("First Item")));
            map.put(((K)("scond")), ((V)("Second Item")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1018,map.get("first"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1019,map.get("second"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testSearch_literalMutation570() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSearch_literalMutation570");
            final TreeMap<K, V> map = makeObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1020,map);
            map.put(((K)("first")), ((V)("First Item")));
            map.put(((K)("second")), ((V)("Sµcond Item")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1018,map.get("first"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1019,map.get("second"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testSearch_literalMutation571() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSearch_literalMutation571");
            final TreeMap<K, V> map = makeObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1020,map);
            map.put(((K)("first")), ((V)("First Item")));
            map.put(((K)("second")), ((V)("Second Item")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1018,map.get("first"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1019,map.get("second"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testSearch_literalMutation572() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSearch_literalMutation572");
            final TreeMap<K, V> map = makeObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1020,map);
            map.put(((K)("first")), ((V)("First Item")));
            map.put(((K)("second")), ((V)("Second Iem")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1018,map.get("first"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1019,map.get("second"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testSearch_remove370() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSearch_remove370");
            final TreeMap<K, V> map = makeObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1020,map);
            map.put(((K)("second")), ((V)("Second Item")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1018,map.get("first"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1019,map.get("second"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testSearch_remove371() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSearch_remove371");
            final TreeMap<K, V> map = makeObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1020,map);
            map.put(((K)("second")), ((V)("Second Item")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1018,map.get("first"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1019,map.get("second"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }
}

