package org.apache.commons.collections4.bidimap;

import org.apache.commons.collections4.iterators.AbstractMapIteratorTest;
import org.apache.commons.collections4.map.AbstractMapTest;
import java.util.ArrayList;
import org.apache.commons.collections4.BulkTest;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import org.apache.commons.collections4.MapIterator;
import java.util.NoSuchElementException;
import org.apache.commons.collections4.OrderedBidiMap;
import org.junit.Test;

/** 
 * Abstract test class for {@link OrderedBidiMap} methods and contracts.
 * 
 * @version $Id$
 */
public abstract class AbstractOrderedBidiMapTest<K, V> extends AbstractBidiMapTest<K, V> {
    public AbstractOrderedBidiMapTest(final String testName) {
        super(testName);
    }

    public AbstractOrderedBidiMapTest() {
        super();
    }

    public void testFirstKey() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testFirstKey");
            resetEmpty();
            OrderedBidiMap<K, V> bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),914,bidi);
            try {
                bidi.firstKey();
            } catch (final NoSuchElementException ex) {
            }
            resetFull();
            bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),913,bidi);
            final K confirmedFirst = confirmed.keySet().iterator().next();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),915,confirmedFirst);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),911,confirmedFirst);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),912,bidi.firstKey());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testFirstKey_add455() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testFirstKey_add455");
            resetEmpty();
            resetEmpty();
            OrderedBidiMap<K, V> bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),914,bidi);
            try {
                bidi.firstKey();
            } catch (final NoSuchElementException ex) {
            }
            resetFull();
            bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),913,bidi);
            final K confirmedFirst = confirmed.keySet().iterator().next();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),915,confirmedFirst);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),911,confirmedFirst);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),912,bidi.firstKey());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testFirstKey_add456() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testFirstKey_add456");
            resetEmpty();
            OrderedBidiMap<K, V> bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),914,bidi);
            try {
                bidi.firstKey();
                bidi.firstKey();
            } catch (final NoSuchElementException ex) {
            }
            resetFull();
            bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),913,bidi);
            final K confirmedFirst = confirmed.keySet().iterator().next();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),915,confirmedFirst);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),911,confirmedFirst);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),912,bidi.firstKey());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testFirstKey_add457() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testFirstKey_add457");
            resetEmpty();
            OrderedBidiMap<K, V> bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),914,bidi);
            try {
                bidi.firstKey();
            } catch (final NoSuchElementException ex) {
            }
            resetFull();
            resetFull();
            bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),913,bidi);
            final K confirmedFirst = confirmed.keySet().iterator().next();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),915,confirmedFirst);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),911,confirmedFirst);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),912,bidi.firstKey());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testFirstKey_remove351() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testFirstKey_remove351");
            OrderedBidiMap<K, V> bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),914,bidi);
            try {
                bidi.firstKey();
            } catch (final NoSuchElementException ex) {
            }
            resetFull();
            bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),913,bidi);
            final K confirmedFirst = confirmed.keySet().iterator().next();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),915,confirmedFirst);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),911,confirmedFirst);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),912,bidi.firstKey());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testFirstKey_remove352() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testFirstKey_remove352");
            resetEmpty();
            OrderedBidiMap<K, V> bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),914,bidi);
            try {
                bidi.firstKey();
            } catch (final NoSuchElementException ex) {
            }
            bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),913,bidi);
            final K confirmedFirst = confirmed.keySet().iterator().next();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),915,confirmedFirst);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),911,confirmedFirst);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),912,bidi.firstKey());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testLastKey() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testLastKey");
            resetEmpty();
            OrderedBidiMap<K, V> bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),920,bidi);
            try {
                bidi.lastKey();
            } catch (final NoSuchElementException ex) {
            }
            resetFull();
            bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),918,bidi);
            K confirmedLast = null;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),921,confirmedLast);
            for (final Iterator<K> it = confirmed.keySet().iterator() ; it.hasNext() ; ) {
                confirmedLast = it.next();
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),919,confirmedLast);
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),916,confirmedLast);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),917,bidi.lastKey());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testLastKey_add458() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testLastKey_add458");
            resetEmpty();
            resetEmpty();
            OrderedBidiMap<K, V> bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),920,bidi);
            try {
                bidi.lastKey();
            } catch (final NoSuchElementException ex) {
            }
            resetFull();
            bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),918,bidi);
            K confirmedLast = null;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),921,confirmedLast);
            for (final Iterator<K> it = confirmed.keySet().iterator() ; it.hasNext() ; ) {
                confirmedLast = it.next();
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),919,confirmedLast);
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),916,confirmedLast);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),917,bidi.lastKey());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testLastKey_add459() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testLastKey_add459");
            resetEmpty();
            OrderedBidiMap<K, V> bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),920,bidi);
            try {
                bidi.lastKey();
                bidi.lastKey();
            } catch (final NoSuchElementException ex) {
            }
            resetFull();
            bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),918,bidi);
            K confirmedLast = null;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),921,confirmedLast);
            for (final Iterator<K> it = confirmed.keySet().iterator() ; it.hasNext() ; ) {
                confirmedLast = it.next();
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),919,confirmedLast);
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),916,confirmedLast);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),917,bidi.lastKey());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testLastKey_add460() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testLastKey_add460");
            resetEmpty();
            OrderedBidiMap<K, V> bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),920,bidi);
            try {
                bidi.lastKey();
            } catch (final NoSuchElementException ex) {
            }
            resetFull();
            resetFull();
            bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),918,bidi);
            K confirmedLast = null;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),921,confirmedLast);
            for (final Iterator<K> it = confirmed.keySet().iterator() ; it.hasNext() ; ) {
                confirmedLast = it.next();
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),919,confirmedLast);
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),916,confirmedLast);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),917,bidi.lastKey());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testLastKey_remove353() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testLastKey_remove353");
            OrderedBidiMap<K, V> bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),920,bidi);
            try {
                bidi.lastKey();
            } catch (final NoSuchElementException ex) {
            }
            resetFull();
            bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),918,bidi);
            K confirmedLast = null;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),921,confirmedLast);
            for (final Iterator<K> it = confirmed.keySet().iterator() ; it.hasNext() ; ) {
                confirmedLast = it.next();
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),919,confirmedLast);
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),916,confirmedLast);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),917,bidi.lastKey());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testLastKey_remove354() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testLastKey_remove354");
            resetEmpty();
            OrderedBidiMap<K, V> bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),920,bidi);
            try {
                bidi.lastKey();
            } catch (final NoSuchElementException ex) {
            }
            bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),918,bidi);
            K confirmedLast = null;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),921,confirmedLast);
            for (final Iterator<K> it = confirmed.keySet().iterator() ; it.hasNext() ; ) {
                confirmedLast = it.next();
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),919,confirmedLast);
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),916,confirmedLast);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),917,bidi.lastKey());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNextKey() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNextKey");
            resetEmpty();
            OrderedBidiMap<K, V> bidi = ((OrderedBidiMap<K, V>)(map));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),931,bidi);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),922,bidi.nextKey(getOtherKeys()[0]));
            if (!(isAllowNullKey())) {
                try {
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),923,bidi.nextKey(null));
                } catch (final NullPointerException ex) {
                }
            } else {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),924,bidi.nextKey(null));
            }
            resetFull();
            bidi = ((OrderedBidiMap<K, V>)(map));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),929,bidi);
            final Iterator<K> it = confirmed.keySet().iterator();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),4,it);
            K confirmedLast = it.next();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),932,confirmedLast);
            while (it.hasNext()) {
                final K confirmedObject = it.next();
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),933,confirmedObject);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),925,confirmedObject);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),926,bidi.nextKey(confirmedLast));
                confirmedLast = confirmedObject;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,confirmedLast);
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),927,bidi.nextKey(confirmedLast));
            if (!(isAllowNullKey())) {
                try {
                    bidi.nextKey(null);
                } catch (final NullPointerException ex) {
                }
            } else {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,bidi.nextKey(null));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testNextKey_add461() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNextKey_add461");
            resetEmpty();
            resetEmpty();
            OrderedBidiMap<K, V> bidi = ((OrderedBidiMap<K, V>)(map));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),931,bidi);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),922,bidi.nextKey(getOtherKeys()[0]));
            if (!(isAllowNullKey())) {
                try {
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),923,bidi.nextKey(null));
                } catch (final NullPointerException ex) {
                }
            } else {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),924,bidi.nextKey(null));
            }
            resetFull();
            bidi = ((OrderedBidiMap<K, V>)(map));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),929,bidi);
            final Iterator<K> it = confirmed.keySet().iterator();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),4,it);
            K confirmedLast = it.next();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),932,confirmedLast);
            while (it.hasNext()) {
                final K confirmedObject = it.next();
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),933,confirmedObject);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),925,confirmedObject);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),926,bidi.nextKey(confirmedLast));
                confirmedLast = confirmedObject;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,confirmedLast);
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),927,bidi.nextKey(confirmedLast));
            if (!(isAllowNullKey())) {
                try {
                    bidi.nextKey(null);
                } catch (final NullPointerException ex) {
                }
            } else {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,bidi.nextKey(null));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testNextKey_add462() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNextKey_add462");
            resetEmpty();
            OrderedBidiMap<K, V> bidi = ((OrderedBidiMap<K, V>)(map));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),931,bidi);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),922,bidi.nextKey(getOtherKeys()[0]));
            if (!(isAllowNullKey())) {
                try {
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),923,bidi.nextKey(null));
                } catch (final NullPointerException ex) {
                }
            } else {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),924,bidi.nextKey(null));
            }
            resetFull();
            resetFull();
            bidi = ((OrderedBidiMap<K, V>)(map));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),929,bidi);
            final Iterator<K> it = confirmed.keySet().iterator();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),4,it);
            K confirmedLast = it.next();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),932,confirmedLast);
            while (it.hasNext()) {
                final K confirmedObject = it.next();
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),933,confirmedObject);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),925,confirmedObject);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),926,bidi.nextKey(confirmedLast));
                confirmedLast = confirmedObject;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,confirmedLast);
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),927,bidi.nextKey(confirmedLast));
            if (!(isAllowNullKey())) {
                try {
                    bidi.nextKey(null);
                } catch (final NullPointerException ex) {
                }
            } else {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,bidi.nextKey(null));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testNextKey_add463() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNextKey_add463");
            resetEmpty();
            OrderedBidiMap<K, V> bidi = ((OrderedBidiMap<K, V>)(map));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),931,bidi);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),922,bidi.nextKey(getOtherKeys()[0]));
            if (!(isAllowNullKey())) {
                try {
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),923,bidi.nextKey(null));
                } catch (final NullPointerException ex) {
                }
            } else {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),924,bidi.nextKey(null));
            }
            resetFull();
            bidi = ((OrderedBidiMap<K, V>)(map));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),929,bidi);
            final Iterator<K> it = confirmed.keySet().iterator();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),4,it);
            K confirmedLast = it.next();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),932,confirmedLast);
            while (it.hasNext()) {
                final K confirmedObject = it.next();
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),933,confirmedObject);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),925,confirmedObject);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),926,bidi.nextKey(confirmedLast));
                confirmedLast = confirmedObject;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,confirmedLast);
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),927,bidi.nextKey(confirmedLast));
            if (!(isAllowNullKey())) {
                try {
                    bidi.nextKey(null);
                    bidi.nextKey(null);
                } catch (final NullPointerException ex) {
                }
            } else {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,bidi.nextKey(null));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testNextKey_remove355() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNextKey_remove355");
            OrderedBidiMap<K, V> bidi = ((OrderedBidiMap<K, V>)(map));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),931,bidi);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),922,bidi.nextKey(getOtherKeys()[0]));
            if (!(isAllowNullKey())) {
                try {
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),923,bidi.nextKey(null));
                } catch (final NullPointerException ex) {
                }
            } else {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),924,bidi.nextKey(null));
            }
            resetFull();
            bidi = ((OrderedBidiMap<K, V>)(map));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),929,bidi);
            final Iterator<K> it = confirmed.keySet().iterator();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),4,it);
            K confirmedLast = it.next();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),932,confirmedLast);
            while (it.hasNext()) {
                final K confirmedObject = it.next();
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),933,confirmedObject);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),925,confirmedObject);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),926,bidi.nextKey(confirmedLast));
                confirmedLast = confirmedObject;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,confirmedLast);
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),927,bidi.nextKey(confirmedLast));
            if (!(isAllowNullKey())) {
                try {
                    bidi.nextKey(null);
                } catch (final NullPointerException ex) {
                }
            } else {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,bidi.nextKey(null));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testNextKey_remove356() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNextKey_remove356");
            resetEmpty();
            OrderedBidiMap<K, V> bidi = ((OrderedBidiMap<K, V>)(map));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),931,bidi);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),922,bidi.nextKey(getOtherKeys()[0]));
            if (!(isAllowNullKey())) {
                try {
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),923,bidi.nextKey(null));
                } catch (final NullPointerException ex) {
                }
            } else {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),924,bidi.nextKey(null));
            }
            bidi = ((OrderedBidiMap<K, V>)(map));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),929,bidi);
            final Iterator<K> it = confirmed.keySet().iterator();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),4,it);
            K confirmedLast = it.next();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),932,confirmedLast);
            while (it.hasNext()) {
                final K confirmedObject = it.next();
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),933,confirmedObject);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),925,confirmedObject);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),926,bidi.nextKey(confirmedLast));
                confirmedLast = confirmedObject;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,confirmedLast);
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),927,bidi.nextKey(confirmedLast));
            if (!(isAllowNullKey())) {
                try {
                    bidi.nextKey(null);
                } catch (final NullPointerException ex) {
                }
            } else {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,bidi.nextKey(null));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPreviousKey() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPreviousKey");
            resetEmpty();
            OrderedBidiMap<K, V> bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),943,bidi);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),934,bidi.previousKey(getOtherKeys()[0]));
            if (!(isAllowNullKey())) {
                try {
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),935,bidi.previousKey(null));
                } catch (final NullPointerException ex) {
                }
            } else {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),936,bidi.previousKey(null));
            }
            resetFull();
            bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),941,bidi);
            final List<K> list = new ArrayList<K>(confirmed.keySet());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),944,list);
            java.util.Collections.reverse(list);
            final Iterator<K> it = list.iterator();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),945,it);
            K confirmedLast = it.next();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),946,confirmedLast);
            while (it.hasNext()) {
                final K confirmedObject = it.next();
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),947,confirmedObject);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),937,confirmedObject);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),938,bidi.previousKey(confirmedLast));
                confirmedLast = confirmedObject;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),942,confirmedLast);
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),939,bidi.previousKey(confirmedLast));
            if (!(isAllowNullKey())) {
                try {
                    bidi.previousKey(null);
                } catch (final NullPointerException ex) {
                }
            } else {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),940,bidi.previousKey(null));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testPreviousKey_add464() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPreviousKey_add464");
            resetEmpty();
            resetEmpty();
            OrderedBidiMap<K, V> bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),943,bidi);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),934,bidi.previousKey(getOtherKeys()[0]));
            if (!(isAllowNullKey())) {
                try {
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),935,bidi.previousKey(null));
                } catch (final NullPointerException ex) {
                }
            } else {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),936,bidi.previousKey(null));
            }
            resetFull();
            bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),941,bidi);
            final List<K> list = new ArrayList<K>(confirmed.keySet());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),944,list);
            java.util.Collections.reverse(list);
            final Iterator<K> it = list.iterator();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),945,it);
            K confirmedLast = it.next();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),946,confirmedLast);
            while (it.hasNext()) {
                final K confirmedObject = it.next();
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),947,confirmedObject);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),937,confirmedObject);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),938,bidi.previousKey(confirmedLast));
                confirmedLast = confirmedObject;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),942,confirmedLast);
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),939,bidi.previousKey(confirmedLast));
            if (!(isAllowNullKey())) {
                try {
                    bidi.previousKey(null);
                } catch (final NullPointerException ex) {
                }
            } else {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),940,bidi.previousKey(null));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testPreviousKey_add465() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPreviousKey_add465");
            resetEmpty();
            OrderedBidiMap<K, V> bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),943,bidi);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),934,bidi.previousKey(getOtherKeys()[0]));
            if (!(isAllowNullKey())) {
                try {
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),935,bidi.previousKey(null));
                } catch (final NullPointerException ex) {
                }
            } else {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),936,bidi.previousKey(null));
            }
            resetFull();
            resetFull();
            bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),941,bidi);
            final List<K> list = new ArrayList<K>(confirmed.keySet());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),944,list);
            java.util.Collections.reverse(list);
            final Iterator<K> it = list.iterator();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),945,it);
            K confirmedLast = it.next();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),946,confirmedLast);
            while (it.hasNext()) {
                final K confirmedObject = it.next();
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),947,confirmedObject);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),937,confirmedObject);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),938,bidi.previousKey(confirmedLast));
                confirmedLast = confirmedObject;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),942,confirmedLast);
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),939,bidi.previousKey(confirmedLast));
            if (!(isAllowNullKey())) {
                try {
                    bidi.previousKey(null);
                } catch (final NullPointerException ex) {
                }
            } else {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),940,bidi.previousKey(null));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testPreviousKey_add466() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPreviousKey_add466");
            resetEmpty();
            OrderedBidiMap<K, V> bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),943,bidi);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),934,bidi.previousKey(getOtherKeys()[0]));
            if (!(isAllowNullKey())) {
                try {
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),935,bidi.previousKey(null));
                } catch (final NullPointerException ex) {
                }
            } else {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),936,bidi.previousKey(null));
            }
            resetFull();
            bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),941,bidi);
            final List<K> list = new ArrayList<K>(confirmed.keySet());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),944,list);
            java.util.Collections.reverse(list);
            java.util.Collections.reverse(list);
            final Iterator<K> it = list.iterator();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),945,it);
            K confirmedLast = it.next();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),946,confirmedLast);
            while (it.hasNext()) {
                final K confirmedObject = it.next();
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),947,confirmedObject);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),937,confirmedObject);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),938,bidi.previousKey(confirmedLast));
                confirmedLast = confirmedObject;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),942,confirmedLast);
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),939,bidi.previousKey(confirmedLast));
            if (!(isAllowNullKey())) {
                try {
                    bidi.previousKey(null);
                } catch (final NullPointerException ex) {
                }
            } else {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),940,bidi.previousKey(null));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testPreviousKey_add467() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPreviousKey_add467");
            resetEmpty();
            OrderedBidiMap<K, V> bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),943,bidi);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),934,bidi.previousKey(getOtherKeys()[0]));
            if (!(isAllowNullKey())) {
                try {
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),935,bidi.previousKey(null));
                } catch (final NullPointerException ex) {
                }
            } else {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),936,bidi.previousKey(null));
            }
            resetFull();
            bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),941,bidi);
            final List<K> list = new ArrayList<K>(confirmed.keySet());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),944,list);
            java.util.Collections.reverse(list);
            final Iterator<K> it = list.iterator();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),945,it);
            K confirmedLast = it.next();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),946,confirmedLast);
            while (it.hasNext()) {
                final K confirmedObject = it.next();
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),947,confirmedObject);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),937,confirmedObject);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),938,bidi.previousKey(confirmedLast));
                confirmedLast = confirmedObject;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),942,confirmedLast);
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),939,bidi.previousKey(confirmedLast));
            if (!(isAllowNullKey())) {
                try {
                    bidi.previousKey(null);
                    bidi.previousKey(null);
                } catch (final NullPointerException ex) {
                }
            } else {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),940,bidi.previousKey(null));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testPreviousKey_remove357() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPreviousKey_remove357");
            OrderedBidiMap<K, V> bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),943,bidi);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),934,bidi.previousKey(getOtherKeys()[0]));
            if (!(isAllowNullKey())) {
                try {
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),935,bidi.previousKey(null));
                } catch (final NullPointerException ex) {
                }
            } else {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),936,bidi.previousKey(null));
            }
            resetFull();
            bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),941,bidi);
            final List<K> list = new ArrayList<K>(confirmed.keySet());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),944,list);
            java.util.Collections.reverse(list);
            final Iterator<K> it = list.iterator();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),945,it);
            K confirmedLast = it.next();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),946,confirmedLast);
            while (it.hasNext()) {
                final K confirmedObject = it.next();
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),947,confirmedObject);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),937,confirmedObject);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),938,bidi.previousKey(confirmedLast));
                confirmedLast = confirmedObject;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),942,confirmedLast);
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),939,bidi.previousKey(confirmedLast));
            if (!(isAllowNullKey())) {
                try {
                    bidi.previousKey(null);
                } catch (final NullPointerException ex) {
                }
            } else {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),940,bidi.previousKey(null));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testPreviousKey_remove358() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPreviousKey_remove358");
            resetEmpty();
            OrderedBidiMap<K, V> bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),943,bidi);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),934,bidi.previousKey(getOtherKeys()[0]));
            if (!(isAllowNullKey())) {
                try {
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),935,bidi.previousKey(null));
                } catch (final NullPointerException ex) {
                }
            } else {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),936,bidi.previousKey(null));
            }
            bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),941,bidi);
            final List<K> list = new ArrayList<K>(confirmed.keySet());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),944,list);
            java.util.Collections.reverse(list);
            final Iterator<K> it = list.iterator();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),945,it);
            K confirmedLast = it.next();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),946,confirmedLast);
            while (it.hasNext()) {
                final K confirmedObject = it.next();
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),947,confirmedObject);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),937,confirmedObject);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),938,bidi.previousKey(confirmedLast));
                confirmedLast = confirmedObject;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),942,confirmedLast);
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),939,bidi.previousKey(confirmedLast));
            if (!(isAllowNullKey())) {
                try {
                    bidi.previousKey(null);
                } catch (final NullPointerException ex) {
                }
            } else {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),940,bidi.previousKey(null));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testPreviousKey_remove359() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPreviousKey_remove359");
            resetEmpty();
            OrderedBidiMap<K, V> bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),943,bidi);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),934,bidi.previousKey(getOtherKeys()[0]));
            if (!(isAllowNullKey())) {
                try {
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),935,bidi.previousKey(null));
                } catch (final NullPointerException ex) {
                }
            } else {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),936,bidi.previousKey(null));
            }
            resetFull();
            bidi = getMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),941,bidi);
            final List<K> list = new ArrayList<K>(confirmed.keySet());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),944,list);
            final Iterator<K> it = list.iterator();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),945,it);
            K confirmedLast = it.next();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),946,confirmedLast);
            while (it.hasNext()) {
                final K confirmedObject = it.next();
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),947,confirmedObject);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),937,confirmedObject);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),938,bidi.previousKey(confirmedLast));
                confirmedLast = confirmedObject;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),942,confirmedLast);
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),939,bidi.previousKey(confirmedLast));
            if (!(isAllowNullKey())) {
                try {
                    bidi.previousKey(null);
                } catch (final NullPointerException ex) {
                }
            } else {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),940,bidi.previousKey(null));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public BulkTest bulkTestOrderedMapIterator() {
        return new TestBidiOrderedMapIterator();
    }

    /** 
     * {@inheritDoc}
     */
@Override
    public OrderedBidiMap<K, V> getMap() {
        return ((OrderedBidiMap<K, V>)(super.getMap()));
    }

    public class TestBidiOrderedMapIterator extends AbstractMapIteratorTest<K, V> {
        public TestBidiOrderedMapIterator() {
            super("TestBidiOrderedMapIterator");
        }

        @Override
        public V[] addSetValues() {
            return org.apache.commons.collections4.bidimap.AbstractOrderedBidiMapTest.this.getNewSampleValues();
        }

        @Override
        public boolean supportsRemove() {
            return org.apache.commons.collections4.bidimap.AbstractOrderedBidiMapTest.this.isRemoveSupported();
        }

        @Override
        public boolean supportsSetValue() {
            return org.apache.commons.collections4.bidimap.AbstractOrderedBidiMapTest.this.isSetValueSupported();
        }

        @Override
        public MapIterator<K, V> makeEmptyIterator() {
            resetEmpty();
            return org.apache.commons.collections4.bidimap.AbstractOrderedBidiMapTest.this.getMap().mapIterator();
        }

        @Override
        public MapIterator<K, V> makeObject() {
            resetFull();
            return org.apache.commons.collections4.bidimap.AbstractOrderedBidiMapTest.this.getMap().mapIterator();
        }

        @Override
        public Map<K, V> getMap() {
            return org.apache.commons.collections4.bidimap.AbstractOrderedBidiMapTest.this.map;
        }

        @Override
        public Map<K, V> getConfirmedMap() {
            return org.apache.commons.collections4.bidimap.AbstractOrderedBidiMapTest.this.confirmed;
        }

        @Override
        public void verify() {
            super.verify();
            org.apache.commons.collections4.bidimap.AbstractOrderedBidiMapTest.this.verify();
        }
    }
}

