package org.apache.commons.io;

import java.io.File;
import org.apache.commons.io.testtools.FileBasedTestCase;
import java.io.IOException;
import org.junit.Test;

/** 
 * Test for FileDeleteStrategy.
 * 
 * @version $Id$
 * @see FileDeleteStrategy
 */
public class FileDeleteStrategyTestCase extends FileBasedTestCase {
    public FileDeleteStrategyTestCase(String name) {
        super(name);
    }

    @Override
    protected void setUp() throws Exception {
        super.setUp();
    }

    @Override
    protected void tearDown() throws Exception {
        super.tearDown();
    }

    @Test(timeout = 1000)
    public void testDeleteNormal_add62() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteNormal_add62");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),301,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),302,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),292,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),303,subFile);
            createFile(subFile, 16);
            createFile(subFile, 16);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),293,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),294,subFile.exists());
            try {
                FileDeleteStrategy.NORMAL.delete(subDir);
            } catch (IOException ex) {
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),295,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),296,subFile.exists());
            FileDeleteStrategy.NORMAL.delete(subFile);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),297,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),298,subFile.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),299,subDir.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),300,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testDeleteNormal_add63() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteNormal_add63");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),301,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),302,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),292,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),303,subFile);
            createFile(subFile, 16);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),293,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),294,subFile.exists());
            try {
                FileDeleteStrategy.NORMAL.delete(subDir);
                FileDeleteStrategy.NORMAL.delete(subDir);
            } catch (IOException ex) {
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),295,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),296,subFile.exists());
            FileDeleteStrategy.NORMAL.delete(subFile);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),297,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),298,subFile.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),299,subDir.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),300,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testDeleteNormal_add64() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteNormal_add64");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),301,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),302,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),292,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),303,subFile);
            createFile(subFile, 16);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),293,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),294,subFile.exists());
            try {
                FileDeleteStrategy.NORMAL.delete(subDir);
            } catch (IOException ex) {
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),295,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),296,subFile.exists());
            FileDeleteStrategy.NORMAL.delete(subFile);
            FileDeleteStrategy.NORMAL.delete(subFile);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),297,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),298,subFile.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),299,subDir.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),300,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testDeleteNormal_add65() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteNormal_add65");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),301,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),302,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),292,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),303,subFile);
            createFile(subFile, 16);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),293,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),294,subFile.exists());
            try {
                FileDeleteStrategy.NORMAL.delete(subDir);
            } catch (IOException ex) {
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),295,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),296,subFile.exists());
            FileDeleteStrategy.NORMAL.delete(subFile);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),297,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),298,subFile.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),299,subDir.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),300,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testDeleteNormal_add66() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteNormal_add66");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),301,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),302,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),292,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),303,subFile);
            createFile(subFile, 16);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),293,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),294,subFile.exists());
            try {
                FileDeleteStrategy.NORMAL.delete(subDir);
            } catch (IOException ex) {
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),295,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),296,subFile.exists());
            FileDeleteStrategy.NORMAL.delete(subFile);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),297,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),298,subFile.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),299,subDir.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),300,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeleteNormal() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteNormal");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),301,baseDir);
            File subDir = new File(baseDir , "t¢st");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),302,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),292,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),303,subFile);
            createFile(subFile, 16);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),293,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),294,subFile.exists());
            try {
                FileDeleteStrategy.NORMAL.delete(subDir);
            } catch (IOException ex) {
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),295,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),296,subFile.exists());
            FileDeleteStrategy.NORMAL.delete(subFile);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),297,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),298,subFile.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),299,subDir.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),300,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeleteNormal_literalMutation162() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteNormal_literalMutation162");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),301,baseDir);
            File subDir = new File(baseDir , "teßst");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),302,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),292,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),303,subFile);
            createFile(subFile, 16);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),293,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),294,subFile.exists());
            try {
                FileDeleteStrategy.NORMAL.delete(subDir);
            } catch (IOException ex) {
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),295,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),296,subFile.exists());
            FileDeleteStrategy.NORMAL.delete(subFile);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),297,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),298,subFile.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),299,subDir.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),300,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeleteNormal_literalMutation163() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteNormal_literalMutation163");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),301,baseDir);
            File subDir = new File(baseDir , "tet");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),302,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),292,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),303,subFile);
            createFile(subFile, 16);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),293,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),294,subFile.exists());
            try {
                FileDeleteStrategy.NORMAL.delete(subDir);
            } catch (IOException ex) {
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),295,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),296,subFile.exists());
            FileDeleteStrategy.NORMAL.delete(subFile);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),297,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),298,subFile.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),299,subDir.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),300,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeleteNormal_literalMutation164() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteNormal_literalMutation164");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),301,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),302,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),292,subDir.mkdir());
            File subFile = new File(subDir , "õ.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),303,subFile);
            createFile(subFile, 16);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),293,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),294,subFile.exists());
            try {
                FileDeleteStrategy.NORMAL.delete(subDir);
            } catch (IOException ex) {
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),295,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),296,subFile.exists());
            FileDeleteStrategy.NORMAL.delete(subFile);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),297,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),298,subFile.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),299,subDir.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),300,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeleteNormal_literalMutation165() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteNormal_literalMutation165");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),301,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),302,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),292,subDir.mkdir());
            File subFile = new File(subDir , "a.]txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),303,subFile);
            createFile(subFile, 16);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),293,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),294,subFile.exists());
            try {
                FileDeleteStrategy.NORMAL.delete(subDir);
            } catch (IOException ex) {
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),295,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),296,subFile.exists());
            FileDeleteStrategy.NORMAL.delete(subFile);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),297,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),298,subFile.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),299,subDir.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),300,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeleteNormal_literalMutation166() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteNormal_literalMutation166");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),301,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),302,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),292,subDir.mkdir());
            File subFile = new File(subDir , "a.xt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),303,subFile);
            createFile(subFile, 16);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),293,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),294,subFile.exists());
            try {
                FileDeleteStrategy.NORMAL.delete(subDir);
            } catch (IOException ex) {
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),295,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),296,subFile.exists());
            FileDeleteStrategy.NORMAL.delete(subFile);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),297,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),298,subFile.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),299,subDir.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),300,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeleteNormal_literalMutation167() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteNormal_literalMutation167");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),301,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),302,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),292,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),303,subFile);
            createFile(subFile, 8);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),293,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),294,subFile.exists());
            try {
                FileDeleteStrategy.NORMAL.delete(subDir);
            } catch (IOException ex) {
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),295,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),296,subFile.exists());
            FileDeleteStrategy.NORMAL.delete(subFile);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),297,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),298,subFile.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),299,subDir.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),300,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeleteNormal_literalMutation168() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteNormal_literalMutation168");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),301,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),302,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),292,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),303,subFile);
            createFile(subFile, 32);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),293,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),294,subFile.exists());
            try {
                FileDeleteStrategy.NORMAL.delete(subDir);
            } catch (IOException ex) {
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),295,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),296,subFile.exists());
            FileDeleteStrategy.NORMAL.delete(subFile);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),297,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),298,subFile.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),299,subDir.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),300,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeleteNormal_literalMutation169() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteNormal_literalMutation169");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),301,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),302,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),292,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),303,subFile);
            createFile(subFile, 17);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),293,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),294,subFile.exists());
            try {
                FileDeleteStrategy.NORMAL.delete(subDir);
            } catch (IOException ex) {
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),295,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),296,subFile.exists());
            FileDeleteStrategy.NORMAL.delete(subFile);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),297,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),298,subFile.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),299,subDir.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),300,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeleteNormal_literalMutation170() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteNormal_literalMutation170");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),301,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),302,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),292,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),303,subFile);
            createFile(subFile, 15);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),293,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),294,subFile.exists());
            try {
                FileDeleteStrategy.NORMAL.delete(subDir);
            } catch (IOException ex) {
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),295,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),296,subFile.exists());
            FileDeleteStrategy.NORMAL.delete(subFile);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),297,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),298,subFile.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),299,subDir.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),300,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testDeleteNormal_remove26() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteNormal_remove26");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),301,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),302,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),292,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),303,subFile);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),293,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),294,subFile.exists());
            try {
                FileDeleteStrategy.NORMAL.delete(subDir);
            } catch (IOException ex) {
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),295,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),296,subFile.exists());
            FileDeleteStrategy.NORMAL.delete(subFile);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),297,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),298,subFile.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),299,subDir.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),300,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testDeleteNormal_remove27() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteNormal_remove27");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),301,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),302,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),292,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),303,subFile);
            createFile(subFile, 16);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),293,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),294,subFile.exists());
            try {
                FileDeleteStrategy.NORMAL.delete(subDir);
            } catch (IOException ex) {
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),295,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),296,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),297,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),298,subFile.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),299,subDir.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),300,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testDeleteNormal_remove28() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteNormal_remove28");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),301,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),302,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),292,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),303,subFile);
            createFile(subFile, 16);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),293,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),294,subFile.exists());
            try {
                FileDeleteStrategy.NORMAL.delete(subDir);
            } catch (IOException ex) {
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),295,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),296,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),297,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),298,subFile.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),299,subDir.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),300,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testDeleteNormal_remove29() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteNormal_remove29");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),301,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),302,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),292,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),303,subFile);
            createFile(subFile, 16);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),293,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),294,subFile.exists());
            try {
                FileDeleteStrategy.NORMAL.delete(subDir);
            } catch (IOException ex) {
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),295,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),296,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),297,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),298,subFile.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),299,subDir.exists());
            FileDeleteStrategy.NORMAL.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),300,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testDeleteQuietlyNormal_add68() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteQuietlyNormal_add68");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),318,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),319,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),305,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),320,subFile);
            createFile(subFile, 16);
            createFile(subFile, 16);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),306,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),307,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),308,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subDir));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),309,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),310,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),311,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subFile));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),312,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),313,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),314,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subDir));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),315,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),316,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subDir));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),317,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeleteQuietlyNormal() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteQuietlyNormal");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),318,baseDir);
            File subDir = new File(baseDir , "tºst");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),319,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),305,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),320,subFile);
            createFile(subFile, 16);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),306,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),307,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),308,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subDir));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),309,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),310,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),311,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subFile));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),312,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),313,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),314,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subDir));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),315,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),316,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subDir));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),317,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeleteQuietlyNormal_literalMutation174() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteQuietlyNormal_literalMutation174");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),318,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),319,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),305,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),320,subFile);
            createFile(subFile, 16);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),306,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),307,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),308,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subDir));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),309,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),310,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),311,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subFile));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),312,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),313,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),314,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subDir));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),315,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),316,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subDir));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),317,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeleteQuietlyNormal_literalMutation175() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteQuietlyNormal_literalMutation175");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),318,baseDir);
            File subDir = new File(baseDir , "tst");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),319,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),305,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),320,subFile);
            createFile(subFile, 16);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),306,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),307,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),308,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subDir));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),309,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),310,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),311,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subFile));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),312,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),313,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),314,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subDir));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),315,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),316,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subDir));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),317,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeleteQuietlyNormal_literalMutation176() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteQuietlyNormal_literalMutation176");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),318,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),319,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),305,subDir.mkdir());
            File subFile = new File(subDir , "Â.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),320,subFile);
            createFile(subFile, 16);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),306,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),307,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),308,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subDir));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),309,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),310,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),311,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subFile));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),312,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),313,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),314,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subDir));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),315,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),316,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subDir));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),317,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeleteQuietlyNormal_literalMutation177() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteQuietlyNormal_literalMutation177");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),318,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),319,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),305,subDir.mkdir());
            File subFile = new File(subDir , "a.]txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),320,subFile);
            createFile(subFile, 16);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),306,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),307,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),308,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subDir));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),309,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),310,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),311,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subFile));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),312,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),313,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),314,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subDir));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),315,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),316,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subDir));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),317,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeleteQuietlyNormal_literalMutation178() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteQuietlyNormal_literalMutation178");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),318,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),319,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),305,subDir.mkdir());
            File subFile = new File(subDir , "a.xt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),320,subFile);
            createFile(subFile, 16);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),306,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),307,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),308,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subDir));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),309,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),310,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),311,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subFile));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),312,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),313,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),314,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subDir));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),315,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),316,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subDir));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),317,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeleteQuietlyNormal_literalMutation179() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteQuietlyNormal_literalMutation179");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),318,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),319,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),305,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),320,subFile);
            createFile(subFile, 8);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),306,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),307,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),308,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subDir));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),309,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),310,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),311,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subFile));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),312,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),313,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),314,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subDir));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),315,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),316,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subDir));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),317,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeleteQuietlyNormal_literalMutation180() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteQuietlyNormal_literalMutation180");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),318,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),319,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),305,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),320,subFile);
            createFile(subFile, 32);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),306,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),307,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),308,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subDir));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),309,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),310,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),311,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subFile));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),312,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),313,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),314,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subDir));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),315,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),316,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subDir));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),317,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeleteQuietlyNormal_literalMutation181() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteQuietlyNormal_literalMutation181");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),318,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),319,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),305,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),320,subFile);
            createFile(subFile, 17);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),306,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),307,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),308,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subDir));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),309,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),310,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),311,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subFile));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),312,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),313,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),314,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subDir));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),315,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),316,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subDir));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),317,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeleteQuietlyNormal_literalMutation182() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteQuietlyNormal_literalMutation182");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),318,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),319,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),305,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),320,subFile);
            createFile(subFile, 15);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),306,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),307,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),308,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subDir));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),309,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),310,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),311,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subFile));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),312,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),313,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),314,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subDir));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),315,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),316,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subDir));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),317,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testDeleteQuietlyNormal_remove30() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteQuietlyNormal_remove30");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),318,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),319,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),305,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),320,subFile);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),306,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),307,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),308,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subDir));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),309,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),310,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),311,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subFile));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),312,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),313,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),314,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subDir));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),315,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),316,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(subDir));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),317,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testDeleteForce_add59() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteForce_add59");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),289,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),290,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),283,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),291,subFile);
            createFile(subFile, 16);
            createFile(subFile, 16);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),284,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),285,subFile.exists());
            FileDeleteStrategy.FORCE.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),286,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),287,subFile.exists());
            FileDeleteStrategy.FORCE.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),288,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testDeleteForce_add60() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteForce_add60");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),289,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),290,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),283,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),291,subFile);
            createFile(subFile, 16);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),284,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),285,subFile.exists());
            FileDeleteStrategy.FORCE.delete(subDir);
            FileDeleteStrategy.FORCE.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),286,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),287,subFile.exists());
            FileDeleteStrategy.FORCE.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),288,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testDeleteForce_add61() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteForce_add61");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),289,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),290,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),283,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),291,subFile);
            createFile(subFile, 16);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),284,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),285,subFile.exists());
            FileDeleteStrategy.FORCE.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),286,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),287,subFile.exists());
            FileDeleteStrategy.FORCE.delete(subDir);
            FileDeleteStrategy.FORCE.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),288,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeleteForce() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteForce");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),289,baseDir);
            File subDir = new File(baseDir , "tëst");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),290,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),283,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),291,subFile);
            createFile(subFile, 16);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),284,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),285,subFile.exists());
            FileDeleteStrategy.FORCE.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),286,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),287,subFile.exists());
            FileDeleteStrategy.FORCE.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),288,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeleteForce_literalMutation151() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteForce_literalMutation151");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),289,baseDir);
            File subDir = new File(baseDir , "t{est");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),290,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),283,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),291,subFile);
            createFile(subFile, 16);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),284,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),285,subFile.exists());
            FileDeleteStrategy.FORCE.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),286,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),287,subFile.exists());
            FileDeleteStrategy.FORCE.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),288,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeleteForce_literalMutation152() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteForce_literalMutation152");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),289,baseDir);
            File subDir = new File(baseDir , "tst");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),290,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),283,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),291,subFile);
            createFile(subFile, 16);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),284,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),285,subFile.exists());
            FileDeleteStrategy.FORCE.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),286,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),287,subFile.exists());
            FileDeleteStrategy.FORCE.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),288,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeleteForce_literalMutation153() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteForce_literalMutation153");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),289,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),290,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),283,subDir.mkdir());
            File subFile = new File(subDir , "aÅtxt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),291,subFile);
            createFile(subFile, 16);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),284,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),285,subFile.exists());
            FileDeleteStrategy.FORCE.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),286,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),287,subFile.exists());
            FileDeleteStrategy.FORCE.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),288,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeleteForce_literalMutation154() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteForce_literalMutation154");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),289,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),290,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),283,subDir.mkdir());
            File subFile = new File(subDir , "a.\ftxt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),291,subFile);
            createFile(subFile, 16);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),284,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),285,subFile.exists());
            FileDeleteStrategy.FORCE.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),286,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),287,subFile.exists());
            FileDeleteStrategy.FORCE.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),288,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeleteForce_literalMutation155() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteForce_literalMutation155");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),289,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),290,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),283,subDir.mkdir());
            File subFile = new File(subDir , "a.tt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),291,subFile);
            createFile(subFile, 16);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),284,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),285,subFile.exists());
            FileDeleteStrategy.FORCE.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),286,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),287,subFile.exists());
            FileDeleteStrategy.FORCE.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),288,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeleteForce_literalMutation156() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteForce_literalMutation156");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),289,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),290,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),283,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),291,subFile);
            createFile(subFile, 8);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),284,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),285,subFile.exists());
            FileDeleteStrategy.FORCE.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),286,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),287,subFile.exists());
            FileDeleteStrategy.FORCE.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),288,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeleteForce_literalMutation157() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteForce_literalMutation157");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),289,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),290,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),283,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),291,subFile);
            createFile(subFile, 32);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),284,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),285,subFile.exists());
            FileDeleteStrategy.FORCE.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),286,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),287,subFile.exists());
            FileDeleteStrategy.FORCE.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),288,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeleteForce_literalMutation158() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteForce_literalMutation158");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),289,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),290,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),283,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),291,subFile);
            createFile(subFile, 17);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),284,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),285,subFile.exists());
            FileDeleteStrategy.FORCE.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),286,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),287,subFile.exists());
            FileDeleteStrategy.FORCE.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),288,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeleteForce_literalMutation159() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteForce_literalMutation159");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),289,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),290,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),283,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),291,subFile);
            createFile(subFile, 15);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),284,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),285,subFile.exists());
            FileDeleteStrategy.FORCE.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),286,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),287,subFile.exists());
            FileDeleteStrategy.FORCE.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),288,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testDeleteForce_remove23() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteForce_remove23");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),289,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),290,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),283,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),291,subFile);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),284,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),285,subFile.exists());
            FileDeleteStrategy.FORCE.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),286,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),287,subFile.exists());
            FileDeleteStrategy.FORCE.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),288,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testDeleteForce_remove24() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteForce_remove24");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),289,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),290,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),283,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),291,subFile);
            createFile(subFile, 16);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),284,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),285,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),286,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),287,subFile.exists());
            FileDeleteStrategy.FORCE.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),288,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testDeleteForce_remove25() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteForce_remove25");
            File baseDir = FileBasedTestCase.getTestDirectory();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),289,baseDir);
            File subDir = new File(baseDir , "test");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),290,subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),283,subDir.mkdir());
            File subFile = new File(subDir , "a.txt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),291,subFile);
            createFile(subFile, 16);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),284,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),285,subFile.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),286,subDir.exists());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),287,subFile.exists());
            FileDeleteStrategy.FORCE.delete(subDir);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),288,subDir.exists());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testDeleteNull() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeleteNull");
            try {
                FileDeleteStrategy.NORMAL.delete(((File)(null)));
                FileDeleteStrategy.NORMAL.delete(((File)(null)));
            } catch (NullPointerException ex) {
            }
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),304,org.apache.commons.io.FileDeleteStrategy.NORMAL.deleteQuietly(((java.io.File)(null))));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToString() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToString");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),321,org.apache.commons.io.FileDeleteStrategy.NORMAL.toString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),322,org.apache.commons.io.FileDeleteStrategy.FORCE.toString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }
}

