package org.apache.commons.io.comparator;

import java.util.Comparator;
import java.io.File;

/** 
 * Test case for {@link DefaultFileComparator}.
 */
public class DefaultFileComparatorTest extends ComparatorAbstractTestCase {
    /** 
     * Construct a new test case with the specified name.
     * 
     * @param name Name of the test
     */
public DefaultFileComparatorTest(String name) {
        super(name);
    }

    /** 
     * @see junit.framework.TestCase#setUp()
     */
@Override
    protected void setUp() throws Exception {
        super.setUp();
        comparator = ((AbstractFileComparator)(DefaultFileComparator.DEFAULT_COMPARATOR));
        fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),76,comparator);
        reverse = DefaultFileComparator.DEFAULT_REVERSE;
        fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),77,reverse);
        equalFile1 = new File("foo");
        fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),78,equalFile1);
        equalFile2 = new File("foo");
        fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),79,equalFile2);
        lessFile = new File("abc");
        fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),80,lessFile);
        moreFile = new File("xyz");
        fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),81,moreFile);
    }
}

