package org.apache.commons.lang3;

import org.junit.Test;

/** 
 * Unit tests {@link org.apache.commons.lang3.StringUtils} - Substring methods
 * 
 * @version $Id$
 */
public class StringUtilsIsTest {
    @Test
    public void testIsAlpha() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testIsAlpha");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),944,org.apache.commons.lang3.StringUtils.isAlpha(null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),945,org.apache.commons.lang3.StringUtils.isAlpha(""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),946,org.apache.commons.lang3.StringUtils.isAlpha(" "));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),947,org.apache.commons.lang3.StringUtils.isAlpha("a"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),948,org.apache.commons.lang3.StringUtils.isAlpha("A"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),949,org.apache.commons.lang3.StringUtils.isAlpha("kgKgKgKgkgkGkjkjlJlOKLgHdGdHgl"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),950,org.apache.commons.lang3.StringUtils.isAlpha("ham kso"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),951,org.apache.commons.lang3.StringUtils.isAlpha("1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),952,org.apache.commons.lang3.StringUtils.isAlpha("hkHKHik6iUGHKJgU7tUJgKJGI87GIkug"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),953,org.apache.commons.lang3.StringUtils.isAlpha("_"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),954,org.apache.commons.lang3.StringUtils.isAlpha("hkHKHik*khbkuh"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testIsAlphanumeric() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testIsAlphanumeric");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),955,org.apache.commons.lang3.StringUtils.isAlphanumeric(null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),956,org.apache.commons.lang3.StringUtils.isAlphanumeric(""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),957,org.apache.commons.lang3.StringUtils.isAlphanumeric(" "));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),958,org.apache.commons.lang3.StringUtils.isAlphanumeric("a"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),959,org.apache.commons.lang3.StringUtils.isAlphanumeric("A"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),960,org.apache.commons.lang3.StringUtils.isAlphanumeric("kgKgKgKgkgkGkjkjlJlOKLgHdGdHgl"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),961,org.apache.commons.lang3.StringUtils.isAlphanumeric("ham kso"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),962,org.apache.commons.lang3.StringUtils.isAlphanumeric("1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),963,org.apache.commons.lang3.StringUtils.isAlphanumeric("hkHKHik6iUGHKJgU7tUJgKJGI87GIkug"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),964,org.apache.commons.lang3.StringUtils.isAlphanumeric("_"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),965,org.apache.commons.lang3.StringUtils.isAlphanumeric("hkHKHik*khbkuh"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testIsWhitespace() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testIsWhitespace");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1040,org.apache.commons.lang3.StringUtils.isWhitespace(null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1041,org.apache.commons.lang3.StringUtils.isWhitespace(""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1042,org.apache.commons.lang3.StringUtils.isWhitespace(" "));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1043,org.apache.commons.lang3.StringUtils.isWhitespace("\t \n \t"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1044,org.apache.commons.lang3.StringUtils.isWhitespace("\t aa\n \t"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1045,org.apache.commons.lang3.StringUtils.isWhitespace(" "));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1046,org.apache.commons.lang3.StringUtils.isWhitespace(" a "));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1047,org.apache.commons.lang3.StringUtils.isWhitespace("a  "));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1048,org.apache.commons.lang3.StringUtils.isWhitespace("  a"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1049,org.apache.commons.lang3.StringUtils.isWhitespace("aba"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1050,org.apache.commons.lang3.StringUtils.isWhitespace(org.apache.commons.lang3.StringUtilsTest.WHITESPACE));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1051,org.apache.commons.lang3.StringUtils.isWhitespace(org.apache.commons.lang3.StringUtilsTest.NON_WHITESPACE));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testIsAlphaspace() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testIsAlphaspace");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),977,org.apache.commons.lang3.StringUtils.isAlphaSpace(null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),978,org.apache.commons.lang3.StringUtils.isAlphaSpace(""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),979,org.apache.commons.lang3.StringUtils.isAlphaSpace(" "));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),980,org.apache.commons.lang3.StringUtils.isAlphaSpace("a"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),981,org.apache.commons.lang3.StringUtils.isAlphaSpace("A"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),982,org.apache.commons.lang3.StringUtils.isAlphaSpace("kgKgKgKgkgkGkjkjlJlOKLgHdGdHgl"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),983,org.apache.commons.lang3.StringUtils.isAlphaSpace("ham kso"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),984,org.apache.commons.lang3.StringUtils.isAlphaSpace("1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),985,org.apache.commons.lang3.StringUtils.isAlphaSpace("hkHKHik6iUGHKJgU7tUJgKJGI87GIkug"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),986,org.apache.commons.lang3.StringUtils.isAlphaSpace("_"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),987,org.apache.commons.lang3.StringUtils.isAlphaSpace("hkHKHik*khbkuh"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testIsAlphanumericSpace() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testIsAlphanumericSpace");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),966,org.apache.commons.lang3.StringUtils.isAlphanumericSpace(null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),967,org.apache.commons.lang3.StringUtils.isAlphanumericSpace(""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),968,org.apache.commons.lang3.StringUtils.isAlphanumericSpace(" "));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),969,org.apache.commons.lang3.StringUtils.isAlphanumericSpace("a"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),970,org.apache.commons.lang3.StringUtils.isAlphanumericSpace("A"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),971,org.apache.commons.lang3.StringUtils.isAlphanumericSpace("kgKgKgKgkgkGkjkjlJlOKLgHdGdHgl"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),972,org.apache.commons.lang3.StringUtils.isAlphanumericSpace("ham kso"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),973,org.apache.commons.lang3.StringUtils.isAlphanumericSpace("1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),974,org.apache.commons.lang3.StringUtils.isAlphanumericSpace("hkHKHik6iUGHKJgU7tUJgKJGI87GIkug"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),975,org.apache.commons.lang3.StringUtils.isAlphanumericSpace("_"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),976,org.apache.commons.lang3.StringUtils.isAlphanumericSpace("hkHKHik*khbkuh"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testIsAsciiPrintable_String() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testIsAsciiPrintable_String");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),988,org.apache.commons.lang3.StringUtils.isAsciiPrintable(null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),989,org.apache.commons.lang3.StringUtils.isAsciiPrintable(""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),990,org.apache.commons.lang3.StringUtils.isAsciiPrintable(" "));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),991,org.apache.commons.lang3.StringUtils.isAsciiPrintable("a"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),992,org.apache.commons.lang3.StringUtils.isAsciiPrintable("A"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),993,org.apache.commons.lang3.StringUtils.isAsciiPrintable("1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),994,org.apache.commons.lang3.StringUtils.isAsciiPrintable("Ceki"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),995,org.apache.commons.lang3.StringUtils.isAsciiPrintable("!ab2c~"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),996,org.apache.commons.lang3.StringUtils.isAsciiPrintable("1000"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),997,org.apache.commons.lang3.StringUtils.isAsciiPrintable("10 00"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),998,org.apache.commons.lang3.StringUtils.isAsciiPrintable("10\t00"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),999,org.apache.commons.lang3.StringUtils.isAsciiPrintable("10.00"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1000,org.apache.commons.lang3.StringUtils.isAsciiPrintable("10,00"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1001,org.apache.commons.lang3.StringUtils.isAsciiPrintable("!ab-c~"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1002,org.apache.commons.lang3.StringUtils.isAsciiPrintable("hkHK=Hik6i?UGH_KJgU7.tUJgKJ*GI87GI,kug"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1003,org.apache.commons.lang3.StringUtils.isAsciiPrintable(" "));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1004,org.apache.commons.lang3.StringUtils.isAsciiPrintable("!"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1005,org.apache.commons.lang3.StringUtils.isAsciiPrintable("~"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,org.apache.commons.lang3.StringUtils.isAsciiPrintable(""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1007,org.apache.commons.lang3.StringUtils.isAsciiPrintable("G?lc?"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1008,org.apache.commons.lang3.StringUtils.isAsciiPrintable("=?iso-8859-1?Q?G=FClc=FC?="));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1009,org.apache.commons.lang3.StringUtils.isAsciiPrintable("Gülcü"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testIsNumeric() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testIsNumeric");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1010,org.apache.commons.lang3.StringUtils.isNumeric(null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1011,org.apache.commons.lang3.StringUtils.isNumeric(""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1012,org.apache.commons.lang3.StringUtils.isNumeric(" "));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1013,org.apache.commons.lang3.StringUtils.isNumeric("a"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1014,org.apache.commons.lang3.StringUtils.isNumeric("A"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1015,org.apache.commons.lang3.StringUtils.isNumeric("kgKgKgKgkgkGkjkjlJlOKLgHdGdHgl"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1016,org.apache.commons.lang3.StringUtils.isNumeric("ham kso"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1017,org.apache.commons.lang3.StringUtils.isNumeric("1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1018,org.apache.commons.lang3.StringUtils.isNumeric("1000"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1019,org.apache.commons.lang3.StringUtils.isNumeric("2.3"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1020,org.apache.commons.lang3.StringUtils.isNumeric("10 00"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1021,org.apache.commons.lang3.StringUtils.isNumeric("hkHKHik6iUGHKJgU7tUJgKJGI87GIkug"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1022,org.apache.commons.lang3.StringUtils.isNumeric("_"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1023,org.apache.commons.lang3.StringUtils.isNumeric("hkHKHik*khbkuh"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1024,org.apache.commons.lang3.StringUtils.isNumeric("+123"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1025,org.apache.commons.lang3.StringUtils.isNumeric("-123"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testIsNumericSpace() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testIsNumericSpace");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1026,org.apache.commons.lang3.StringUtils.isNumericSpace(null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1027,org.apache.commons.lang3.StringUtils.isNumericSpace(""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1028,org.apache.commons.lang3.StringUtils.isNumericSpace(" "));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1029,org.apache.commons.lang3.StringUtils.isNumericSpace("a"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1030,org.apache.commons.lang3.StringUtils.isNumericSpace("A"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1031,org.apache.commons.lang3.StringUtils.isNumericSpace("kgKgKgKgkgkGkjkjlJlOKLgHdGdHgl"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1032,org.apache.commons.lang3.StringUtils.isNumericSpace("ham kso"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1033,org.apache.commons.lang3.StringUtils.isNumericSpace("1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1034,org.apache.commons.lang3.StringUtils.isNumericSpace("1000"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1035,org.apache.commons.lang3.StringUtils.isNumericSpace("2.3"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1036,org.apache.commons.lang3.StringUtils.isNumericSpace("10 00"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1037,org.apache.commons.lang3.StringUtils.isNumericSpace("hkHKHik6iUGHKJgU7tUJgKJGI87GIkug"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1038,org.apache.commons.lang3.StringUtils.isNumericSpace("_"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1039,org.apache.commons.lang3.StringUtils.isNumericSpace("hkHKHik*khbkuh"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }
}

