package org.apache.commons.lang3;

import org.junit.Test;

/** 
 * Unit tests {@link org.apache.commons.lang3.StringUtils} - Substring methods
 * 
 * @version $Id$
 */
public class StringUtilsSubstringTest {
    private static final String FOO = "foo";

    private static final String BAR = "bar";

    private static final String BAZ = "baz";

    private static final String FOOBAR = "foobar";

    private static final String SENTENCE = "foo bar baz";

    @Test
    public void testSubstring_StringInt() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSubstring_StringInt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1266,org.apache.commons.lang3.StringUtils.substring(null, 0));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1267,org.apache.commons.lang3.StringUtils.substring("", 0));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1268,org.apache.commons.lang3.StringUtils.substring("", 2));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1269,org.apache.commons.lang3.StringUtils.substring(org.apache.commons.lang3.StringUtilsSubstringTest.SENTENCE, 80));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1270,org.apache.commons.lang3.StringUtilsSubstringTest.BAZ);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1271,org.apache.commons.lang3.StringUtils.substring(org.apache.commons.lang3.StringUtilsSubstringTest.SENTENCE, 8));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1272,org.apache.commons.lang3.StringUtilsSubstringTest.BAZ);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1273,org.apache.commons.lang3.StringUtils.substring(org.apache.commons.lang3.StringUtilsSubstringTest.SENTENCE, -3));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1274,org.apache.commons.lang3.StringUtilsSubstringTest.SENTENCE);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1275,org.apache.commons.lang3.StringUtils.substring(org.apache.commons.lang3.StringUtilsSubstringTest.SENTENCE, 0));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1276,org.apache.commons.lang3.StringUtils.substring("abc", -4));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1277,org.apache.commons.lang3.StringUtils.substring("abc", -3));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1278,org.apache.commons.lang3.StringUtils.substring("abc", -2));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1279,org.apache.commons.lang3.StringUtils.substring("abc", -1));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1280,org.apache.commons.lang3.StringUtils.substring("abc", 0));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1281,org.apache.commons.lang3.StringUtils.substring("abc", 1));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1282,org.apache.commons.lang3.StringUtils.substring("abc", 2));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1283,org.apache.commons.lang3.StringUtils.substring("abc", 3));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1284,org.apache.commons.lang3.StringUtils.substring("abc", 4));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testSubstring_StringIntInt() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSubstring_StringIntInt");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1285,org.apache.commons.lang3.StringUtils.substring(null, 0, 0));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1286,org.apache.commons.lang3.StringUtils.substring(null, 1, 2));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1287,org.apache.commons.lang3.StringUtils.substring("", 0, 0));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1288,org.apache.commons.lang3.StringUtils.substring("", 1, 2));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1289,org.apache.commons.lang3.StringUtils.substring("", -2, -1));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1290,org.apache.commons.lang3.StringUtils.substring(org.apache.commons.lang3.StringUtilsSubstringTest.SENTENCE, 8, 6));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1291,org.apache.commons.lang3.StringUtilsSubstringTest.FOO);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1292,org.apache.commons.lang3.StringUtils.substring(org.apache.commons.lang3.StringUtilsSubstringTest.SENTENCE, 0, 3));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1293,org.apache.commons.lang3.StringUtils.substring(org.apache.commons.lang3.StringUtilsSubstringTest.SENTENCE, -9, 3));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1294,org.apache.commons.lang3.StringUtilsSubstringTest.FOO);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1295,org.apache.commons.lang3.StringUtils.substring(org.apache.commons.lang3.StringUtilsSubstringTest.SENTENCE, 0, -8));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1296,org.apache.commons.lang3.StringUtils.substring(org.apache.commons.lang3.StringUtilsSubstringTest.SENTENCE, -9, -8));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1297,org.apache.commons.lang3.StringUtilsSubstringTest.SENTENCE);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1298,org.apache.commons.lang3.StringUtils.substring(org.apache.commons.lang3.StringUtilsSubstringTest.SENTENCE, 0, 80));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1299,org.apache.commons.lang3.StringUtils.substring(org.apache.commons.lang3.StringUtilsSubstringTest.SENTENCE, 2, 2));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1300,org.apache.commons.lang3.StringUtils.substring("abc", -2, -1));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testLeft_String() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testLeft_String");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1141,org.apache.commons.lang3.StringUtils.left(null, -1));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1142,org.apache.commons.lang3.StringUtils.left(null, 0));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1143,org.apache.commons.lang3.StringUtils.left(null, 2));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1144,org.apache.commons.lang3.StringUtils.left("", -1));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1145,org.apache.commons.lang3.StringUtils.left("", 0));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1146,org.apache.commons.lang3.StringUtils.left("", 2));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1147,org.apache.commons.lang3.StringUtils.left(org.apache.commons.lang3.StringUtilsSubstringTest.FOOBAR, -1));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1148,org.apache.commons.lang3.StringUtils.left(org.apache.commons.lang3.StringUtilsSubstringTest.FOOBAR, 0));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1149,org.apache.commons.lang3.StringUtilsSubstringTest.FOO);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1150,org.apache.commons.lang3.StringUtils.left(org.apache.commons.lang3.StringUtilsSubstringTest.FOOBAR, 3));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1151,org.apache.commons.lang3.StringUtilsSubstringTest.FOOBAR);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1152,org.apache.commons.lang3.StringUtils.left(org.apache.commons.lang3.StringUtilsSubstringTest.FOOBAR, 80));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testRight_String() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRight_String");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1174,org.apache.commons.lang3.StringUtils.right(null, -1));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1175,org.apache.commons.lang3.StringUtils.right(null, 0));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1176,org.apache.commons.lang3.StringUtils.right(null, 2));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1177,org.apache.commons.lang3.StringUtils.right("", -1));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1178,org.apache.commons.lang3.StringUtils.right("", 0));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1179,org.apache.commons.lang3.StringUtils.right("", 2));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1180,org.apache.commons.lang3.StringUtils.right(org.apache.commons.lang3.StringUtilsSubstringTest.FOOBAR, -1));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1181,org.apache.commons.lang3.StringUtils.right(org.apache.commons.lang3.StringUtilsSubstringTest.FOOBAR, 0));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1182,org.apache.commons.lang3.StringUtilsSubstringTest.BAR);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1183,org.apache.commons.lang3.StringUtils.right(org.apache.commons.lang3.StringUtilsSubstringTest.FOOBAR, 3));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1184,org.apache.commons.lang3.StringUtilsSubstringTest.FOOBAR);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1185,org.apache.commons.lang3.StringUtils.right(org.apache.commons.lang3.StringUtilsSubstringTest.FOOBAR, 80));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testMid_String() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMid_String");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1153,org.apache.commons.lang3.StringUtils.mid(null, -1, 0));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1154,org.apache.commons.lang3.StringUtils.mid(null, 0, -1));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1155,org.apache.commons.lang3.StringUtils.mid(null, 3, 0));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1156,org.apache.commons.lang3.StringUtils.mid(null, 3, 2));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1157,org.apache.commons.lang3.StringUtils.mid("", 0, -1));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1158,org.apache.commons.lang3.StringUtils.mid("", 0, 0));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1159,org.apache.commons.lang3.StringUtils.mid("", 0, 2));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1160,org.apache.commons.lang3.StringUtils.mid(org.apache.commons.lang3.StringUtilsSubstringTest.FOOBAR, 3, -1));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1161,org.apache.commons.lang3.StringUtils.mid(org.apache.commons.lang3.StringUtilsSubstringTest.FOOBAR, 3, 0));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1162,org.apache.commons.lang3.StringUtils.mid(org.apache.commons.lang3.StringUtilsSubstringTest.FOOBAR, 3, 1));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1163,org.apache.commons.lang3.StringUtilsSubstringTest.FOO);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1164,org.apache.commons.lang3.StringUtils.mid(org.apache.commons.lang3.StringUtilsSubstringTest.FOOBAR, 0, 3));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1165,org.apache.commons.lang3.StringUtilsSubstringTest.BAR);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1166,org.apache.commons.lang3.StringUtils.mid(org.apache.commons.lang3.StringUtilsSubstringTest.FOOBAR, 3, 3));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1167,org.apache.commons.lang3.StringUtilsSubstringTest.FOOBAR);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1168,org.apache.commons.lang3.StringUtils.mid(org.apache.commons.lang3.StringUtilsSubstringTest.FOOBAR, 0, 80));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1169,org.apache.commons.lang3.StringUtilsSubstringTest.BAR);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1170,org.apache.commons.lang3.StringUtils.mid(org.apache.commons.lang3.StringUtilsSubstringTest.FOOBAR, 3, 80));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1171,org.apache.commons.lang3.StringUtils.mid(org.apache.commons.lang3.StringUtilsSubstringTest.FOOBAR, 9, 3));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1172,org.apache.commons.lang3.StringUtilsSubstringTest.FOO);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1173,org.apache.commons.lang3.StringUtils.mid(org.apache.commons.lang3.StringUtilsSubstringTest.FOOBAR, -1, 3));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testSubstringBefore_StringString() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSubstringBefore_StringString");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1233,org.apache.commons.lang3.StringUtils.substringBefore("fooXXbarXXbaz", "XX"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1234,org.apache.commons.lang3.StringUtils.substringBefore(null, null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1235,org.apache.commons.lang3.StringUtils.substringBefore(null, ""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1236,org.apache.commons.lang3.StringUtils.substringBefore(null, "XX"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1237,org.apache.commons.lang3.StringUtils.substringBefore("", null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1238,org.apache.commons.lang3.StringUtils.substringBefore("", ""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1239,org.apache.commons.lang3.StringUtils.substringBefore("", "XX"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1240,org.apache.commons.lang3.StringUtils.substringBefore("foo", null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1241,org.apache.commons.lang3.StringUtils.substringBefore("foo", "b"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1242,org.apache.commons.lang3.StringUtils.substringBefore("foot", "o"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1243,org.apache.commons.lang3.StringUtils.substringBefore("abc", "a"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1244,org.apache.commons.lang3.StringUtils.substringBefore("abcba", "b"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1245,org.apache.commons.lang3.StringUtils.substringBefore("abc", "c"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1246,org.apache.commons.lang3.StringUtils.substringBefore("abc", ""));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testSubstringAfter_StringString() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSubstringAfter_StringString");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1201,org.apache.commons.lang3.StringUtils.substringAfter("fooXXbarXXbaz", "XX"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1202,org.apache.commons.lang3.StringUtils.substringAfter(null, null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1203,org.apache.commons.lang3.StringUtils.substringAfter(null, ""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1204,org.apache.commons.lang3.StringUtils.substringAfter(null, "XX"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1205,org.apache.commons.lang3.StringUtils.substringAfter("", null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1206,org.apache.commons.lang3.StringUtils.substringAfter("", ""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1207,org.apache.commons.lang3.StringUtils.substringAfter("", "XX"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1208,org.apache.commons.lang3.StringUtils.substringAfter("foo", null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1209,org.apache.commons.lang3.StringUtils.substringAfter("foot", "o"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1210,org.apache.commons.lang3.StringUtils.substringAfter("abc", "a"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1211,org.apache.commons.lang3.StringUtils.substringAfter("abcba", "b"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1212,org.apache.commons.lang3.StringUtils.substringAfter("abc", "c"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1213,org.apache.commons.lang3.StringUtils.substringAfter("abc", ""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1214,org.apache.commons.lang3.StringUtils.substringAfter("abc", "d"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testSubstringBeforeLast_StringString() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSubstringBeforeLast_StringString");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1215,org.apache.commons.lang3.StringUtils.substringBeforeLast("fooXXbarXXbaz", "XX"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1216,org.apache.commons.lang3.StringUtils.substringBeforeLast(null, null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1217,org.apache.commons.lang3.StringUtils.substringBeforeLast(null, ""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1218,org.apache.commons.lang3.StringUtils.substringBeforeLast(null, "XX"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1219,org.apache.commons.lang3.StringUtils.substringBeforeLast("", null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1220,org.apache.commons.lang3.StringUtils.substringBeforeLast("", ""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1221,org.apache.commons.lang3.StringUtils.substringBeforeLast("", "XX"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1222,org.apache.commons.lang3.StringUtils.substringBeforeLast("foo", null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1223,org.apache.commons.lang3.StringUtils.substringBeforeLast("foo", "b"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1224,org.apache.commons.lang3.StringUtils.substringBeforeLast("foo", "o"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1225,org.apache.commons.lang3.StringUtils.substringBeforeLast("abc\r\n", "d"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1226,org.apache.commons.lang3.StringUtils.substringBeforeLast("abcdabc", "d"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1227,org.apache.commons.lang3.StringUtils.substringBeforeLast("abcdabcd", "d"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1228,org.apache.commons.lang3.StringUtils.substringBeforeLast("abc", "b"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1229,org.apache.commons.lang3.StringUtils.substringBeforeLast("abc \n", "\n"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1230,org.apache.commons.lang3.StringUtils.substringBeforeLast("a", null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1231,org.apache.commons.lang3.StringUtils.substringBeforeLast("a", ""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1232,org.apache.commons.lang3.StringUtils.substringBeforeLast("a", "a"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testSubstringAfterLast_StringString() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSubstringAfterLast_StringString");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1186,org.apache.commons.lang3.StringUtils.substringAfterLast("fooXXbarXXbaz", "XX"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1187,org.apache.commons.lang3.StringUtils.substringAfterLast(null, null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1188,org.apache.commons.lang3.StringUtils.substringAfterLast(null, ""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1189,org.apache.commons.lang3.StringUtils.substringAfterLast(null, "XX"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1190,org.apache.commons.lang3.StringUtils.substringAfterLast("", null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1191,org.apache.commons.lang3.StringUtils.substringAfterLast("", ""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1192,org.apache.commons.lang3.StringUtils.substringAfterLast("", "a"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1193,org.apache.commons.lang3.StringUtils.substringAfterLast("foo", null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1194,org.apache.commons.lang3.StringUtils.substringAfterLast("foo", "b"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1195,org.apache.commons.lang3.StringUtils.substringAfterLast("foot", "o"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1196,org.apache.commons.lang3.StringUtils.substringAfterLast("abc", "a"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1197,org.apache.commons.lang3.StringUtils.substringAfterLast("abcba", "b"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1198,org.apache.commons.lang3.StringUtils.substringAfterLast("abc", "c"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,org.apache.commons.lang3.StringUtils.substringAfterLast("", "d"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1200,org.apache.commons.lang3.StringUtils.substringAfterLast("abc", ""));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testSubstringBetween_StringString() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSubstringBetween_StringString");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1247,org.apache.commons.lang3.StringUtils.substringBetween(null, "tag"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1248,org.apache.commons.lang3.StringUtils.substringBetween("", ""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1249,org.apache.commons.lang3.StringUtils.substringBetween("", "abc"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1250,org.apache.commons.lang3.StringUtils.substringBetween("    ", " "));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1251,org.apache.commons.lang3.StringUtils.substringBetween("abc", null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1252,org.apache.commons.lang3.StringUtils.substringBetween("abc", ""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1253,org.apache.commons.lang3.StringUtils.substringBetween("abc", "a"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1254,org.apache.commons.lang3.StringUtils.substringBetween("abca", "a"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1255,org.apache.commons.lang3.StringUtils.substringBetween("abcabca", "a"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1256,org.apache.commons.lang3.StringUtils.substringBetween("\nbar\n", "\n"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testSubstringBetween_StringStringString() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSubstringBetween_StringStringString");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1257,org.apache.commons.lang3.StringUtils.substringBetween(null, "", ""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1258,org.apache.commons.lang3.StringUtils.substringBetween("", null, ""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1259,org.apache.commons.lang3.StringUtils.substringBetween("", "", null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1260,org.apache.commons.lang3.StringUtils.substringBetween("", "", ""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1261,org.apache.commons.lang3.StringUtils.substringBetween("foo", "", ""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1262,org.apache.commons.lang3.StringUtils.substringBetween("foo", "", "]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1263,org.apache.commons.lang3.StringUtils.substringBetween("foo", "[", "]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1264,org.apache.commons.lang3.StringUtils.substringBetween("    ", " ", "  "));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1265,org.apache.commons.lang3.StringUtils.substringBetween("<foo>bar</foo>", "<foo>", "</foo>"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Tests the substringsBetween method that returns an String Array of substrings.
     */
@Test
    public void testSubstringsBetween_StringStringString() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSubstringsBetween_StringStringString");
            String[] results = org.apache.commons.lang3.StringUtils.substringsBetween("[one], [t¥o], [three]", "[", "]");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1338,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1301,results.length);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1302,results[0]);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1303,results[1]);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1304,results[2]);
            results = org.apache.commons.lang3.StringUtils.substringsBetween("[one], [two], three", "[", "]");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1325,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1305,results.length);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1306,results[0]);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1307,results[1]);
            results = org.apache.commons.lang3.StringUtils.substringsBetween("[one], [two], three]", "[", "]");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1326,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1308,results.length);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1309,results[0]);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1310,results[1]);
            results = org.apache.commons.lang3.StringUtils.substringsBetween("[one], two], three]", "[", "]");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1327,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1311,results.length);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1312,results[0]);
            results = org.apache.commons.lang3.StringUtils.substringsBetween("one], two], [three]", "[", "]");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1328,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1313,results.length);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1314,results[0]);
            results = org.apache.commons.lang3.StringUtils.substringsBetween("aabhellobabnonba", "ab", "ba");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1329,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1315,results.length);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1316,results[0]);
            results = org.apache.commons.lang3.StringUtils.substringsBetween("one, two, three", "[", "]");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1330,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1317,results);
            results = org.apache.commons.lang3.StringUtils.substringsBetween("[one, two, three", "[", "]");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1331,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1318,results);
            results = org.apache.commons.lang3.StringUtils.substringsBetween("one, two, three]", "[", "]");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1332,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1319,results);
            results = org.apache.commons.lang3.StringUtils.substringsBetween("[one], [two], [three]", "[", null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1333,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1320,results);
            results = org.apache.commons.lang3.StringUtils.substringsBetween("[one], [two], [three]", null, "]");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1334,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1321,results);
            results = org.apache.commons.lang3.StringUtils.substringsBetween("[one], [two], [three]", "", "");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1335,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1322,results);
            results = org.apache.commons.lang3.StringUtils.substringsBetween(null, "[", "]");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1336,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1323,results);
            results = org.apache.commons.lang3.StringUtils.substringsBetween("", "[", "]");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1337,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1324,results.length);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Tests the substringsBetween method that returns an String Array of substrings.
     */
@Test
    public void testSubstringsBetween_StringStringString_literalMutation221() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSubstringsBetween_StringStringString_literalMutation221");
            String[] results = org.apache.commons.lang3.StringUtils.substringsBetween("[one], [twoG], [three]", "[", "]");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1338,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1301,results.length);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1302,results[0]);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1303,results[1]);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1304,results[2]);
            results = org.apache.commons.lang3.StringUtils.substringsBetween("[one], [two], three", "[", "]");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1325,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1305,results.length);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1306,results[0]);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1307,results[1]);
            results = org.apache.commons.lang3.StringUtils.substringsBetween("[one], [two], three]", "[", "]");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1326,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1308,results.length);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1309,results[0]);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1310,results[1]);
            results = org.apache.commons.lang3.StringUtils.substringsBetween("[one], two], three]", "[", "]");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1327,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1311,results.length);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1312,results[0]);
            results = org.apache.commons.lang3.StringUtils.substringsBetween("one], two], [three]", "[", "]");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1328,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1313,results.length);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1314,results[0]);
            results = org.apache.commons.lang3.StringUtils.substringsBetween("aabhellobabnonba", "ab", "ba");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1329,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1315,results.length);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1316,results[0]);
            results = org.apache.commons.lang3.StringUtils.substringsBetween("one, two, three", "[", "]");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1330,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1317,results);
            results = org.apache.commons.lang3.StringUtils.substringsBetween("[one, two, three", "[", "]");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1331,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1318,results);
            results = org.apache.commons.lang3.StringUtils.substringsBetween("one, two, three]", "[", "]");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1332,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1319,results);
            results = org.apache.commons.lang3.StringUtils.substringsBetween("[one], [two], [three]", "[", null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1333,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1320,results);
            results = org.apache.commons.lang3.StringUtils.substringsBetween("[one], [two], [three]", null, "]");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1334,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1321,results);
            results = org.apache.commons.lang3.StringUtils.substringsBetween("[one], [two], [three]", "", "");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1335,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1322,results);
            results = org.apache.commons.lang3.StringUtils.substringsBetween(null, "[", "]");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1336,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1323,results);
            results = org.apache.commons.lang3.StringUtils.substringsBetween("", "[", "]");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1337,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1324,results.length);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Tests the substringsBetween method that returns an String Array of substrings.
     */
@Test
    public void testSubstringsBetween_StringStringString_literalMutation222() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSubstringsBetween_StringStringString_literalMutation222");
            String[] results = org.apache.commons.lang3.StringUtils.substringsBetween("[one], two], [three]", "[", "]");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1338,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1301,results.length);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1302,results[0]);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1303,results[1]);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1304,results[2]);
            results = org.apache.commons.lang3.StringUtils.substringsBetween("[one], [two], three", "[", "]");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1325,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1305,results.length);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1306,results[0]);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1307,results[1]);
            results = org.apache.commons.lang3.StringUtils.substringsBetween("[one], [two], three]", "[", "]");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1326,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1308,results.length);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1309,results[0]);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1310,results[1]);
            results = org.apache.commons.lang3.StringUtils.substringsBetween("[one], two], three]", "[", "]");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1327,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1311,results.length);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1312,results[0]);
            results = org.apache.commons.lang3.StringUtils.substringsBetween("one], two], [three]", "[", "]");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1328,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1313,results.length);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1314,results[0]);
            results = org.apache.commons.lang3.StringUtils.substringsBetween("aabhellobabnonba", "ab", "ba");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1329,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1315,results.length);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1316,results[0]);
            results = org.apache.commons.lang3.StringUtils.substringsBetween("one, two, three", "[", "]");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1330,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1317,results);
            results = org.apache.commons.lang3.StringUtils.substringsBetween("[one, two, three", "[", "]");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1331,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1318,results);
            results = org.apache.commons.lang3.StringUtils.substringsBetween("one, two, three]", "[", "]");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1332,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1319,results);
            results = org.apache.commons.lang3.StringUtils.substringsBetween("[one], [two], [three]", "[", null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1333,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1320,results);
            results = org.apache.commons.lang3.StringUtils.substringsBetween("[one], [two], [three]", null, "]");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1334,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1321,results);
            results = org.apache.commons.lang3.StringUtils.substringsBetween("[one], [two], [three]", "", "");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1335,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1322,results);
            results = org.apache.commons.lang3.StringUtils.substringsBetween(null, "[", "]");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1336,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1323,results);
            results = org.apache.commons.lang3.StringUtils.substringsBetween("", "[", "]");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1337,results);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1324,results.length);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testCountMatches_String() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCountMatches_String");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1133,org.apache.commons.lang3.StringUtils.countMatches(null, null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1134,org.apache.commons.lang3.StringUtils.countMatches("blah", null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1135,org.apache.commons.lang3.StringUtils.countMatches(null, "DD"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1136,org.apache.commons.lang3.StringUtils.countMatches("x", ""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1137,org.apache.commons.lang3.StringUtils.countMatches("", ""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1138,org.apache.commons.lang3.StringUtils.countMatches("one long someone sentence of one", "one"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1139,org.apache.commons.lang3.StringUtils.countMatches("one long someone sentence of one", "two"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1140,org.apache.commons.lang3.StringUtils.countMatches("oooooooooooo", "ooo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }
}

