package com.google.gson;

import java.net.InetAddress;
import junit.framework.TestCase;

/** 
 * Unit tests for the default serializer/deserializer for the {@code InetAddress} type.
 * 
 * @author Joel Leitch
 */
public class DefaultInetAddressTypeAdapterTest extends TestCase {
    private Gson gson;

    @Override
    protected void setUp() throws Exception {
        super.setUp();
        gson = new Gson();
        fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1063,gson);
    }

    public void testInetAddressSerializationAndDeserialization() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testInetAddressSerializationAndDeserialization");
            InetAddress localhost = InetAddress.getLocalHost();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2638,localhost);
            String localInetAddress = gson.toJson(localhost);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2639,localInetAddress);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2634,(("\"" + (localhost.getHostAddress())) + "\""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2635,localInetAddress);
            InetAddress value = gson.fromJson(localInetAddress, InetAddress.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2640,value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2636,localhost);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2637,value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }
}

