package com.google.gson;

import org.junit.Test;
import junit.framework.TestCase;

/** 
 * Unit test for the {@link JsonObject} class.
 * 
 * @author Joel Leitch
 */
public class JsonObjectTest extends TestCase {
    @Test(timeout = 1000)
    public void testAddingAndRemovingObjectProperties_add596() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAddingAndRemovingObjectProperties_add596");
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2751,jsonObj);
            String propertyName = "property";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2752,propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2743,jsonObj.has(propertyName));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2744,jsonObj.get(propertyName));
            JsonPrimitive value = new JsonPrimitive("blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2753,value);
            jsonObj.add(propertyName, value);
            jsonObj.add(propertyName, value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2745,value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2746,jsonObj.get(propertyName));
            JsonElement removedElement = jsonObj.remove(propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2754,removedElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2747,value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2748,removedElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2749,jsonObj.has(propertyName));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2750,jsonObj.get(propertyName));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAddingAndRemovingObjectProperties() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAddingAndRemovingObjectProperties");
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2751,jsonObj);
            String propertyName = "prop6rty";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2752,propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2743,jsonObj.has(propertyName));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2744,jsonObj.get(propertyName));
            JsonPrimitive value = new JsonPrimitive("blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2753,value);
            jsonObj.add(propertyName, value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2745,value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2746,jsonObj.get(propertyName));
            JsonElement removedElement = jsonObj.remove(propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2754,removedElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2747,value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2748,removedElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2749,jsonObj.has(propertyName));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2750,jsonObj.get(propertyName));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAddingAndRemovingObjectProperties_literalMutation4100() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAddingAndRemovingObjectProperties_literalMutation4100");
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2751,jsonObj);
            String propertyName = "pr\noperty";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2752,propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2743,jsonObj.has(propertyName));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2744,jsonObj.get(propertyName));
            JsonPrimitive value = new JsonPrimitive("blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2753,value);
            jsonObj.add(propertyName, value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2745,value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2746,jsonObj.get(propertyName));
            JsonElement removedElement = jsonObj.remove(propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2754,removedElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2747,value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2748,removedElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2749,jsonObj.has(propertyName));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2750,jsonObj.get(propertyName));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAddingAndRemovingObjectProperties_literalMutation4101() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAddingAndRemovingObjectProperties_literalMutation4101");
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2751,jsonObj);
            String propertyName = "proprty";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2752,propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2743,jsonObj.has(propertyName));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2744,jsonObj.get(propertyName));
            JsonPrimitive value = new JsonPrimitive("blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2753,value);
            jsonObj.add(propertyName, value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2745,value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2746,jsonObj.get(propertyName));
            JsonElement removedElement = jsonObj.remove(propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2754,removedElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2747,value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2748,removedElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2749,jsonObj.has(propertyName));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2750,jsonObj.get(propertyName));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAddingAndRemovingObjectProperties_literalMutation4102() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAddingAndRemovingObjectProperties_literalMutation4102");
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2751,jsonObj);
            String propertyName = "property";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2752,propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2743,jsonObj.has(propertyName));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2744,jsonObj.get(propertyName));
            JsonPrimitive value = new JsonPrimitive("b>ah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2753,value);
            jsonObj.add(propertyName, value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2745,value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2746,jsonObj.get(propertyName));
            JsonElement removedElement = jsonObj.remove(propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2754,removedElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2747,value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2748,removedElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2749,jsonObj.has(propertyName));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2750,jsonObj.get(propertyName));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAddingAndRemovingObjectProperties_literalMutation4103() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAddingAndRemovingObjectProperties_literalMutation4103");
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2751,jsonObj);
            String propertyName = "property";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2752,propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2743,jsonObj.has(propertyName));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2744,jsonObj.get(propertyName));
            JsonPrimitive value = new JsonPrimitive("bálah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2753,value);
            jsonObj.add(propertyName, value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2745,value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2746,jsonObj.get(propertyName));
            JsonElement removedElement = jsonObj.remove(propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2754,removedElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2747,value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2748,removedElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2749,jsonObj.has(propertyName));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2750,jsonObj.get(propertyName));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAddingAndRemovingObjectProperties_literalMutation4104() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAddingAndRemovingObjectProperties_literalMutation4104");
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2751,jsonObj);
            String propertyName = "property";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2752,propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2743,jsonObj.has(propertyName));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2744,jsonObj.get(propertyName));
            JsonPrimitive value = new JsonPrimitive("blh");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2753,value);
            jsonObj.add(propertyName, value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2745,value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2746,jsonObj.get(propertyName));
            JsonElement removedElement = jsonObj.remove(propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2754,removedElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2747,value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2748,removedElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2749,jsonObj.has(propertyName));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2750,jsonObj.get(propertyName));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testAddingAndRemovingObjectProperties_remove487() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAddingAndRemovingObjectProperties_remove487");
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2751,jsonObj);
            String propertyName = "property";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2752,propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2743,jsonObj.has(propertyName));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2744,jsonObj.get(propertyName));
            JsonPrimitive value = new JsonPrimitive("blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2753,value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2745,value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2746,jsonObj.get(propertyName));
            JsonElement removedElement = jsonObj.remove(propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2754,removedElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2747,value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2748,removedElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2749,jsonObj.has(propertyName));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2750,jsonObj.get(propertyName));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testAddingNullPropertyValue_add602() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAddingNullPropertyValue_add602");
            String propertyName = "property";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2775,propertyName);
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2776,jsonObj);
            jsonObj.add(propertyName, null);
            jsonObj.add(propertyName, null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2772,jsonObj.has(propertyName));
            JsonElement jsonElement = jsonObj.get(propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2777,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2773,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2774,jsonElement.isJsonNull());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAddingNullPropertyValue() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAddingNullPropertyValue");
            String propertyName = "propzrty";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2775,propertyName);
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2776,jsonObj);
            jsonObj.add(propertyName, null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2772,jsonObj.has(propertyName));
            JsonElement jsonElement = jsonObj.get(propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2777,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2773,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2774,jsonElement.isJsonNull());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAddingNullPropertyValue_literalMutation4115() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAddingNullPropertyValue_literalMutation4115");
            String propertyName = "propXerty";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2775,propertyName);
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2776,jsonObj);
            jsonObj.add(propertyName, null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2772,jsonObj.has(propertyName));
            JsonElement jsonElement = jsonObj.get(propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2777,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2773,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2774,jsonElement.isJsonNull());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAddingNullPropertyValue_literalMutation4116() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAddingNullPropertyValue_literalMutation4116");
            String propertyName = "prperty";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2775,propertyName);
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2776,jsonObj);
            jsonObj.add(propertyName, null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2772,jsonObj.has(propertyName));
            JsonElement jsonElement = jsonObj.get(propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2777,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2773,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2774,jsonElement.isJsonNull());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testAddingNullPropertyValue_remove492() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAddingNullPropertyValue_remove492");
            String propertyName = "property";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2775,propertyName);
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2776,jsonObj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2772,jsonObj.has(propertyName));
            JsonElement jsonElement = jsonObj.get(propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2777,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2773,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2774,jsonElement.isJsonNull());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testAddingNullOrEmptyPropertyName() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAddingNullOrEmptyPropertyName");
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2771,jsonObj);
            try {
                jsonObj.add(null, com.google.gson.JsonNull.INSTANCE);
                jsonObj.add(null, com.google.gson.JsonNull.INSTANCE);
            } catch (NullPointerException expected) {
            }
            jsonObj.add("", com.google.gson.JsonNull.INSTANCE);
            jsonObj.add("   \t", com.google.gson.JsonNull.INSTANCE);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testAddingNullOrEmptyPropertyName_add600() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAddingNullOrEmptyPropertyName_add600");
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2771,jsonObj);
            try {
                jsonObj.add(null, com.google.gson.JsonNull.INSTANCE);
            } catch (NullPointerException expected) {
            }
            jsonObj.add("", com.google.gson.JsonNull.INSTANCE);
            jsonObj.add("", com.google.gson.JsonNull.INSTANCE);
            jsonObj.add("   \t", com.google.gson.JsonNull.INSTANCE);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testAddingNullOrEmptyPropertyName_add601() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAddingNullOrEmptyPropertyName_add601");
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2771,jsonObj);
            try {
                jsonObj.add(null, com.google.gson.JsonNull.INSTANCE);
            } catch (NullPointerException expected) {
            }
            jsonObj.add("", com.google.gson.JsonNull.INSTANCE);
            jsonObj.add("   \t", com.google.gson.JsonNull.INSTANCE);
            jsonObj.add("   \t", com.google.gson.JsonNull.INSTANCE);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testAddingNullOrEmptyPropertyName_remove490() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAddingNullOrEmptyPropertyName_remove490");
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2771,jsonObj);
            try {
                jsonObj.add(null, com.google.gson.JsonNull.INSTANCE);
            } catch (NullPointerException expected) {
            }
            jsonObj.add("   \t", com.google.gson.JsonNull.INSTANCE);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testAddingNullOrEmptyPropertyName_remove491() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAddingNullOrEmptyPropertyName_remove491");
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2771,jsonObj);
            try {
                jsonObj.add(null, com.google.gson.JsonNull.INSTANCE);
            } catch (NullPointerException expected) {
            }
            jsonObj.add("   \t", com.google.gson.JsonNull.INSTANCE);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testAddingBooleanProperties_add597() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAddingBooleanProperties_add597");
            String propertyName = "property";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2758,propertyName);
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2759,jsonObj);
            jsonObj.addProperty(propertyName, true);
            jsonObj.addProperty(propertyName, true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2755,jsonObj.has(propertyName));
            JsonElement jsonElement = jsonObj.get(propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2760,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2756,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2757,jsonElement.getAsBoolean());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAddingBooleanProperties() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAddingBooleanProperties");
            String propertyName = "prop3rty";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2758,propertyName);
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2759,jsonObj);
            jsonObj.addProperty(propertyName, true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2755,jsonObj.has(propertyName));
            JsonElement jsonElement = jsonObj.get(propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2760,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2756,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2757,jsonElement.getAsBoolean());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAddingBooleanProperties_literalMutation4106() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAddingBooleanProperties_literalMutation4106");
            String propertyName = "prop}erty";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2758,propertyName);
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2759,jsonObj);
            jsonObj.addProperty(propertyName, true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2755,jsonObj.has(propertyName));
            JsonElement jsonElement = jsonObj.get(propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2760,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2756,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2757,jsonElement.getAsBoolean());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAddingBooleanProperties_literalMutation4107() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAddingBooleanProperties_literalMutation4107");
            String propertyName = "propery";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2758,propertyName);
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2759,jsonObj);
            jsonObj.addProperty(propertyName, true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2755,jsonObj.has(propertyName));
            JsonElement jsonElement = jsonObj.get(propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2760,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2756,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2757,jsonElement.getAsBoolean());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testAddingBooleanProperties_remove488() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAddingBooleanProperties_remove488");
            String propertyName = "property";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2758,propertyName);
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2759,jsonObj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2755,jsonObj.has(propertyName));
            JsonElement jsonElement = jsonObj.get(propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2760,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2756,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2757,jsonElement.getAsBoolean());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testAddingStringProperties_add603() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAddingStringProperties_add603");
            String propertyName = "property";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2782,propertyName);
            String value = "blah";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2783,value);
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2784,jsonObj);
            jsonObj.addProperty(propertyName, value);
            jsonObj.addProperty(propertyName, value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2778,jsonObj.has(propertyName));
            JsonElement jsonElement = jsonObj.get(propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2785,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2779,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2780,value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2781,jsonElement.getAsString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAddingStringProperties() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAddingStringProperties");
            String propertyName = "prope·ty";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2782,propertyName);
            String value = "blah";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2783,value);
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2784,jsonObj);
            jsonObj.addProperty(propertyName, value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2778,jsonObj.has(propertyName));
            JsonElement jsonElement = jsonObj.get(propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2785,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2779,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2780,value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2781,jsonElement.getAsString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAddingStringProperties_literalMutation4119() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAddingStringProperties_literalMutation4119");
            String propertyName = "prop<erty";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2782,propertyName);
            String value = "blah";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2783,value);
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2784,jsonObj);
            jsonObj.addProperty(propertyName, value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2778,jsonObj.has(propertyName));
            JsonElement jsonElement = jsonObj.get(propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2785,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2779,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2780,value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2781,jsonElement.getAsString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAddingStringProperties_literalMutation4120() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAddingStringProperties_literalMutation4120");
            String propertyName = "propety";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2782,propertyName);
            String value = "blah";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2783,value);
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2784,jsonObj);
            jsonObj.addProperty(propertyName, value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2778,jsonObj.has(propertyName));
            JsonElement jsonElement = jsonObj.get(propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2785,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2779,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2780,value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2781,jsonElement.getAsString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAddingStringProperties_literalMutation4121() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAddingStringProperties_literalMutation4121");
            String propertyName = "property";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2782,propertyName);
            String value = "bah";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2783,value);
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2784,jsonObj);
            jsonObj.addProperty(propertyName, value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2778,jsonObj.has(propertyName));
            JsonElement jsonElement = jsonObj.get(propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2785,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2779,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2780,value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2781,jsonElement.getAsString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAddingStringProperties_literalMutation4122() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAddingStringProperties_literalMutation4122");
            String propertyName = "property";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2782,propertyName);
            String value = "bltah";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2783,value);
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2784,jsonObj);
            jsonObj.addProperty(propertyName, value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2778,jsonObj.has(propertyName));
            JsonElement jsonElement = jsonObj.get(propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2785,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2779,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2780,value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2781,jsonElement.getAsString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAddingStringProperties_literalMutation4123() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAddingStringProperties_literalMutation4123");
            String propertyName = "property";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2782,propertyName);
            String value = "blh";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2783,value);
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2784,jsonObj);
            jsonObj.addProperty(propertyName, value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2778,jsonObj.has(propertyName));
            JsonElement jsonElement = jsonObj.get(propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2785,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2779,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2780,value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2781,jsonElement.getAsString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testAddingStringProperties_remove493() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAddingStringProperties_remove493");
            String propertyName = "property";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2782,propertyName);
            String value = "blah";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2783,value);
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2784,jsonObj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2778,jsonObj.has(propertyName));
            JsonElement jsonElement = jsonObj.get(propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2785,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2779,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2780,value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2781,jsonElement.getAsString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testAddingCharacterProperties_add598() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAddingCharacterProperties_add598");
            String propertyName = "property";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2767,propertyName);
            char value = 'a';
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2768,value);
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2769,jsonObj);
            jsonObj.addProperty(propertyName, value);
            jsonObj.addProperty(propertyName, value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2761,jsonObj.has(propertyName));
            JsonElement jsonElement = jsonObj.get(propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2770,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2762,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2763,java.lang.String.valueOf(value));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2764,jsonElement.getAsString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2765,value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2766,jsonElement.getAsCharacter());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAddingCharacterProperties() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAddingCharacterProperties");
            String propertyName = "propety";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2767,propertyName);
            char value = 'a';
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2768,value);
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2769,jsonObj);
            jsonObj.addProperty(propertyName, value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2761,jsonObj.has(propertyName));
            JsonElement jsonElement = jsonObj.get(propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2770,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2762,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2763,java.lang.String.valueOf(value));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2764,jsonElement.getAsString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2765,value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2766,jsonElement.getAsCharacter());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAddingCharacterProperties_literalMutation4110() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAddingCharacterProperties_literalMutation4110");
            String propertyName = "property";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2767,propertyName);
            char value = 'a';
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2768,value);
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2769,jsonObj);
            jsonObj.addProperty(propertyName, value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2761,jsonObj.has(propertyName));
            JsonElement jsonElement = jsonObj.get(propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2770,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2762,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2763,java.lang.String.valueOf(value));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2764,jsonElement.getAsString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2765,value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2766,jsonElement.getAsCharacter());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAddingCharacterProperties_literalMutation4111() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAddingCharacterProperties_literalMutation4111");
            String propertyName = "proerty";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2767,propertyName);
            char value = 'a';
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2768,value);
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2769,jsonObj);
            jsonObj.addProperty(propertyName, value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2761,jsonObj.has(propertyName));
            JsonElement jsonElement = jsonObj.get(propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2770,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2762,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2763,java.lang.String.valueOf(value));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2764,jsonElement.getAsString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2765,value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2766,jsonElement.getAsCharacter());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testAddingCharacterProperties_remove489() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAddingCharacterProperties_remove489");
            String propertyName = "property";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2767,propertyName);
            char value = 'a';
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2768,value);
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2769,jsonObj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2761,jsonObj.has(propertyName));
            JsonElement jsonElement = jsonObj.get(propertyName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2770,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2762,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2763,java.lang.String.valueOf(value));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2764,jsonElement.getAsString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2765,value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2766,jsonElement.getAsCharacter());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * From bug report http://code.google.com/p/google-gson/issues/detail?id=182
     */
@Test(timeout = 1000)
    public void testPropertyWithQuotes_add612() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPropertyWithQuotes_add612");
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2800,jsonObj);
            jsonObj.add("a\"b", new JsonPrimitive("c\"d"));
            jsonObj.add("a\"b", new JsonPrimitive("c\"d"));
            String json = new Gson().toJson(jsonObj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),113,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),109,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * From bug report http://code.google.com/p/google-gson/issues/detail?id=182
     */
public void testPropertyWithQuotes() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPropertyWithQuotes");
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2800,jsonObj);
            jsonObj.add("Ä\"b", new JsonPrimitive("c\"d"));
            String json = new Gson().toJson(jsonObj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),113,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),109,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * From bug report http://code.google.com/p/google-gson/issues/detail?id=182
     */
public void testPropertyWithQuotes_literalMutation4140() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPropertyWithQuotes_literalMutation4140");
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2800,jsonObj);
            jsonObj.add("a3\"b", new JsonPrimitive("c\"d"));
            String json = new Gson().toJson(jsonObj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),113,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),109,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * From bug report http://code.google.com/p/google-gson/issues/detail?id=182
     */
public void testPropertyWithQuotes_literalMutation4141() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPropertyWithQuotes_literalMutation4141");
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2800,jsonObj);
            jsonObj.add("ab", new JsonPrimitive("c\"d"));
            String json = new Gson().toJson(jsonObj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),113,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),109,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * From bug report http://code.google.com/p/google-gson/issues/detail?id=182
     */
public void testPropertyWithQuotes_literalMutation4142() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPropertyWithQuotes_literalMutation4142");
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2800,jsonObj);
            jsonObj.add("a\"b", new JsonPrimitive("Å\"d"));
            String json = new Gson().toJson(jsonObj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),113,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),109,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * From bug report http://code.google.com/p/google-gson/issues/detail?id=182
     */
public void testPropertyWithQuotes_literalMutation4143() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPropertyWithQuotes_literalMutation4143");
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2800,jsonObj);
            jsonObj.add("a\"b", new JsonPrimitive("c \"d"));
            String json = new Gson().toJson(jsonObj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),113,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),109,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * From bug report http://code.google.com/p/google-gson/issues/detail?id=182
     */
public void testPropertyWithQuotes_literalMutation4144() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPropertyWithQuotes_literalMutation4144");
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2800,jsonObj);
            jsonObj.add("a\"b", new JsonPrimitive("cd"));
            String json = new Gson().toJson(jsonObj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),113,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),109,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * From bug report http://code.google.com/p/google-gson/issues/detail?id=182
     */
@Test(timeout = 1000)
    public void testPropertyWithQuotes_remove502() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPropertyWithQuotes_remove502");
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2800,jsonObj);
            String json = new Gson().toJson(jsonObj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),113,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),109,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * From issue 227.
     */
@Test(timeout = 1000)
    public void testWritePropertyWithEmptyStringName() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWritePropertyWithEmptyStringName");
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2804,jsonObj);
            jsonObj.add("", new JsonPrimitive(true));
            jsonObj.add("", new JsonPrimitive(true));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2803,new com.google.gson.Gson().toJson(jsonObj));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * From issue 227.
     */
@Test(timeout = 1000)
    public void testWritePropertyWithEmptyStringName_remove503() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWritePropertyWithEmptyStringName_remove503");
            JsonObject jsonObj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2804,jsonObj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2803,new com.google.gson.Gson().toJson(jsonObj));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testReadPropertyWithEmptyStringName() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testReadPropertyWithEmptyStringName");
            JsonObject jsonObj = new JsonParser().parse("{á\":true}").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2802,jsonObj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2801,jsonObj.get("").getAsBoolean());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testReadPropertyWithEmptyStringName_literalMutation4146() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testReadPropertyWithEmptyStringName_literalMutation4146");
            JsonObject jsonObj = new JsonParser().parse("{\"\":tru~e}").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2802,jsonObj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2801,jsonObj.get("").getAsBoolean());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testReadPropertyWithEmptyStringName_literalMutation4147() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testReadPropertyWithEmptyStringName_literalMutation4147");
            JsonObject jsonObj = new JsonParser().parse("{\"\":tre}").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2802,jsonObj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2801,jsonObj.get("").getAsBoolean());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testEqualsOnEmptyObject() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testEqualsOnEmptyObject");
            com.google.gson.common.MoreAsserts.assertEqualsAndHashCode(new JsonObject(), new JsonObject());
            com.google.gson.common.MoreAsserts.assertEqualsAndHashCode(new JsonObject(), new JsonObject());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testEqualsOnEmptyObject_remove501() {
    }

    @Test(timeout = 1000)
    public void testEqualsNonEmptyObject_add606() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testEqualsNonEmptyObject_add606");
            JsonObject a = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2798,a);
            JsonObject b = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2799,b);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            a.add("foo", new JsonObject());
            a.add("foo", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2792,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2793,b.equals(a));
            b.add("foo", new JsonObject());
            com.google.gson.common.MoreAsserts.assertEqualsAndHashCode(a, b);
            a.add("bar", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2794,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2795,b.equals(a));
            b.add("bar", com.google.gson.JsonNull.INSTANCE);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2796,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2797,b.equals(a));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testEqualsNonEmptyObject_add607() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testEqualsNonEmptyObject_add607");
            JsonObject a = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2798,a);
            JsonObject b = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2799,b);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            a.add("foo", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2792,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2793,b.equals(a));
            b.add("foo", new JsonObject());
            b.add("foo", new JsonObject());
            com.google.gson.common.MoreAsserts.assertEqualsAndHashCode(a, b);
            a.add("bar", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2794,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2795,b.equals(a));
            b.add("bar", com.google.gson.JsonNull.INSTANCE);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2796,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2797,b.equals(a));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testEqualsNonEmptyObject_add608() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testEqualsNonEmptyObject_add608");
            JsonObject a = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2798,a);
            JsonObject b = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2799,b);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            a.add("foo", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2792,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2793,b.equals(a));
            b.add("foo", new JsonObject());
            com.google.gson.common.MoreAsserts.assertEqualsAndHashCode(a, b);
            com.google.gson.common.MoreAsserts.assertEqualsAndHashCode(a, b);
            a.add("bar", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2794,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2795,b.equals(a));
            b.add("bar", com.google.gson.JsonNull.INSTANCE);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2796,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2797,b.equals(a));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testEqualsNonEmptyObject_add609() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testEqualsNonEmptyObject_add609");
            JsonObject a = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2798,a);
            JsonObject b = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2799,b);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            a.add("foo", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2792,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2793,b.equals(a));
            b.add("foo", new JsonObject());
            com.google.gson.common.MoreAsserts.assertEqualsAndHashCode(a, b);
            a.add("bar", new JsonObject());
            a.add("bar", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2794,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2795,b.equals(a));
            b.add("bar", com.google.gson.JsonNull.INSTANCE);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2796,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2797,b.equals(a));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testEqualsNonEmptyObject_add610() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testEqualsNonEmptyObject_add610");
            JsonObject a = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2798,a);
            JsonObject b = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2799,b);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            a.add("foo", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2792,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2793,b.equals(a));
            b.add("foo", new JsonObject());
            com.google.gson.common.MoreAsserts.assertEqualsAndHashCode(a, b);
            a.add("bar", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2794,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2795,b.equals(a));
            b.add("bar", com.google.gson.JsonNull.INSTANCE);
            b.add("bar", com.google.gson.JsonNull.INSTANCE);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2796,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2797,b.equals(a));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testEqualsNonEmptyObject() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testEqualsNonEmptyObject");
            JsonObject a = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2798,a);
            JsonObject b = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2799,b);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            a.add("xoo", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2792,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2793,b.equals(a));
            b.add("foo", new JsonObject());
            com.google.gson.common.MoreAsserts.assertEqualsAndHashCode(a, b);
            a.add("bar", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2794,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2795,b.equals(a));
            b.add("bar", com.google.gson.JsonNull.INSTANCE);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2796,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2797,b.equals(a));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testEqualsNonEmptyObject_literalMutation4128() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testEqualsNonEmptyObject_literalMutation4128");
            JsonObject a = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2798,a);
            JsonObject b = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2799,b);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            a.add("f$oo", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2792,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2793,b.equals(a));
            b.add("foo", new JsonObject());
            com.google.gson.common.MoreAsserts.assertEqualsAndHashCode(a, b);
            a.add("bar", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2794,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2795,b.equals(a));
            b.add("bar", com.google.gson.JsonNull.INSTANCE);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2796,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2797,b.equals(a));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testEqualsNonEmptyObject_literalMutation4129() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testEqualsNonEmptyObject_literalMutation4129");
            JsonObject a = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2798,a);
            JsonObject b = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2799,b);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            a.add("fo", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2792,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2793,b.equals(a));
            b.add("foo", new JsonObject());
            com.google.gson.common.MoreAsserts.assertEqualsAndHashCode(a, b);
            a.add("bar", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2794,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2795,b.equals(a));
            b.add("bar", com.google.gson.JsonNull.INSTANCE);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2796,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2797,b.equals(a));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testEqualsNonEmptyObject_literalMutation4130() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testEqualsNonEmptyObject_literalMutation4130");
            JsonObject a = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2798,a);
            JsonObject b = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2799,b);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            a.add("foo", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2792,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2793,b.equals(a));
            b.add("oo", new JsonObject());
            com.google.gson.common.MoreAsserts.assertEqualsAndHashCode(a, b);
            a.add("bar", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2794,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2795,b.equals(a));
            b.add("bar", com.google.gson.JsonNull.INSTANCE);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2796,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2797,b.equals(a));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testEqualsNonEmptyObject_literalMutation4131() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testEqualsNonEmptyObject_literalMutation4131");
            JsonObject a = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2798,a);
            JsonObject b = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2799,b);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            a.add("foo", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2792,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2793,b.equals(a));
            b.add("fDoo", new JsonObject());
            com.google.gson.common.MoreAsserts.assertEqualsAndHashCode(a, b);
            a.add("bar", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2794,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2795,b.equals(a));
            b.add("bar", com.google.gson.JsonNull.INSTANCE);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2796,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2797,b.equals(a));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testEqualsNonEmptyObject_literalMutation4132() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testEqualsNonEmptyObject_literalMutation4132");
            JsonObject a = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2798,a);
            JsonObject b = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2799,b);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            a.add("foo", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2792,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2793,b.equals(a));
            b.add("fo", new JsonObject());
            com.google.gson.common.MoreAsserts.assertEqualsAndHashCode(a, b);
            a.add("bar", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2794,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2795,b.equals(a));
            b.add("bar", com.google.gson.JsonNull.INSTANCE);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2796,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2797,b.equals(a));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testEqualsNonEmptyObject_literalMutation4133() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testEqualsNonEmptyObject_literalMutation4133");
            JsonObject a = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2798,a);
            JsonObject b = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2799,b);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            a.add("foo", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2792,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2793,b.equals(a));
            b.add("foo", new JsonObject());
            com.google.gson.common.MoreAsserts.assertEqualsAndHashCode(a, b);
            a.add("ar", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2794,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2795,b.equals(a));
            b.add("bar", com.google.gson.JsonNull.INSTANCE);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2796,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2797,b.equals(a));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testEqualsNonEmptyObject_literalMutation4134() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testEqualsNonEmptyObject_literalMutation4134");
            JsonObject a = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2798,a);
            JsonObject b = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2799,b);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            a.add("foo", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2792,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2793,b.equals(a));
            b.add("foo", new JsonObject());
            com.google.gson.common.MoreAsserts.assertEqualsAndHashCode(a, b);
            a.add("b«ar", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2794,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2795,b.equals(a));
            b.add("bar", com.google.gson.JsonNull.INSTANCE);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2796,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2797,b.equals(a));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testEqualsNonEmptyObject_literalMutation4135() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testEqualsNonEmptyObject_literalMutation4135");
            JsonObject a = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2798,a);
            JsonObject b = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2799,b);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            a.add("foo", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2792,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2793,b.equals(a));
            b.add("foo", new JsonObject());
            com.google.gson.common.MoreAsserts.assertEqualsAndHashCode(a, b);
            a.add("br", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2794,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2795,b.equals(a));
            b.add("bar", com.google.gson.JsonNull.INSTANCE);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2796,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2797,b.equals(a));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testEqualsNonEmptyObject_literalMutation4136() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testEqualsNonEmptyObject_literalMutation4136");
            JsonObject a = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2798,a);
            JsonObject b = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2799,b);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            a.add("foo", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2792,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2793,b.equals(a));
            b.add("foo", new JsonObject());
            com.google.gson.common.MoreAsserts.assertEqualsAndHashCode(a, b);
            a.add("bar", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2794,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2795,b.equals(a));
            b.add("\far", com.google.gson.JsonNull.INSTANCE);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2796,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2797,b.equals(a));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testEqualsNonEmptyObject_literalMutation4137() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testEqualsNonEmptyObject_literalMutation4137");
            JsonObject a = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2798,a);
            JsonObject b = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2799,b);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            a.add("foo", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2792,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2793,b.equals(a));
            b.add("foo", new JsonObject());
            com.google.gson.common.MoreAsserts.assertEqualsAndHashCode(a, b);
            a.add("bar", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2794,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2795,b.equals(a));
            b.add("bzar", com.google.gson.JsonNull.INSTANCE);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2796,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2797,b.equals(a));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testEqualsNonEmptyObject_literalMutation4138() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testEqualsNonEmptyObject_literalMutation4138");
            JsonObject a = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2798,a);
            JsonObject b = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2799,b);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            a.add("foo", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2792,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2793,b.equals(a));
            b.add("foo", new JsonObject());
            com.google.gson.common.MoreAsserts.assertEqualsAndHashCode(a, b);
            a.add("bar", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2794,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2795,b.equals(a));
            b.add("br", com.google.gson.JsonNull.INSTANCE);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2796,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2797,b.equals(a));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testEqualsNonEmptyObject_remove496() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testEqualsNonEmptyObject_remove496");
            JsonObject a = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2798,a);
            JsonObject b = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2799,b);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2792,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2793,b.equals(a));
            b.add("foo", new JsonObject());
            com.google.gson.common.MoreAsserts.assertEqualsAndHashCode(a, b);
            a.add("bar", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2794,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2795,b.equals(a));
            b.add("bar", com.google.gson.JsonNull.INSTANCE);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2796,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2797,b.equals(a));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testEqualsNonEmptyObject_remove497() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testEqualsNonEmptyObject_remove497");
            JsonObject a = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2798,a);
            JsonObject b = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2799,b);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2792,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2793,b.equals(a));
            b.add("foo", new JsonObject());
            com.google.gson.common.MoreAsserts.assertEqualsAndHashCode(a, b);
            a.add("bar", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2794,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2795,b.equals(a));
            b.add("bar", com.google.gson.JsonNull.INSTANCE);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2796,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2797,b.equals(a));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testEqualsNonEmptyObject_remove498() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testEqualsNonEmptyObject_remove498");
            JsonObject a = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2798,a);
            JsonObject b = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2799,b);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            a.add("foo", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2792,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2793,b.equals(a));
            b.add("foo", new JsonObject());
            a.add("bar", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2794,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2795,b.equals(a));
            b.add("bar", com.google.gson.JsonNull.INSTANCE);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2796,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2797,b.equals(a));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testEqualsNonEmptyObject_remove499() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testEqualsNonEmptyObject_remove499");
            JsonObject a = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2798,a);
            JsonObject b = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2799,b);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2792,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2793,b.equals(a));
            b.add("foo", new JsonObject());
            com.google.gson.common.MoreAsserts.assertEqualsAndHashCode(a, b);
            a.add("bar", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2794,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2795,b.equals(a));
            b.add("bar", com.google.gson.JsonNull.INSTANCE);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2796,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2797,b.equals(a));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testEqualsNonEmptyObject_remove500() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testEqualsNonEmptyObject_remove500");
            JsonObject a = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2798,a);
            JsonObject b = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2799,b);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,a);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2792,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2793,b.equals(a));
            b.add("foo", new JsonObject());
            com.google.gson.common.MoreAsserts.assertEqualsAndHashCode(a, b);
            a.add("bar", new JsonObject());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2794,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2795,b.equals(a));
            b.add("bar", com.google.gson.JsonNull.INSTANCE);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2796,a.equals(b));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2797,b.equals(a));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testDeepCopy_add604() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeepCopy_add604");
            JsonObject original = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2788,original);
            JsonArray firstEntry = new JsonArray();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2789,firstEntry);
            original.add("key", firstEntry);
            original.add("key", firstEntry);
            JsonObject copy = original.deepCopy();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2790,copy);
            firstEntry.add(new JsonPrimitive("z"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2786,original.get("key").getAsJsonArray().size());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2787,copy.get("key").getAsJsonArray().size());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testDeepCopy_add605() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeepCopy_add605");
            JsonObject original = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2788,original);
            JsonArray firstEntry = new JsonArray();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2789,firstEntry);
            original.add("key", firstEntry);
            JsonObject copy = original.deepCopy();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2790,copy);
            firstEntry.add(new JsonPrimitive("z"));
            firstEntry.add(new JsonPrimitive("z"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2786,original.get("key").getAsJsonArray().size());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2787,copy.get("key").getAsJsonArray().size());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeepCopy() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeepCopy");
            JsonObject original = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2788,original);
            JsonArray firstEntry = new JsonArray();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2789,firstEntry);
            original.add("ey", firstEntry);
            JsonObject copy = original.deepCopy();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2790,copy);
            firstEntry.add(new JsonPrimitive("z"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2786,original.get("key").getAsJsonArray().size());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2787,copy.get("key").getAsJsonArray().size());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeepCopy_literalMutation4125() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeepCopy_literalMutation4125");
            JsonObject original = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2788,original);
            JsonArray firstEntry = new JsonArray();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2789,firstEntry);
            original.add("key", firstEntry);
            JsonObject copy = original.deepCopy();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2790,copy);
            firstEntry.add(new JsonPrimitive("z"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2786,original.get("key").getAsJsonArray().size());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2787,copy.get("key").getAsJsonArray().size());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeepCopy_literalMutation4126() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeepCopy_literalMutation4126");
            JsonObject original = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2788,original);
            JsonArray firstEntry = new JsonArray();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2789,firstEntry);
            original.add("ky", firstEntry);
            JsonObject copy = original.deepCopy();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2790,copy);
            firstEntry.add(new JsonPrimitive("z"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2786,original.get("key").getAsJsonArray().size());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2787,copy.get("key").getAsJsonArray().size());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testDeepCopy_remove494() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeepCopy_remove494");
            JsonObject original = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2788,original);
            JsonArray firstEntry = new JsonArray();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2789,firstEntry);
            JsonObject copy = original.deepCopy();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2790,copy);
            firstEntry.add(new JsonPrimitive("z"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2786,original.get("key").getAsJsonArray().size());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2787,copy.get("key").getAsJsonArray().size());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testDeepCopy_remove495() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeepCopy_remove495");
            JsonObject original = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2788,original);
            JsonArray firstEntry = new JsonArray();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2789,firstEntry);
            original.add("key", firstEntry);
            JsonObject copy = original.deepCopy();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2790,copy);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2786,original.get("key").getAsJsonArray().size());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2787,copy.get("key").getAsJsonArray().size());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }
}

