package com.google.gson;

import java.util.LinkedHashMap;
import java.util.Map;
import org.junit.Test;
import junit.framework.TestCase;

public final class ObjectTypeAdapterTest extends TestCase {
    private final Gson gson = new GsonBuilder().create();

    private final TypeAdapter<java.lang.Object> adapter = gson.getAdapter(Object.class);

    public void testDeserialize() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeserialize");
            Map<?, ?> map = ((Map<?, ?>)(adapter.fromJson("{\"a\":5,\"b\":[1,2,null],\"c\":{\"x\":\"y\"}}")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2907,map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2901,map.get("a"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2902,java.util.Arrays.asList(1.0, 2.0, null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2903,map.get("b"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2904,java.util.Collections.singletonMap("x", "y"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2905,map.get("c"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2906,map.size());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeserialize_literalMutation4236() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeserialize_literalMutation4236");
            Map<?, ?> map = ((Map<?, ?>)(adapter.fromJson("{\"a\":5,\"b\":1,2,null],\"c\":{\"x\":\"y\"}}")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2907,map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2901,map.get("a"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2902,java.util.Arrays.asList(1.0, 2.0, null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2903,map.get("b"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2904,java.util.Collections.singletonMap("x", "y"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2905,map.get("c"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2906,map.size());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeserialize_literalMutation4237() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeserialize_literalMutation4237");
            Map<?, ?> map = ((Map<?, ?>)(adapter.fromJson("{\"a\":5,\"b\"ò:[1,2,null],\"c\":{\"x\":\"y\"}}")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2907,map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2901,map.get("a"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2902,java.util.Arrays.asList(1.0, 2.0, null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2903,map.get("b"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2904,java.util.Collections.singletonMap("x", "y"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2905,map.get("c"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2906,map.size());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeserialize_literalMutation4238() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeserialize_literalMutation4238");
            Map<?, ?> map = ((Map<?, ?>)(adapter.fromJson("{\"a\":5,\"b\":[1,2,null]\"c\":{\"x\":\"y\"}}")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2907,map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2901,map.get("a"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2902,java.util.Arrays.asList(1.0, 2.0, null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2903,map.get("b"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2904,java.util.Collections.singletonMap("x", "y"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2905,map.get("c"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2906,map.size());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSerialize() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSerialize");
            Object object = new RuntimeType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2912,object);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2911,adapter.toJson(object).replace("\"", "\'"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testSerializeNullValue() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSerializeNullValue");
            Map<java.lang.String, java.lang.Object> map = new LinkedHashMap<java.lang.String, java.lang.Object>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2914,map);
            map.put("a", null);
            map.put("a", null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2913,adapter.toJson(map).replace('\"', '\''));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testSerializeNullValue_remove541() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSerializeNullValue_remove541");
            Map<java.lang.String, java.lang.Object> map = new LinkedHashMap<java.lang.String, java.lang.Object>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2914,map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2913,adapter.toJson(map).replace('\"', '\''));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testDeserializeNullValue() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeserializeNullValue");
            Map<java.lang.String, java.lang.Object> map = new LinkedHashMap<java.lang.String, java.lang.Object>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2910,map);
            map.put("a", null);
            map.put("a", null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2908,map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2909,adapter.fromJson("{\"a\":null}"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testDeserializeNullValue_remove540() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeserializeNullValue_remove540");
            Map<java.lang.String, java.lang.Object> map = new LinkedHashMap<java.lang.String, java.lang.Object>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2910,map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2908,map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2909,adapter.fromJson("{\"a\":null}"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSerializeObject() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSerializeObject");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2915,adapter.toJson(new java.lang.Object()));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unused")
    private class RuntimeType {
        Object a = 5;

        Object b = java.util.Arrays.asList(1, 2, null);
    }
}

