package com.google.gson.common;

import java.util.Collection;

/** 
 * Handy asserts that we wish were present in {@link Assert}
 * so that we didn't have to write them.
 * 
 * @author Inderjeet Singh
 */
public class MoreAsserts {
    public static void assertEquals(int[] expected, int[] target) {
        if (expected == null) {
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1,target);
        } 
        fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2,expected.length);
        fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),3,target.length);
        for (int i = 0 ; i < (expected.length) ; ++i) {
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),4,expected[i]);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),5,target[i]);
        }
    }

    public static void assertEquals(Integer[] expected, Integer[] target) {
        if (expected == null) {
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),6,target);
        } 
        fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),7,expected.length);
        fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),8,target.length);
        for (int i = 0 ; i < (expected.length) ; ++i) {
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),9,expected[i]);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),10,target[i]);
        }
    }

    /** 
     * Asserts that the specified {@code value} is not present in {@code collection}
     * @param collection the collection to look into
     * @param value the value that needs to be checked for presence
     */
public static <T>void assertContains(Collection<T> collection, T value) {
        for (T entry : collection) {
            if (entry.equals(value)) {
                return ;
            } 
        }
        fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),0,((value + " not present in ") + collection));
    }

    public static void assertEqualsAndHashCode(Object a, Object b) {
        fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),11,a.equals(b));
        fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),12,b.equals(a));
        fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),13,a.hashCode());
        fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),14,b.hashCode());
        fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),15,a.equals(null));
        fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),16,a.equals(new java.lang.Object()));
    }
}

