package com.google.gson.functional;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import java.io.IOException;
import com.google.gson.JsonDeserializationContext;
import com.google.gson.JsonDeserializer;
import com.google.gson.JsonElement;
import com.google.gson.JsonParseException;
import com.google.gson.JsonPrimitive;
import com.google.gson.stream.JsonReader;
import com.google.gson.JsonSerializationContext;
import com.google.gson.JsonSerializer;
import com.google.gson.stream.JsonWriter;
import org.junit.Test;
import junit.framework.TestCase;
import java.lang.reflect.Type;
import com.google.gson.TypeAdapter;
import com.google.gson.TypeAdapterFactory;
import com.google.gson.reflect.TypeToken;

/** 
 * Functional tests for the {@link com.google.gson.annotations.JsonAdapter} annotation on classes.
 */
public final class JsonAdapterAnnotationOnClassesTest extends TestCase {
    public void testJsonAdapterInvoked() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonAdapterInvoked");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1090,gson);
            String json = gson.toJson(new A("üar"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1091,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1082,json);
            json = gson.toJson(new User("Inderjeet" , "Singh"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1088,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1083,json);
            User user = gson.fromJson("{\'name\':\'Joel Leitch\'}", User.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1092,user);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1084,user.firstName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1085,user.lastName);
            json = gson.toJson(Foo.BAR);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1089,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1074,json);
            Foo baz = gson.fromJson("\"baz\"", Foo.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1093,baz);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1086,com.google.gson.functional.JsonAdapterAnnotationOnClassesTest.Foo.BAZ);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1087,baz);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonAdapterInvoked_literalMutation1610() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonAdapterInvoked_literalMutation1610");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1090,gson);
            String json = gson.toJson(new A("bàar"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1091,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1082,json);
            json = gson.toJson(new User("Inderjeet" , "Singh"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1088,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1083,json);
            User user = gson.fromJson("{\'name\':\'Joel Leitch\'}", User.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1092,user);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1084,user.firstName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1085,user.lastName);
            json = gson.toJson(Foo.BAR);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1089,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1074,json);
            Foo baz = gson.fromJson("\"baz\"", Foo.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1093,baz);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1086,com.google.gson.functional.JsonAdapterAnnotationOnClassesTest.Foo.BAZ);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1087,baz);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonAdapterInvoked_literalMutation1611() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonAdapterInvoked_literalMutation1611");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1090,gson);
            String json = gson.toJson(new A("br"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1091,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1082,json);
            json = gson.toJson(new User("Inderjeet" , "Singh"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1088,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1083,json);
            User user = gson.fromJson("{\'name\':\'Joel Leitch\'}", User.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1092,user);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1084,user.firstName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1085,user.lastName);
            json = gson.toJson(Foo.BAR);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1089,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1074,json);
            Foo baz = gson.fromJson("\"baz\"", Foo.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1093,baz);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1086,com.google.gson.functional.JsonAdapterAnnotationOnClassesTest.Foo.BAZ);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1087,baz);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonAdapterInvoked_literalMutation1612() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonAdapterInvoked_literalMutation1612");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1090,gson);
            String json = gson.toJson(new A("bar"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1091,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1082,json);
            json = gson.toJson(new User("Inderj/et" , "Singh"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1088,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1083,json);
            User user = gson.fromJson("{\'name\':\'Joel Leitch\'}", User.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1092,user);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1084,user.firstName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1085,user.lastName);
            json = gson.toJson(Foo.BAR);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1089,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1074,json);
            Foo baz = gson.fromJson("\"baz\"", Foo.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1093,baz);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1086,com.google.gson.functional.JsonAdapterAnnotationOnClassesTest.Foo.BAZ);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1087,baz);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonAdapterInvoked_literalMutation1613() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonAdapterInvoked_literalMutation1613");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1090,gson);
            String json = gson.toJson(new A("bar"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1091,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1082,json);
            json = gson.toJson(new User("IndeNrjeet" , "Singh"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1088,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1083,json);
            User user = gson.fromJson("{\'name\':\'Joel Leitch\'}", User.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1092,user);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1084,user.firstName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1085,user.lastName);
            json = gson.toJson(Foo.BAR);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1089,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1074,json);
            Foo baz = gson.fromJson("\"baz\"", Foo.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1093,baz);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1086,com.google.gson.functional.JsonAdapterAnnotationOnClassesTest.Foo.BAZ);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1087,baz);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonAdapterInvoked_literalMutation1614() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonAdapterInvoked_literalMutation1614");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1090,gson);
            String json = gson.toJson(new A("bar"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1091,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1082,json);
            json = gson.toJson(new User("Indrjeet" , "Singh"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1088,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1083,json);
            User user = gson.fromJson("{\'name\':\'Joel Leitch\'}", User.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1092,user);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1084,user.firstName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1085,user.lastName);
            json = gson.toJson(Foo.BAR);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1089,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1074,json);
            Foo baz = gson.fromJson("\"baz\"", Foo.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1093,baz);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1086,com.google.gson.functional.JsonAdapterAnnotationOnClassesTest.Foo.BAZ);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1087,baz);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonAdapterInvoked_literalMutation1615() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonAdapterInvoked_literalMutation1615");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1090,gson);
            String json = gson.toJson(new A("bar"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1091,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1082,json);
            json = gson.toJson(new User("Inderjeet" , "ingh"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1088,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1083,json);
            User user = gson.fromJson("{\'name\':\'Joel Leitch\'}", User.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1092,user);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1084,user.firstName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1085,user.lastName);
            json = gson.toJson(Foo.BAR);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1089,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1074,json);
            Foo baz = gson.fromJson("\"baz\"", Foo.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1093,baz);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1086,com.google.gson.functional.JsonAdapterAnnotationOnClassesTest.Foo.BAZ);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1087,baz);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonAdapterInvoked_literalMutation1616() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonAdapterInvoked_literalMutation1616");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1090,gson);
            String json = gson.toJson(new A("bar"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1091,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1082,json);
            json = gson.toJson(new User("Inderjeet" , "SRingh"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1088,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1083,json);
            User user = gson.fromJson("{\'name\':\'Joel Leitch\'}", User.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1092,user);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1084,user.firstName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1085,user.lastName);
            json = gson.toJson(Foo.BAR);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1089,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1074,json);
            Foo baz = gson.fromJson("\"baz\"", Foo.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1093,baz);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1086,com.google.gson.functional.JsonAdapterAnnotationOnClassesTest.Foo.BAZ);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1087,baz);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonAdapterInvoked_literalMutation1617() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonAdapterInvoked_literalMutation1617");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1090,gson);
            String json = gson.toJson(new A("bar"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1091,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1082,json);
            json = gson.toJson(new User("Inderjeet" , "Sngh"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1088,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1083,json);
            User user = gson.fromJson("{\'name\':\'Joel Leitch\'}", User.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1092,user);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1084,user.firstName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1085,user.lastName);
            json = gson.toJson(Foo.BAR);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1089,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1074,json);
            Foo baz = gson.fromJson("\"baz\"", Foo.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1093,baz);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1086,com.google.gson.functional.JsonAdapterAnnotationOnClassesTest.Foo.BAZ);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1087,baz);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonAdapterInvoked_literalMutation1618() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonAdapterInvoked_literalMutation1618");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1090,gson);
            String json = gson.toJson(new A("bar"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1091,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1082,json);
            json = gson.toJson(new User("Inderjeet" , "Singh"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1088,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1083,json);
            User user = gson.fromJson("C\'name\':\'Joel Leitch\'}", User.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1092,user);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1084,user.firstName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1085,user.lastName);
            json = gson.toJson(Foo.BAR);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1089,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1074,json);
            Foo baz = gson.fromJson("\"baz\"", Foo.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1093,baz);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1086,com.google.gson.functional.JsonAdapterAnnotationOnClassesTest.Foo.BAZ);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1087,baz);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonAdapterInvoked_literalMutation1619() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonAdapterInvoked_literalMutation1619");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1090,gson);
            String json = gson.toJson(new A("bar"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1091,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1082,json);
            json = gson.toJson(new User("Inderjeet" , "Singh"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1088,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1083,json);
            User user = gson.fromJson("{\'name\':\'Joel Leitch\'}", User.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1092,user);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1084,user.firstName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1085,user.lastName);
            json = gson.toJson(Foo.BAR);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1089,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1074,json);
            Foo baz = gson.fromJson("\"baz\"", Foo.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1093,baz);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1086,com.google.gson.functional.JsonAdapterAnnotationOnClassesTest.Foo.BAZ);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1087,baz);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonAdapterInvoked_literalMutation1620() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonAdapterInvoked_literalMutation1620");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1090,gson);
            String json = gson.toJson(new A("bar"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1091,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1082,json);
            json = gson.toJson(new User("Inderjeet" , "Singh"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1088,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1083,json);
            User user = gson.fromJson("{\'name\':\'JoelLeitch\'}", User.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1092,user);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1084,user.firstName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1085,user.lastName);
            json = gson.toJson(Foo.BAR);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1089,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1074,json);
            Foo baz = gson.fromJson("\"baz\"", Foo.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1093,baz);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1086,com.google.gson.functional.JsonAdapterAnnotationOnClassesTest.Foo.BAZ);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1087,baz);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonAdapterInvoked_literalMutation1621() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonAdapterInvoked_literalMutation1621");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1090,gson);
            String json = gson.toJson(new A("bar"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1091,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1082,json);
            json = gson.toJson(new User("Inderjeet" , "Singh"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1088,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1083,json);
            User user = gson.fromJson("{\'name\':\'Joel Leitch\'}", User.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1092,user);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1084,user.firstName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1085,user.lastName);
            json = gson.toJson(Foo.BAR);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1089,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1074,json);
            Foo baz = gson.fromJson("\"b»z\"", Foo.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1093,baz);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1086,com.google.gson.functional.JsonAdapterAnnotationOnClassesTest.Foo.BAZ);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1087,baz);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonAdapterInvoked_literalMutation1622() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonAdapterInvoked_literalMutation1622");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1090,gson);
            String json = gson.toJson(new A("bar"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1091,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1082,json);
            json = gson.toJson(new User("Inderjeet" , "Singh"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1088,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1083,json);
            User user = gson.fromJson("{\'name\':\'Joel Leitch\'}", User.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1092,user);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1084,user.firstName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1085,user.lastName);
            json = gson.toJson(Foo.BAR);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1089,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1074,json);
            Foo baz = gson.fromJson("\"baz\"", Foo.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1093,baz);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1086,com.google.gson.functional.JsonAdapterAnnotationOnClassesTest.Foo.BAZ);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1087,baz);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonAdapterInvoked_literalMutation1623() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonAdapterInvoked_literalMutation1623");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1090,gson);
            String json = gson.toJson(new A("bar"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1091,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1082,json);
            json = gson.toJson(new User("Inderjeet" , "Singh"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1088,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1083,json);
            User user = gson.fromJson("{\'name\':\'Joel Leitch\'}", User.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1092,user);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1084,user.firstName);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1085,user.lastName);
            json = gson.toJson(Foo.BAR);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1089,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1074,json);
            Foo baz = gson.fromJson("\"bz\"", Foo.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1093,baz);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1086,com.google.gson.functional.JsonAdapterAnnotationOnClassesTest.Foo.BAZ);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1087,baz);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonAdapterFactoryInvoked() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonAdapterFactoryInvoked");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),961,gson);
            String json = gson.toJson(new C("Ìar"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),762,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1079,json);
            C c = gson.fromJson("\"bar\"", C.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1081,c);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1080,c.value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonAdapterFactoryInvoked_literalMutation1604() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonAdapterFactoryInvoked_literalMutation1604");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),961,gson);
            String json = gson.toJson(new C("b\'ar"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),762,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1079,json);
            C c = gson.fromJson("\"bar\"", C.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1081,c);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1080,c.value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonAdapterFactoryInvoked_literalMutation1605() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonAdapterFactoryInvoked_literalMutation1605");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),961,gson);
            String json = gson.toJson(new C("br"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),762,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1079,json);
            C c = gson.fromJson("\"bar\"", C.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1081,c);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1080,c.value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonAdapterFactoryInvoked_literalMutation1606() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonAdapterFactoryInvoked_literalMutation1606");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),961,gson);
            String json = gson.toJson(new C("bar"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),762,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1079,json);
            C c = gson.fromJson("\"br\"", C.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1081,c);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1080,c.value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonAdapterFactoryInvoked_literalMutation1607() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonAdapterFactoryInvoked_literalMutation1607");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),961,gson);
            String json = gson.toJson(new C("bar"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),762,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1079,json);
            C c = gson.fromJson("\"ba½r\"", C.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1081,c);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1080,c.value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonAdapterFactoryInvoked_literalMutation1608() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonAdapterFactoryInvoked_literalMutation1608");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),961,gson);
            String json = gson.toJson(new C("bar"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),762,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1079,json);
            C c = gson.fromJson("\"ar\"", C.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1081,c);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1080,c.value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testRegisteredAdapterOverridesJsonAdapter_add214() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredAdapterOverridesJsonAdapter_add214");
            TypeAdapter<A> typeAdapter = new TypeAdapter<A>() {
                @Override
                public void write(JsonWriter out, A value) throws IOException {
                    out.value("registeredAdapter");
                }

                @Override
                public A read(JsonReader in) throws IOException {
                    return new A(in.nextString());
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1095,typeAdapter);
            Gson gson = new GsonBuilder().registerTypeAdapter(A.class, typeAdapter).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1096,gson);
            String json = gson.toJson(new A("abcd"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1000,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1094,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testRegisteredAdapterOverridesJsonAdapter_add215() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredAdapterOverridesJsonAdapter_add215");
            TypeAdapter<A> typeAdapter = new TypeAdapter<A>() {
                @Override
                public void write(JsonWriter out, A value) throws IOException {
                    out.value("registeredAdapter");
                    out.value("registeredAdapter");
                }

                @Override
                public A read(JsonReader in) throws IOException {
                    return new A(in.nextString());
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1095,typeAdapter);
            Gson gson = new GsonBuilder().registerTypeAdapter(A.class, typeAdapter).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1096,gson);
            String json = gson.toJson(new A("abcd"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1000,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1094,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRegisteredAdapterOverridesJsonAdapter() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredAdapterOverridesJsonAdapter");
            TypeAdapter<A> typeAdapter = new TypeAdapter<A>() {
                @Override
                public void write(JsonWriter out, A value) throws IOException {
                    out.value("registered¶dapter");
                }

                @Override
                public A read(JsonReader in) throws IOException {
                    return new A(in.nextString());
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1095,typeAdapter);
            Gson gson = new GsonBuilder().registerTypeAdapter(A.class, typeAdapter).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1096,gson);
            String json = gson.toJson(new A("abcd"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1000,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1094,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRegisteredAdapterOverridesJsonAdapter_literalMutation1625() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredAdapterOverridesJsonAdapter_literalMutation1625");
            TypeAdapter<A> typeAdapter = new TypeAdapter<A>() {
                @Override
                public void write(JsonWriter out, A value) throws IOException {
                    out.value("registeredAdapter");
                }

                @Override
                public A read(JsonReader in) throws IOException {
                    return new A(in.nextString());
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1095,typeAdapter);
            Gson gson = new GsonBuilder().registerTypeAdapter(A.class, typeAdapter).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1096,gson);
            String json = gson.toJson(new A("abcd"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1000,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1094,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRegisteredAdapterOverridesJsonAdapter_literalMutation1626() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredAdapterOverridesJsonAdapter_literalMutation1626");
            TypeAdapter<A> typeAdapter = new TypeAdapter<A>() {
                @Override
                public void write(JsonWriter out, A value) throws IOException {
                    out.value("rgisteredAdapter");
                }

                @Override
                public A read(JsonReader in) throws IOException {
                    return new A(in.nextString());
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1095,typeAdapter);
            Gson gson = new GsonBuilder().registerTypeAdapter(A.class, typeAdapter).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1096,gson);
            String json = gson.toJson(new A("abcd"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1000,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1094,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRegisteredAdapterOverridesJsonAdapter_literalMutation1627() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredAdapterOverridesJsonAdapter_literalMutation1627");
            TypeAdapter<A> typeAdapter = new TypeAdapter<A>() {
                @Override
                public void write(JsonWriter out, A value) throws IOException {
                    out.value("registeredAdapter");
                }

                @Override
                public A read(JsonReader in) throws IOException {
                    return new A(in.nextString());
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1095,typeAdapter);
            Gson gson = new GsonBuilder().registerTypeAdapter(A.class, typeAdapter).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1096,gson);
            String json = gson.toJson(new A("¬bcd"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1000,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1094,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRegisteredAdapterOverridesJsonAdapter_literalMutation1628() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredAdapterOverridesJsonAdapter_literalMutation1628");
            TypeAdapter<A> typeAdapter = new TypeAdapter<A>() {
                @Override
                public void write(JsonWriter out, A value) throws IOException {
                    out.value("registeredAdapter");
                }

                @Override
                public A read(JsonReader in) throws IOException {
                    return new A(in.nextString());
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1095,typeAdapter);
            Gson gson = new GsonBuilder().registerTypeAdapter(A.class, typeAdapter).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1096,gson);
            String json = gson.toJson(new A("a+bcd"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1000,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1094,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRegisteredAdapterOverridesJsonAdapter_literalMutation1629() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredAdapterOverridesJsonAdapter_literalMutation1629");
            TypeAdapter<A> typeAdapter = new TypeAdapter<A>() {
                @Override
                public void write(JsonWriter out, A value) throws IOException {
                    out.value("registeredAdapter");
                }

                @Override
                public A read(JsonReader in) throws IOException {
                    return new A(in.nextString());
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1095,typeAdapter);
            Gson gson = new GsonBuilder().registerTypeAdapter(A.class, typeAdapter).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1096,gson);
            String json = gson.toJson(new A("abd"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1000,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1094,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testRegisteredAdapterOverridesJsonAdapter_remove204() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredAdapterOverridesJsonAdapter_remove204");
            TypeAdapter<A> typeAdapter = new TypeAdapter<A>() {
                @Override
                public void write(JsonWriter out, A value) throws IOException {
                    out.value("registeredAdapter");
                }

                @Override
                public A read(JsonReader in) throws IOException {
                    return new A(in.nextString());
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1095,typeAdapter);
            Gson gson = new GsonBuilder().registerTypeAdapter(A.class, typeAdapter).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1096,gson);
            String json = gson.toJson(new A("abcd"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1000,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1094,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testRegisteredAdapterOverridesJsonAdapter_remove205() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredAdapterOverridesJsonAdapter_remove205");
            TypeAdapter<A> typeAdapter = new TypeAdapter<A>() {
                @Override
                public void write(JsonWriter out, A value) throws IOException {
                }

                @Override
                public A read(JsonReader in) throws IOException {
                    return new A(in.nextString());
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1095,typeAdapter);
            Gson gson = new GsonBuilder().registerTypeAdapter(A.class, typeAdapter).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1096,gson);
            String json = gson.toJson(new A("abcd"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1000,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1094,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * The serializer overrides field adapter, but for deserializer the fieldAdapter is used.
     */
@Test(timeout = 1000)
    public void testRegisteredSerializerOverridesJsonAdapter_add217() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredSerializerOverridesJsonAdapter_add217");
            JsonSerializer<A> serializer = new JsonSerializer<A>() {
                public JsonElement serialize(A src, Type typeOfSrc, JsonSerializationContext context) {
                    return new JsonPrimitive("registeredSerializer");
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1105,serializer);
            Gson gson = new GsonBuilder().registerTypeAdapter(A.class, serializer).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1106,gson);
            String json = gson.toJson(new A("abcd"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),319,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1103,json);
            A target = gson.fromJson("abcd", A.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1107,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1104,target.value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * The serializer overrides field adapter, but for deserializer the fieldAdapter is used.
     */
public void testRegisteredSerializerOverridesJsonAdapter() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredSerializerOverridesJsonAdapter");
            JsonSerializer<A> serializer = new JsonSerializer<A>() {
                public JsonElement serialize(A src, Type typeOfSrc, JsonSerializationContext context) {
                    return new JsonPrimitive("ðegisteredSerializer");
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1105,serializer);
            Gson gson = new GsonBuilder().registerTypeAdapter(A.class, serializer).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1106,gson);
            String json = gson.toJson(new A("abcd"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),319,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1103,json);
            A target = gson.fromJson("abcd", A.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1107,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1104,target.value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * The serializer overrides field adapter, but for deserializer the fieldAdapter is used.
     */
public void testRegisteredSerializerOverridesJsonAdapter_literalMutation1640() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredSerializerOverridesJsonAdapter_literalMutation1640");
            JsonSerializer<A> serializer = new JsonSerializer<A>() {
                public JsonElement serialize(A src, Type typeOfSrc, JsonSerializationContext context) {
                    return new JsonPrimitive("registeredßSerializer");
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1105,serializer);
            Gson gson = new GsonBuilder().registerTypeAdapter(A.class, serializer).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1106,gson);
            String json = gson.toJson(new A("abcd"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),319,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1103,json);
            A target = gson.fromJson("abcd", A.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1107,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1104,target.value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * The serializer overrides field adapter, but for deserializer the fieldAdapter is used.
     */
public void testRegisteredSerializerOverridesJsonAdapter_literalMutation1641() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredSerializerOverridesJsonAdapter_literalMutation1641");
            JsonSerializer<A> serializer = new JsonSerializer<A>() {
                public JsonElement serialize(A src, Type typeOfSrc, JsonSerializationContext context) {
                    return new JsonPrimitive("registeedSerializer");
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1105,serializer);
            Gson gson = new GsonBuilder().registerTypeAdapter(A.class, serializer).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1106,gson);
            String json = gson.toJson(new A("abcd"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),319,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1103,json);
            A target = gson.fromJson("abcd", A.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1107,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1104,target.value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * The serializer overrides field adapter, but for deserializer the fieldAdapter is used.
     */
public void testRegisteredSerializerOverridesJsonAdapter_literalMutation1642() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredSerializerOverridesJsonAdapter_literalMutation1642");
            JsonSerializer<A> serializer = new JsonSerializer<A>() {
                public JsonElement serialize(A src, Type typeOfSrc, JsonSerializationContext context) {
                    return new JsonPrimitive("registeredSerializer");
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1105,serializer);
            Gson gson = new GsonBuilder().registerTypeAdapter(A.class, serializer).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1106,gson);
            String json = gson.toJson(new A("jbcd"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),319,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1103,json);
            A target = gson.fromJson("abcd", A.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1107,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1104,target.value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * The serializer overrides field adapter, but for deserializer the fieldAdapter is used.
     */
public void testRegisteredSerializerOverridesJsonAdapter_literalMutation1643() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredSerializerOverridesJsonAdapter_literalMutation1643");
            JsonSerializer<A> serializer = new JsonSerializer<A>() {
                public JsonElement serialize(A src, Type typeOfSrc, JsonSerializationContext context) {
                    return new JsonPrimitive("registeredSerializer");
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1105,serializer);
            Gson gson = new GsonBuilder().registerTypeAdapter(A.class, serializer).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1106,gson);
            String json = gson.toJson(new A("abcd"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),319,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1103,json);
            A target = gson.fromJson("abcd", A.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1107,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1104,target.value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * The serializer overrides field adapter, but for deserializer the fieldAdapter is used.
     */
public void testRegisteredSerializerOverridesJsonAdapter_literalMutation1644() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredSerializerOverridesJsonAdapter_literalMutation1644");
            JsonSerializer<A> serializer = new JsonSerializer<A>() {
                public JsonElement serialize(A src, Type typeOfSrc, JsonSerializationContext context) {
                    return new JsonPrimitive("registeredSerializer");
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1105,serializer);
            Gson gson = new GsonBuilder().registerTypeAdapter(A.class, serializer).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1106,gson);
            String json = gson.toJson(new A("acd"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),319,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1103,json);
            A target = gson.fromJson("abcd", A.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1107,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1104,target.value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * The serializer overrides field adapter, but for deserializer the fieldAdapter is used.
     */
public void testRegisteredSerializerOverridesJsonAdapter_literalMutation1645() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredSerializerOverridesJsonAdapter_literalMutation1645");
            JsonSerializer<A> serializer = new JsonSerializer<A>() {
                public JsonElement serialize(A src, Type typeOfSrc, JsonSerializationContext context) {
                    return new JsonPrimitive("registeredSerializer");
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1105,serializer);
            Gson gson = new GsonBuilder().registerTypeAdapter(A.class, serializer).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1106,gson);
            String json = gson.toJson(new A("abcd"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),319,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1103,json);
            A target = gson.fromJson("xbcd", A.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1107,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1104,target.value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * The serializer overrides field adapter, but for deserializer the fieldAdapter is used.
     */
public void testRegisteredSerializerOverridesJsonAdapter_literalMutation1646() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredSerializerOverridesJsonAdapter_literalMutation1646");
            JsonSerializer<A> serializer = new JsonSerializer<A>() {
                public JsonElement serialize(A src, Type typeOfSrc, JsonSerializationContext context) {
                    return new JsonPrimitive("registeredSerializer");
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1105,serializer);
            Gson gson = new GsonBuilder().registerTypeAdapter(A.class, serializer).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1106,gson);
            String json = gson.toJson(new A("abcd"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),319,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1103,json);
            A target = gson.fromJson("aÐbcd", A.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1107,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1104,target.value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * The serializer overrides field adapter, but for deserializer the fieldAdapter is used.
     */
public void testRegisteredSerializerOverridesJsonAdapter_literalMutation1647() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredSerializerOverridesJsonAdapter_literalMutation1647");
            JsonSerializer<A> serializer = new JsonSerializer<A>() {
                public JsonElement serialize(A src, Type typeOfSrc, JsonSerializationContext context) {
                    return new JsonPrimitive("registeredSerializer");
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1105,serializer);
            Gson gson = new GsonBuilder().registerTypeAdapter(A.class, serializer).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1106,gson);
            String json = gson.toJson(new A("abcd"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),319,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1103,json);
            A target = gson.fromJson("acd", A.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1107,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1104,target.value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * The serializer overrides field adapter, but for deserializer the fieldAdapter is used.
     */
@Test(timeout = 1000)
    public void testRegisteredSerializerOverridesJsonAdapter_remove207() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredSerializerOverridesJsonAdapter_remove207");
            JsonSerializer<A> serializer = new JsonSerializer<A>() {
                public JsonElement serialize(A src, Type typeOfSrc, JsonSerializationContext context) {
                    return new JsonPrimitive("registeredSerializer");
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1105,serializer);
            Gson gson = new GsonBuilder().registerTypeAdapter(A.class, serializer).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1106,gson);
            String json = gson.toJson(new A("abcd"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),319,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1103,json);
            A target = gson.fromJson("abcd", A.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1107,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1104,target.value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * The deserializer overrides Json adapter, but for serializer the jsonAdapter is used.
     */
@Test(timeout = 1000)
    public void testRegisteredDeserializerOverridesJsonAdapter_add216() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredDeserializerOverridesJsonAdapter_add216");
            JsonDeserializer<A> deserializer = new JsonDeserializer<A>() {
                public A deserialize(JsonElement json, Type typeOfT, JsonDeserializationContext context) throws JsonParseException {
                    return new A("registeredDeserializer");
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1099,deserializer);
            Gson gson = new GsonBuilder().registerTypeAdapter(A.class, deserializer).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1100,gson);
            String json = gson.toJson(new A("abcd"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1101,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1097,json);
            A target = gson.fromJson("abcd", A.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1102,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1098,target.value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * The deserializer overrides Json adapter, but for serializer the jsonAdapter is used.
     */
public void testRegisteredDeserializerOverridesJsonAdapter() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredDeserializerOverridesJsonAdapter");
            JsonDeserializer<A> deserializer = new JsonDeserializer<A>() {
                public A deserialize(JsonElement json, Type typeOfT, JsonDeserializationContext context) throws JsonParseException {
                    return new A("¶egisteredDeserializer");
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1099,deserializer);
            Gson gson = new GsonBuilder().registerTypeAdapter(A.class, deserializer).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1100,gson);
            String json = gson.toJson(new A("abcd"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1101,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1097,json);
            A target = gson.fromJson("abcd", A.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1102,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1098,target.value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * The deserializer overrides Json adapter, but for serializer the jsonAdapter is used.
     */
public void testRegisteredDeserializerOverridesJsonAdapter_literalMutation1631() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredDeserializerOverridesJsonAdapter_literalMutation1631");
            JsonDeserializer<A> deserializer = new JsonDeserializer<A>() {
                public A deserialize(JsonElement json, Type typeOfT, JsonDeserializationContext context) throws JsonParseException {
                    return new A("reàgisteredDeserializer");
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1099,deserializer);
            Gson gson = new GsonBuilder().registerTypeAdapter(A.class, deserializer).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1100,gson);
            String json = gson.toJson(new A("abcd"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1101,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1097,json);
            A target = gson.fromJson("abcd", A.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1102,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1098,target.value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * The deserializer overrides Json adapter, but for serializer the jsonAdapter is used.
     */
public void testRegisteredDeserializerOverridesJsonAdapter_literalMutation1632() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredDeserializerOverridesJsonAdapter_literalMutation1632");
            JsonDeserializer<A> deserializer = new JsonDeserializer<A>() {
                public A deserialize(JsonElement json, Type typeOfT, JsonDeserializationContext context) throws JsonParseException {
                    return new A("registereDeserializer");
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1099,deserializer);
            Gson gson = new GsonBuilder().registerTypeAdapter(A.class, deserializer).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1100,gson);
            String json = gson.toJson(new A("abcd"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1101,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1097,json);
            A target = gson.fromJson("abcd", A.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1102,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1098,target.value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * The deserializer overrides Json adapter, but for serializer the jsonAdapter is used.
     */
public void testRegisteredDeserializerOverridesJsonAdapter_literalMutation1633() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredDeserializerOverridesJsonAdapter_literalMutation1633");
            JsonDeserializer<A> deserializer = new JsonDeserializer<A>() {
                public A deserialize(JsonElement json, Type typeOfT, JsonDeserializationContext context) throws JsonParseException {
                    return new A("registeredDeserializer");
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1099,deserializer);
            Gson gson = new GsonBuilder().registerTypeAdapter(A.class, deserializer).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1100,gson);
            String json = gson.toJson(new A("¥bcd"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1101,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1097,json);
            A target = gson.fromJson("abcd", A.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1102,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1098,target.value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * The deserializer overrides Json adapter, but for serializer the jsonAdapter is used.
     */
public void testRegisteredDeserializerOverridesJsonAdapter_literalMutation1634() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredDeserializerOverridesJsonAdapter_literalMutation1634");
            JsonDeserializer<A> deserializer = new JsonDeserializer<A>() {
                public A deserialize(JsonElement json, Type typeOfT, JsonDeserializationContext context) throws JsonParseException {
                    return new A("registeredDeserializer");
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1099,deserializer);
            Gson gson = new GsonBuilder().registerTypeAdapter(A.class, deserializer).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1100,gson);
            String json = gson.toJson(new A("abcd"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1101,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1097,json);
            A target = gson.fromJson("abcd", A.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1102,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1098,target.value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * The deserializer overrides Json adapter, but for serializer the jsonAdapter is used.
     */
public void testRegisteredDeserializerOverridesJsonAdapter_literalMutation1635() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredDeserializerOverridesJsonAdapter_literalMutation1635");
            JsonDeserializer<A> deserializer = new JsonDeserializer<A>() {
                public A deserialize(JsonElement json, Type typeOfT, JsonDeserializationContext context) throws JsonParseException {
                    return new A("registeredDeserializer");
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1099,deserializer);
            Gson gson = new GsonBuilder().registerTypeAdapter(A.class, deserializer).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1100,gson);
            String json = gson.toJson(new A("abd"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1101,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1097,json);
            A target = gson.fromJson("abcd", A.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1102,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1098,target.value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * The deserializer overrides Json adapter, but for serializer the jsonAdapter is used.
     */
public void testRegisteredDeserializerOverridesJsonAdapter_literalMutation1636() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredDeserializerOverridesJsonAdapter_literalMutation1636");
            JsonDeserializer<A> deserializer = new JsonDeserializer<A>() {
                public A deserialize(JsonElement json, Type typeOfT, JsonDeserializationContext context) throws JsonParseException {
                    return new A("registeredDeserializer");
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1099,deserializer);
            Gson gson = new GsonBuilder().registerTypeAdapter(A.class, deserializer).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1100,gson);
            String json = gson.toJson(new A("abcd"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1101,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1097,json);
            A target = gson.fromJson("a}cd", A.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1102,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1098,target.value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * The deserializer overrides Json adapter, but for serializer the jsonAdapter is used.
     */
public void testRegisteredDeserializerOverridesJsonAdapter_literalMutation1637() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredDeserializerOverridesJsonAdapter_literalMutation1637");
            JsonDeserializer<A> deserializer = new JsonDeserializer<A>() {
                public A deserialize(JsonElement json, Type typeOfT, JsonDeserializationContext context) throws JsonParseException {
                    return new A("registeredDeserializer");
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1099,deserializer);
            Gson gson = new GsonBuilder().registerTypeAdapter(A.class, deserializer).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1100,gson);
            String json = gson.toJson(new A("abcd"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1101,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1097,json);
            A target = gson.fromJson("a¹bcd", A.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1102,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1098,target.value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * The deserializer overrides Json adapter, but for serializer the jsonAdapter is used.
     */
public void testRegisteredDeserializerOverridesJsonAdapter_literalMutation1638() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredDeserializerOverridesJsonAdapter_literalMutation1638");
            JsonDeserializer<A> deserializer = new JsonDeserializer<A>() {
                public A deserialize(JsonElement json, Type typeOfT, JsonDeserializationContext context) throws JsonParseException {
                    return new A("registeredDeserializer");
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1099,deserializer);
            Gson gson = new GsonBuilder().registerTypeAdapter(A.class, deserializer).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1100,gson);
            String json = gson.toJson(new A("abcd"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1101,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1097,json);
            A target = gson.fromJson("acd", A.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1102,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1098,target.value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * The deserializer overrides Json adapter, but for serializer the jsonAdapter is used.
     */
@Test(timeout = 1000)
    public void testRegisteredDeserializerOverridesJsonAdapter_remove206() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredDeserializerOverridesJsonAdapter_remove206");
            JsonDeserializer<A> deserializer = new JsonDeserializer<A>() {
                public A deserialize(JsonElement json, Type typeOfT, JsonDeserializationContext context) throws JsonParseException {
                    return new A("registeredDeserializer");
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1099,deserializer);
            Gson gson = new GsonBuilder().registerTypeAdapter(A.class, deserializer).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1100,gson);
            String json = gson.toJson(new A("abcd"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1101,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1097,json);
            A target = gson.fromJson("abcd", A.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1102,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1098,target.value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testIncorrectTypeAdapterFails() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testIncorrectTypeAdapterFails");
            try {
                String json = new Gson().toJson(new ClassWithIncorrectJsonAdapter("ïar"));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),73,json);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1078,json);
            } catch (ClassCastException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testIncorrectTypeAdapterFails_literalMutation1601() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testIncorrectTypeAdapterFails_literalMutation1601");
            try {
                String json = new Gson().toJson(new ClassWithIncorrectJsonAdapter("bar"));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),73,json);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1078,json);
            } catch (ClassCastException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testIncorrectTypeAdapterFails_literalMutation1602() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testIncorrectTypeAdapterFails_literalMutation1602");
            try {
                String json = new Gson().toJson(new ClassWithIncorrectJsonAdapter("br"));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),73,json);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1078,json);
            } catch (ClassCastException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSuperclassTypeAdapterNotInvoked() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSuperclassTypeAdapterNotInvoked");
            String json = new Gson().toJson(new B("*ar"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1109,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1108,json.contains("jsonAdapter"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSuperclassTypeAdapterNotInvoked_literalMutation1649() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSuperclassTypeAdapterNotInvoked_literalMutation1649");
            String json = new Gson().toJson(new B("b.ar"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1109,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1108,json.contains("jsonAdapter"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSuperclassTypeAdapterNotInvoked_literalMutation1650() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSuperclassTypeAdapterNotInvoked_literalMutation1650");
            String json = new Gson().toJson(new B("br"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1109,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1108,json.contains("jsonAdapter"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @com.google.gson.annotations.JsonAdapter(value = A.JsonAdapter.class)
    private static class A {
        final String value;

        A(String value) {
            this.value = value;
        }

        static final class JsonAdapter extends TypeAdapter<A> {
            @Override
            public void write(JsonWriter out, A value) throws IOException {
                out.value("jsonAdapter");
            }

            @Override
            public A read(JsonReader in) throws IOException {
                in.nextString();
                return new A("jsonAdapter");
            }
        }
    }

    @com.google.gson.annotations.JsonAdapter(value = C.JsonAdapterFactory.class)
    private static class C {
        final String value;

        C(String value) {
            this.value = value;
        }

        static final class JsonAdapterFactory implements TypeAdapterFactory {
            public <T>TypeAdapter<T> create(Gson gson, final TypeToken<T> type) {
                return new TypeAdapter<T>() {
                    @Override
                    public void write(JsonWriter out, T value) throws IOException {
                        out.value("jsonAdapterFactory");
                    }

                    @SuppressWarnings(value = "unchecked")
                    @Override
                    public T read(JsonReader in) throws IOException {
                        in.nextString();
                        return ((T)(new C("jsonAdapterFactory")));
                    }
                };
            }
        }
    }

    private static final class B extends A {
        B(String value) {
            super(value);
        }
    }

    @com.google.gson.annotations.JsonAdapter(value = A.JsonAdapter.class)
    private static final class ClassWithIncorrectJsonAdapter {
        @SuppressWarnings(value = "unused")
        final String value;

        ClassWithIncorrectJsonAdapter(String value) {
            this.value = value;
        }
    }

    @com.google.gson.annotations.JsonAdapter(value = UserJsonAdapter.class)
    private static class User {
        final String firstName;

        final String lastName;

        User(String firstName ,String lastName) {
            this.firstName = firstName;
            this.lastName = lastName;
        }
    }

    private static class UserJsonAdapter extends TypeAdapter<User> {
        @Override
        public void write(JsonWriter out, User user) throws IOException {
            out.beginObject();
            out.name("name");
            out.value((((user.firstName) + " ") + (user.lastName)));
            out.endObject();
        }

        @Override
        public User read(JsonReader in) throws IOException {
            in.beginObject();
            in.nextName();
            String[] nameParts = in.nextString().split(" ");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1077,nameParts);
            in.endObject();
            return new User(nameParts[0] , nameParts[1]);
        }
    }

    @com.google.gson.annotations.JsonAdapter(value = FooJsonAdapter.class)
    private static enum Foo {
BAR, BAZ;    }

    private static class FooJsonAdapter extends TypeAdapter<Foo> {
        @Override
        public void write(JsonWriter out, Foo value) throws IOException {
            out.value(value.name().toLowerCase(java.util.Locale.US));
        }

        @Override
        public Foo read(JsonReader in) throws IOException {
            return Foo.valueOf(in.nextString().toUpperCase(java.util.Locale.US));
        }
    }
}

