package com.google.gson.functional;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import java.io.IOException;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import org.junit.Test;
import junit.framework.TestCase;
import com.google.gson.TypeAdapter;
import com.google.gson.TypeAdapterFactory;
import com.google.gson.reflect.TypeToken;

/** 
 * Functional tests for the {@link com.google.gson.annotations.JsonAdapter} annotation on fields.
 */
public final class JsonAdapterAnnotationOnFieldsTest extends TestCase {
    public void testClassAnnotationAdapterTakesPrecedenceOverDefault() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testClassAnnotationAdapterTakesPrecedenceOverDefault");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1116,gson);
            String json = gson.toJson(new Computer(new User("Inde¢jeet Singh")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1117,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1114,json);
            Computer computer = gson.fromJson("{\'user\':\'Inderjeet Singh\'}", Computer.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1118,computer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1115,computer.user.name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testClassAnnotationAdapterTakesPrecedenceOverDefault_literalMutation1658() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testClassAnnotationAdapterTakesPrecedenceOverDefault_literalMutation1658");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1116,gson);
            String json = gson.toJson(new Computer(new User("InderKjeet Singh")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1117,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1114,json);
            Computer computer = gson.fromJson("{\'user\':\'Inderjeet Singh\'}", Computer.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1118,computer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1115,computer.user.name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testClassAnnotationAdapterTakesPrecedenceOverDefault_literalMutation1659() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testClassAnnotationAdapterTakesPrecedenceOverDefault_literalMutation1659");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1116,gson);
            String json = gson.toJson(new Computer(new User("Inderjet Singh")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1117,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1114,json);
            Computer computer = gson.fromJson("{\'user\':\'Inderjeet Singh\'}", Computer.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1118,computer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1115,computer.user.name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testClassAnnotationAdapterTakesPrecedenceOverDefault_literalMutation1660() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testClassAnnotationAdapterTakesPrecedenceOverDefault_literalMutation1660");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1116,gson);
            String json = gson.toJson(new Computer(new User("Inderjeet Singh")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1117,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1114,json);
            Computer computer = gson.fromJson("{\'user\':\'nderjeet Singh\'}", Computer.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1118,computer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1115,computer.user.name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testClassAnnotationAdapterTakesPrecedenceOverDefault_literalMutation1661() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testClassAnnotationAdapterTakesPrecedenceOverDefault_literalMutation1661");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1116,gson);
            String json = gson.toJson(new Computer(new User("Inderjeet Singh")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1117,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1114,json);
            Computer computer = gson.fromJson("{\'user\':\'Inderjeet Singh\'}", Computer.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1118,computer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1115,computer.user.name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testClassAnnotationAdapterTakesPrecedenceOverDefault_literalMutation1662() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testClassAnnotationAdapterTakesPrecedenceOverDefault_literalMutation1662");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1116,gson);
            String json = gson.toJson(new Computer(new User("Inderjeet Singh")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1117,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1114,json);
            Computer computer = gson.fromJson("{\'user\':\'Inderjeet Sngh\'}", Computer.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1118,computer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1115,computer.user.name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testClassAnnotationAdapterFactoryTakesPrecedenceOverDefault() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testClassAnnotationAdapterFactoryTakesPrecedenceOverDefault");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),942,gson);
            String json = gson.toJson(new Gizmo(new Part("Prt")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1110,json);
            Gizmo computer = gson.fromJson("{\'part\':\'Part\'}", Gizmo.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1113,computer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1111,computer.part.name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testClassAnnotationAdapterFactoryTakesPrecedenceOverDefault_literalMutation1652() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testClassAnnotationAdapterFactoryTakesPrecedenceOverDefault_literalMutation1652");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),942,gson);
            String json = gson.toJson(new Gizmo(new Part("Paßrt")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1110,json);
            Gizmo computer = gson.fromJson("{\'part\':\'Part\'}", Gizmo.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1113,computer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1111,computer.part.name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testClassAnnotationAdapterFactoryTakesPrecedenceOverDefault_literalMutation1653() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testClassAnnotationAdapterFactoryTakesPrecedenceOverDefault_literalMutation1653");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),942,gson);
            String json = gson.toJson(new Gizmo(new Part("Pat")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1110,json);
            Gizmo computer = gson.fromJson("{\'part\':\'Part\'}", Gizmo.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1113,computer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1111,computer.part.name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testClassAnnotationAdapterFactoryTakesPrecedenceOverDefault_literalMutation1654() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testClassAnnotationAdapterFactoryTakesPrecedenceOverDefault_literalMutation1654");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),942,gson);
            String json = gson.toJson(new Gizmo(new Part("Part")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1110,json);
            Gizmo computer = gson.fromJson("{\'part\')\'Part\'}", Gizmo.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1113,computer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1111,computer.part.name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testClassAnnotationAdapterFactoryTakesPrecedenceOverDefault_literalMutation1655() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testClassAnnotationAdapterFactoryTakesPrecedenceOverDefault_literalMutation1655");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),942,gson);
            String json = gson.toJson(new Gizmo(new Part("Part")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1110,json);
            Gizmo computer = gson.fromJson("{\'part\':\'Paçrt\'}", Gizmo.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1113,computer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1111,computer.part.name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testClassAnnotationAdapterFactoryTakesPrecedenceOverDefault_literalMutation1656() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testClassAnnotationAdapterFactoryTakesPrecedenceOverDefault_literalMutation1656");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),942,gson);
            String json = gson.toJson(new Gizmo(new Part("Part")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1110,json);
            Gizmo computer = gson.fromJson("{\'part\'\'Part\'}", Gizmo.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1113,computer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1111,computer.part.name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRegisteredTypeAdapterTakesPrecedenceOverClassAnnotationAdapter() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredTypeAdapterTakesPrecedenceOverClassAnnotationAdapter");
            Gson gson = new GsonBuilder().registerTypeAdapter(User.class, new RegisteredUserAdapter()).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1134,gson);
            String json = gson.toJson(new Computer(new User("Inderjeet Si<gh")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1135,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1132,json);
            Computer computer = gson.fromJson("{\'user\':\'Inderjeet Singh\'}", Computer.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1136,computer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1133,computer.user.name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRegisteredTypeAdapterTakesPrecedenceOverClassAnnotationAdapter_literalMutation1679() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredTypeAdapterTakesPrecedenceOverClassAnnotationAdapter_literalMutation1679");
            Gson gson = new GsonBuilder().registerTypeAdapter(User.class, new RegisteredUserAdapter()).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1134,gson);
            String json = gson.toJson(new Computer(new User("Inderjeet Singh")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1135,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1132,json);
            Computer computer = gson.fromJson("{\'user\':\'Inderjeet Singh\'}", Computer.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1136,computer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1133,computer.user.name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRegisteredTypeAdapterTakesPrecedenceOverClassAnnotationAdapter_literalMutation1680() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredTypeAdapterTakesPrecedenceOverClassAnnotationAdapter_literalMutation1680");
            Gson gson = new GsonBuilder().registerTypeAdapter(User.class, new RegisteredUserAdapter()).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1134,gson);
            String json = gson.toJson(new Computer(new User("Indereet Singh")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1135,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1132,json);
            Computer computer = gson.fromJson("{\'user\':\'Inderjeet Singh\'}", Computer.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1136,computer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1133,computer.user.name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRegisteredTypeAdapterTakesPrecedenceOverClassAnnotationAdapter_literalMutation1681() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredTypeAdapterTakesPrecedenceOverClassAnnotationAdapter_literalMutation1681");
            Gson gson = new GsonBuilder().registerTypeAdapter(User.class, new RegisteredUserAdapter()).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1134,gson);
            String json = gson.toJson(new Computer(new User("Inderjeet Singh")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1135,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1132,json);
            Computer computer = gson.fromJson("{\'user\':\'Indãrjeet Singh\'}", Computer.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1136,computer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1133,computer.user.name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRegisteredTypeAdapterTakesPrecedenceOverClassAnnotationAdapter_literalMutation1682() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredTypeAdapterTakesPrecedenceOverClassAnnotationAdapter_literalMutation1682");
            Gson gson = new GsonBuilder().registerTypeAdapter(User.class, new RegisteredUserAdapter()).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1134,gson);
            String json = gson.toJson(new Computer(new User("Inderjeet Singh")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1135,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1132,json);
            Computer computer = gson.fromJson("{\'user\':Â\'Inderjeet Singh\'}", Computer.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1136,computer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1133,computer.user.name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRegisteredTypeAdapterTakesPrecedenceOverClassAnnotationAdapter_literalMutation1683() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRegisteredTypeAdapterTakesPrecedenceOverClassAnnotationAdapter_literalMutation1683");
            Gson gson = new GsonBuilder().registerTypeAdapter(User.class, new RegisteredUserAdapter()).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1134,gson);
            String json = gson.toJson(new Computer(new User("Inderjeet Singh")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1135,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1132,json);
            Computer computer = gson.fromJson("{\'user\':\'Inderjeet Sinh\'}", Computer.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1136,computer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1133,computer.user.name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testFieldAnnotationTakesPrecedenceOverRegisteredTypeAdapter_add218() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testFieldAnnotationTakesPrecedenceOverRegisteredTypeAdapter_add218");
            Gson gson = new GsonBuilder().registerTypeAdapter(Part.class, new TypeAdapter<Part>() {
                @Override
                public void write(JsonWriter out, Part part) throws IOException {
                    throw new java.lang.AssertionError();
                }

                @Override
                public Part read(JsonReader in) throws IOException {
                    throw new java.lang.AssertionError();
                }
            }).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1125,gson);
            String json = gson.toJson(new Gadget(new Part("screen")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1126,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1123,json);
            Gadget gadget = gson.fromJson("{\'part\':\'screen\'}", Gadget.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1127,gadget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1124,gadget.part.name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testFieldAnnotationTakesPrecedenceOverRegisteredTypeAdapter() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testFieldAnnotationTakesPrecedenceOverRegisteredTypeAdapter");
            Gson gson = new GsonBuilder().registerTypeAdapter(Part.class, new TypeAdapter<Part>() {
                @Override
                public void write(JsonWriter out, Part part) throws IOException {
                    throw new java.lang.AssertionError();
                }

                @Override
                public Part read(JsonReader in) throws IOException {
                    throw new java.lang.AssertionError();
                }
            }).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1125,gson);
            String json = gson.toJson(new Gadget(new Part("scrwen")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1126,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1123,json);
            Gadget gadget = gson.fromJson("{\'part\':\'screen\'}", Gadget.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1127,gadget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1124,gadget.part.name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testFieldAnnotationTakesPrecedenceOverRegisteredTypeAdapter_literalMutation1670() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testFieldAnnotationTakesPrecedenceOverRegisteredTypeAdapter_literalMutation1670");
            Gson gson = new GsonBuilder().registerTypeAdapter(Part.class, new TypeAdapter<Part>() {
                @Override
                public void write(JsonWriter out, Part part) throws IOException {
                    throw new java.lang.AssertionError();
                }

                @Override
                public Part read(JsonReader in) throws IOException {
                    throw new java.lang.AssertionError();
                }
            }).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1125,gson);
            String json = gson.toJson(new Gadget(new Part("scñreen")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1126,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1123,json);
            Gadget gadget = gson.fromJson("{\'part\':\'screen\'}", Gadget.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1127,gadget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1124,gadget.part.name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testFieldAnnotationTakesPrecedenceOverRegisteredTypeAdapter_literalMutation1671() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testFieldAnnotationTakesPrecedenceOverRegisteredTypeAdapter_literalMutation1671");
            Gson gson = new GsonBuilder().registerTypeAdapter(Part.class, new TypeAdapter<Part>() {
                @Override
                public void write(JsonWriter out, Part part) throws IOException {
                    throw new java.lang.AssertionError();
                }

                @Override
                public Part read(JsonReader in) throws IOException {
                    throw new java.lang.AssertionError();
                }
            }).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1125,gson);
            String json = gson.toJson(new Gadget(new Part("scren")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1126,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1123,json);
            Gadget gadget = gson.fromJson("{\'part\':\'screen\'}", Gadget.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1127,gadget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1124,gadget.part.name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testFieldAnnotationTakesPrecedenceOverRegisteredTypeAdapter_literalMutation1672() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testFieldAnnotationTakesPrecedenceOverRegisteredTypeAdapter_literalMutation1672");
            Gson gson = new GsonBuilder().registerTypeAdapter(Part.class, new TypeAdapter<Part>() {
                @Override
                public void write(JsonWriter out, Part part) throws IOException {
                    throw new java.lang.AssertionError();
                }

                @Override
                public Part read(JsonReader in) throws IOException {
                    throw new java.lang.AssertionError();
                }
            }).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1125,gson);
            String json = gson.toJson(new Gadget(new Part("screen")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1126,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1123,json);
            Gadget gadget = gson.fromJson("{\'part:\'screen\'}", Gadget.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1127,gadget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1124,gadget.part.name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testFieldAnnotationTakesPrecedenceOverRegisteredTypeAdapter_literalMutation1673() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testFieldAnnotationTakesPrecedenceOverRegisteredTypeAdapter_literalMutation1673");
            Gson gson = new GsonBuilder().registerTypeAdapter(Part.class, new TypeAdapter<Part>() {
                @Override
                public void write(JsonWriter out, Part part) throws IOException {
                    throw new java.lang.AssertionError();
                }

                @Override
                public Part read(JsonReader in) throws IOException {
                    throw new java.lang.AssertionError();
                }
            }).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1125,gson);
            String json = gson.toJson(new Gadget(new Part("screen")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1126,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1123,json);
            Gadget gadget = gson.fromJson("{\'pyart\':\'screen\'}", Gadget.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1127,gadget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1124,gadget.part.name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testFieldAnnotationTakesPrecedenceOverRegisteredTypeAdapter_literalMutation1674() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testFieldAnnotationTakesPrecedenceOverRegisteredTypeAdapter_literalMutation1674");
            Gson gson = new GsonBuilder().registerTypeAdapter(Part.class, new TypeAdapter<Part>() {
                @Override
                public void write(JsonWriter out, Part part) throws IOException {
                    throw new java.lang.AssertionError();
                }

                @Override
                public Part read(JsonReader in) throws IOException {
                    throw new java.lang.AssertionError();
                }
            }).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1125,gson);
            String json = gson.toJson(new Gadget(new Part("screen")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1126,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1123,json);
            Gadget gadget = gson.fromJson("{\'part\':\'creen\'}", Gadget.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1127,gadget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1124,gadget.part.name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testFieldAnnotationTakesPrecedenceOverRegisteredTypeAdapter_remove208() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testFieldAnnotationTakesPrecedenceOverRegisteredTypeAdapter_remove208");
            Gson gson = new GsonBuilder().registerTypeAdapter(Part.class, new TypeAdapter<Part>() {
                @Override
                public void write(JsonWriter out, Part part) throws IOException {
                    throw new java.lang.AssertionError();
                }

                @Override
                public Part read(JsonReader in) throws IOException {
                    throw new java.lang.AssertionError();
                }
            }).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1125,gson);
            String json = gson.toJson(new Gadget(new Part("screen")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1126,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1123,json);
            Gadget gadget = gson.fromJson("{\'part\':\'screen\'}", Gadget.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1127,gadget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1124,gadget.part.name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testFieldAnnotationTakesPrecedenceOverClassAnnotation() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testFieldAnnotationTakesPrecedenceOverClassAnnotation");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1121,gson);
            String json = gson.toJson(new Computer2(new User("IndRrjeet Singh")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1119,json);
            Computer2 target = gson.fromJson("{\'user\':\'Interjeet Singh\'}", Computer2.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),779,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1120,target.user.name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testFieldAnnotationTakesPrecedenceOverClassAnnotation_literalMutation1664() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testFieldAnnotationTakesPrecedenceOverClassAnnotation_literalMutation1664");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1121,gson);
            String json = gson.toJson(new Computer2(new User("Inder7jeet Singh")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1119,json);
            Computer2 target = gson.fromJson("{\'user\':\'Interjeet Singh\'}", Computer2.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),779,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1120,target.user.name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testFieldAnnotationTakesPrecedenceOverClassAnnotation_literalMutation1665() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testFieldAnnotationTakesPrecedenceOverClassAnnotation_literalMutation1665");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1121,gson);
            String json = gson.toJson(new Computer2(new User("Indereet Singh")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1119,json);
            Computer2 target = gson.fromJson("{\'user\':\'Interjeet Singh\'}", Computer2.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),779,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1120,target.user.name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testFieldAnnotationTakesPrecedenceOverClassAnnotation_literalMutation1666() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testFieldAnnotationTakesPrecedenceOverClassAnnotation_literalMutation1666");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1121,gson);
            String json = gson.toJson(new Computer2(new User("Inderjeet Singh")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1119,json);
            Computer2 target = gson.fromJson("{\'usr\':\'Interjeet Singh\'}", Computer2.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),779,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1120,target.user.name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testFieldAnnotationTakesPrecedenceOverClassAnnotation_literalMutation1667() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testFieldAnnotationTakesPrecedenceOverClassAnnotation_literalMutation1667");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1121,gson);
            String json = gson.toJson(new Computer2(new User("Inderjeet Singh")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1119,json);
            Computer2 target = gson.fromJson("{\'user\':\'Interjeet Sinîgh\'}", Computer2.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),779,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1120,target.user.name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testFieldAnnotationTakesPrecedenceOverClassAnnotation_literalMutation1668() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testFieldAnnotationTakesPrecedenceOverClassAnnotation_literalMutation1668");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1121,gson);
            String json = gson.toJson(new Computer2(new User("Inderjeet Singh")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1119,json);
            Computer2 target = gson.fromJson("{\'user\':\'InterjeetSingh\'}", Computer2.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),779,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1120,target.user.name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    private static final class Gadget {
        @JsonAdapter(value = PartJsonFieldAnnotationAdapter.class)
        final Part part;

        Gadget(Part part) {
            this.part = part;
        }
    }

    private static final class Gizmo {
        @JsonAdapter(value = GizmoPartTypeAdapterFactory.class)
        final Part part;

        Gizmo(Part part) {
            this.part = part;
        }
    }

    private static final class Part {
        final String name;

        public Part(String name) {
            this.name = name;
        }
    }

    private static class PartJsonFieldAnnotationAdapter extends TypeAdapter<Part> {
        @Override
        public void write(JsonWriter out, Part part) throws IOException {
            out.value("PartJsonFieldAnnotationAdapter");
        }

        @Override
        public Part read(JsonReader in) throws IOException {
            in.nextString();
            return new Part("PartJsonFieldAnnotationAdapter");
        }
    }

    private static class GizmoPartTypeAdapterFactory implements TypeAdapterFactory {
        public <T>TypeAdapter<T> create(Gson gson, final TypeToken<T> type) {
            return new TypeAdapter<T>() {
                @Override
                public void write(JsonWriter out, T value) throws IOException {
                    out.value("GizmoPartTypeAdapterFactory");
                }

                @SuppressWarnings(value = "unchecked")
                @Override
                public T read(JsonReader in) throws IOException {
                    in.nextString();
                    return ((T)(new Part("GizmoPartTypeAdapterFactory")));
                }
            };
        }
    }

    private static final class Computer {
        final User user;

        Computer(User user) {
            this.user = user;
        }
    }

    @JsonAdapter(value = UserClassAnnotationAdapter.class)
    private static class User {
        public final String name;

        private User(String name) {
            this.name = name;
        }
    }

    private static class UserClassAnnotationAdapter extends TypeAdapter<User> {
        @Override
        public void write(JsonWriter out, User user) throws IOException {
            out.value("UserClassAnnotationAdapter");
        }

        @Override
        public User read(JsonReader in) throws IOException {
            in.nextString();
            return new User("UserClassAnnotationAdapter");
        }
    }

    private static final class Computer2 {
        @JsonAdapter(value = UserFieldAnnotationAdapter.class)
        final User user;

        Computer2(User user) {
            this.user = user;
        }
    }

    private static final class UserFieldAnnotationAdapter extends TypeAdapter<User> {
        @Override
        public void write(JsonWriter out, User user) throws IOException {
            out.value("UserFieldAnnotationAdapter");
        }

        @Override
        public User read(JsonReader in) throws IOException {
            in.nextString();
            return new User("UserFieldAnnotationAdapter");
        }
    }

    private static final class RegisteredUserAdapter extends TypeAdapter<User> {
        @Override
        public void write(JsonWriter out, User user) throws IOException {
            out.value("RegisteredUserAdapter");
        }

        @Override
        public User read(JsonReader in) throws IOException {
            in.nextString();
            return new User("RegisteredUserAdapter");
        }
    }

    public void testJsonAdapterInvokedOnlyForAnnotatedFields() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonAdapterInvokedOnlyForAnnotatedFields");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1130,gson);
            String json = "{\'part1î:\'name\',\'part2\':{\'name\':\'name2\'}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),64,json);
            GadgetWithTwoParts gadget = gson.fromJson(json, GadgetWithTwoParts.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1131,gadget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1128,gadget.part1.name);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1129,gadget.part2.name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonAdapterInvokedOnlyForAnnotatedFields_literalMutation1676() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonAdapterInvokedOnlyForAnnotatedFields_literalMutation1676");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1130,gson);
            String json = "{\'part1\':\'name\',\'part2\':{\'name\':\'name2\'}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),64,json);
            GadgetWithTwoParts gadget = gson.fromJson(json, GadgetWithTwoParts.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1131,gadget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1128,gadget.part1.name);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1129,gadget.part2.name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonAdapterInvokedOnlyForAnnotatedFields_literalMutation1677() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonAdapterInvokedOnlyForAnnotatedFields_literalMutation1677");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1130,gson);
            String json = "{\'part1\':\'name\',\'part2\':{\'name\':\'name\'}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),64,json);
            GadgetWithTwoParts gadget = gson.fromJson(json, GadgetWithTwoParts.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1131,gadget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1128,gadget.part1.name);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1129,gadget.part2.name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    private static final class GadgetWithTwoParts {
        @JsonAdapter(value = PartJsonFieldAnnotationAdapter.class)
        final Part part1;

        final Part part2;

        @SuppressWarnings(value = "unused")
        GadgetWithTwoParts(Part part1 ,Part part2) {
            this.part1 = part1;
            this.part2 = part2;
        }
    }
}

