package com.google.gson.functional;

import com.google.gson.Gson;
import com.google.gson.JsonElement;
import com.google.gson.JsonObject;
import com.google.gson.JsonPrimitive;
import java.util.Map;
import java.util.Set;
import org.junit.Test;
import junit.framework.TestCase;
import com.google.gson.common.TestTypes;

/** 
 * Functional tests for {@link Gson#toJsonTree(Object)} and
 * {@link Gson#toJsonTree(Object, java.lang.reflect.Type)}
 * 
 * @author Inderjeet Singh
 * @author Joel Leitch
 */
public class JsonTreeTest extends TestCase {
    private Gson gson;

    @Override
    protected void setUp() throws Exception {
        super.setUp();
        gson = new Gson();
        fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1162,gson);
    }

    @Test(timeout = 1000)
    public void testToJsonTree_add242() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTree_add242");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10L , 5 , false , "foo");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1179,bag);
            JsonElement json = gson.toJsonTree(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1180,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1177,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1181,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1182,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1178,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testToJsonTree_add243() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTree_add243");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10L , 5 , false , "foo");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1179,bag);
            JsonElement json = gson.toJsonTree(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1180,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1177,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1181,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1182,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1178,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testToJsonTree_add244() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTree_add244");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10L , 5 , false , "foo");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1179,bag);
            JsonElement json = gson.toJsonTree(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1180,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1177,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1181,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1182,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1178,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testToJsonTree_add245() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTree_add245");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10L , 5 , false , "foo");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1179,bag);
            JsonElement json = gson.toJsonTree(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1180,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1177,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1181,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1182,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1178,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTree() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTree");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(9L , 5 , false , "foo");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1179,bag);
            JsonElement json = gson.toJsonTree(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1180,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1177,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1181,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1182,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1178,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTree_literalMutation1805() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTree_literalMutation1805");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(5L , 5 , false , "foo");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1179,bag);
            JsonElement json = gson.toJsonTree(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1180,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1177,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1181,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1182,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1178,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTree_literalMutation1806() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTree_literalMutation1806");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(20L , 5 , false , "foo");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1179,bag);
            JsonElement json = gson.toJsonTree(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1180,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1177,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1181,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1182,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1178,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTree_literalMutation1807() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTree_literalMutation1807");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(11L , 5 , false , "foo");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1179,bag);
            JsonElement json = gson.toJsonTree(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1180,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1177,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1181,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1182,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1178,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTree_literalMutation1809() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTree_literalMutation1809");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10L , 4 , false , "foo");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1179,bag);
            JsonElement json = gson.toJsonTree(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1180,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1177,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1181,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1182,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1178,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTree_literalMutation1810() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTree_literalMutation1810");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10L , 2 , false , "foo");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1179,bag);
            JsonElement json = gson.toJsonTree(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1180,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1177,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1181,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1182,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1178,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTree_literalMutation1811() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTree_literalMutation1811");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10L , 10 , false , "foo");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1179,bag);
            JsonElement json = gson.toJsonTree(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1180,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1177,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1181,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1182,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1178,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTree_literalMutation1812() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTree_literalMutation1812");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10L , 6 , false , "foo");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1179,bag);
            JsonElement json = gson.toJsonTree(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1180,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1177,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1181,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1182,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1178,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTree_literalMutation1814() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTree_literalMutation1814");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10L , 5 , true , "foo");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1179,bag);
            JsonElement json = gson.toJsonTree(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1180,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1177,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1181,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1182,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1178,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTree_literalMutation1815() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTree_literalMutation1815");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10L , 5 , false , "Éoo");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1179,bag);
            JsonElement json = gson.toJsonTree(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1180,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1177,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1181,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1182,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1178,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTree_literalMutation1816() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTree_literalMutation1816");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10L , 5 , false , "fáoo");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1179,bag);
            JsonElement json = gson.toJsonTree(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1180,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1177,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1181,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1182,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1178,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTree_literalMutation1817() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTree_literalMutation1817");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10L , 5 , false , "fo");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1179,bag);
            JsonElement json = gson.toJsonTree(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1180,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1177,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1181,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1182,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1178,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTree_literalMutation1818() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTree_literalMutation1818");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10L , 5 , false , "foo");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1179,bag);
            JsonElement json = gson.toJsonTree(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1180,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1177,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1181,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1182,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1178,children.size());
            assertContains(obj, new JsonPrimitive(9L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTree_literalMutation1819() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTree_literalMutation1819");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10L , 5 , false , "foo");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1179,bag);
            JsonElement json = gson.toJsonTree(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1180,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1177,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1181,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1182,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1178,children.size());
            assertContains(obj, new JsonPrimitive(5L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTree_literalMutation1820() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTree_literalMutation1820");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10L , 5 , false , "foo");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1179,bag);
            JsonElement json = gson.toJsonTree(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1180,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1177,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1181,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1182,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1178,children.size());
            assertContains(obj, new JsonPrimitive(20L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTree_literalMutation1821() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTree_literalMutation1821");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10L , 5 , false , "foo");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1179,bag);
            JsonElement json = gson.toJsonTree(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1180,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1177,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1181,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1182,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1178,children.size());
            assertContains(obj, new JsonPrimitive(11L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTree_literalMutation1823() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTree_literalMutation1823");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10L , 5 , false , "foo");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1179,bag);
            JsonElement json = gson.toJsonTree(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1180,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1177,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1181,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1182,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1178,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(4));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTree_literalMutation1824() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTree_literalMutation1824");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10L , 5 , false , "foo");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1179,bag);
            JsonElement json = gson.toJsonTree(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1180,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1177,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1181,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1182,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1178,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(2));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTree_literalMutation1825() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTree_literalMutation1825");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10L , 5 , false , "foo");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1179,bag);
            JsonElement json = gson.toJsonTree(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1180,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1177,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1181,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1182,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1178,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(10));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTree_literalMutation1826() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTree_literalMutation1826");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10L , 5 , false , "foo");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1179,bag);
            JsonElement json = gson.toJsonTree(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1180,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1177,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1181,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1182,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1178,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(6));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTree_literalMutation1828() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTree_literalMutation1828");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10L , 5 , false , "foo");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1179,bag);
            JsonElement json = gson.toJsonTree(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1180,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1177,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1181,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1182,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1178,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(true));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTree_literalMutation1829() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTree_literalMutation1829");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10L , 5 , false , "foo");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1179,bag);
            JsonElement json = gson.toJsonTree(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1180,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1177,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1181,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1182,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1178,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("Èoo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTree_literalMutation1830() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTree_literalMutation1830");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10L , 5 , false , "foo");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1179,bag);
            JsonElement json = gson.toJsonTree(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1180,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1177,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1181,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1182,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1178,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("füoo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTree_literalMutation1831() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTree_literalMutation1831");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10L , 5 , false , "foo");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1179,bag);
            JsonElement json = gson.toJsonTree(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1180,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1177,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1181,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1182,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1178,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("fo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testToJsonTree_remove227() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTree_remove227");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10L , 5 , false , "foo");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1179,bag);
            JsonElement json = gson.toJsonTree(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1180,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1177,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1181,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1182,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1178,children.size());
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testToJsonTree_remove228() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTree_remove228");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10L , 5 , false , "foo");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1179,bag);
            JsonElement json = gson.toJsonTree(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1180,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1177,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1181,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1182,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1178,children.size());
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testToJsonTree_remove229() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTree_remove229");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10L , 5 , false , "foo");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1179,bag);
            JsonElement json = gson.toJsonTree(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1180,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1177,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1181,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1182,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1178,children.size());
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testToJsonTree_remove230() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTree_remove230");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10L , 5 , false , "foo");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1179,bag);
            JsonElement json = gson.toJsonTree(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1180,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1177,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1181,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1182,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1178,children.size());
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testToJsonTreeObjectType_add246() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTreeObjectType_add246");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 5 , false , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1174,bag);
            JsonElement json = gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1172,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1175,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1176,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1173,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testToJsonTreeObjectType_add247() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTreeObjectType_add247");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 5 , false , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1174,bag);
            JsonElement json = gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1172,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1175,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1176,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1173,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testToJsonTreeObjectType_add248() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTreeObjectType_add248");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 5 , false , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1174,bag);
            JsonElement json = gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1172,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1175,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1176,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1173,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testToJsonTreeObjectType_add249() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTreeObjectType_add249");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 5 , false , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1174,bag);
            JsonElement json = gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1172,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1175,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1176,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1173,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTreeObjectType() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTreeObjectType");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(9L , 5 , false , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1174,bag);
            JsonElement json = gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1172,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1175,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1176,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1173,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTreeObjectType_literalMutation1833() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTreeObjectType_literalMutation1833");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(5L , 5 , false , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1174,bag);
            JsonElement json = gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1172,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1175,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1176,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1173,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTreeObjectType_literalMutation1834() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTreeObjectType_literalMutation1834");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(20L , 5 , false , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1174,bag);
            JsonElement json = gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1172,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1175,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1176,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1173,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTreeObjectType_literalMutation1835() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTreeObjectType_literalMutation1835");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(11L , 5 , false , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1174,bag);
            JsonElement json = gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1172,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1175,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1176,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1173,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTreeObjectType_literalMutation1837() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTreeObjectType_literalMutation1837");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 4 , false , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1174,bag);
            JsonElement json = gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1172,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1175,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1176,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1173,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTreeObjectType_literalMutation1838() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTreeObjectType_literalMutation1838");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 2 , false , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1174,bag);
            JsonElement json = gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1172,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1175,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1176,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1173,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTreeObjectType_literalMutation1839() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTreeObjectType_literalMutation1839");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 10 , false , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1174,bag);
            JsonElement json = gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1172,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1175,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1176,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1173,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTreeObjectType_literalMutation1840() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTreeObjectType_literalMutation1840");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 6 , false , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1174,bag);
            JsonElement json = gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1172,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1175,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1176,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1173,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTreeObjectType_literalMutation1842() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTreeObjectType_literalMutation1842");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 5 , true , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1174,bag);
            JsonElement json = gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1172,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1175,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1176,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1173,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTreeObjectType_literalMutation1843() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTreeObjectType_literalMutation1843");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 5 , false , "üoo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1174,bag);
            JsonElement json = gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1172,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1175,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1176,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1173,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTreeObjectType_literalMutation1844() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTreeObjectType_literalMutation1844");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 5 , false , "f!oo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1174,bag);
            JsonElement json = gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1172,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1175,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1176,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1173,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTreeObjectType_literalMutation1845() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTreeObjectType_literalMutation1845");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 5 , false , "fo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1174,bag);
            JsonElement json = gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1172,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1175,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1176,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1173,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTreeObjectType_literalMutation1846() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTreeObjectType_literalMutation1846");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 5 , false , "foo" , 2.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1174,bag);
            JsonElement json = gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1172,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1175,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1176,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1173,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTreeObjectType_literalMutation1847() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTreeObjectType_literalMutation1847");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 5 , false , "foo" , 0.39999998F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1174,bag);
            JsonElement json = gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1172,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1175,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1176,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1173,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTreeObjectType_literalMutation1848() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTreeObjectType_literalMutation1848");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 5 , false , "foo" , 0.7F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1174,bag);
            JsonElement json = gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1172,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1175,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1176,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1173,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTreeObjectType_literalMutation1849() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTreeObjectType_literalMutation1849");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 5 , false , "foo" , 2.8F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1174,bag);
            JsonElement json = gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1172,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1175,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1176,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1173,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTreeObjectType_literalMutation1851() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTreeObjectType_literalMutation1851");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 5 , false , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1174,bag);
            JsonElement json = gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1172,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1175,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1176,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1173,children.size());
            assertContains(obj, new JsonPrimitive(9L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTreeObjectType_literalMutation1852() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTreeObjectType_literalMutation1852");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 5 , false , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1174,bag);
            JsonElement json = gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1172,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1175,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1176,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1173,children.size());
            assertContains(obj, new JsonPrimitive(5L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTreeObjectType_literalMutation1853() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTreeObjectType_literalMutation1853");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 5 , false , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1174,bag);
            JsonElement json = gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1172,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1175,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1176,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1173,children.size());
            assertContains(obj, new JsonPrimitive(20L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTreeObjectType_literalMutation1854() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTreeObjectType_literalMutation1854");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 5 , false , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1174,bag);
            JsonElement json = gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1172,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1175,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1176,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1173,children.size());
            assertContains(obj, new JsonPrimitive(11L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTreeObjectType_literalMutation1856() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTreeObjectType_literalMutation1856");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 5 , false , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1174,bag);
            JsonElement json = gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1172,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1175,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1176,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1173,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(4));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTreeObjectType_literalMutation1857() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTreeObjectType_literalMutation1857");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 5 , false , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1174,bag);
            JsonElement json = gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1172,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1175,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1176,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1173,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(2));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTreeObjectType_literalMutation1858() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTreeObjectType_literalMutation1858");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 5 , false , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1174,bag);
            JsonElement json = gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1172,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1175,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1176,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1173,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(10));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTreeObjectType_literalMutation1859() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTreeObjectType_literalMutation1859");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 5 , false , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1174,bag);
            JsonElement json = gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1172,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1175,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1176,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1173,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(6));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTreeObjectType_literalMutation1861() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTreeObjectType_literalMutation1861");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 5 , false , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1174,bag);
            JsonElement json = gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1172,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1175,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1176,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1173,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(true));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTreeObjectType_literalMutation1862() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTreeObjectType_literalMutation1862");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 5 , false , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1174,bag);
            JsonElement json = gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1172,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1175,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1176,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1173,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("ãoo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTreeObjectType_literalMutation1863() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTreeObjectType_literalMutation1863");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 5 , false , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1174,bag);
            JsonElement json = gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1172,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1175,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1176,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1173,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("fÚoo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testToJsonTreeObjectType_literalMutation1864() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTreeObjectType_literalMutation1864");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 5 , false , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1174,bag);
            JsonElement json = gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1172,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1175,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1176,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1173,children.size());
            assertContains(obj, new JsonPrimitive(10L));
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("fo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testToJsonTreeObjectType_remove231() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTreeObjectType_remove231");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 5 , false , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1174,bag);
            JsonElement json = gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1172,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1175,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1176,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1173,children.size());
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testToJsonTreeObjectType_remove232() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTreeObjectType_remove232");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 5 , false , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1174,bag);
            JsonElement json = gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1172,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1175,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1176,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1173,children.size());
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testToJsonTreeObjectType_remove233() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTreeObjectType_remove233");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 5 , false , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1174,bag);
            JsonElement json = gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1172,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1175,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1176,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1173,children.size());
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testToJsonTreeObjectType_remove234() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testToJsonTreeObjectType_remove234");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 5 , false , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1174,bag);
            JsonElement json = gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1172,json.isJsonObject());
            JsonObject obj = json.getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1175,obj);
            Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> children = obj.entrySet();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1176,children);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1173,children.size());
            assertContains(obj, new JsonPrimitive(5));
            assertContains(obj, new JsonPrimitive(false));
            assertContains(obj, new JsonPrimitive("foo"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonTreeToString() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonTreeToString");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(9L , 5 , false , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1168,bag);
            String json1 = gson.toJson(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1169,json1);
            JsonElement jsonElement = gson.toJsonTree(bag, SubTypeOfBagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1170,jsonElement);
            String json2 = gson.toJson(jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1171,json2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1166,json1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1167,json2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonTreeToString_literalMutation1786() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonTreeToString_literalMutation1786");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(5L , 5 , false , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1168,bag);
            String json1 = gson.toJson(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1169,json1);
            JsonElement jsonElement = gson.toJsonTree(bag, SubTypeOfBagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1170,jsonElement);
            String json2 = gson.toJson(jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1171,json2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1166,json1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1167,json2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonTreeToString_literalMutation1787() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonTreeToString_literalMutation1787");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(20L , 5 , false , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1168,bag);
            String json1 = gson.toJson(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1169,json1);
            JsonElement jsonElement = gson.toJsonTree(bag, SubTypeOfBagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1170,jsonElement);
            String json2 = gson.toJson(jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1171,json2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1166,json1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1167,json2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonTreeToString_literalMutation1788() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonTreeToString_literalMutation1788");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(11L , 5 , false , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1168,bag);
            String json1 = gson.toJson(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1169,json1);
            JsonElement jsonElement = gson.toJsonTree(bag, SubTypeOfBagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1170,jsonElement);
            String json2 = gson.toJson(jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1171,json2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1166,json1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1167,json2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonTreeToString_literalMutation1790() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonTreeToString_literalMutation1790");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 4 , false , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1168,bag);
            String json1 = gson.toJson(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1169,json1);
            JsonElement jsonElement = gson.toJsonTree(bag, SubTypeOfBagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1170,jsonElement);
            String json2 = gson.toJson(jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1171,json2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1166,json1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1167,json2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonTreeToString_literalMutation1791() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonTreeToString_literalMutation1791");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 2 , false , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1168,bag);
            String json1 = gson.toJson(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1169,json1);
            JsonElement jsonElement = gson.toJsonTree(bag, SubTypeOfBagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1170,jsonElement);
            String json2 = gson.toJson(jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1171,json2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1166,json1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1167,json2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonTreeToString_literalMutation1792() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonTreeToString_literalMutation1792");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 10 , false , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1168,bag);
            String json1 = gson.toJson(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1169,json1);
            JsonElement jsonElement = gson.toJsonTree(bag, SubTypeOfBagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1170,jsonElement);
            String json2 = gson.toJson(jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1171,json2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1166,json1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1167,json2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonTreeToString_literalMutation1793() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonTreeToString_literalMutation1793");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 6 , false , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1168,bag);
            String json1 = gson.toJson(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1169,json1);
            JsonElement jsonElement = gson.toJsonTree(bag, SubTypeOfBagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1170,jsonElement);
            String json2 = gson.toJson(jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1171,json2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1166,json1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1167,json2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonTreeToString_literalMutation1795() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonTreeToString_literalMutation1795");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 5 , true , "foo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1168,bag);
            String json1 = gson.toJson(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1169,json1);
            JsonElement jsonElement = gson.toJsonTree(bag, SubTypeOfBagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1170,jsonElement);
            String json2 = gson.toJson(jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1171,json2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1166,json1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1167,json2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonTreeToString_literalMutation1796() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonTreeToString_literalMutation1796");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 5 , false , "too" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1168,bag);
            String json1 = gson.toJson(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1169,json1);
            JsonElement jsonElement = gson.toJsonTree(bag, SubTypeOfBagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1170,jsonElement);
            String json2 = gson.toJson(jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1171,json2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1166,json1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1167,json2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonTreeToString_literalMutation1797() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonTreeToString_literalMutation1797");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 5 , false , "fÎoo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1168,bag);
            String json1 = gson.toJson(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1169,json1);
            JsonElement jsonElement = gson.toJsonTree(bag, SubTypeOfBagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1170,jsonElement);
            String json2 = gson.toJson(jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1171,json2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1166,json1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1167,json2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonTreeToString_literalMutation1798() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonTreeToString_literalMutation1798");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 5 , false , "fo" , 1.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1168,bag);
            String json1 = gson.toJson(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1169,json1);
            JsonElement jsonElement = gson.toJsonTree(bag, SubTypeOfBagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1170,jsonElement);
            String json2 = gson.toJson(jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1171,json2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1166,json1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1167,json2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonTreeToString_literalMutation1799() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonTreeToString_literalMutation1799");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 5 , false , "foo" , 2.4F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1168,bag);
            String json1 = gson.toJson(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1169,json1);
            JsonElement jsonElement = gson.toJsonTree(bag, SubTypeOfBagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1170,jsonElement);
            String json2 = gson.toJson(jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1171,json2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1166,json1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1167,json2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonTreeToString_literalMutation1800() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonTreeToString_literalMutation1800");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 5 , false , "foo" , 0.39999998F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1168,bag);
            String json1 = gson.toJson(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1169,json1);
            JsonElement jsonElement = gson.toJsonTree(bag, SubTypeOfBagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1170,jsonElement);
            String json2 = gson.toJson(jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1171,json2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1166,json1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1167,json2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonTreeToString_literalMutation1801() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonTreeToString_literalMutation1801");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 5 , false , "foo" , 0.7F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1168,bag);
            String json1 = gson.toJson(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1169,json1);
            JsonElement jsonElement = gson.toJsonTree(bag, SubTypeOfBagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1170,jsonElement);
            String json2 = gson.toJson(jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1171,json2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1166,json1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1167,json2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonTreeToString_literalMutation1802() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonTreeToString_literalMutation1802");
            SubTypeOfBagOfPrimitives bag = new SubTypeOfBagOfPrimitives(10L , 5 , false , "foo" , 2.8F);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1168,bag);
            String json1 = gson.toJson(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1169,json1);
            JsonElement jsonElement = gson.toJsonTree(bag, SubTypeOfBagOfPrimitives.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1170,jsonElement);
            String json2 = gson.toJson(jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1171,json2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1166,json1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1167,json2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonTreeNull() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonTreeNull");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(9L , 5 , false , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1164,bag);
            JsonObject jsonElement = ((JsonObject)(gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class)));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1165,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1163,jsonElement.has("stringValue"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonTreeNull_literalMutation1774() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonTreeNull_literalMutation1774");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(5L , 5 , false , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1164,bag);
            JsonObject jsonElement = ((JsonObject)(gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class)));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1165,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1163,jsonElement.has("stringValue"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonTreeNull_literalMutation1775() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonTreeNull_literalMutation1775");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(20L , 5 , false , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1164,bag);
            JsonObject jsonElement = ((JsonObject)(gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class)));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1165,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1163,jsonElement.has("stringValue"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonTreeNull_literalMutation1776() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonTreeNull_literalMutation1776");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(11L , 5 , false , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1164,bag);
            JsonObject jsonElement = ((JsonObject)(gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class)));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1165,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1163,jsonElement.has("stringValue"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonTreeNull_literalMutation1778() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonTreeNull_literalMutation1778");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10L , 4 , false , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1164,bag);
            JsonObject jsonElement = ((JsonObject)(gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class)));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1165,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1163,jsonElement.has("stringValue"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonTreeNull_literalMutation1779() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonTreeNull_literalMutation1779");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10L , 2 , false , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1164,bag);
            JsonObject jsonElement = ((JsonObject)(gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class)));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1165,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1163,jsonElement.has("stringValue"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonTreeNull_literalMutation1780() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonTreeNull_literalMutation1780");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10L , 10 , false , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1164,bag);
            JsonObject jsonElement = ((JsonObject)(gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class)));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1165,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1163,jsonElement.has("stringValue"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonTreeNull_literalMutation1781() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonTreeNull_literalMutation1781");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10L , 6 , false , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1164,bag);
            JsonObject jsonElement = ((JsonObject)(gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class)));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1165,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1163,jsonElement.has("stringValue"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonTreeNull_literalMutation1783() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonTreeNull_literalMutation1783");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10L , 5 , true , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1164,bag);
            JsonObject jsonElement = ((JsonObject)(gson.toJsonTree(bag, TestTypes.BagOfPrimitives.class)));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1165,jsonElement);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1163,jsonElement.has("stringValue"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    private void assertContains(JsonObject json, JsonPrimitive child) {
        for (Map.Entry<java.lang.String, com.google.gson.JsonElement> entry : json.entrySet()) {
            JsonElement node = entry.getValue();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1161,node);
            if (node.isJsonPrimitive()) {
                if (node.getAsJsonPrimitive().equals(child)) {
                    return ;
                } 
            } 
        }
    }

    private static class SubTypeOfBagOfPrimitives extends TestTypes.BagOfPrimitives {
        @SuppressWarnings(value = "unused")
        float f = 1.2F;

        public SubTypeOfBagOfPrimitives(long l ,int i ,boolean b ,String string ,float f) {
            super(l, i, b, string);
            this.f = f;
        }
    }
}

