package com.google.gson.functional;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import java.util.HashMap;
import com.google.gson.JsonSyntaxException;
import java.util.LinkedHashMap;
import java.util.Map;
import org.junit.Test;
import junit.framework.TestCase;
import java.lang.reflect.Type;
import com.google.gson.reflect.TypeToken;

public class MapAsArrayTypeAdapterTest extends TestCase {
    @Test(timeout = 1000)
    public void testSerializeComplexMapWithTypeAdapter_add260() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSerializeComplexMapWithTypeAdapter_add260");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1212,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1213,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1214,original);
            original.put(new Point(5 , 5), "a");
            original.put(new Point(8 , 8), "b");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1215,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1205,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1206,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1207,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
            Map<java.lang.String, java.lang.Boolean> otherMap = new LinkedHashMap<java.lang.String, java.lang.Boolean>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1216,otherMap);
            otherMap.put("t", true);
            otherMap.put("f", false);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1208,gson.toJson(otherMap, java.util.Map.class));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1209,gson.toJson(otherMap, new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1210,otherMap);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1211,gson.<java.lang.Object>fromJson("{\"t\":true,\"f\":false}", new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testSerializeComplexMapWithTypeAdapter_add261() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSerializeComplexMapWithTypeAdapter_add261");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1212,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1213,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1214,original);
            original.put(new Point(5 , 5), "a");
            original.put(new Point(5 , 5), "a");
            original.put(new Point(8 , 8), "b");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1215,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1205,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1206,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1207,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
            Map<java.lang.String, java.lang.Boolean> otherMap = new LinkedHashMap<java.lang.String, java.lang.Boolean>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1216,otherMap);
            otherMap.put("t", true);
            otherMap.put("f", false);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1208,gson.toJson(otherMap, java.util.Map.class));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1209,gson.toJson(otherMap, new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1210,otherMap);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1211,gson.<java.lang.Object>fromJson("{\"t\":true,\"f\":false}", new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testSerializeComplexMapWithTypeAdapter_add262() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSerializeComplexMapWithTypeAdapter_add262");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1212,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1213,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1214,original);
            original.put(new Point(5 , 5), "a");
            original.put(new Point(8 , 8), "b");
            original.put(new Point(8 , 8), "b");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1215,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1205,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1206,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1207,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
            Map<java.lang.String, java.lang.Boolean> otherMap = new LinkedHashMap<java.lang.String, java.lang.Boolean>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1216,otherMap);
            otherMap.put("t", true);
            otherMap.put("f", false);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1208,gson.toJson(otherMap, java.util.Map.class));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1209,gson.toJson(otherMap, new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1210,otherMap);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1211,gson.<java.lang.Object>fromJson("{\"t\":true,\"f\":false}", new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testSerializeComplexMapWithTypeAdapter_add263() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSerializeComplexMapWithTypeAdapter_add263");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1212,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1213,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1214,original);
            original.put(new Point(5 , 5), "a");
            original.put(new Point(8 , 8), "b");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1215,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1205,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1206,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1207,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
            Map<java.lang.String, java.lang.Boolean> otherMap = new LinkedHashMap<java.lang.String, java.lang.Boolean>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1216,otherMap);
            otherMap.put("t", true);
            otherMap.put("t", true);
            otherMap.put("f", false);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1208,gson.toJson(otherMap, java.util.Map.class));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1209,gson.toJson(otherMap, new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1210,otherMap);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1211,gson.<java.lang.Object>fromJson("{\"t\":true,\"f\":false}", new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testSerializeComplexMapWithTypeAdapter_add264() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSerializeComplexMapWithTypeAdapter_add264");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1212,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1213,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1214,original);
            original.put(new Point(5 , 5), "a");
            original.put(new Point(8 , 8), "b");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1215,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1205,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1206,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1207,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
            Map<java.lang.String, java.lang.Boolean> otherMap = new LinkedHashMap<java.lang.String, java.lang.Boolean>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1216,otherMap);
            otherMap.put("t", true);
            otherMap.put("f", false);
            otherMap.put("f", false);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1208,gson.toJson(otherMap, java.util.Map.class));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1209,gson.toJson(otherMap, new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1210,otherMap);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1211,gson.<java.lang.Object>fromJson("{\"t\":true,\"f\":false}", new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testSerializeComplexMapWithTypeAdapter_add265() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSerializeComplexMapWithTypeAdapter_add265");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1212,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1213,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1214,original);
            original.put(new Point(5 , 5), "a");
            original.put(new Point(8 , 8), "b");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1215,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1205,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1206,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1207,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
            Map<java.lang.String, java.lang.Boolean> otherMap = new LinkedHashMap<java.lang.String, java.lang.Boolean>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1216,otherMap);
            otherMap.put("t", true);
            otherMap.put("f", false);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1208,gson.toJson(otherMap, java.util.Map.class));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1209,gson.toJson(otherMap, new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1210,otherMap);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1211,gson.<java.lang.Object>fromJson("{\"t\":true,\"f\":false}", new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testSerializeComplexMapWithTypeAdapter_add266() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSerializeComplexMapWithTypeAdapter_add266");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1212,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1213,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1214,original);
            original.put(new Point(5 , 5), "a");
            original.put(new Point(8 , 8), "b");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1215,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1205,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1206,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1207,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
            Map<java.lang.String, java.lang.Boolean> otherMap = new LinkedHashMap<java.lang.String, java.lang.Boolean>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1216,otherMap);
            otherMap.put("t", true);
            otherMap.put("f", false);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1208,gson.toJson(otherMap, java.util.Map.class));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1209,gson.toJson(otherMap, new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1210,otherMap);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1211,gson.<java.lang.Object>fromJson("{\"t\":true,\"f\":false}", new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSerializeComplexMapWithTypeAdapter() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSerializeComplexMapWithTypeAdapter");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1212,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1213,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1214,original);
            original.put(new Point(4 , 5), "a");
            original.put(new Point(8 , 8), "b");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1215,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1205,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1206,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1207,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
            Map<java.lang.String, java.lang.Boolean> otherMap = new LinkedHashMap<java.lang.String, java.lang.Boolean>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1216,otherMap);
            otherMap.put("t", true);
            otherMap.put("f", false);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1208,gson.toJson(otherMap, java.util.Map.class));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1209,gson.toJson(otherMap, new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1210,otherMap);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1211,gson.<java.lang.Object>fromJson("{\"t\":true,\"f\":false}", new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSerializeComplexMapWithTypeAdapter_literalMutation1917() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSerializeComplexMapWithTypeAdapter_literalMutation1917");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1212,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1213,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1214,original);
            original.put(new Point(2 , 5), "a");
            original.put(new Point(8 , 8), "b");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1215,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1205,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1206,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1207,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
            Map<java.lang.String, java.lang.Boolean> otherMap = new LinkedHashMap<java.lang.String, java.lang.Boolean>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1216,otherMap);
            otherMap.put("t", true);
            otherMap.put("f", false);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1208,gson.toJson(otherMap, java.util.Map.class));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1209,gson.toJson(otherMap, new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1210,otherMap);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1211,gson.<java.lang.Object>fromJson("{\"t\":true,\"f\":false}", new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSerializeComplexMapWithTypeAdapter_literalMutation1918() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSerializeComplexMapWithTypeAdapter_literalMutation1918");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1212,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1213,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1214,original);
            original.put(new Point(10 , 5), "a");
            original.put(new Point(8 , 8), "b");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1215,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1205,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1206,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1207,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
            Map<java.lang.String, java.lang.Boolean> otherMap = new LinkedHashMap<java.lang.String, java.lang.Boolean>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1216,otherMap);
            otherMap.put("t", true);
            otherMap.put("f", false);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1208,gson.toJson(otherMap, java.util.Map.class));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1209,gson.toJson(otherMap, new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1210,otherMap);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1211,gson.<java.lang.Object>fromJson("{\"t\":true,\"f\":false}", new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSerializeComplexMapWithTypeAdapter_literalMutation1919() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSerializeComplexMapWithTypeAdapter_literalMutation1919");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1212,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1213,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1214,original);
            original.put(new Point(6 , 5), "a");
            original.put(new Point(8 , 8), "b");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1215,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1205,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1206,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1207,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
            Map<java.lang.String, java.lang.Boolean> otherMap = new LinkedHashMap<java.lang.String, java.lang.Boolean>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1216,otherMap);
            otherMap.put("t", true);
            otherMap.put("f", false);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1208,gson.toJson(otherMap, java.util.Map.class));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1209,gson.toJson(otherMap, new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1210,otherMap);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1211,gson.<java.lang.Object>fromJson("{\"t\":true,\"f\":false}", new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSerializeComplexMapWithTypeAdapter_literalMutation1921() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSerializeComplexMapWithTypeAdapter_literalMutation1921");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1212,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1213,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1214,original);
            original.put(new Point(5 , 4), "a");
            original.put(new Point(8 , 8), "b");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1215,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1205,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1206,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1207,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
            Map<java.lang.String, java.lang.Boolean> otherMap = new LinkedHashMap<java.lang.String, java.lang.Boolean>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1216,otherMap);
            otherMap.put("t", true);
            otherMap.put("f", false);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1208,gson.toJson(otherMap, java.util.Map.class));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1209,gson.toJson(otherMap, new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1210,otherMap);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1211,gson.<java.lang.Object>fromJson("{\"t\":true,\"f\":false}", new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSerializeComplexMapWithTypeAdapter_literalMutation1922() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSerializeComplexMapWithTypeAdapter_literalMutation1922");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1212,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1213,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1214,original);
            original.put(new Point(5 , 2), "a");
            original.put(new Point(8 , 8), "b");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1215,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1205,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1206,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1207,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
            Map<java.lang.String, java.lang.Boolean> otherMap = new LinkedHashMap<java.lang.String, java.lang.Boolean>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1216,otherMap);
            otherMap.put("t", true);
            otherMap.put("f", false);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1208,gson.toJson(otherMap, java.util.Map.class));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1209,gson.toJson(otherMap, new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1210,otherMap);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1211,gson.<java.lang.Object>fromJson("{\"t\":true,\"f\":false}", new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSerializeComplexMapWithTypeAdapter_literalMutation1923() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSerializeComplexMapWithTypeAdapter_literalMutation1923");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1212,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1213,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1214,original);
            original.put(new Point(5 , 10), "a");
            original.put(new Point(8 , 8), "b");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1215,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1205,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1206,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1207,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
            Map<java.lang.String, java.lang.Boolean> otherMap = new LinkedHashMap<java.lang.String, java.lang.Boolean>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1216,otherMap);
            otherMap.put("t", true);
            otherMap.put("f", false);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1208,gson.toJson(otherMap, java.util.Map.class));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1209,gson.toJson(otherMap, new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1210,otherMap);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1211,gson.<java.lang.Object>fromJson("{\"t\":true,\"f\":false}", new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSerializeComplexMapWithTypeAdapter_literalMutation1924() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSerializeComplexMapWithTypeAdapter_literalMutation1924");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1212,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1213,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1214,original);
            original.put(new Point(5 , 6), "a");
            original.put(new Point(8 , 8), "b");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1215,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1205,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1206,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1207,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
            Map<java.lang.String, java.lang.Boolean> otherMap = new LinkedHashMap<java.lang.String, java.lang.Boolean>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1216,otherMap);
            otherMap.put("t", true);
            otherMap.put("f", false);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1208,gson.toJson(otherMap, java.util.Map.class));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1209,gson.toJson(otherMap, new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1210,otherMap);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1211,gson.<java.lang.Object>fromJson("{\"t\":true,\"f\":false}", new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testSerializeComplexMapWithTypeAdapter_remove243() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSerializeComplexMapWithTypeAdapter_remove243");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1212,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1213,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1214,original);
            original.put(new Point(5 , 5), "a");
            original.put(new Point(8 , 8), "b");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1215,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1205,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1206,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1207,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
            Map<java.lang.String, java.lang.Boolean> otherMap = new LinkedHashMap<java.lang.String, java.lang.Boolean>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1216,otherMap);
            otherMap.put("t", true);
            otherMap.put("f", false);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1208,gson.toJson(otherMap, java.util.Map.class));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1209,gson.toJson(otherMap, new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1210,otherMap);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1211,gson.<java.lang.Object>fromJson("{\"t\":true,\"f\":false}", new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testSerializeComplexMapWithTypeAdapter_remove244() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSerializeComplexMapWithTypeAdapter_remove244");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1212,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1213,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1214,original);
            original.put(new Point(8 , 8), "b");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1215,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1205,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1206,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1207,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
            Map<java.lang.String, java.lang.Boolean> otherMap = new LinkedHashMap<java.lang.String, java.lang.Boolean>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1216,otherMap);
            otherMap.put("t", true);
            otherMap.put("f", false);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1208,gson.toJson(otherMap, java.util.Map.class));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1209,gson.toJson(otherMap, new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1210,otherMap);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1211,gson.<java.lang.Object>fromJson("{\"t\":true,\"f\":false}", new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testSerializeComplexMapWithTypeAdapter_remove245() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSerializeComplexMapWithTypeAdapter_remove245");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1212,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1213,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1214,original);
            original.put(new Point(8 , 8), "b");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1215,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1205,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1206,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1207,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
            Map<java.lang.String, java.lang.Boolean> otherMap = new LinkedHashMap<java.lang.String, java.lang.Boolean>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1216,otherMap);
            otherMap.put("t", true);
            otherMap.put("f", false);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1208,gson.toJson(otherMap, java.util.Map.class));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1209,gson.toJson(otherMap, new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1210,otherMap);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1211,gson.<java.lang.Object>fromJson("{\"t\":true,\"f\":false}", new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testSerializeComplexMapWithTypeAdapter_remove246() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSerializeComplexMapWithTypeAdapter_remove246");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1212,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1213,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1214,original);
            original.put(new Point(8 , 8), "b");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1215,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1205,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1206,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1207,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
            Map<java.lang.String, java.lang.Boolean> otherMap = new LinkedHashMap<java.lang.String, java.lang.Boolean>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1216,otherMap);
            otherMap.put("t", true);
            otherMap.put("f", false);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1208,gson.toJson(otherMap, java.util.Map.class));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1209,gson.toJson(otherMap, new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1210,otherMap);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1211,gson.<java.lang.Object>fromJson("{\"t\":true,\"f\":false}", new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testSerializeComplexMapWithTypeAdapter_remove247() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSerializeComplexMapWithTypeAdapter_remove247");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1212,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1213,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1214,original);
            original.put(new Point(8 , 8), "b");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1215,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1205,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1206,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1207,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
            Map<java.lang.String, java.lang.Boolean> otherMap = new LinkedHashMap<java.lang.String, java.lang.Boolean>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1216,otherMap);
            otherMap.put("t", true);
            otherMap.put("f", false);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1208,gson.toJson(otherMap, java.util.Map.class));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1209,gson.toJson(otherMap, new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1210,otherMap);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1211,gson.<java.lang.Object>fromJson("{\"t\":true,\"f\":false}", new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testSerializeComplexMapWithTypeAdapter_remove248() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSerializeComplexMapWithTypeAdapter_remove248");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1212,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1213,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1214,original);
            original.put(new Point(5 , 5), "a");
            original.put(new Point(8 , 8), "b");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1215,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1205,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1206,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1207,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
            Map<java.lang.String, java.lang.Boolean> otherMap = new LinkedHashMap<java.lang.String, java.lang.Boolean>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1216,otherMap);
            otherMap.put("t", true);
            otherMap.put("f", false);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1208,gson.toJson(otherMap, java.util.Map.class));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1209,gson.toJson(otherMap, new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1210,otherMap);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1211,gson.<java.lang.Object>fromJson("{\"t\":true,\"f\":false}", new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testSerializeComplexMapWithTypeAdapter_remove249() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSerializeComplexMapWithTypeAdapter_remove249");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1212,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1213,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1214,original);
            original.put(new Point(5 , 5), "a");
            original.put(new Point(8 , 8), "b");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1215,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1205,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1206,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1207,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
            Map<java.lang.String, java.lang.Boolean> otherMap = new LinkedHashMap<java.lang.String, java.lang.Boolean>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1216,otherMap);
            otherMap.put("t", true);
            otherMap.put("f", false);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1208,gson.toJson(otherMap, java.util.Map.class));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1209,gson.toJson(otherMap, new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1210,otherMap);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1211,gson.<java.lang.Object>fromJson("{\"t\":true,\"f\":false}", new com.google.gson.reflect.TypeToken<java.util.Map<java.lang.String, java.lang.Boolean>>() {}.getType()));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void disabled_testTwoTypesCollapseToOneSerialize_add250() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "disabled_testTwoTypesCollapseToOneSerialize_add250");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),329,gson);
            Map<java.lang.Number, java.lang.String> original = new LinkedHashMap<java.lang.Number, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1183,original);
            original.put(new java.lang.Double(1.0), "a");
            original.put(new java.lang.Double(1.0), "a");
            original.put(new java.lang.Float(1.0), "b");
            try {
                gson.toJson(original, new TypeToken<java.util.Map<java.lang.Number, java.lang.String>>() {                }.getType());
            } catch (JsonSyntaxException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void disabled_testTwoTypesCollapseToOneSerialize_add251() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "disabled_testTwoTypesCollapseToOneSerialize_add251");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),329,gson);
            Map<java.lang.Number, java.lang.String> original = new LinkedHashMap<java.lang.Number, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1183,original);
            original.put(new java.lang.Double(1.0), "a");
            original.put(new java.lang.Float(1.0), "b");
            original.put(new java.lang.Float(1.0), "b");
            try {
                gson.toJson(original, new TypeToken<java.util.Map<java.lang.Number, java.lang.String>>() {                }.getType());
            } catch (JsonSyntaxException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void disabled_testTwoTypesCollapseToOneSerialize_add252() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "disabled_testTwoTypesCollapseToOneSerialize_add252");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),329,gson);
            Map<java.lang.Number, java.lang.String> original = new LinkedHashMap<java.lang.Number, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1183,original);
            original.put(new java.lang.Double(1.0), "a");
            original.put(new java.lang.Float(1.0), "b");
            try {
                gson.toJson(original, new TypeToken<java.util.Map<java.lang.Number, java.lang.String>>() {                }.getType());
                gson.toJson(original, new TypeToken<java.util.Map<java.lang.Number, java.lang.String>>() {                }.getType());
            } catch (JsonSyntaxException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void disabled_testTwoTypesCollapseToOneSerialize_add253() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "disabled_testTwoTypesCollapseToOneSerialize_add253");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),329,gson);
            Map<java.lang.Number, java.lang.String> original = new LinkedHashMap<java.lang.Number, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1183,original);
            original.put(new java.lang.Double(1.0), "a");
            original.put(new java.lang.Float(1.0), "b");
            try {
                gson.toJson(original, new TypeToken<java.util.Map<java.lang.Number, java.lang.String>>() {                }.getType());
            } catch (JsonSyntaxException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void disabled_testTwoTypesCollapseToOneSerialize() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "disabled_testTwoTypesCollapseToOneSerialize");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),329,gson);
            Map<java.lang.Number, java.lang.String> original = new LinkedHashMap<java.lang.Number, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1183,original);
            original.put(new java.lang.Double(2.0), "a");
            original.put(new java.lang.Float(1.0), "b");
            try {
                gson.toJson(original, new TypeToken<java.util.Map<java.lang.Number, java.lang.String>>() {                }.getType());
            } catch (JsonSyntaxException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void disabled_testTwoTypesCollapseToOneSerialize_literalMutation1866() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "disabled_testTwoTypesCollapseToOneSerialize_literalMutation1866");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),329,gson);
            Map<java.lang.Number, java.lang.String> original = new LinkedHashMap<java.lang.Number, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1183,original);
            original.put(new java.lang.Double(0.0), "a");
            original.put(new java.lang.Float(1.0), "b");
            try {
                gson.toJson(original, new TypeToken<java.util.Map<java.lang.Number, java.lang.String>>() {                }.getType());
            } catch (JsonSyntaxException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void disabled_testTwoTypesCollapseToOneSerialize_literalMutation1867() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "disabled_testTwoTypesCollapseToOneSerialize_literalMutation1867");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),329,gson);
            Map<java.lang.Number, java.lang.String> original = new LinkedHashMap<java.lang.Number, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1183,original);
            original.put(new java.lang.Double(0.5), "a");
            original.put(new java.lang.Float(1.0), "b");
            try {
                gson.toJson(original, new TypeToken<java.util.Map<java.lang.Number, java.lang.String>>() {                }.getType());
            } catch (JsonSyntaxException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void disabled_testTwoTypesCollapseToOneSerialize_remove235() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "disabled_testTwoTypesCollapseToOneSerialize_remove235");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),329,gson);
            Map<java.lang.Number, java.lang.String> original = new LinkedHashMap<java.lang.Number, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1183,original);
            original.put(new java.lang.Float(1.0), "b");
            try {
                gson.toJson(original, new TypeToken<java.util.Map<java.lang.Number, java.lang.String>>() {                }.getType());
            } catch (JsonSyntaxException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void disabled_testTwoTypesCollapseToOneSerialize_remove236() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "disabled_testTwoTypesCollapseToOneSerialize_remove236");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),329,gson);
            Map<java.lang.Number, java.lang.String> original = new LinkedHashMap<java.lang.Number, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1183,original);
            original.put(new java.lang.Float(1.0), "b");
            try {
                gson.toJson(original, new TypeToken<java.util.Map<java.lang.Number, java.lang.String>>() {                }.getType());
            } catch (JsonSyntaxException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testTwoTypesCollapseToOneDeserialize_add267() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTwoTypesCollapseToOneDeserialize_add267");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1217,gson);
            String s = "[[\"1.00\",\"a\"],[\"1.0\",\"b\"]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1218,s);
            try {
                gson.fromJson(s, new TypeToken<java.util.Map<java.lang.Double, java.lang.String>>() {                }.getType());
                gson.fromJson(s, new TypeToken<java.util.Map<java.lang.Double, java.lang.String>>() {                }.getType());
            } catch (JsonSyntaxException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testTwoTypesCollapseToOneDeserialize_add268() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTwoTypesCollapseToOneDeserialize_add268");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1217,gson);
            String s = "[[\"1.00\",\"a\"],[\"1.0\",\"b\"]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1218,s);
            try {
                gson.fromJson(s, new TypeToken<java.util.Map<java.lang.Double, java.lang.String>>() {                }.getType());
            } catch (JsonSyntaxException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTwoTypesCollapseToOneDeserialize() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTwoTypesCollapseToOneDeserialize");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1217,gson);
            String s = "[[\"1.00\",\"a\"]o[\"1.0\",\"b\"]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1218,s);
            try {
                gson.fromJson(s, new TypeToken<java.util.Map<java.lang.Double, java.lang.String>>() {                }.getType());
            } catch (JsonSyntaxException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTwoTypesCollapseToOneDeserialize_literalMutation1927() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTwoTypesCollapseToOneDeserialize_literalMutation1927");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1217,gson);
            String s = "[[\"1.00\",\"a\"],[\"1.0\",\"bë\"]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1218,s);
            try {
                gson.fromJson(s, new TypeToken<java.util.Map<java.lang.Double, java.lang.String>>() {                }.getType());
            } catch (JsonSyntaxException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTwoTypesCollapseToOneDeserialize_literalMutation1928() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTwoTypesCollapseToOneDeserialize_literalMutation1928");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1217,gson);
            String s = "[[\"1.00\",\"\"],[\"1.0\",\"b\"]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1218,s);
            try {
                gson.fromJson(s, new TypeToken<java.util.Map<java.lang.Double, java.lang.String>>() {                }.getType());
            } catch (JsonSyntaxException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testMultipleEnableComplexKeyRegistrationHasNoEffect_add257() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultipleEnableComplexKeyRegistrationHasNoEffect_add257");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1202,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1203,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1204,original);
            original.put(new Point(6 , 5), "abc");
            original.put(new Point(1 , 8), "def");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1200,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1201,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testMultipleEnableComplexKeyRegistrationHasNoEffect_add258() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultipleEnableComplexKeyRegistrationHasNoEffect_add258");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1202,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1203,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1204,original);
            original.put(new Point(6 , 5), "abc");
            original.put(new Point(6 , 5), "abc");
            original.put(new Point(1 , 8), "def");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1200,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1201,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testMultipleEnableComplexKeyRegistrationHasNoEffect_add259() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultipleEnableComplexKeyRegistrationHasNoEffect_add259");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1202,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1203,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1204,original);
            original.put(new Point(6 , 5), "abc");
            original.put(new Point(1 , 8), "def");
            original.put(new Point(1 , 8), "def");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1200,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1201,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMultipleEnableComplexKeyRegistrationHasNoEffect() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultipleEnableComplexKeyRegistrationHasNoEffect");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1202,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1203,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1204,original);
            original.put(new Point(5 , 5), "abc");
            original.put(new Point(1 , 8), "def");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1200,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1201,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1892() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1892");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1202,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1203,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1204,original);
            original.put(new Point(3 , 5), "abc");
            original.put(new Point(1 , 8), "def");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1200,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1201,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1893() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1893");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1202,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1203,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1204,original);
            original.put(new Point(12 , 5), "abc");
            original.put(new Point(1 , 8), "def");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1200,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1201,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1894() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1894");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1202,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1203,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1204,original);
            original.put(new Point(7 , 5), "abc");
            original.put(new Point(1 , 8), "def");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1200,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1201,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1896() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1896");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1202,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1203,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1204,original);
            original.put(new Point(6 , 4), "abc");
            original.put(new Point(1 , 8), "def");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1200,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1201,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1897() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1897");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1202,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1203,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1204,original);
            original.put(new Point(6 , 2), "abc");
            original.put(new Point(1 , 8), "def");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1200,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1201,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1898() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1898");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1202,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1203,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1204,original);
            original.put(new Point(6 , 10), "abc");
            original.put(new Point(1 , 8), "def");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1200,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1201,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1899() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1899");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1202,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1203,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1204,original);
            original.put(new Point(6 , 6), "abc");
            original.put(new Point(1 , 8), "def");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1200,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1201,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1901() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1901");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1202,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1203,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1204,original);
            original.put(new Point(6 , 5), "Abc");
            original.put(new Point(1 , 8), "def");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1200,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1201,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1902() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1902");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1202,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1203,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1204,original);
            original.put(new Point(6 , 5), "aabc");
            original.put(new Point(1 , 8), "def");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1200,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1201,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1903() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1903");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1202,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1203,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1204,original);
            original.put(new Point(6 , 5), "ac");
            original.put(new Point(1 , 8), "def");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1200,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1201,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1904() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1904");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1202,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1203,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1204,original);
            original.put(new Point(6 , 5), "abc");
            original.put(new Point(2 , 8), "def");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1200,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1201,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1905() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1905");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1202,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1203,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1204,original);
            original.put(new Point(6 , 5), "abc");
            original.put(new Point(0 , 8), "def");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1200,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1201,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1906() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1906");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1202,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1203,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1204,original);
            original.put(new Point(6 , 5), "abc");
            original.put(new Point(0 , 8), "def");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1200,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1201,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1908() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1908");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1202,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1203,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1204,original);
            original.put(new Point(6 , 5), "abc");
            original.put(new Point(1 , 4), "def");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1200,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1201,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1909() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1909");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1202,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1203,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1204,original);
            original.put(new Point(6 , 5), "abc");
            original.put(new Point(1 , 16), "def");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1200,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1201,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1910() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1910");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1202,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1203,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1204,original);
            original.put(new Point(6 , 5), "abc");
            original.put(new Point(1 , 9), "def");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1200,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1201,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1911() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1911");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1202,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1203,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1204,original);
            original.put(new Point(6 , 5), "abc");
            original.put(new Point(1 , 7), "def");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1200,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1201,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1913() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1913");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1202,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1203,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1204,original);
            original.put(new Point(6 , 5), "abc");
            original.put(new Point(1 , 8), "»ef");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1200,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1201,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1914() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1914");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1202,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1203,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1204,original);
            original.put(new Point(6 , 5), "abc");
            original.put(new Point(1 , 8), "d¯ef");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1200,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1201,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1915() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultipleEnableComplexKeyRegistrationHasNoEffect_literalMutation1915");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1202,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1203,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1204,original);
            original.put(new Point(6 , 5), "abc");
            original.put(new Point(1 , 8), "df");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1200,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1201,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testMultipleEnableComplexKeyRegistrationHasNoEffect_remove240() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultipleEnableComplexKeyRegistrationHasNoEffect_remove240");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1202,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1203,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1204,original);
            original.put(new Point(6 , 5), "abc");
            original.put(new Point(1 , 8), "def");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1200,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1201,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testMultipleEnableComplexKeyRegistrationHasNoEffect_remove241() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultipleEnableComplexKeyRegistrationHasNoEffect_remove241");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1202,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1203,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1204,original);
            original.put(new Point(1 , 8), "def");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1200,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1201,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testMultipleEnableComplexKeyRegistrationHasNoEffect_remove242() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultipleEnableComplexKeyRegistrationHasNoEffect_remove242");
            Type type = new TypeToken<java.util.Map<Point, java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1202,type);
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1203,gson);
            Map<Point, java.lang.String> original = new LinkedHashMap<Point, java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1204,original);
            original.put(new Point(1 , 8), "def");
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1200,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1201,gson.<java.util.Map<com.google.gson.functional.MapAsArrayTypeAdapterTest.Point, java.lang.String>>fromJson(json, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testMapWithTypeVariableSerialization_add255() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapWithTypeVariableSerialization_add255");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1195,gson);
            PointWithProperty<Point> map = new PointWithProperty<Point>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1196,map);
            map.map.put(new Point(2 , 3), new Point(4 , 5));
            map.map.put(new Point(2 , 3), new Point(4 , 5));
            Type type = new TypeToken<PointWithProperty<Point>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1197,type);
            String json = gson.toJson(map, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1198,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1194,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testMapWithTypeVariableSerialization_add256() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapWithTypeVariableSerialization_add256");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1195,gson);
            PointWithProperty<Point> map = new PointWithProperty<Point>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1196,map);
            map.map.put(new Point(2 , 3), new Point(4 , 5));
            Type type = new TypeToken<PointWithProperty<Point>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1197,type);
            String json = gson.toJson(map, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1198,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1194,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapWithTypeVariableSerialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapWithTypeVariableSerialization");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1195,gson);
            PointWithProperty<Point> map = new PointWithProperty<Point>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1196,map);
            map.map.put(new Point(1 , 3), new Point(4 , 5));
            Type type = new TypeToken<PointWithProperty<Point>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1197,type);
            String json = gson.toJson(map, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1198,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1194,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapWithTypeVariableSerialization_literalMutation1873() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapWithTypeVariableSerialization_literalMutation1873");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1195,gson);
            PointWithProperty<Point> map = new PointWithProperty<Point>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1196,map);
            map.map.put(new Point(4 , 3), new Point(4 , 5));
            Type type = new TypeToken<PointWithProperty<Point>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1197,type);
            String json = gson.toJson(map, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1198,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1194,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapWithTypeVariableSerialization_literalMutation1874() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapWithTypeVariableSerialization_literalMutation1874");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1195,gson);
            PointWithProperty<Point> map = new PointWithProperty<Point>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1196,map);
            map.map.put(new Point(3 , 3), new Point(4 , 5));
            Type type = new TypeToken<PointWithProperty<Point>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1197,type);
            String json = gson.toJson(map, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1198,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1194,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapWithTypeVariableSerialization_literalMutation1876() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapWithTypeVariableSerialization_literalMutation1876");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1195,gson);
            PointWithProperty<Point> map = new PointWithProperty<Point>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1196,map);
            map.map.put(new Point(2 , 4), new Point(4 , 5));
            Type type = new TypeToken<PointWithProperty<Point>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1197,type);
            String json = gson.toJson(map, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1198,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1194,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapWithTypeVariableSerialization_literalMutation1877() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapWithTypeVariableSerialization_literalMutation1877");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1195,gson);
            PointWithProperty<Point> map = new PointWithProperty<Point>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1196,map);
            map.map.put(new Point(2 , 2), new Point(4 , 5));
            Type type = new TypeToken<PointWithProperty<Point>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1197,type);
            String json = gson.toJson(map, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1198,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1194,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapWithTypeVariableSerialization_literalMutation1878() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapWithTypeVariableSerialization_literalMutation1878");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1195,gson);
            PointWithProperty<Point> map = new PointWithProperty<Point>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1196,map);
            map.map.put(new Point(2 , 1), new Point(4 , 5));
            Type type = new TypeToken<PointWithProperty<Point>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1197,type);
            String json = gson.toJson(map, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1198,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1194,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapWithTypeVariableSerialization_literalMutation1879() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapWithTypeVariableSerialization_literalMutation1879");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1195,gson);
            PointWithProperty<Point> map = new PointWithProperty<Point>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1196,map);
            map.map.put(new Point(2 , 6), new Point(4 , 5));
            Type type = new TypeToken<PointWithProperty<Point>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1197,type);
            String json = gson.toJson(map, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1198,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1194,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapWithTypeVariableSerialization_literalMutation1881() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapWithTypeVariableSerialization_literalMutation1881");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1195,gson);
            PointWithProperty<Point> map = new PointWithProperty<Point>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1196,map);
            map.map.put(new Point(2 , 3), new Point(2 , 5));
            Type type = new TypeToken<PointWithProperty<Point>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1197,type);
            String json = gson.toJson(map, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1198,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1194,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapWithTypeVariableSerialization_literalMutation1882() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapWithTypeVariableSerialization_literalMutation1882");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1195,gson);
            PointWithProperty<Point> map = new PointWithProperty<Point>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1196,map);
            map.map.put(new Point(2 , 3), new Point(8 , 5));
            Type type = new TypeToken<PointWithProperty<Point>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1197,type);
            String json = gson.toJson(map, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1198,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1194,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapWithTypeVariableSerialization_literalMutation1883() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapWithTypeVariableSerialization_literalMutation1883");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1195,gson);
            PointWithProperty<Point> map = new PointWithProperty<Point>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1196,map);
            map.map.put(new Point(2 , 3), new Point(5 , 5));
            Type type = new TypeToken<PointWithProperty<Point>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1197,type);
            String json = gson.toJson(map, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1198,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1194,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapWithTypeVariableSerialization_literalMutation1884() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapWithTypeVariableSerialization_literalMutation1884");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1195,gson);
            PointWithProperty<Point> map = new PointWithProperty<Point>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1196,map);
            map.map.put(new Point(2 , 3), new Point(3 , 5));
            Type type = new TypeToken<PointWithProperty<Point>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1197,type);
            String json = gson.toJson(map, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1198,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1194,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapWithTypeVariableSerialization_literalMutation1886() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapWithTypeVariableSerialization_literalMutation1886");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1195,gson);
            PointWithProperty<Point> map = new PointWithProperty<Point>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1196,map);
            map.map.put(new Point(2 , 3), new Point(4 , 4));
            Type type = new TypeToken<PointWithProperty<Point>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1197,type);
            String json = gson.toJson(map, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1198,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1194,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapWithTypeVariableSerialization_literalMutation1887() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapWithTypeVariableSerialization_literalMutation1887");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1195,gson);
            PointWithProperty<Point> map = new PointWithProperty<Point>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1196,map);
            map.map.put(new Point(2 , 3), new Point(4 , 2));
            Type type = new TypeToken<PointWithProperty<Point>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1197,type);
            String json = gson.toJson(map, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1198,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1194,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapWithTypeVariableSerialization_literalMutation1888() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapWithTypeVariableSerialization_literalMutation1888");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1195,gson);
            PointWithProperty<Point> map = new PointWithProperty<Point>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1196,map);
            map.map.put(new Point(2 , 3), new Point(4 , 10));
            Type type = new TypeToken<PointWithProperty<Point>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1197,type);
            String json = gson.toJson(map, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1198,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1194,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapWithTypeVariableSerialization_literalMutation1889() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapWithTypeVariableSerialization_literalMutation1889");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1195,gson);
            PointWithProperty<Point> map = new PointWithProperty<Point>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1196,map);
            map.map.put(new Point(2 , 3), new Point(4 , 6));
            Type type = new TypeToken<PointWithProperty<Point>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1197,type);
            String json = gson.toJson(map, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1198,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1194,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testMapWithTypeVariableSerialization_remove238() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapWithTypeVariableSerialization_remove238");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1195,gson);
            PointWithProperty<Point> map = new PointWithProperty<Point>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1196,map);
            Type type = new TypeToken<PointWithProperty<Point>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1197,type);
            String json = gson.toJson(map, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1198,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1194,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testMapWithTypeVariableSerialization_remove239() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapWithTypeVariableSerialization_remove239");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1195,gson);
            PointWithProperty<Point> map = new PointWithProperty<Point>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1196,map);
            map.map.put(new Point(2 , 3), new Point(4 , 5));
            Type type = new TypeToken<PointWithProperty<Point>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1197,type);
            String json = gson.toJson(map, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1198,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1194,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testMapWithTypeVariableDeserialization_add254() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapWithTypeVariableDeserialization_add254");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1188,gson);
            String json = "{map:[[{x:2,y:3},{x:4,y:5}]]}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1189,json);
            Type type = new TypeToken<PointWithProperty<Point>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1190,type);
            PointWithProperty<Point> map = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1191,map);
            Point key = map.map.keySet().iterator().next();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1192,key);
            Point value = map.map.values().iterator().next();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1193,value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1184,new com.google.gson.functional.MapAsArrayTypeAdapterTest.Point(2 , 3));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1185,key);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1186,new com.google.gson.functional.MapAsArrayTypeAdapterTest.Point(4 , 5));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1187,value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapWithTypeVariableDeserialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapWithTypeVariableDeserialization");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1188,gson);
            String json = "{map:[[ßx:2,y:3},{x:4,y:5}]]}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1189,json);
            Type type = new TypeToken<PointWithProperty<Point>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1190,type);
            PointWithProperty<Point> map = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1191,map);
            Point key = map.map.keySet().iterator().next();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1192,key);
            Point value = map.map.values().iterator().next();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1193,value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1184,new com.google.gson.functional.MapAsArrayTypeAdapterTest.Point(2 , 3));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1185,key);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1186,new com.google.gson.functional.MapAsArrayTypeAdapterTest.Point(4 , 5));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1187,value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapWithTypeVariableDeserialization_literalMutation1870() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapWithTypeVariableDeserialization_literalMutation1870");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1188,gson);
            String json = "{map:[[{x:2,yÝ:3},{x:4,y:5}]]}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1189,json);
            Type type = new TypeToken<PointWithProperty<Point>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1190,type);
            PointWithProperty<Point> map = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1191,map);
            Point key = map.map.keySet().iterator().next();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1192,key);
            Point value = map.map.values().iterator().next();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1193,value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1184,new com.google.gson.functional.MapAsArrayTypeAdapterTest.Point(2 , 3));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1185,key);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1186,new com.google.gson.functional.MapAsArrayTypeAdapterTest.Point(4 , 5));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1187,value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapWithTypeVariableDeserialization_literalMutation1871() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapWithTypeVariableDeserialization_literalMutation1871");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1188,gson);
            String json = "{map:[[{x:2,y:3},{x:4y:5}]]}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1189,json);
            Type type = new TypeToken<PointWithProperty<Point>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1190,type);
            PointWithProperty<Point> map = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1191,map);
            Point key = map.map.keySet().iterator().next();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1192,key);
            Point value = map.map.values().iterator().next();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1193,value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1184,new com.google.gson.functional.MapAsArrayTypeAdapterTest.Point(2 , 3));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1185,key);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1186,new com.google.gson.functional.MapAsArrayTypeAdapterTest.Point(4 , 5));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1187,value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testMapWithTypeVariableDeserialization_remove237() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapWithTypeVariableDeserialization_remove237");
            Gson gson = new GsonBuilder().enableComplexMapKeySerialization().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1188,gson);
            String json = "{map:[[{x:2,y:3},{x:4,y:5}]]}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1189,json);
            Type type = new TypeToken<PointWithProperty<Point>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1190,type);
            PointWithProperty<Point> map = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1191,map);
            Point key = map.map.keySet().iterator().next();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1192,key);
            Point value = map.map.values().iterator().next();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1193,value);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1184,new com.google.gson.functional.MapAsArrayTypeAdapterTest.Point(2 , 3));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1185,key);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1186,new com.google.gson.functional.MapAsArrayTypeAdapterTest.Point(4 , 5));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1187,value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    static class Point {
        int x;

        int y;

        Point(int x ,int y) {
            this.x = x;
            this.y = y;
        }

        Point() {
        }

        @Override
        public boolean equals(Object o) {
            return ((o instanceof Point) && ((((Point)(o)).x) == (x))) && ((((Point)(o)).y) == (y));
        }

        @Override
        public int hashCode() {
            return ((x) * 37) + (y);
        }

        @Override
        public String toString() {
            return ((("(" + (x)) + ",") + (y)) + ")";
        }
    }

    static class PointWithProperty<T> {
        Map<Point, T> map = new HashMap<Point, T>();
    }
}

