package com.google.gson.functional;

import java.util.ArrayList;
import java.util.Collection;
import com.google.gson.Gson;
import java.util.HashMap;
import com.google.gson.JsonObject;
import java.util.Map;
import org.junit.Test;
import junit.framework.TestCase;

/** 
 * Tests for Gson serialization of a sub-class object while encountering a base-class type
 * 
 * @author Inderjeet Singh
 */
@SuppressWarnings(value = "unused")
public class MoreSpecificTypeSerializationTest extends TestCase {
    private Gson gson;

    @Override
    protected void setUp() throws Exception {
        super.setUp();
        gson = new Gson();
        fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1411,gson);
    }

    public void testSubclassFields() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSubclassFields");
            ClassWithBaseFields target = new ClassWithBaseFields(new Sub(2 , 2));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1439,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1091,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1437,json.contains("\"b\":1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1438,json.contains("\"s\":2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSubclassFields_literalMutation2227() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSubclassFields_literalMutation2227");
            ClassWithBaseFields target = new ClassWithBaseFields(new Sub(0 , 2));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1439,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1091,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1437,json.contains("\"b\":1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1438,json.contains("\"s\":2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSubclassFields_literalMutation2228() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSubclassFields_literalMutation2228");
            ClassWithBaseFields target = new ClassWithBaseFields(new Sub(0 , 2));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1439,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1091,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1437,json.contains("\"b\":1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1438,json.contains("\"s\":2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSubclassFields_literalMutation2230() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSubclassFields_literalMutation2230");
            ClassWithBaseFields target = new ClassWithBaseFields(new Sub(1 , 1));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1439,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1091,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1437,json.contains("\"b\":1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1438,json.contains("\"s\":2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSubclassFields_literalMutation2231() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSubclassFields_literalMutation2231");
            ClassWithBaseFields target = new ClassWithBaseFields(new Sub(1 , 4));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1439,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1091,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1437,json.contains("\"b\":1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1438,json.contains("\"s\":2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSubclassFields_literalMutation2232() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSubclassFields_literalMutation2232");
            ClassWithBaseFields target = new ClassWithBaseFields(new Sub(1 , 3));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1439,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1091,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1437,json.contains("\"b\":1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1438,json.contains("\"s\":2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testListOfSubclassFields_add350() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testListOfSubclassFields_add350");
            Collection<Base> list = new ArrayList<Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1420,list);
            list.add(new Base(1));
            list.add(new Base(1));
            list.add(new Sub(2 , 3));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(list , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1421,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1422,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1074,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1417,json.contains("{\"b\":1}"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1418,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1419,json.contains("{\"s\":3,\"b\":2}"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testListOfSubclassFields_add351() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testListOfSubclassFields_add351");
            Collection<Base> list = new ArrayList<Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1420,list);
            list.add(new Base(1));
            list.add(new Sub(2 , 3));
            list.add(new Sub(2 , 3));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(list , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1421,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1422,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1074,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1417,json.contains("{\"b\":1}"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1418,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1419,json.contains("{\"s\":3,\"b\":2}"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testListOfSubclassFields() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testListOfSubclassFields");
            Collection<Base> list = new ArrayList<Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1420,list);
            list.add(new Base(2));
            list.add(new Sub(2 , 3));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(list , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1421,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1422,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1074,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1417,json.contains("{\"b\":1}"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1418,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1419,json.contains("{\"s\":3,\"b\":2}"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testListOfSubclassFields_literalMutation2159() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testListOfSubclassFields_literalMutation2159");
            Collection<Base> list = new ArrayList<Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1420,list);
            list.add(new Base(0));
            list.add(new Sub(2 , 3));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(list , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1421,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1422,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1074,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1417,json.contains("{\"b\":1}"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1418,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1419,json.contains("{\"s\":3,\"b\":2}"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testListOfSubclassFields_literalMutation2160() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testListOfSubclassFields_literalMutation2160");
            Collection<Base> list = new ArrayList<Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1420,list);
            list.add(new Base(0));
            list.add(new Sub(2 , 3));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(list , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1421,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1422,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1074,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1417,json.contains("{\"b\":1}"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1418,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1419,json.contains("{\"s\":3,\"b\":2}"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testListOfSubclassFields_literalMutation2162() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testListOfSubclassFields_literalMutation2162");
            Collection<Base> list = new ArrayList<Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1420,list);
            list.add(new Base(1));
            list.add(new Sub(1 , 3));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(list , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1421,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1422,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1074,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1417,json.contains("{\"b\":1}"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1418,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1419,json.contains("{\"s\":3,\"b\":2}"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testListOfSubclassFields_literalMutation2163() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testListOfSubclassFields_literalMutation2163");
            Collection<Base> list = new ArrayList<Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1420,list);
            list.add(new Base(1));
            list.add(new Sub(4 , 3));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(list , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1421,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1422,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1074,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1417,json.contains("{\"b\":1}"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1418,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1419,json.contains("{\"s\":3,\"b\":2}"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testListOfSubclassFields_literalMutation2164() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testListOfSubclassFields_literalMutation2164");
            Collection<Base> list = new ArrayList<Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1420,list);
            list.add(new Base(1));
            list.add(new Sub(3 , 3));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(list , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1421,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1422,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1074,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1417,json.contains("{\"b\":1}"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1418,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1419,json.contains("{\"s\":3,\"b\":2}"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testListOfSubclassFields_literalMutation2166() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testListOfSubclassFields_literalMutation2166");
            Collection<Base> list = new ArrayList<Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1420,list);
            list.add(new Base(1));
            list.add(new Sub(2 , 4));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(list , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1421,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1422,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1074,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1417,json.contains("{\"b\":1}"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1418,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1419,json.contains("{\"s\":3,\"b\":2}"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testListOfSubclassFields_literalMutation2167() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testListOfSubclassFields_literalMutation2167");
            Collection<Base> list = new ArrayList<Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1420,list);
            list.add(new Base(1));
            list.add(new Sub(2 , 2));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(list , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1421,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1422,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1074,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1417,json.contains("{\"b\":1}"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1418,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1419,json.contains("{\"s\":3,\"b\":2}"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testListOfSubclassFields_literalMutation2168() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testListOfSubclassFields_literalMutation2168");
            Collection<Base> list = new ArrayList<Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1420,list);
            list.add(new Base(1));
            list.add(new Sub(2 , 1));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(list , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1421,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1422,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1074,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1417,json.contains("{\"b\":1}"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1418,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1419,json.contains("{\"s\":3,\"b\":2}"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testListOfSubclassFields_literalMutation2169() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testListOfSubclassFields_literalMutation2169");
            Collection<Base> list = new ArrayList<Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1420,list);
            list.add(new Base(1));
            list.add(new Sub(2 , 6));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(list , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1421,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1422,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1074,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1417,json.contains("{\"b\":1}"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1418,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1419,json.contains("{\"s\":3,\"b\":2}"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testListOfSubclassFields_remove327() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testListOfSubclassFields_remove327");
            Collection<Base> list = new ArrayList<Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1420,list);
            list.add(new Sub(2 , 3));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(list , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1421,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1422,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1074,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1417,json.contains("{\"b\":1}"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1418,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1419,json.contains("{\"s\":3,\"b\":2}"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testListOfSubclassFields_remove328() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testListOfSubclassFields_remove328");
            Collection<Base> list = new ArrayList<Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1420,list);
            list.add(new Sub(2 , 3));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(list , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1421,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1422,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1074,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1417,json.contains("{\"b\":1}"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1418,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1419,json.contains("{\"s\":3,\"b\":2}"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testMapOfSubclassFields_add354() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfSubclassFields_add354");
            Map<java.lang.String, Base> map = new HashMap<java.lang.String, Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1431,map);
            map.put("base", new Base(1));
            map.put("base", new Base(1));
            map.put("sub", new Sub(2 , 3));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1432,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1428,json.get("base").getAsJsonObject().get("b").getAsInt());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1433,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1429,sub.get("b").getAsInt());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1430,sub.get("s").getAsInt());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testMapOfSubclassFields_add355() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfSubclassFields_add355");
            Map<java.lang.String, Base> map = new HashMap<java.lang.String, Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1431,map);
            map.put("base", new Base(1));
            map.put("sub", new Sub(2 , 3));
            map.put("sub", new Sub(2 , 3));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1432,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1428,json.get("base").getAsJsonObject().get("b").getAsInt());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1433,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1429,sub.get("b").getAsInt());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1430,sub.get("s").getAsInt());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapOfSubclassFields() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfSubclassFields");
            Map<java.lang.String, Base> map = new HashMap<java.lang.String, Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1431,map);
            map.put("bse", new Base(1));
            map.put("sub", new Sub(2 , 3));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1432,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1428,json.get("base").getAsJsonObject().get("b").getAsInt());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1433,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1429,sub.get("b").getAsInt());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1430,sub.get("s").getAsInt());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapOfSubclassFields_literalMutation2195() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfSubclassFields_literalMutation2195");
            Map<java.lang.String, Base> map = new HashMap<java.lang.String, Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1431,map);
            map.put("bØase", new Base(1));
            map.put("sub", new Sub(2 , 3));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1432,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1428,json.get("base").getAsJsonObject().get("b").getAsInt());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1433,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1429,sub.get("b").getAsInt());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1430,sub.get("s").getAsInt());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapOfSubclassFields_literalMutation2196() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfSubclassFields_literalMutation2196");
            Map<java.lang.String, Base> map = new HashMap<java.lang.String, Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1431,map);
            map.put("bae", new Base(1));
            map.put("sub", new Sub(2 , 3));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1432,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1428,json.get("base").getAsJsonObject().get("b").getAsInt());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1433,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1429,sub.get("b").getAsInt());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1430,sub.get("s").getAsInt());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapOfSubclassFields_literalMutation2197() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfSubclassFields_literalMutation2197");
            Map<java.lang.String, Base> map = new HashMap<java.lang.String, Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1431,map);
            map.put("base", new Base(2));
            map.put("sub", new Sub(2 , 3));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1432,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1428,json.get("base").getAsJsonObject().get("b").getAsInt());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1433,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1429,sub.get("b").getAsInt());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1430,sub.get("s").getAsInt());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapOfSubclassFields_literalMutation2198() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfSubclassFields_literalMutation2198");
            Map<java.lang.String, Base> map = new HashMap<java.lang.String, Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1431,map);
            map.put("base", new Base(0));
            map.put("sub", new Sub(2 , 3));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1432,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1428,json.get("base").getAsJsonObject().get("b").getAsInt());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1433,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1429,sub.get("b").getAsInt());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1430,sub.get("s").getAsInt());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapOfSubclassFields_literalMutation2199() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfSubclassFields_literalMutation2199");
            Map<java.lang.String, Base> map = new HashMap<java.lang.String, Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1431,map);
            map.put("base", new Base(0));
            map.put("sub", new Sub(2 , 3));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1432,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1428,json.get("base").getAsJsonObject().get("b").getAsInt());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1433,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1429,sub.get("b").getAsInt());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1430,sub.get("s").getAsInt());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapOfSubclassFields_literalMutation2201() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfSubclassFields_literalMutation2201");
            Map<java.lang.String, Base> map = new HashMap<java.lang.String, Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1431,map);
            map.put("base", new Base(1));
            map.put(">ub", new Sub(2 , 3));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1432,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1428,json.get("base").getAsJsonObject().get("b").getAsInt());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1433,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1429,sub.get("b").getAsInt());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1430,sub.get("s").getAsInt());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapOfSubclassFields_literalMutation2202() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfSubclassFields_literalMutation2202");
            Map<java.lang.String, Base> map = new HashMap<java.lang.String, Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1431,map);
            map.put("base", new Base(1));
            map.put("sub", new Sub(2 , 3));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1432,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1428,json.get("base").getAsJsonObject().get("b").getAsInt());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1433,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1429,sub.get("b").getAsInt());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1430,sub.get("s").getAsInt());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapOfSubclassFields_literalMutation2203() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfSubclassFields_literalMutation2203");
            Map<java.lang.String, Base> map = new HashMap<java.lang.String, Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1431,map);
            map.put("base", new Base(1));
            map.put("sb", new Sub(2 , 3));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1432,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1428,json.get("base").getAsJsonObject().get("b").getAsInt());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1433,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1429,sub.get("b").getAsInt());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1430,sub.get("s").getAsInt());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapOfSubclassFields_literalMutation2204() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfSubclassFields_literalMutation2204");
            Map<java.lang.String, Base> map = new HashMap<java.lang.String, Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1431,map);
            map.put("base", new Base(1));
            map.put("sub", new Sub(1 , 3));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1432,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1428,json.get("base").getAsJsonObject().get("b").getAsInt());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1433,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1429,sub.get("b").getAsInt());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1430,sub.get("s").getAsInt());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapOfSubclassFields_literalMutation2205() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfSubclassFields_literalMutation2205");
            Map<java.lang.String, Base> map = new HashMap<java.lang.String, Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1431,map);
            map.put("base", new Base(1));
            map.put("sub", new Sub(4 , 3));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1432,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1428,json.get("base").getAsJsonObject().get("b").getAsInt());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1433,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1429,sub.get("b").getAsInt());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1430,sub.get("s").getAsInt());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapOfSubclassFields_literalMutation2206() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfSubclassFields_literalMutation2206");
            Map<java.lang.String, Base> map = new HashMap<java.lang.String, Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1431,map);
            map.put("base", new Base(1));
            map.put("sub", new Sub(3 , 3));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1432,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1428,json.get("base").getAsJsonObject().get("b").getAsInt());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1433,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1429,sub.get("b").getAsInt());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1430,sub.get("s").getAsInt());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapOfSubclassFields_literalMutation2208() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfSubclassFields_literalMutation2208");
            Map<java.lang.String, Base> map = new HashMap<java.lang.String, Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1431,map);
            map.put("base", new Base(1));
            map.put("sub", new Sub(2 , 4));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1432,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1428,json.get("base").getAsJsonObject().get("b").getAsInt());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1433,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1429,sub.get("b").getAsInt());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1430,sub.get("s").getAsInt());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapOfSubclassFields_literalMutation2209() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfSubclassFields_literalMutation2209");
            Map<java.lang.String, Base> map = new HashMap<java.lang.String, Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1431,map);
            map.put("base", new Base(1));
            map.put("sub", new Sub(2 , 2));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1432,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1428,json.get("base").getAsJsonObject().get("b").getAsInt());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1433,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1429,sub.get("b").getAsInt());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1430,sub.get("s").getAsInt());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapOfSubclassFields_literalMutation2210() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfSubclassFields_literalMutation2210");
            Map<java.lang.String, Base> map = new HashMap<java.lang.String, Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1431,map);
            map.put("base", new Base(1));
            map.put("sub", new Sub(2 , 1));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1432,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1428,json.get("base").getAsJsonObject().get("b").getAsInt());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1433,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1429,sub.get("b").getAsInt());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1430,sub.get("s").getAsInt());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapOfSubclassFields_literalMutation2211() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfSubclassFields_literalMutation2211");
            Map<java.lang.String, Base> map = new HashMap<java.lang.String, Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1431,map);
            map.put("base", new Base(1));
            map.put("sub", new Sub(2 , 6));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1432,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1428,json.get("base").getAsJsonObject().get("b").getAsInt());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1433,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1429,sub.get("b").getAsInt());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1430,sub.get("s").getAsInt());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapOfSubclassFields_literalMutation2214() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfSubclassFields_literalMutation2214");
            Map<java.lang.String, Base> map = new HashMap<java.lang.String, Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1431,map);
            map.put("base", new Base(1));
            map.put("sub", new Sub(2 , 3));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1432,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("Ïap").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1428,json.get("base").getAsJsonObject().get("b").getAsInt());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1433,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1429,sub.get("b").getAsInt());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1430,sub.get("s").getAsInt());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapOfSubclassFields_literalMutation2215() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfSubclassFields_literalMutation2215");
            Map<java.lang.String, Base> map = new HashMap<java.lang.String, Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1431,map);
            map.put("base", new Base(1));
            map.put("sub", new Sub(2 , 3));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1432,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1428,json.get("base").getAsJsonObject().get("b").getAsInt());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1433,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1429,sub.get("b").getAsInt());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1430,sub.get("s").getAsInt());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapOfSubclassFields_literalMutation2216() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfSubclassFields_literalMutation2216");
            Map<java.lang.String, Base> map = new HashMap<java.lang.String, Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1431,map);
            map.put("base", new Base(1));
            map.put("sub", new Sub(2 , 3));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1432,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("mp").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1428,json.get("base").getAsJsonObject().get("b").getAsInt());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1433,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1429,sub.get("b").getAsInt());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1430,sub.get("s").getAsInt());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapOfSubclassFields_literalMutation2217() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfSubclassFields_literalMutation2217");
            Map<java.lang.String, Base> map = new HashMap<java.lang.String, Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1431,map);
            map.put("base", new Base(1));
            map.put("sub", new Sub(2 , 3));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1432,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1428,json.get("base").getAsJsonObject().get("b").getAsInt());
            JsonObject sub = json.get("!ub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1433,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1429,sub.get("b").getAsInt());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1430,sub.get("s").getAsInt());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapOfSubclassFields_literalMutation2218() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfSubclassFields_literalMutation2218");
            Map<java.lang.String, Base> map = new HashMap<java.lang.String, Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1431,map);
            map.put("base", new Base(1));
            map.put("sub", new Sub(2 , 3));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1432,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1428,json.get("base").getAsJsonObject().get("b").getAsInt());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1433,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1429,sub.get("b").getAsInt());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1430,sub.get("s").getAsInt());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMapOfSubclassFields_literalMutation2219() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfSubclassFields_literalMutation2219");
            Map<java.lang.String, Base> map = new HashMap<java.lang.String, Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1431,map);
            map.put("base", new Base(1));
            map.put("sub", new Sub(2 , 3));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1432,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1428,json.get("base").getAsJsonObject().get("b").getAsInt());
            JsonObject sub = json.get("sb").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1433,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1429,sub.get("b").getAsInt());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1430,sub.get("s").getAsInt());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testMapOfSubclassFields_remove331() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfSubclassFields_remove331");
            Map<java.lang.String, Base> map = new HashMap<java.lang.String, Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1431,map);
            map.put("sub", new Sub(2 , 3));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1432,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1428,json.get("base").getAsJsonObject().get("b").getAsInt());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1433,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1429,sub.get("b").getAsInt());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1430,sub.get("s").getAsInt());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testMapOfSubclassFields_remove332() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfSubclassFields_remove332");
            Map<java.lang.String, Base> map = new HashMap<java.lang.String, Base>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1431,map);
            map.put("sub", new Sub(2 , 3));
            ClassWithContainersOfBaseFields target = new ClassWithContainersOfBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1432,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1428,json.get("base").getAsJsonObject().get("b").getAsInt());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1433,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1429,sub.get("b").getAsInt());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1430,sub.get("s").getAsInt());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type, Gson ignores the more-specific type and sticks to the declared type
     */
public void testParameterizedSubclassFields() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedSubclassFields");
            ClassWithParameterizedBaseFields target = new ClassWithParameterizedBaseFields(new ParameterizedSub<java.lang.String>("gne" , "two"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1436,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1434,json.contains("\"t\":\"one\""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1435,json.contains("\"s\""));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type, Gson ignores the more-specific type and sticks to the declared type
     */
public void testParameterizedSubclassFields_literalMutation2221() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedSubclassFields_literalMutation2221");
            ClassWithParameterizedBaseFields target = new ClassWithParameterizedBaseFields(new ParameterizedSub<java.lang.String>("o°ne" , "two"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1436,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1434,json.contains("\"t\":\"one\""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1435,json.contains("\"s\""));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type, Gson ignores the more-specific type and sticks to the declared type
     */
public void testParameterizedSubclassFields_literalMutation2222() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedSubclassFields_literalMutation2222");
            ClassWithParameterizedBaseFields target = new ClassWithParameterizedBaseFields(new ParameterizedSub<java.lang.String>("oe" , "two"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1436,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1434,json.contains("\"t\":\"one\""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1435,json.contains("\"s\""));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type, Gson ignores the more-specific type and sticks to the declared type
     */
public void testParameterizedSubclassFields_literalMutation2223() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedSubclassFields_literalMutation2223");
            ClassWithParameterizedBaseFields target = new ClassWithParameterizedBaseFields(new ParameterizedSub<java.lang.String>("one" , "ðwo"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1436,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1434,json.contains("\"t\":\"one\""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1435,json.contains("\"s\""));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type, Gson ignores the more-specific type and sticks to the declared type
     */
public void testParameterizedSubclassFields_literalMutation2224() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedSubclassFields_literalMutation2224");
            ClassWithParameterizedBaseFields target = new ClassWithParameterizedBaseFields(new ParameterizedSub<java.lang.String>("one" , "t=wo"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1436,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1434,json.contains("\"t\":\"one\""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1435,json.contains("\"s\""));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type, Gson ignores the more-specific type and sticks to the declared type
     */
public void testParameterizedSubclassFields_literalMutation2225() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedSubclassFields_literalMutation2225");
            ClassWithParameterizedBaseFields target = new ClassWithParameterizedBaseFields(new ParameterizedSub<java.lang.String>("one" , "to"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1436,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1434,json.contains("\"t\":\"one\""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1435,json.contains("\"s\""));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a List, Gson ignores the more-specific type and sticks to
     * the declared type
     */
@Test(timeout = 1000)
    public void testListOfParameterizedSubclassFields_add348() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testListOfParameterizedSubclassFields_add348");
            Collection<ParameterizedBase<java.lang.String>> list = new ArrayList<ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1415,list);
            list.add(new ParameterizedBase<java.lang.String>("one"));
            list.add(new ParameterizedBase<java.lang.String>("one"));
            list.add(new ParameterizedSub<java.lang.String>("two" , "three"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(list , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1416,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1412,json.contains("{\"t\":\"one\"}"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1413,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1414,json.contains("\"s\":"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a List, Gson ignores the more-specific type and sticks to
     * the declared type
     */
@Test(timeout = 1000)
    public void testListOfParameterizedSubclassFields_add349() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testListOfParameterizedSubclassFields_add349");
            Collection<ParameterizedBase<java.lang.String>> list = new ArrayList<ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1415,list);
            list.add(new ParameterizedBase<java.lang.String>("one"));
            list.add(new ParameterizedSub<java.lang.String>("two" , "three"));
            list.add(new ParameterizedSub<java.lang.String>("two" , "three"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(list , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1416,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1412,json.contains("{\"t\":\"one\"}"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1413,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1414,json.contains("\"s\":"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a List, Gson ignores the more-specific type and sticks to
     * the declared type
     */
public void testListOfParameterizedSubclassFields() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testListOfParameterizedSubclassFields");
            Collection<ParameterizedBase<java.lang.String>> list = new ArrayList<ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1415,list);
            list.add(new ParameterizedBase<java.lang.String>("Tne"));
            list.add(new ParameterizedSub<java.lang.String>("two" , "three"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(list , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1416,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1412,json.contains("{\"t\":\"one\"}"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1413,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1414,json.contains("\"s\":"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a List, Gson ignores the more-specific type and sticks to
     * the declared type
     */
public void testListOfParameterizedSubclassFields_literalMutation2149() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testListOfParameterizedSubclassFields_literalMutation2149");
            Collection<ParameterizedBase<java.lang.String>> list = new ArrayList<ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1415,list);
            list.add(new ParameterizedBase<java.lang.String>("oìne"));
            list.add(new ParameterizedSub<java.lang.String>("two" , "three"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(list , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1416,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1412,json.contains("{\"t\":\"one\"}"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1413,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1414,json.contains("\"s\":"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a List, Gson ignores the more-specific type and sticks to
     * the declared type
     */
public void testListOfParameterizedSubclassFields_literalMutation2150() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testListOfParameterizedSubclassFields_literalMutation2150");
            Collection<ParameterizedBase<java.lang.String>> list = new ArrayList<ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1415,list);
            list.add(new ParameterizedBase<java.lang.String>("oe"));
            list.add(new ParameterizedSub<java.lang.String>("two" , "three"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(list , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1416,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1412,json.contains("{\"t\":\"one\"}"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1413,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1414,json.contains("\"s\":"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a List, Gson ignores the more-specific type and sticks to
     * the declared type
     */
public void testListOfParameterizedSubclassFields_literalMutation2151() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testListOfParameterizedSubclassFields_literalMutation2151");
            Collection<ParameterizedBase<java.lang.String>> list = new ArrayList<ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1415,list);
            list.add(new ParameterizedBase<java.lang.String>("one"));
            list.add(new ParameterizedSub<java.lang.String>("wo" , "three"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(list , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1416,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1412,json.contains("{\"t\":\"one\"}"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1413,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1414,json.contains("\"s\":"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a List, Gson ignores the more-specific type and sticks to
     * the declared type
     */
public void testListOfParameterizedSubclassFields_literalMutation2152() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testListOfParameterizedSubclassFields_literalMutation2152");
            Collection<ParameterizedBase<java.lang.String>> list = new ArrayList<ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1415,list);
            list.add(new ParameterizedBase<java.lang.String>("one"));
            list.add(new ParameterizedSub<java.lang.String>("two" , "three"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(list , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1416,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1412,json.contains("{\"t\":\"one\"}"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1413,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1414,json.contains("\"s\":"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a List, Gson ignores the more-specific type and sticks to
     * the declared type
     */
public void testListOfParameterizedSubclassFields_literalMutation2153() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testListOfParameterizedSubclassFields_literalMutation2153");
            Collection<ParameterizedBase<java.lang.String>> list = new ArrayList<ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1415,list);
            list.add(new ParameterizedBase<java.lang.String>("one"));
            list.add(new ParameterizedSub<java.lang.String>("to" , "three"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(list , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1416,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1412,json.contains("{\"t\":\"one\"}"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1413,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1414,json.contains("\"s\":"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a List, Gson ignores the more-specific type and sticks to
     * the declared type
     */
public void testListOfParameterizedSubclassFields_literalMutation2154() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testListOfParameterizedSubclassFields_literalMutation2154");
            Collection<ParameterizedBase<java.lang.String>> list = new ArrayList<ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1415,list);
            list.add(new ParameterizedBase<java.lang.String>("one"));
            list.add(new ParameterizedSub<java.lang.String>("two" , "thäee"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(list , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1416,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1412,json.contains("{\"t\":\"one\"}"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1413,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1414,json.contains("\"s\":"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a List, Gson ignores the more-specific type and sticks to
     * the declared type
     */
public void testListOfParameterizedSubclassFields_literalMutation2155() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testListOfParameterizedSubclassFields_literalMutation2155");
            Collection<ParameterizedBase<java.lang.String>> list = new ArrayList<ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1415,list);
            list.add(new ParameterizedBase<java.lang.String>("one"));
            list.add(new ParameterizedSub<java.lang.String>("two" , "thr%ee"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(list , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1416,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1412,json.contains("{\"t\":\"one\"}"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1413,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1414,json.contains("\"s\":"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a List, Gson ignores the more-specific type and sticks to
     * the declared type
     */
public void testListOfParameterizedSubclassFields_literalMutation2156() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testListOfParameterizedSubclassFields_literalMutation2156");
            Collection<ParameterizedBase<java.lang.String>> list = new ArrayList<ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1415,list);
            list.add(new ParameterizedBase<java.lang.String>("one"));
            list.add(new ParameterizedSub<java.lang.String>("two" , "thee"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(list , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1416,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1412,json.contains("{\"t\":\"one\"}"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1413,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1414,json.contains("\"s\":"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a List, Gson ignores the more-specific type and sticks to
     * the declared type
     */
@Test(timeout = 1000)
    public void testListOfParameterizedSubclassFields_remove325() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testListOfParameterizedSubclassFields_remove325");
            Collection<ParameterizedBase<java.lang.String>> list = new ArrayList<ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1415,list);
            list.add(new ParameterizedSub<java.lang.String>("two" , "three"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(list , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1416,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1412,json.contains("{\"t\":\"one\"}"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1413,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1414,json.contains("\"s\":"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a List, Gson ignores the more-specific type and sticks to
     * the declared type
     */
@Test(timeout = 1000)
    public void testListOfParameterizedSubclassFields_remove326() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testListOfParameterizedSubclassFields_remove326");
            Collection<ParameterizedBase<java.lang.String>> list = new ArrayList<ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1415,list);
            list.add(new ParameterizedSub<java.lang.String>("two" , "three"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(list , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1416,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1412,json.contains("{\"t\":\"one\"}"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1413,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1414,json.contains("\"s\":"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a map, Gson ignores the more-specific type and sticks to the
     * declared type
     */
@Test(timeout = 1000)
    public void testMapOfParameterizedSubclassFields_add352() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfParameterizedSubclassFields_add352");
            Map<java.lang.String, ParameterizedBase<java.lang.String>> map = new HashMap<java.lang.String, ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1426,map);
            map.put("base", new ParameterizedBase<java.lang.String>("one"));
            map.put("base", new ParameterizedBase<java.lang.String>("one"));
            map.put("sub", new ParameterizedSub<java.lang.String>("two" , "three"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),899,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),988,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1423,json.get("base").getAsJsonObject().get("t").getAsString());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1427,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1424,sub.get("t").getAsString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1425,sub.get("s"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a map, Gson ignores the more-specific type and sticks to the
     * declared type
     */
@Test(timeout = 1000)
    public void testMapOfParameterizedSubclassFields_add353() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfParameterizedSubclassFields_add353");
            Map<java.lang.String, ParameterizedBase<java.lang.String>> map = new HashMap<java.lang.String, ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1426,map);
            map.put("base", new ParameterizedBase<java.lang.String>("one"));
            map.put("sub", new ParameterizedSub<java.lang.String>("two" , "three"));
            map.put("sub", new ParameterizedSub<java.lang.String>("two" , "three"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),899,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),988,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1423,json.get("base").getAsJsonObject().get("t").getAsString());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1427,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1424,sub.get("t").getAsString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1425,sub.get("s"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a map, Gson ignores the more-specific type and sticks to the
     * declared type
     */
public void testMapOfParameterizedSubclassFields() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfParameterizedSubclassFields");
            Map<java.lang.String, ParameterizedBase<java.lang.String>> map = new HashMap<java.lang.String, ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1426,map);
            map.put("bse", new ParameterizedBase<java.lang.String>("one"));
            map.put("sub", new ParameterizedSub<java.lang.String>("two" , "three"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),899,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),988,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1423,json.get("base").getAsJsonObject().get("t").getAsString());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1427,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1424,sub.get("t").getAsString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1425,sub.get("s"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a map, Gson ignores the more-specific type and sticks to the
     * declared type
     */
public void testMapOfParameterizedSubclassFields_literalMutation2173() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfParameterizedSubclassFields_literalMutation2173");
            Map<java.lang.String, ParameterizedBase<java.lang.String>> map = new HashMap<java.lang.String, ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1426,map);
            map.put("base", new ParameterizedBase<java.lang.String>("one"));
            map.put("sub", new ParameterizedSub<java.lang.String>("two" , "three"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),899,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),988,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1423,json.get("base").getAsJsonObject().get("t").getAsString());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1427,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1424,sub.get("t").getAsString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1425,sub.get("s"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a map, Gson ignores the more-specific type and sticks to the
     * declared type
     */
public void testMapOfParameterizedSubclassFields_literalMutation2174() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfParameterizedSubclassFields_literalMutation2174");
            Map<java.lang.String, ParameterizedBase<java.lang.String>> map = new HashMap<java.lang.String, ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1426,map);
            map.put("bse", new ParameterizedBase<java.lang.String>("one"));
            map.put("sub", new ParameterizedSub<java.lang.String>("two" , "three"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),899,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),988,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1423,json.get("base").getAsJsonObject().get("t").getAsString());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1427,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1424,sub.get("t").getAsString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1425,sub.get("s"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a map, Gson ignores the more-specific type and sticks to the
     * declared type
     */
public void testMapOfParameterizedSubclassFields_literalMutation2175() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfParameterizedSubclassFields_literalMutation2175");
            Map<java.lang.String, ParameterizedBase<java.lang.String>> map = new HashMap<java.lang.String, ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1426,map);
            map.put("base", new ParameterizedBase<java.lang.String>("`ne"));
            map.put("sub", new ParameterizedSub<java.lang.String>("two" , "three"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),899,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),988,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1423,json.get("base").getAsJsonObject().get("t").getAsString());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1427,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1424,sub.get("t").getAsString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1425,sub.get("s"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a map, Gson ignores the more-specific type and sticks to the
     * declared type
     */
public void testMapOfParameterizedSubclassFields_literalMutation2176() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfParameterizedSubclassFields_literalMutation2176");
            Map<java.lang.String, ParameterizedBase<java.lang.String>> map = new HashMap<java.lang.String, ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1426,map);
            map.put("base", new ParameterizedBase<java.lang.String>("o³ne"));
            map.put("sub", new ParameterizedSub<java.lang.String>("two" , "three"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),899,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),988,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1423,json.get("base").getAsJsonObject().get("t").getAsString());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1427,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1424,sub.get("t").getAsString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1425,sub.get("s"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a map, Gson ignores the more-specific type and sticks to the
     * declared type
     */
public void testMapOfParameterizedSubclassFields_literalMutation2177() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfParameterizedSubclassFields_literalMutation2177");
            Map<java.lang.String, ParameterizedBase<java.lang.String>> map = new HashMap<java.lang.String, ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1426,map);
            map.put("base", new ParameterizedBase<java.lang.String>("oe"));
            map.put("sub", new ParameterizedSub<java.lang.String>("two" , "three"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),899,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),988,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1423,json.get("base").getAsJsonObject().get("t").getAsString());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1427,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1424,sub.get("t").getAsString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1425,sub.get("s"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a map, Gson ignores the more-specific type and sticks to the
     * declared type
     */
public void testMapOfParameterizedSubclassFields_literalMutation2178() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfParameterizedSubclassFields_literalMutation2178");
            Map<java.lang.String, ParameterizedBase<java.lang.String>> map = new HashMap<java.lang.String, ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1426,map);
            map.put("base", new ParameterizedBase<java.lang.String>("one"));
            map.put("ãub", new ParameterizedSub<java.lang.String>("two" , "three"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),899,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),988,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1423,json.get("base").getAsJsonObject().get("t").getAsString());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1427,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1424,sub.get("t").getAsString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1425,sub.get("s"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a map, Gson ignores the more-specific type and sticks to the
     * declared type
     */
public void testMapOfParameterizedSubclassFields_literalMutation2179() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfParameterizedSubclassFields_literalMutation2179");
            Map<java.lang.String, ParameterizedBase<java.lang.String>> map = new HashMap<java.lang.String, ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1426,map);
            map.put("base", new ParameterizedBase<java.lang.String>("one"));
            map.put("sub", new ParameterizedSub<java.lang.String>("two" , "three"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),899,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),988,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1423,json.get("base").getAsJsonObject().get("t").getAsString());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1427,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1424,sub.get("t").getAsString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1425,sub.get("s"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a map, Gson ignores the more-specific type and sticks to the
     * declared type
     */
public void testMapOfParameterizedSubclassFields_literalMutation2180() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfParameterizedSubclassFields_literalMutation2180");
            Map<java.lang.String, ParameterizedBase<java.lang.String>> map = new HashMap<java.lang.String, ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1426,map);
            map.put("base", new ParameterizedBase<java.lang.String>("one"));
            map.put("sb", new ParameterizedSub<java.lang.String>("two" , "three"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),899,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),988,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1423,json.get("base").getAsJsonObject().get("t").getAsString());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1427,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1424,sub.get("t").getAsString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1425,sub.get("s"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a map, Gson ignores the more-specific type and sticks to the
     * declared type
     */
public void testMapOfParameterizedSubclassFields_literalMutation2181() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfParameterizedSubclassFields_literalMutation2181");
            Map<java.lang.String, ParameterizedBase<java.lang.String>> map = new HashMap<java.lang.String, ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1426,map);
            map.put("base", new ParameterizedBase<java.lang.String>("one"));
            map.put("sub", new ParameterizedSub<java.lang.String>("3wo" , "three"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),899,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),988,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1423,json.get("base").getAsJsonObject().get("t").getAsString());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1427,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1424,sub.get("t").getAsString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1425,sub.get("s"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a map, Gson ignores the more-specific type and sticks to the
     * declared type
     */
public void testMapOfParameterizedSubclassFields_literalMutation2182() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfParameterizedSubclassFields_literalMutation2182");
            Map<java.lang.String, ParameterizedBase<java.lang.String>> map = new HashMap<java.lang.String, ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1426,map);
            map.put("base", new ParameterizedBase<java.lang.String>("one"));
            map.put("sub", new ParameterizedSub<java.lang.String>("two" , "three"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),899,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),988,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1423,json.get("base").getAsJsonObject().get("t").getAsString());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1427,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1424,sub.get("t").getAsString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1425,sub.get("s"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a map, Gson ignores the more-specific type and sticks to the
     * declared type
     */
public void testMapOfParameterizedSubclassFields_literalMutation2183() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfParameterizedSubclassFields_literalMutation2183");
            Map<java.lang.String, ParameterizedBase<java.lang.String>> map = new HashMap<java.lang.String, ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1426,map);
            map.put("base", new ParameterizedBase<java.lang.String>("one"));
            map.put("sub", new ParameterizedSub<java.lang.String>("to" , "three"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),899,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),988,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1423,json.get("base").getAsJsonObject().get("t").getAsString());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1427,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1424,sub.get("t").getAsString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1425,sub.get("s"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a map, Gson ignores the more-specific type and sticks to the
     * declared type
     */
public void testMapOfParameterizedSubclassFields_literalMutation2184() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfParameterizedSubclassFields_literalMutation2184");
            Map<java.lang.String, ParameterizedBase<java.lang.String>> map = new HashMap<java.lang.String, ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1426,map);
            map.put("base", new ParameterizedBase<java.lang.String>("one"));
            map.put("sub", new ParameterizedSub<java.lang.String>("two" , "tlree"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),899,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),988,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1423,json.get("base").getAsJsonObject().get("t").getAsString());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1427,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1424,sub.get("t").getAsString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1425,sub.get("s"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a map, Gson ignores the more-specific type and sticks to the
     * declared type
     */
public void testMapOfParameterizedSubclassFields_literalMutation2185() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfParameterizedSubclassFields_literalMutation2185");
            Map<java.lang.String, ParameterizedBase<java.lang.String>> map = new HashMap<java.lang.String, ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1426,map);
            map.put("base", new ParameterizedBase<java.lang.String>("one"));
            map.put("sub", new ParameterizedSub<java.lang.String>("two" , "thrVee"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),899,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),988,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1423,json.get("base").getAsJsonObject().get("t").getAsString());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1427,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1424,sub.get("t").getAsString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1425,sub.get("s"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a map, Gson ignores the more-specific type and sticks to the
     * declared type
     */
public void testMapOfParameterizedSubclassFields_literalMutation2186() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfParameterizedSubclassFields_literalMutation2186");
            Map<java.lang.String, ParameterizedBase<java.lang.String>> map = new HashMap<java.lang.String, ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1426,map);
            map.put("base", new ParameterizedBase<java.lang.String>("one"));
            map.put("sub", new ParameterizedSub<java.lang.String>("two" , "thre"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),899,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),988,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1423,json.get("base").getAsJsonObject().get("t").getAsString());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1427,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1424,sub.get("t").getAsString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1425,sub.get("s"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a map, Gson ignores the more-specific type and sticks to the
     * declared type
     */
public void testMapOfParameterizedSubclassFields_literalMutation2188() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfParameterizedSubclassFields_literalMutation2188");
            Map<java.lang.String, ParameterizedBase<java.lang.String>> map = new HashMap<java.lang.String, ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1426,map);
            map.put("base", new ParameterizedBase<java.lang.String>("one"));
            map.put("sub", new ParameterizedSub<java.lang.String>("two" , "three"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),899,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("ap").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),988,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1423,json.get("base").getAsJsonObject().get("t").getAsString());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1427,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1424,sub.get("t").getAsString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1425,sub.get("s"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a map, Gson ignores the more-specific type and sticks to the
     * declared type
     */
public void testMapOfParameterizedSubclassFields_literalMutation2189() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfParameterizedSubclassFields_literalMutation2189");
            Map<java.lang.String, ParameterizedBase<java.lang.String>> map = new HashMap<java.lang.String, ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1426,map);
            map.put("base", new ParameterizedBase<java.lang.String>("one"));
            map.put("sub", new ParameterizedSub<java.lang.String>("two" , "three"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),899,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),988,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1423,json.get("base").getAsJsonObject().get("t").getAsString());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1427,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1424,sub.get("t").getAsString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1425,sub.get("s"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a map, Gson ignores the more-specific type and sticks to the
     * declared type
     */
public void testMapOfParameterizedSubclassFields_literalMutation2190() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfParameterizedSubclassFields_literalMutation2190");
            Map<java.lang.String, ParameterizedBase<java.lang.String>> map = new HashMap<java.lang.String, ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1426,map);
            map.put("base", new ParameterizedBase<java.lang.String>("one"));
            map.put("sub", new ParameterizedSub<java.lang.String>("two" , "three"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),899,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("mp").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),988,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1423,json.get("base").getAsJsonObject().get("t").getAsString());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1427,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1424,sub.get("t").getAsString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1425,sub.get("s"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a map, Gson ignores the more-specific type and sticks to the
     * declared type
     */
public void testMapOfParameterizedSubclassFields_literalMutation2191() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfParameterizedSubclassFields_literalMutation2191");
            Map<java.lang.String, ParameterizedBase<java.lang.String>> map = new HashMap<java.lang.String, ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1426,map);
            map.put("base", new ParameterizedBase<java.lang.String>("one"));
            map.put("sub", new ParameterizedSub<java.lang.String>("two" , "three"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),899,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),988,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1423,json.get("base").getAsJsonObject().get("t").getAsString());
            JsonObject sub = json.get("äub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1427,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1424,sub.get("t").getAsString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1425,sub.get("s"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a map, Gson ignores the more-specific type and sticks to the
     * declared type
     */
public void testMapOfParameterizedSubclassFields_literalMutation2192() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfParameterizedSubclassFields_literalMutation2192");
            Map<java.lang.String, ParameterizedBase<java.lang.String>> map = new HashMap<java.lang.String, ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1426,map);
            map.put("base", new ParameterizedBase<java.lang.String>("one"));
            map.put("sub", new ParameterizedSub<java.lang.String>("two" , "three"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),899,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),988,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1423,json.get("base").getAsJsonObject().get("t").getAsString());
            JsonObject sub = json.get("s;ub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1427,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1424,sub.get("t").getAsString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1425,sub.get("s"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a map, Gson ignores the more-specific type and sticks to the
     * declared type
     */
public void testMapOfParameterizedSubclassFields_literalMutation2193() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfParameterizedSubclassFields_literalMutation2193");
            Map<java.lang.String, ParameterizedBase<java.lang.String>> map = new HashMap<java.lang.String, ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1426,map);
            map.put("base", new ParameterizedBase<java.lang.String>("one"));
            map.put("sub", new ParameterizedSub<java.lang.String>("two" , "three"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),899,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),988,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1423,json.get("base").getAsJsonObject().get("t").getAsString());
            JsonObject sub = json.get("sb").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1427,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1424,sub.get("t").getAsString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1425,sub.get("s"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a map, Gson ignores the more-specific type and sticks to the
     * declared type
     */
@Test(timeout = 1000)
    public void testMapOfParameterizedSubclassFields_remove329() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfParameterizedSubclassFields_remove329");
            Map<java.lang.String, ParameterizedBase<java.lang.String>> map = new HashMap<java.lang.String, ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1426,map);
            map.put("sub", new ParameterizedSub<java.lang.String>("two" , "three"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),899,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),988,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1423,json.get("base").getAsJsonObject().get("t").getAsString());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1427,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1424,sub.get("t").getAsString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1425,sub.get("s"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * For parameterized type in a map, Gson ignores the more-specific type and sticks to the
     * declared type
     */
@Test(timeout = 1000)
    public void testMapOfParameterizedSubclassFields_remove330() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMapOfParameterizedSubclassFields_remove330");
            Map<java.lang.String, ParameterizedBase<java.lang.String>> map = new HashMap<java.lang.String, ParameterizedBase<java.lang.String>>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1426,map);
            map.put("sub", new ParameterizedSub<java.lang.String>("two" , "three"));
            ClassWithContainersOfParameterizedBaseFields target = new ClassWithContainersOfParameterizedBaseFields(null , map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),899,target);
            JsonObject json = gson.toJsonTree(target).getAsJsonObject().get("map").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),988,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1423,json.get("base").getAsJsonObject().get("t").getAsString());
            JsonObject sub = json.get("sub").getAsJsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1427,sub);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1424,sub.get("t").getAsString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1425,sub.get("s"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    private static class Base {
        int b;

        Base(int b) {
            this.b = b;
        }
    }

    private static class Sub extends Base {
        int s;

        Sub(int b ,int s) {
            super(b);
            this.s = s;
        }
    }

    private static class ClassWithBaseFields {
        Base b;

        ClassWithBaseFields(Base b) {
            this.b = b;
        }
    }

    private static class ClassWithContainersOfBaseFields {
        Collection<Base> collection;

        Map<java.lang.String, Base> map;

        ClassWithContainersOfBaseFields(Collection<Base> collection ,Map<java.lang.String, Base> map) {
            this.collection = collection;
            this.map = map;
        }
    }

    private static class ParameterizedBase<T> {
        T t;

        ParameterizedBase(T t) {
            this.t = t;
        }
    }

    private static class ParameterizedSub<T> extends ParameterizedBase<T> {
        T s;

        ParameterizedSub(T t ,T s) {
            super(t);
            this.s = s;
        }
    }

    private static class ClassWithParameterizedBaseFields {
        ParameterizedBase<java.lang.String> b;

        ClassWithParameterizedBaseFields(ParameterizedBase<java.lang.String> b) {
            this.b = b;
        }
    }

    private static class ClassWithContainersOfParameterizedBaseFields {
        Collection<ParameterizedBase<java.lang.String>> collection;

        Map<java.lang.String, ParameterizedBase<java.lang.String>> map;

        ClassWithContainersOfParameterizedBaseFields(Collection<ParameterizedBase<java.lang.String>> collection ,Map<java.lang.String, ParameterizedBase<java.lang.String>> map) {
            this.collection = collection;
            this.map = map;
        }
    }
}

