package com.google.gson.functional;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import java.util.LinkedHashMap;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;
import org.junit.Test;
import junit.framework.TestCase;
import com.google.gson.common.TestTypes;
import java.lang.reflect.Type;
import com.google.gson.reflect.TypeToken;

/** 
 * Functional tests for pretty printing option.
 * 
 * @author Inderjeet Singh
 * @author Joel Leitch
 */
public class PrettyPrintingTest extends TestCase {
    private static final boolean DEBUG = false;

    private Gson gson;

    @Override
    protected void setUp() throws Exception {
        super.setUp();
        gson = new GsonBuilder().setPrettyPrinting().create();
        fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),276,gson);
    }

    @Test(timeout = 1000)
    public void testPrettyPrintList_add404() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintList_add404");
            TestTypes.BagOfPrimitives b = new TestTypes.BagOfPrimitives();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1853,b);
            List<com.google.gson.common.TestTypes.BagOfPrimitives> listOfB = new LinkedList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1854,listOfB);
            for (int i = 0 ; i < 15 ; ++i) {
                listOfB.add(b);
                listOfB.add(b);
            }
            Type typeOfSrc = new TypeToken<java.util.List<com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1855,typeOfSrc);
            String json = gson.toJson(listOfB, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1856,json);
            print(json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testPrettyPrintList_add405() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintList_add405");
            TestTypes.BagOfPrimitives b = new TestTypes.BagOfPrimitives();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1853,b);
            List<com.google.gson.common.TestTypes.BagOfPrimitives> listOfB = new LinkedList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1854,listOfB);
            for (int i = 0 ; i < 15 ; ++i) {
                listOfB.add(b);
            }
            Type typeOfSrc = new TypeToken<java.util.List<com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1855,typeOfSrc);
            String json = gson.toJson(listOfB, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1856,json);
            print(json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testPrettyPrintList_add406() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintList_add406");
            TestTypes.BagOfPrimitives b = new TestTypes.BagOfPrimitives();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1853,b);
            List<com.google.gson.common.TestTypes.BagOfPrimitives> listOfB = new LinkedList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1854,listOfB);
            for (int i = 0 ; i < 15 ; ++i) {
                listOfB.add(b);
            }
            Type typeOfSrc = new TypeToken<java.util.List<com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1855,typeOfSrc);
            String json = gson.toJson(listOfB, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1856,json);
            print(json);
            print(json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintList() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintList");
            TestTypes.BagOfPrimitives b = new TestTypes.BagOfPrimitives();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1853,b);
            List<com.google.gson.common.TestTypes.BagOfPrimitives> listOfB = new LinkedList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1854,listOfB);
            for (int i = 1 ; i < 15 ; ++i) {
                listOfB.add(b);
            }
            Type typeOfSrc = new TypeToken<java.util.List<com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1855,typeOfSrc);
            String json = gson.toJson(listOfB, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1856,json);
            print(json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintList_literalMutation2830() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintList_literalMutation2830");
            TestTypes.BagOfPrimitives b = new TestTypes.BagOfPrimitives();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1853,b);
            List<com.google.gson.common.TestTypes.BagOfPrimitives> listOfB = new LinkedList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1854,listOfB);
            for (int i = -1 ; i < 15 ; ++i) {
                listOfB.add(b);
            }
            Type typeOfSrc = new TypeToken<java.util.List<com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1855,typeOfSrc);
            String json = gson.toJson(listOfB, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1856,json);
            print(json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintList_literalMutation2831() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintList_literalMutation2831");
            TestTypes.BagOfPrimitives b = new TestTypes.BagOfPrimitives();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1853,b);
            List<com.google.gson.common.TestTypes.BagOfPrimitives> listOfB = new LinkedList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1854,listOfB);
            for (int i = 0 ; i < 15 ; ++i) {
                listOfB.add(b);
            }
            Type typeOfSrc = new TypeToken<java.util.List<com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1855,typeOfSrc);
            String json = gson.toJson(listOfB, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1856,json);
            print(json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintList_literalMutation2833() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintList_literalMutation2833");
            TestTypes.BagOfPrimitives b = new TestTypes.BagOfPrimitives();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1853,b);
            List<com.google.gson.common.TestTypes.BagOfPrimitives> listOfB = new LinkedList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1854,listOfB);
            for (int i = 0 ; i < 16 ; ++i) {
                listOfB.add(b);
            }
            Type typeOfSrc = new TypeToken<java.util.List<com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1855,typeOfSrc);
            String json = gson.toJson(listOfB, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1856,json);
            print(json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintList_literalMutation2834() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintList_literalMutation2834");
            TestTypes.BagOfPrimitives b = new TestTypes.BagOfPrimitives();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1853,b);
            List<com.google.gson.common.TestTypes.BagOfPrimitives> listOfB = new LinkedList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1854,listOfB);
            for (int i = 0 ; i < 14 ; ++i) {
                listOfB.add(b);
            }
            Type typeOfSrc = new TypeToken<java.util.List<com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1855,typeOfSrc);
            String json = gson.toJson(listOfB, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1856,json);
            print(json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintList_literalMutation2835() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintList_literalMutation2835");
            TestTypes.BagOfPrimitives b = new TestTypes.BagOfPrimitives();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1853,b);
            List<com.google.gson.common.TestTypes.BagOfPrimitives> listOfB = new LinkedList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1854,listOfB);
            for (int i = 0 ; i < 7 ; ++i) {
                listOfB.add(b);
            }
            Type typeOfSrc = new TypeToken<java.util.List<com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1855,typeOfSrc);
            String json = gson.toJson(listOfB, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1856,json);
            print(json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintList_literalMutation2836() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintList_literalMutation2836");
            TestTypes.BagOfPrimitives b = new TestTypes.BagOfPrimitives();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1853,b);
            List<com.google.gson.common.TestTypes.BagOfPrimitives> listOfB = new LinkedList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1854,listOfB);
            for (int i = 0 ; i < 30 ; ++i) {
                listOfB.add(b);
            }
            Type typeOfSrc = new TypeToken<java.util.List<com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1855,typeOfSrc);
            String json = gson.toJson(listOfB, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1856,json);
            print(json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testPrettyPrintList_remove378() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintList_remove378");
            TestTypes.BagOfPrimitives b = new TestTypes.BagOfPrimitives();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1853,b);
            List<com.google.gson.common.TestTypes.BagOfPrimitives> listOfB = new LinkedList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1854,listOfB);
            for (int i = 0 ; i < 15 ; ++i) {
            }
            Type typeOfSrc = new TypeToken<java.util.List<com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1855,typeOfSrc);
            String json = gson.toJson(listOfB, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1856,json);
            print(json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testPrettyPrintList_remove379() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintList_remove379");
            TestTypes.BagOfPrimitives b = new TestTypes.BagOfPrimitives();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1853,b);
            List<com.google.gson.common.TestTypes.BagOfPrimitives> listOfB = new LinkedList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1854,listOfB);
            for (int i = 0 ; i < 15 ; ++i) {
                listOfB.add(b);
            }
            Type typeOfSrc = new TypeToken<java.util.List<com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1855,typeOfSrc);
            String json = gson.toJson(listOfB, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1856,json);
            print(json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testPrettyPrintList_remove380() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintList_remove380");
            TestTypes.BagOfPrimitives b = new TestTypes.BagOfPrimitives();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1853,b);
            List<com.google.gson.common.TestTypes.BagOfPrimitives> listOfB = new LinkedList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1854,listOfB);
            for (int i = 0 ; i < 15 ; ++i) {
                listOfB.add(b);
            }
            Type typeOfSrc = new TypeToken<java.util.List<com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1855,typeOfSrc);
            String json = gson.toJson(listOfB, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1856,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testPrettyPrintArrayOfObjects() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfObjects");
            TestTypes.ArrayOfObjects target = new TestTypes.ArrayOfObjects();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),952,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),762,json);
            print(json);
            print(json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testPrettyPrintArrayOfObjects_remove377() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfObjects_remove377");
            TestTypes.ArrayOfObjects target = new TestTypes.ArrayOfObjects();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),952,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),762,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitives() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitives");
            int[] ints = new int[]{ 2 , 2 , 3 , 4 , 5 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1850,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1308,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1849,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitives_literalMutation2807() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitives_literalMutation2807");
            int[] ints = new int[]{ 0 , 2 , 3 , 4 , 5 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1850,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1308,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1849,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitives_literalMutation2808() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitives_literalMutation2808");
            int[] ints = new int[]{ 0 , 2 , 3 , 4 , 5 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1850,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1308,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1849,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitives_literalMutation2810() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitives_literalMutation2810");
            int[] ints = new int[]{ 1 , 1 , 3 , 4 , 5 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1850,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1308,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1849,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitives_literalMutation2811() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitives_literalMutation2811");
            int[] ints = new int[]{ 1 , 4 , 3 , 4 , 5 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1850,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1308,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1849,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitives_literalMutation2812() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitives_literalMutation2812");
            int[] ints = new int[]{ 1 , 3 , 3 , 4 , 5 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1850,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1308,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1849,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitives_literalMutation2814() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitives_literalMutation2814");
            int[] ints = new int[]{ 1 , 2 , 4 , 4 , 5 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1850,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1308,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1849,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitives_literalMutation2815() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitives_literalMutation2815");
            int[] ints = new int[]{ 1 , 2 , 2 , 4 , 5 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1850,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1308,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1849,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitives_literalMutation2816() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitives_literalMutation2816");
            int[] ints = new int[]{ 1 , 2 , 1 , 4 , 5 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1850,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1308,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1849,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitives_literalMutation2817() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitives_literalMutation2817");
            int[] ints = new int[]{ 1 , 2 , 6 , 4 , 5 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1850,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1308,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1849,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitives_literalMutation2819() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitives_literalMutation2819");
            int[] ints = new int[]{ 1 , 2 , 3 , 2 , 5 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1850,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1308,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1849,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitives_literalMutation2820() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitives_literalMutation2820");
            int[] ints = new int[]{ 1 , 2 , 3 , 8 , 5 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1850,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1308,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1849,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitives_literalMutation2821() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitives_literalMutation2821");
            int[] ints = new int[]{ 1 , 2 , 3 , 5 , 5 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1850,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1308,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1849,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitives_literalMutation2822() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitives_literalMutation2822");
            int[] ints = new int[]{ 1 , 2 , 3 , 3 , 5 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1850,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1308,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1849,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitives_literalMutation2824() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitives_literalMutation2824");
            int[] ints = new int[]{ 1 , 2 , 3 , 4 , 4 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1850,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1308,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1849,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitives_literalMutation2825() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitives_literalMutation2825");
            int[] ints = new int[]{ 1 , 2 , 3 , 4 , 2 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1850,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1308,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1849,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitives_literalMutation2826() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitives_literalMutation2826");
            int[] ints = new int[]{ 1 , 2 , 3 , 4 , 10 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1850,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1308,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1849,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitives_literalMutation2827() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitives_literalMutation2827");
            int[] ints = new int[]{ 1 , 2 , 3 , 4 , 6 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1850,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1308,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1849,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays");
            int[][] ints = new int[][]{ new int[]{ 2 , 2 } , new int[]{ 3 , 4 } , new int[]{ 5 , 6 } , new int[]{ 7 , 8 } , new int[]{ 9 , 0 } , new int[]{ 10 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2755() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2755");
            int[][] ints = new int[][]{ new int[]{ 0 , 2 } , new int[]{ 3 , 4 } , new int[]{ 5 , 6 } , new int[]{ 7 , 8 } , new int[]{ 9 , 0 } , new int[]{ 10 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2756() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2756");
            int[][] ints = new int[][]{ new int[]{ 0 , 2 } , new int[]{ 3 , 4 } , new int[]{ 5 , 6 } , new int[]{ 7 , 8 } , new int[]{ 9 , 0 } , new int[]{ 10 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2758() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2758");
            int[][] ints = new int[][]{ new int[]{ 1 , 1 } , new int[]{ 3 , 4 } , new int[]{ 5 , 6 } , new int[]{ 7 , 8 } , new int[]{ 9 , 0 } , new int[]{ 10 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2759() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2759");
            int[][] ints = new int[][]{ new int[]{ 1 , 4 } , new int[]{ 3 , 4 } , new int[]{ 5 , 6 } , new int[]{ 7 , 8 } , new int[]{ 9 , 0 } , new int[]{ 10 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2760() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2760");
            int[][] ints = new int[][]{ new int[]{ 1 , 3 } , new int[]{ 3 , 4 } , new int[]{ 5 , 6 } , new int[]{ 7 , 8 } , new int[]{ 9 , 0 } , new int[]{ 10 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2762() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2762");
            int[][] ints = new int[][]{ new int[]{ 1 , 2 } , new int[]{ 4 , 4 } , new int[]{ 5 , 6 } , new int[]{ 7 , 8 } , new int[]{ 9 , 0 } , new int[]{ 10 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2763() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2763");
            int[][] ints = new int[][]{ new int[]{ 1 , 2 } , new int[]{ 2 , 4 } , new int[]{ 5 , 6 } , new int[]{ 7 , 8 } , new int[]{ 9 , 0 } , new int[]{ 10 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2764() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2764");
            int[][] ints = new int[][]{ new int[]{ 1 , 2 } , new int[]{ 1 , 4 } , new int[]{ 5 , 6 } , new int[]{ 7 , 8 } , new int[]{ 9 , 0 } , new int[]{ 10 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2765() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2765");
            int[][] ints = new int[][]{ new int[]{ 1 , 2 } , new int[]{ 6 , 4 } , new int[]{ 5 , 6 } , new int[]{ 7 , 8 } , new int[]{ 9 , 0 } , new int[]{ 10 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2767() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2767");
            int[][] ints = new int[][]{ new int[]{ 1 , 2 } , new int[]{ 3 , 2 } , new int[]{ 5 , 6 } , new int[]{ 7 , 8 } , new int[]{ 9 , 0 } , new int[]{ 10 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2768() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2768");
            int[][] ints = new int[][]{ new int[]{ 1 , 2 } , new int[]{ 3 , 8 } , new int[]{ 5 , 6 } , new int[]{ 7 , 8 } , new int[]{ 9 , 0 } , new int[]{ 10 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2769() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2769");
            int[][] ints = new int[][]{ new int[]{ 1 , 2 } , new int[]{ 3 , 5 } , new int[]{ 5 , 6 } , new int[]{ 7 , 8 } , new int[]{ 9 , 0 } , new int[]{ 10 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2770() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2770");
            int[][] ints = new int[][]{ new int[]{ 1 , 2 } , new int[]{ 3 , 3 } , new int[]{ 5 , 6 } , new int[]{ 7 , 8 } , new int[]{ 9 , 0 } , new int[]{ 10 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2772() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2772");
            int[][] ints = new int[][]{ new int[]{ 1 , 2 } , new int[]{ 3 , 4 } , new int[]{ 4 , 6 } , new int[]{ 7 , 8 } , new int[]{ 9 , 0 } , new int[]{ 10 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2773() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2773");
            int[][] ints = new int[][]{ new int[]{ 1 , 2 } , new int[]{ 3 , 4 } , new int[]{ 2 , 6 } , new int[]{ 7 , 8 } , new int[]{ 9 , 0 } , new int[]{ 10 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2774() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2774");
            int[][] ints = new int[][]{ new int[]{ 1 , 2 } , new int[]{ 3 , 4 } , new int[]{ 10 , 6 } , new int[]{ 7 , 8 } , new int[]{ 9 , 0 } , new int[]{ 10 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2775() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2775");
            int[][] ints = new int[][]{ new int[]{ 1 , 2 } , new int[]{ 3 , 4 } , new int[]{ 6 , 6 } , new int[]{ 7 , 8 } , new int[]{ 9 , 0 } , new int[]{ 10 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2777() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2777");
            int[][] ints = new int[][]{ new int[]{ 1 , 2 } , new int[]{ 3 , 4 } , new int[]{ 5 , 5 } , new int[]{ 7 , 8 } , new int[]{ 9 , 0 } , new int[]{ 10 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2778() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2778");
            int[][] ints = new int[][]{ new int[]{ 1 , 2 } , new int[]{ 3 , 4 } , new int[]{ 5 , 3 } , new int[]{ 7 , 8 } , new int[]{ 9 , 0 } , new int[]{ 10 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2779() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2779");
            int[][] ints = new int[][]{ new int[]{ 1 , 2 } , new int[]{ 3 , 4 } , new int[]{ 5 , 12 } , new int[]{ 7 , 8 } , new int[]{ 9 , 0 } , new int[]{ 10 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2780() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2780");
            int[][] ints = new int[][]{ new int[]{ 1 , 2 } , new int[]{ 3 , 4 } , new int[]{ 5 , 7 } , new int[]{ 7 , 8 } , new int[]{ 9 , 0 } , new int[]{ 10 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2782() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2782");
            int[][] ints = new int[][]{ new int[]{ 1 , 2 } , new int[]{ 3 , 4 } , new int[]{ 5 , 6 } , new int[]{ 8 , 8 } , new int[]{ 9 , 0 } , new int[]{ 10 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2783() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2783");
            int[][] ints = new int[][]{ new int[]{ 1 , 2 } , new int[]{ 3 , 4 } , new int[]{ 5 , 6 } , new int[]{ 6 , 8 } , new int[]{ 9 , 0 } , new int[]{ 10 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2784() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2784");
            int[][] ints = new int[][]{ new int[]{ 1 , 2 } , new int[]{ 3 , 4 } , new int[]{ 5 , 6 } , new int[]{ 3 , 8 } , new int[]{ 9 , 0 } , new int[]{ 10 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2785() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2785");
            int[][] ints = new int[][]{ new int[]{ 1 , 2 } , new int[]{ 3 , 4 } , new int[]{ 5 , 6 } , new int[]{ 14 , 8 } , new int[]{ 9 , 0 } , new int[]{ 10 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2787() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2787");
            int[][] ints = new int[][]{ new int[]{ 1 , 2 } , new int[]{ 3 , 4 } , new int[]{ 5 , 6 } , new int[]{ 7 , 4 } , new int[]{ 9 , 0 } , new int[]{ 10 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2788() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2788");
            int[][] ints = new int[][]{ new int[]{ 1 , 2 } , new int[]{ 3 , 4 } , new int[]{ 5 , 6 } , new int[]{ 7 , 16 } , new int[]{ 9 , 0 } , new int[]{ 10 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2789() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2789");
            int[][] ints = new int[][]{ new int[]{ 1 , 2 } , new int[]{ 3 , 4 } , new int[]{ 5 , 6 } , new int[]{ 7 , 9 } , new int[]{ 9 , 0 } , new int[]{ 10 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2790() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2790");
            int[][] ints = new int[][]{ new int[]{ 1 , 2 } , new int[]{ 3 , 4 } , new int[]{ 5 , 6 } , new int[]{ 7 , 7 } , new int[]{ 9 , 0 } , new int[]{ 10 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2792() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2792");
            int[][] ints = new int[][]{ new int[]{ 1 , 2 } , new int[]{ 3 , 4 } , new int[]{ 5 , 6 } , new int[]{ 7 , 8 } , new int[]{ 8 , 0 } , new int[]{ 10 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2793() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2793");
            int[][] ints = new int[][]{ new int[]{ 1 , 2 } , new int[]{ 3 , 4 } , new int[]{ 5 , 6 } , new int[]{ 7 , 8 } , new int[]{ 4 , 0 } , new int[]{ 10 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2794() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2794");
            int[][] ints = new int[][]{ new int[]{ 1 , 2 } , new int[]{ 3 , 4 } , new int[]{ 5 , 6 } , new int[]{ 7 , 8 } , new int[]{ 18 , 0 } , new int[]{ 10 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2795() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2795");
            int[][] ints = new int[][]{ new int[]{ 1 , 2 } , new int[]{ 3 , 4 } , new int[]{ 5 , 6 } , new int[]{ 7 , 8 } , new int[]{ 10 , 0 } , new int[]{ 10 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2797() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2797");
            int[][] ints = new int[][]{ new int[]{ 1 , 2 } , new int[]{ 3 , 4 } , new int[]{ 5 , 6 } , new int[]{ 7 , 8 } , new int[]{ 9 , 1 } , new int[]{ 10 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2798() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2798");
            int[][] ints = new int[][]{ new int[]{ 1 , 2 } , new int[]{ 3 , 4 } , new int[]{ 5 , 6 } , new int[]{ 7 , 8 } , new int[]{ 9 , -1 } , new int[]{ 10 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2799() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2799");
            int[][] ints = new int[][]{ new int[]{ 1 , 2 } , new int[]{ 3 , 4 } , new int[]{ 5 , 6 } , new int[]{ 7 , 8 } , new int[]{ 9 , 0 } , new int[]{ 10 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2801() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2801");
            int[][] ints = new int[][]{ new int[]{ 1 , 2 } , new int[]{ 3 , 4 } , new int[]{ 5 , 6 } , new int[]{ 7 , 8 } , new int[]{ 9 , 0 } , new int[]{ 9 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2802() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2802");
            int[][] ints = new int[][]{ new int[]{ 1 , 2 } , new int[]{ 3 , 4 } , new int[]{ 5 , 6 } , new int[]{ 7 , 8 } , new int[]{ 9 , 0 } , new int[]{ 5 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2803() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2803");
            int[][] ints = new int[][]{ new int[]{ 1 , 2 } , new int[]{ 3 , 4 } , new int[]{ 5 , 6 } , new int[]{ 7 , 8 } , new int[]{ 9 , 0 } , new int[]{ 20 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintArrayOfPrimitiveArrays_literalMutation2804() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintArrayOfPrimitiveArrays_literalMutation2804");
            int[][] ints = new int[][]{ new int[]{ 1 , 2 } , new int[]{ 3 , 4 } , new int[]{ 5 , 6 } , new int[]{ 7 , 8 } , new int[]{ 9 , 0 } , new int[]{ 11 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1847,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1848,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1845,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1846,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 2 , 2 } , new Integer[]{ 3 , 4 } , new Integer[]{ 5 , 6 } , new Integer[]{ 7 , 8 } , new Integer[]{ 9 , 0 } , new Integer[]{ 10 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2839() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2839");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 0 , 2 } , new Integer[]{ 3 , 4 } , new Integer[]{ 5 , 6 } , new Integer[]{ 7 , 8 } , new Integer[]{ 9 , 0 } , new Integer[]{ 10 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2840() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2840");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 0 , 2 } , new Integer[]{ 3 , 4 } , new Integer[]{ 5 , 6 } , new Integer[]{ 7 , 8 } , new Integer[]{ 9 , 0 } , new Integer[]{ 10 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2842() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2842");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 1 } , new Integer[]{ 3 , 4 } , new Integer[]{ 5 , 6 } , new Integer[]{ 7 , 8 } , new Integer[]{ 9 , 0 } , new Integer[]{ 10 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2843() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2843");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 4 } , new Integer[]{ 3 , 4 } , new Integer[]{ 5 , 6 } , new Integer[]{ 7 , 8 } , new Integer[]{ 9 , 0 } , new Integer[]{ 10 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2844() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2844");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 3 } , new Integer[]{ 3 , 4 } , new Integer[]{ 5 , 6 } , new Integer[]{ 7 , 8 } , new Integer[]{ 9 , 0 } , new Integer[]{ 10 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2846() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2846");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 2 } , new Integer[]{ 4 , 4 } , new Integer[]{ 5 , 6 } , new Integer[]{ 7 , 8 } , new Integer[]{ 9 , 0 } , new Integer[]{ 10 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2847() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2847");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 2 } , new Integer[]{ 2 , 4 } , new Integer[]{ 5 , 6 } , new Integer[]{ 7 , 8 } , new Integer[]{ 9 , 0 } , new Integer[]{ 10 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2848() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2848");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 2 } , new Integer[]{ 1 , 4 } , new Integer[]{ 5 , 6 } , new Integer[]{ 7 , 8 } , new Integer[]{ 9 , 0 } , new Integer[]{ 10 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2849() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2849");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 2 } , new Integer[]{ 6 , 4 } , new Integer[]{ 5 , 6 } , new Integer[]{ 7 , 8 } , new Integer[]{ 9 , 0 } , new Integer[]{ 10 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2851() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2851");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 2 } , new Integer[]{ 3 , 2 } , new Integer[]{ 5 , 6 } , new Integer[]{ 7 , 8 } , new Integer[]{ 9 , 0 } , new Integer[]{ 10 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2852() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2852");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 2 } , new Integer[]{ 3 , 8 } , new Integer[]{ 5 , 6 } , new Integer[]{ 7 , 8 } , new Integer[]{ 9 , 0 } , new Integer[]{ 10 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2853() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2853");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 2 } , new Integer[]{ 3 , 5 } , new Integer[]{ 5 , 6 } , new Integer[]{ 7 , 8 } , new Integer[]{ 9 , 0 } , new Integer[]{ 10 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2854() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2854");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 2 } , new Integer[]{ 3 , 3 } , new Integer[]{ 5 , 6 } , new Integer[]{ 7 , 8 } , new Integer[]{ 9 , 0 } , new Integer[]{ 10 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2856() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2856");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 2 } , new Integer[]{ 3 , 4 } , new Integer[]{ 4 , 6 } , new Integer[]{ 7 , 8 } , new Integer[]{ 9 , 0 } , new Integer[]{ 10 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2857() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2857");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 2 } , new Integer[]{ 3 , 4 } , new Integer[]{ 2 , 6 } , new Integer[]{ 7 , 8 } , new Integer[]{ 9 , 0 } , new Integer[]{ 10 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2858() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2858");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 2 } , new Integer[]{ 3 , 4 } , new Integer[]{ 10 , 6 } , new Integer[]{ 7 , 8 } , new Integer[]{ 9 , 0 } , new Integer[]{ 10 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2859() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2859");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 2 } , new Integer[]{ 3 , 4 } , new Integer[]{ 6 , 6 } , new Integer[]{ 7 , 8 } , new Integer[]{ 9 , 0 } , new Integer[]{ 10 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2861() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2861");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 2 } , new Integer[]{ 3 , 4 } , new Integer[]{ 5 , 5 } , new Integer[]{ 7 , 8 } , new Integer[]{ 9 , 0 } , new Integer[]{ 10 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2862() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2862");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 2 } , new Integer[]{ 3 , 4 } , new Integer[]{ 5 , 3 } , new Integer[]{ 7 , 8 } , new Integer[]{ 9 , 0 } , new Integer[]{ 10 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2863() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2863");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 2 } , new Integer[]{ 3 , 4 } , new Integer[]{ 5 , 12 } , new Integer[]{ 7 , 8 } , new Integer[]{ 9 , 0 } , new Integer[]{ 10 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2864() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2864");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 2 } , new Integer[]{ 3 , 4 } , new Integer[]{ 5 , 7 } , new Integer[]{ 7 , 8 } , new Integer[]{ 9 , 0 } , new Integer[]{ 10 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2866() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2866");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 2 } , new Integer[]{ 3 , 4 } , new Integer[]{ 5 , 6 } , new Integer[]{ 8 , 8 } , new Integer[]{ 9 , 0 } , new Integer[]{ 10 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2867() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2867");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 2 } , new Integer[]{ 3 , 4 } , new Integer[]{ 5 , 6 } , new Integer[]{ 6 , 8 } , new Integer[]{ 9 , 0 } , new Integer[]{ 10 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2868() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2868");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 2 } , new Integer[]{ 3 , 4 } , new Integer[]{ 5 , 6 } , new Integer[]{ 3 , 8 } , new Integer[]{ 9 , 0 } , new Integer[]{ 10 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2869() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2869");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 2 } , new Integer[]{ 3 , 4 } , new Integer[]{ 5 , 6 } , new Integer[]{ 14 , 8 } , new Integer[]{ 9 , 0 } , new Integer[]{ 10 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2871() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2871");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 2 } , new Integer[]{ 3 , 4 } , new Integer[]{ 5 , 6 } , new Integer[]{ 7 , 4 } , new Integer[]{ 9 , 0 } , new Integer[]{ 10 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2872() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2872");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 2 } , new Integer[]{ 3 , 4 } , new Integer[]{ 5 , 6 } , new Integer[]{ 7 , 16 } , new Integer[]{ 9 , 0 } , new Integer[]{ 10 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2873() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2873");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 2 } , new Integer[]{ 3 , 4 } , new Integer[]{ 5 , 6 } , new Integer[]{ 7 , 9 } , new Integer[]{ 9 , 0 } , new Integer[]{ 10 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2874() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2874");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 2 } , new Integer[]{ 3 , 4 } , new Integer[]{ 5 , 6 } , new Integer[]{ 7 , 7 } , new Integer[]{ 9 , 0 } , new Integer[]{ 10 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2876() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2876");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 2 } , new Integer[]{ 3 , 4 } , new Integer[]{ 5 , 6 } , new Integer[]{ 7 , 8 } , new Integer[]{ 8 , 0 } , new Integer[]{ 10 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2877() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2877");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 2 } , new Integer[]{ 3 , 4 } , new Integer[]{ 5 , 6 } , new Integer[]{ 7 , 8 } , new Integer[]{ 4 , 0 } , new Integer[]{ 10 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2878() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2878");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 2 } , new Integer[]{ 3 , 4 } , new Integer[]{ 5 , 6 } , new Integer[]{ 7 , 8 } , new Integer[]{ 18 , 0 } , new Integer[]{ 10 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2879() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2879");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 2 } , new Integer[]{ 3 , 4 } , new Integer[]{ 5 , 6 } , new Integer[]{ 7 , 8 } , new Integer[]{ 10 , 0 } , new Integer[]{ 10 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2881() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2881");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 2 } , new Integer[]{ 3 , 4 } , new Integer[]{ 5 , 6 } , new Integer[]{ 7 , 8 } , new Integer[]{ 9 , 1 } , new Integer[]{ 10 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2882() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2882");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 2 } , new Integer[]{ 3 , 4 } , new Integer[]{ 5 , 6 } , new Integer[]{ 7 , 8 } , new Integer[]{ 9 , -1 } , new Integer[]{ 10 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2883() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2883");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 2 } , new Integer[]{ 3 , 4 } , new Integer[]{ 5 , 6 } , new Integer[]{ 7 , 8 } , new Integer[]{ 9 , 0 } , new Integer[]{ 10 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2885() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2885");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 2 } , new Integer[]{ 3 , 4 } , new Integer[]{ 5 , 6 } , new Integer[]{ 7 , 8 } , new Integer[]{ 9 , 0 } , new Integer[]{ 9 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2886() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2886");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 2 } , new Integer[]{ 3 , 4 } , new Integer[]{ 5 , 6 } , new Integer[]{ 7 , 8 } , new Integer[]{ 9 , 0 } , new Integer[]{ 5 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2887() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2887");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 2 } , new Integer[]{ 3 , 4 } , new Integer[]{ 5 , 6 } , new Integer[]{ 7 , 8 } , new Integer[]{ 9 , 0 } , new Integer[]{ 20 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testPrettyPrintListOfPrimitiveArrays_literalMutation2888() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testPrettyPrintListOfPrimitiveArrays_literalMutation2888");
            List<java.lang.Integer[]> list = java.util.Arrays.asList(new Integer[][]{ new Integer[]{ 1 , 2 } , new Integer[]{ 3 , 4 } , new Integer[]{ 5 , 6 } , new Integer[]{ 7 , 8 } , new Integer[]{ 9 , 0 } , new Integer[]{ 11 } });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1852,list);
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),930,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1851,("[\n  [\n    1,\n    2\n  ],\n  [\n    3,\n    4\n  ],\n  [\n    5,\n    6\n  ]," + "\n  [\n    7,\n    8\n  ],\n  [\n    9,\n    0\n  ],\n  [\n    10\n  ]\n]"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),928,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testMap_add401() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMap_add401");
            Map<java.lang.String, java.lang.Integer> map = new LinkedHashMap<java.lang.String, java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1841,map);
            map.put("abc", 1);
            map.put("abc", 1);
            map.put("def", 5);
            String json = gson.toJson(map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testMap_add402() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMap_add402");
            Map<java.lang.String, java.lang.Integer> map = new LinkedHashMap<java.lang.String, java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1841,map);
            map.put("abc", 1);
            map.put("def", 5);
            map.put("def", 5);
            String json = gson.toJson(map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMap() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMap");
            Map<java.lang.String, java.lang.Integer> map = new LinkedHashMap<java.lang.String, java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1841,map);
            map.put("Âbc", 1);
            map.put("def", 5);
            String json = gson.toJson(map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMap_literalMutation2732() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMap_literalMutation2732");
            Map<java.lang.String, java.lang.Integer> map = new LinkedHashMap<java.lang.String, java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1841,map);
            map.put("arbc", 1);
            map.put("def", 5);
            String json = gson.toJson(map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMap_literalMutation2733() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMap_literalMutation2733");
            Map<java.lang.String, java.lang.Integer> map = new LinkedHashMap<java.lang.String, java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1841,map);
            map.put("ac", 1);
            map.put("def", 5);
            String json = gson.toJson(map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMap_literalMutation2734() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMap_literalMutation2734");
            Map<java.lang.String, java.lang.Integer> map = new LinkedHashMap<java.lang.String, java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1841,map);
            map.put("abc", 2);
            map.put("def", 5);
            String json = gson.toJson(map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMap_literalMutation2735() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMap_literalMutation2735");
            Map<java.lang.String, java.lang.Integer> map = new LinkedHashMap<java.lang.String, java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1841,map);
            map.put("abc", 0);
            map.put("def", 5);
            String json = gson.toJson(map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMap_literalMutation2736() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMap_literalMutation2736");
            Map<java.lang.String, java.lang.Integer> map = new LinkedHashMap<java.lang.String, java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1841,map);
            map.put("abc", 0);
            map.put("def", 5);
            String json = gson.toJson(map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMap_literalMutation2738() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMap_literalMutation2738");
            Map<java.lang.String, java.lang.Integer> map = new LinkedHashMap<java.lang.String, java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1841,map);
            map.put("abc", 1);
            map.put("§ef", 5);
            String json = gson.toJson(map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMap_literalMutation2739() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMap_literalMutation2739");
            Map<java.lang.String, java.lang.Integer> map = new LinkedHashMap<java.lang.String, java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1841,map);
            map.put("abc", 1);
            map.put("def", 5);
            String json = gson.toJson(map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMap_literalMutation2740() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMap_literalMutation2740");
            Map<java.lang.String, java.lang.Integer> map = new LinkedHashMap<java.lang.String, java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1841,map);
            map.put("abc", 1);
            map.put("df", 5);
            String json = gson.toJson(map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMap_literalMutation2741() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMap_literalMutation2741");
            Map<java.lang.String, java.lang.Integer> map = new LinkedHashMap<java.lang.String, java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1841,map);
            map.put("abc", 1);
            map.put("def", 4);
            String json = gson.toJson(map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMap_literalMutation2742() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMap_literalMutation2742");
            Map<java.lang.String, java.lang.Integer> map = new LinkedHashMap<java.lang.String, java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1841,map);
            map.put("abc", 1);
            map.put("def", 2);
            String json = gson.toJson(map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMap_literalMutation2743() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMap_literalMutation2743");
            Map<java.lang.String, java.lang.Integer> map = new LinkedHashMap<java.lang.String, java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1841,map);
            map.put("abc", 1);
            map.put("def", 10);
            String json = gson.toJson(map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMap_literalMutation2744() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMap_literalMutation2744");
            Map<java.lang.String, java.lang.Integer> map = new LinkedHashMap<java.lang.String, java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1841,map);
            map.put("abc", 1);
            map.put("def", 6);
            String json = gson.toJson(map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testMap_remove375() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMap_remove375");
            Map<java.lang.String, java.lang.Integer> map = new LinkedHashMap<java.lang.String, java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1841,map);
            map.put("def", 5);
            String json = gson.toJson(map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testMap_remove376() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMap_remove376");
            Map<java.lang.String, java.lang.Integer> map = new LinkedHashMap<java.lang.String, java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1841,map);
            map.put("def", 5);
            String json = gson.toJson(map);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1006,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1199,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testEmptyMapField() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testEmptyMapField");
            ClassWithMap obj = new ClassWithMap();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1840,obj);
            obj.map = new LinkedHashMap<java.lang.String, java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1839,obj.map);
            String json = gson.toJson(obj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),344,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1838,json.contains("{\n  \"map\": {},\n  \"value\": 2\n}"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unused")
    private static class ClassWithMap {
        Map<java.lang.String, java.lang.Integer> map;

        int value = 2;
    }

    public void testMultipleArrays() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultipleArrays");
            int[][][] ints = new int[][][]{ new int[][]{ new int[]{ 2 } , new int[]{ 2 } } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1843,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1844,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1842,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMultipleArrays_literalMutation2747() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultipleArrays_literalMutation2747");
            int[][][] ints = new int[][][]{ new int[][]{ new int[]{ 0 } , new int[]{ 2 } } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1843,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1844,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1842,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMultipleArrays_literalMutation2748() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultipleArrays_literalMutation2748");
            int[][][] ints = new int[][][]{ new int[][]{ new int[]{ 0 } , new int[]{ 2 } } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1843,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1844,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1842,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMultipleArrays_literalMutation2750() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultipleArrays_literalMutation2750");
            int[][][] ints = new int[][][]{ new int[][]{ new int[]{ 1 } , new int[]{ 1 } } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1843,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1844,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1842,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMultipleArrays_literalMutation2751() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultipleArrays_literalMutation2751");
            int[][][] ints = new int[][][]{ new int[][]{ new int[]{ 1 } , new int[]{ 4 } } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1843,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1844,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1842,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMultipleArrays_literalMutation2752() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultipleArrays_literalMutation2752");
            int[][][] ints = new int[][][]{ new int[][]{ new int[]{ 1 } , new int[]{ 3 } } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1843,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1844,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1842,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    private void print(String msg) {
        if (DEBUG) {
            System.out.println(msg);
        } 
    }
}

