package com.google.gson.functional;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import java.io.IOException;
import com.google.gson.JsonDeserializationContext;
import com.google.gson.JsonDeserializer;
import com.google.gson.JsonElement;
import com.google.gson.JsonPrimitive;
import com.google.gson.stream.JsonReader;
import com.google.gson.JsonSerializationContext;
import com.google.gson.JsonSerializer;
import com.google.gson.stream.JsonWriter;
import junit.framework.TestCase;
import java.lang.reflect.Type;
import com.google.gson.TypeAdapter;

public final class TypeAdapterPrecedenceTest extends TestCase {
    public void testNonstreamingFollowedByNonstreaming() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNonstreamingFollowedByNonstreaming");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newSerializer("s®rializer 1")).registerTypeAdapter(Foo.class, newSerializer("serializer 2")).registerTypeAdapter(Foo.class, newDeserializer("deserializer 1")).registerTypeAdapter(Foo.class, newDeserializer("deserializer 2")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2373,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2371,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2372,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNonstreamingFollowedByNonstreaming_literalMutation3477() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNonstreamingFollowedByNonstreaming_literalMutation3477");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newSerializer("seriaØlizer 1")).registerTypeAdapter(Foo.class, newSerializer("serializer 2")).registerTypeAdapter(Foo.class, newDeserializer("deserializer 1")).registerTypeAdapter(Foo.class, newDeserializer("deserializer 2")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2373,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2371,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2372,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNonstreamingFollowedByNonstreaming_literalMutation3478() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNonstreamingFollowedByNonstreaming_literalMutation3478");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newSerializer("serializr 1")).registerTypeAdapter(Foo.class, newSerializer("serializer 2")).registerTypeAdapter(Foo.class, newDeserializer("deserializer 1")).registerTypeAdapter(Foo.class, newDeserializer("deserializer 2")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2373,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2371,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2372,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNonstreamingFollowedByNonstreaming_literalMutation3479() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNonstreamingFollowedByNonstreaming_literalMutation3479");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newSerializer("serializer 1")).registerTypeAdapter(Foo.class, newSerializer("seriaäizer 2")).registerTypeAdapter(Foo.class, newDeserializer("deserializer 1")).registerTypeAdapter(Foo.class, newDeserializer("deserializer 2")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2373,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2371,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2372,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNonstreamingFollowedByNonstreaming_literalMutation3480() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNonstreamingFollowedByNonstreaming_literalMutation3480");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newSerializer("serializer 1")).registerTypeAdapter(Foo.class, newSerializer("seriali>zer 2")).registerTypeAdapter(Foo.class, newDeserializer("deserializer 1")).registerTypeAdapter(Foo.class, newDeserializer("deserializer 2")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2373,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2371,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2372,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNonstreamingFollowedByNonstreaming_literalMutation3481() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNonstreamingFollowedByNonstreaming_literalMutation3481");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newSerializer("serializer 1")).registerTypeAdapter(Foo.class, newSerializer("serialize 2")).registerTypeAdapter(Foo.class, newDeserializer("deserializer 1")).registerTypeAdapter(Foo.class, newDeserializer("deserializer 2")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2373,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2371,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2372,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNonstreamingFollowedByNonstreaming_literalMutation3482() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNonstreamingFollowedByNonstreaming_literalMutation3482");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newSerializer("serializer 1")).registerTypeAdapter(Foo.class, newSerializer("serializer 2")).registerTypeAdapter(Foo.class, newDeserializer("deseializer 1")).registerTypeAdapter(Foo.class, newDeserializer("deserializer 2")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2373,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2371,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2372,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNonstreamingFollowedByNonstreaming_literalMutation3483() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNonstreamingFollowedByNonstreaming_literalMutation3483");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newSerializer("serializer 1")).registerTypeAdapter(Foo.class, newSerializer("serializer 2")).registerTypeAdapter(Foo.class, newDeserializer("desereializer 1")).registerTypeAdapter(Foo.class, newDeserializer("deserializer 2")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2373,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2371,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2372,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNonstreamingFollowedByNonstreaming_literalMutation3484() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNonstreamingFollowedByNonstreaming_literalMutation3484");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newSerializer("serializer 1")).registerTypeAdapter(Foo.class, newSerializer("serializer 2")).registerTypeAdapter(Foo.class, newDeserializer("deserialzer 1")).registerTypeAdapter(Foo.class, newDeserializer("deserializer 2")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2373,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2371,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2372,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNonstreamingFollowedByNonstreaming_literalMutation3485() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNonstreamingFollowedByNonstreaming_literalMutation3485");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newSerializer("serializer 1")).registerTypeAdapter(Foo.class, newSerializer("serializer 2")).registerTypeAdapter(Foo.class, newDeserializer("deserializer 1")).registerTypeAdapter(Foo.class, newDeserializer("de¢erializer 2")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2373,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2371,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2372,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNonstreamingFollowedByNonstreaming_literalMutation3486() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNonstreamingFollowedByNonstreaming_literalMutation3486");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newSerializer("serializer 1")).registerTypeAdapter(Foo.class, newSerializer("serializer 2")).registerTypeAdapter(Foo.class, newDeserializer("deserializer 1")).registerTypeAdapter(Foo.class, newDeserializer("deÿserializer 2")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2373,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2371,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2372,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNonstreamingFollowedByNonstreaming_literalMutation3487() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNonstreamingFollowedByNonstreaming_literalMutation3487");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newSerializer("serializer 1")).registerTypeAdapter(Foo.class, newSerializer("serializer 2")).registerTypeAdapter(Foo.class, newDeserializer("deserializer 1")).registerTypeAdapter(Foo.class, newDeserializer("deserilizer 2")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2373,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2371,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2372,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingFollowedByStreaming() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingFollowedByStreaming");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newTypeAdapter("type adapteí 1")).registerTypeAdapter(Foo.class, newTypeAdapter("type adapter 2")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),969,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2384,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2385,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingFollowedByStreaming_literalMutation3528() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingFollowedByStreaming_literalMutation3528");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newTypeAdapter("type adap¶ter 1")).registerTypeAdapter(Foo.class, newTypeAdapter("type adapter 2")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),969,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2384,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2385,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingFollowedByStreaming_literalMutation3529() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingFollowedByStreaming_literalMutation3529");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newTypeAdapter("type adaptr 1")).registerTypeAdapter(Foo.class, newTypeAdapter("type adapter 2")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),969,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2384,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2385,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingFollowedByStreaming_literalMutation3530() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingFollowedByStreaming_literalMutation3530");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newTypeAdapter("type adapter 1")).registerTypeAdapter(Foo.class, newTypeAdapter("type aapter 2")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),969,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2384,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2385,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingFollowedByStreaming_literalMutation3531() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingFollowedByStreaming_literalMutation3531");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newTypeAdapter("type adapter 1")).registerTypeAdapter(Foo.class, newTypeAdapter("typÁe adapter 2")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),969,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2384,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2385,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingFollowedByStreaming_literalMutation3532() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingFollowedByStreaming_literalMutation3532");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newTypeAdapter("type adapter 1")).registerTypeAdapter(Foo.class, newTypeAdapter("type adapter2")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),969,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2384,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2385,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSerializeNonstreamingTypeAdapterFollowedByStreamingTypeAdapter() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSerializeNonstreamingTypeAdapterFollowedByStreamingTypeAdapter");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newSerializer("ser¥alizer")).registerTypeAdapter(Foo.class, newDeserializer("deserializer")).registerTypeAdapter(Foo.class, newTypeAdapter("type adapter")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2379,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2377,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2378,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSerializeNonstreamingTypeAdapterFollowedByStreamingTypeAdapter_literalMutation3501() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSerializeNonstreamingTypeAdapterFollowedByStreamingTypeAdapter_literalMutation3501");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newSerializer("serializler")).registerTypeAdapter(Foo.class, newDeserializer("deserializer")).registerTypeAdapter(Foo.class, newTypeAdapter("type adapter")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2379,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2377,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2378,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSerializeNonstreamingTypeAdapterFollowedByStreamingTypeAdapter_literalMutation3502() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSerializeNonstreamingTypeAdapterFollowedByStreamingTypeAdapter_literalMutation3502");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newSerializer("serilizer")).registerTypeAdapter(Foo.class, newDeserializer("deserializer")).registerTypeAdapter(Foo.class, newTypeAdapter("type adapter")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2379,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2377,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2378,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSerializeNonstreamingTypeAdapterFollowedByStreamingTypeAdapter_literalMutation3503() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSerializeNonstreamingTypeAdapterFollowedByStreamingTypeAdapter_literalMutation3503");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newSerializer("serializer")).registerTypeAdapter(Foo.class, newDeserializer("deerializer")).registerTypeAdapter(Foo.class, newTypeAdapter("type adapter")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2379,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2377,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2378,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSerializeNonstreamingTypeAdapterFollowedByStreamingTypeAdapter_literalMutation3504() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSerializeNonstreamingTypeAdapterFollowedByStreamingTypeAdapter_literalMutation3504");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newSerializer("serializer")).registerTypeAdapter(Foo.class, newDeserializer("de®serializer")).registerTypeAdapter(Foo.class, newTypeAdapter("type adapter")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2379,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2377,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2378,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSerializeNonstreamingTypeAdapterFollowedByStreamingTypeAdapter_literalMutation3505() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSerializeNonstreamingTypeAdapterFollowedByStreamingTypeAdapter_literalMutation3505");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newSerializer("serializer")).registerTypeAdapter(Foo.class, newDeserializer("deseriaizer")).registerTypeAdapter(Foo.class, newTypeAdapter("type adapter")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2379,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2377,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2378,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSerializeNonstreamingTypeAdapterFollowedByStreamingTypeAdapter_literalMutation3506() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSerializeNonstreamingTypeAdapterFollowedByStreamingTypeAdapter_literalMutation3506");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newSerializer("serializer")).registerTypeAdapter(Foo.class, newDeserializer("deserializer")).registerTypeAdapter(Foo.class, newTypeAdapter("t7pe adapter")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2379,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2377,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2378,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSerializeNonstreamingTypeAdapterFollowedByStreamingTypeAdapter_literalMutation3507() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSerializeNonstreamingTypeAdapterFollowedByStreamingTypeAdapter_literalMutation3507");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newSerializer("serializer")).registerTypeAdapter(Foo.class, newDeserializer("deserializer")).registerTypeAdapter(Foo.class, newTypeAdapter("type aÿdapter")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2379,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2377,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2378,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSerializeNonstreamingTypeAdapterFollowedByStreamingTypeAdapter_literalMutation3508() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSerializeNonstreamingTypeAdapterFollowedByStreamingTypeAdapter_literalMutation3508");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newSerializer("serializer")).registerTypeAdapter(Foo.class, newDeserializer("deserializer")).registerTypeAdapter(Foo.class, newTypeAdapter("type aapter")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2379,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2377,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2378,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingFollowedByNonstreaming() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingFollowedByNonstreaming");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newTypeAdapter("type ßdapter")).registerTypeAdapter(Foo.class, newSerializer("serializer")).registerTypeAdapter(Foo.class, newDeserializer("deserializer")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),879,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2382,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2383,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingFollowedByNonstreaming_literalMutation3510() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingFollowedByNonstreaming_literalMutation3510");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newTypeAdapter("type adaptber")).registerTypeAdapter(Foo.class, newSerializer("serializer")).registerTypeAdapter(Foo.class, newDeserializer("deserializer")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),879,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2382,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2383,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingFollowedByNonstreaming_literalMutation3511() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingFollowedByNonstreaming_literalMutation3511");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newTypeAdapter("type dapter")).registerTypeAdapter(Foo.class, newSerializer("serializer")).registerTypeAdapter(Foo.class, newDeserializer("deserializer")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),879,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2382,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2383,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingFollowedByNonstreaming_literalMutation3512() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingFollowedByNonstreaming_literalMutation3512");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newTypeAdapter("type adapter")).registerTypeAdapter(Foo.class, newSerializer("seriaqizer")).registerTypeAdapter(Foo.class, newDeserializer("deserializer")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),879,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2382,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2383,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingFollowedByNonstreaming_literalMutation3513() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingFollowedByNonstreaming_literalMutation3513");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newTypeAdapter("type adapter")).registerTypeAdapter(Foo.class, newSerializer("seqrializer")).registerTypeAdapter(Foo.class, newDeserializer("deserializer")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),879,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2382,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2383,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingFollowedByNonstreaming_literalMutation3514() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingFollowedByNonstreaming_literalMutation3514");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newTypeAdapter("type adapter")).registerTypeAdapter(Foo.class, newSerializer("serilizer")).registerTypeAdapter(Foo.class, newDeserializer("deserializer")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),879,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2382,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2383,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingFollowedByNonstreaming_literalMutation3515() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingFollowedByNonstreaming_literalMutation3515");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newTypeAdapter("type adapter")).registerTypeAdapter(Foo.class, newSerializer("serializer")).registerTypeAdapter(Foo.class, newDeserializer("dese]ializer")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),879,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2382,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2383,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingFollowedByNonstreaming_literalMutation3516() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingFollowedByNonstreaming_literalMutation3516");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newTypeAdapter("type adapter")).registerTypeAdapter(Foo.class, newSerializer("serializer")).registerTypeAdapter(Foo.class, newDeserializer("deseriMalizer")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),879,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2382,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2383,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingFollowedByNonstreaming_literalMutation3517() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingFollowedByNonstreaming_literalMutation3517");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newTypeAdapter("type adapter")).registerTypeAdapter(Foo.class, newSerializer("serializer")).registerTypeAdapter(Foo.class, newDeserializer("deserilizer")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),879,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2382,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2383,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingHierarchicalFollowedByNonstreaming() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingHierarchicalFollowedByNonstreaming");
            Gson gson = new GsonBuilder().registerTypeHierarchyAdapter(Foo.class, newTypeAdapter("type a°apter")).registerTypeAdapter(Foo.class, newSerializer("serializer")).registerTypeAdapter(Foo.class, newDeserializer("deserializer")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2390,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2388,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2389,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingHierarchicalFollowedByNonstreaming_literalMutation3534() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingHierarchicalFollowedByNonstreaming_literalMutation3534");
            Gson gson = new GsonBuilder().registerTypeHierarchyAdapter(Foo.class, newTypeAdapter("ty°pe adapter")).registerTypeAdapter(Foo.class, newSerializer("serializer")).registerTypeAdapter(Foo.class, newDeserializer("deserializer")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2390,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2388,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2389,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingHierarchicalFollowedByNonstreaming_literalMutation3535() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingHierarchicalFollowedByNonstreaming_literalMutation3535");
            Gson gson = new GsonBuilder().registerTypeHierarchyAdapter(Foo.class, newTypeAdapter("type adpter")).registerTypeAdapter(Foo.class, newSerializer("serializer")).registerTypeAdapter(Foo.class, newDeserializer("deserializer")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2390,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2388,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2389,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingHierarchicalFollowedByNonstreaming_literalMutation3536() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingHierarchicalFollowedByNonstreaming_literalMutation3536");
            Gson gson = new GsonBuilder().registerTypeHierarchyAdapter(Foo.class, newTypeAdapter("type adapter")).registerTypeAdapter(Foo.class, newSerializer("serialiÌer")).registerTypeAdapter(Foo.class, newDeserializer("deserializer")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2390,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2388,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2389,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingHierarchicalFollowedByNonstreaming_literalMutation3537() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingHierarchicalFollowedByNonstreaming_literalMutation3537");
            Gson gson = new GsonBuilder().registerTypeHierarchyAdapter(Foo.class, newTypeAdapter("type adapter")).registerTypeAdapter(Foo.class, newSerializer("serializBer")).registerTypeAdapter(Foo.class, newDeserializer("deserializer")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2390,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2388,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2389,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingHierarchicalFollowedByNonstreaming_literalMutation3538() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingHierarchicalFollowedByNonstreaming_literalMutation3538");
            Gson gson = new GsonBuilder().registerTypeHierarchyAdapter(Foo.class, newTypeAdapter("type adapter")).registerTypeAdapter(Foo.class, newSerializer("serializr")).registerTypeAdapter(Foo.class, newDeserializer("deserializer")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2390,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2388,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2389,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingHierarchicalFollowedByNonstreaming_literalMutation3539() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingHierarchicalFollowedByNonstreaming_literalMutation3539");
            Gson gson = new GsonBuilder().registerTypeHierarchyAdapter(Foo.class, newTypeAdapter("type adapter")).registerTypeAdapter(Foo.class, newSerializer("serializer")).registerTypeAdapter(Foo.class, newDeserializer("deerializer")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2390,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2388,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2389,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingHierarchicalFollowedByNonstreaming_literalMutation3540() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingHierarchicalFollowedByNonstreaming_literalMutation3540");
            Gson gson = new GsonBuilder().registerTypeHierarchyAdapter(Foo.class, newTypeAdapter("type adapter")).registerTypeAdapter(Foo.class, newSerializer("serializer")).registerTypeAdapter(Foo.class, newDeserializer("deseriñalizer")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2390,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2388,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2389,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingHierarchicalFollowedByNonstreaming_literalMutation3541() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingHierarchicalFollowedByNonstreaming_literalMutation3541");
            Gson gson = new GsonBuilder().registerTypeHierarchyAdapter(Foo.class, newTypeAdapter("type adapter")).registerTypeAdapter(Foo.class, newSerializer("serializer")).registerTypeAdapter(Foo.class, newDeserializer("deseializer")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2390,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2388,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2389,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingFollowedByNonstreamingHierarchical() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingFollowedByNonstreamingHierarchical");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newTypeAdapter("type Ædapter")).registerTypeHierarchyAdapter(Foo.class, newSerializer("serializer")).registerTypeHierarchyAdapter(Foo.class, newDeserializer("deserializer")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1203,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2380,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2381,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingFollowedByNonstreamingHierarchical_literalMutation3519() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingFollowedByNonstreamingHierarchical_literalMutation3519");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newTypeAdapter("type adapteer")).registerTypeHierarchyAdapter(Foo.class, newSerializer("serializer")).registerTypeHierarchyAdapter(Foo.class, newDeserializer("deserializer")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1203,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2380,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2381,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingFollowedByNonstreamingHierarchical_literalMutation3520() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingFollowedByNonstreamingHierarchical_literalMutation3520");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newTypeAdapter("type adater")).registerTypeHierarchyAdapter(Foo.class, newSerializer("serializer")).registerTypeHierarchyAdapter(Foo.class, newDeserializer("deserializer")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1203,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2380,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2381,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingFollowedByNonstreamingHierarchical_literalMutation3521() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingFollowedByNonstreamingHierarchical_literalMutation3521");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newTypeAdapter("type adapter")).registerTypeHierarchyAdapter(Foo.class, newSerializer("serialzer")).registerTypeHierarchyAdapter(Foo.class, newDeserializer("deserializer")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1203,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2380,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2381,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingFollowedByNonstreamingHierarchical_literalMutation3522() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingFollowedByNonstreamingHierarchical_literalMutation3522");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newTypeAdapter("type adapter")).registerTypeHierarchyAdapter(Foo.class, newSerializer("serializer")).registerTypeHierarchyAdapter(Foo.class, newDeserializer("deserializer")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1203,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2380,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2381,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingFollowedByNonstreamingHierarchical_literalMutation3523() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingFollowedByNonstreamingHierarchical_literalMutation3523");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newTypeAdapter("type adapter")).registerTypeHierarchyAdapter(Foo.class, newSerializer("serialier")).registerTypeHierarchyAdapter(Foo.class, newDeserializer("deserializer")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1203,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2380,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2381,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingFollowedByNonstreamingHierarchical_literalMutation3524() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingFollowedByNonstreamingHierarchical_literalMutation3524");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newTypeAdapter("type adapter")).registerTypeHierarchyAdapter(Foo.class, newSerializer("serializer")).registerTypeHierarchyAdapter(Foo.class, newDeserializer("desrializer")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1203,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2380,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2381,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingFollowedByNonstreamingHierarchical_literalMutation3525() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingFollowedByNonstreamingHierarchical_literalMutation3525");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newTypeAdapter("type adapter")).registerTypeHierarchyAdapter(Foo.class, newSerializer("serializer")).registerTypeHierarchyAdapter(Foo.class, newDeserializer("deserialiÎzer")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1203,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2380,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2381,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingFollowedByNonstreamingHierarchical_literalMutation3526() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingFollowedByNonstreamingHierarchical_literalMutation3526");
            Gson gson = new GsonBuilder().registerTypeAdapter(Foo.class, newTypeAdapter("type adapter")).registerTypeHierarchyAdapter(Foo.class, newSerializer("serializer")).registerTypeHierarchyAdapter(Foo.class, newDeserializer("deseralizer")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1203,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2380,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2381,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingHierarchicalFollowedByNonstreamingHierarchical() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingHierarchicalFollowedByNonstreamingHierarchical");
            Gson gson = new GsonBuilder().registerTypeHierarchyAdapter(Foo.class, newSerializer("seriagizer")).registerTypeHierarchyAdapter(Foo.class, newDeserializer("deserializer")).registerTypeHierarchyAdapter(Foo.class, newTypeAdapter("type adapter")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1106,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2386,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2387,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingHierarchicalFollowedByNonstreamingHierarchical_literalMutation3543() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingHierarchicalFollowedByNonstreamingHierarchical_literalMutation3543");
            Gson gson = new GsonBuilder().registerTypeHierarchyAdapter(Foo.class, newSerializer("seórializer")).registerTypeHierarchyAdapter(Foo.class, newDeserializer("deserializer")).registerTypeHierarchyAdapter(Foo.class, newTypeAdapter("type adapter")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1106,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2386,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2387,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingHierarchicalFollowedByNonstreamingHierarchical_literalMutation3544() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingHierarchicalFollowedByNonstreamingHierarchical_literalMutation3544");
            Gson gson = new GsonBuilder().registerTypeHierarchyAdapter(Foo.class, newSerializer("srializer")).registerTypeHierarchyAdapter(Foo.class, newDeserializer("deserializer")).registerTypeHierarchyAdapter(Foo.class, newTypeAdapter("type adapter")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1106,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2386,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2387,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingHierarchicalFollowedByNonstreamingHierarchical_literalMutation3545() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingHierarchicalFollowedByNonstreamingHierarchical_literalMutation3545");
            Gson gson = new GsonBuilder().registerTypeHierarchyAdapter(Foo.class, newSerializer("serializer")).registerTypeHierarchyAdapter(Foo.class, newDeserializer("deserialiber")).registerTypeHierarchyAdapter(Foo.class, newTypeAdapter("type adapter")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1106,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2386,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2387,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingHierarchicalFollowedByNonstreamingHierarchical_literalMutation3546() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingHierarchicalFollowedByNonstreamingHierarchical_literalMutation3546");
            Gson gson = new GsonBuilder().registerTypeHierarchyAdapter(Foo.class, newSerializer("serializer")).registerTypeHierarchyAdapter(Foo.class, newDeserializer("deserial²izer")).registerTypeHierarchyAdapter(Foo.class, newTypeAdapter("type adapter")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1106,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2386,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2387,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingHierarchicalFollowedByNonstreamingHierarchical_literalMutation3547() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingHierarchicalFollowedByNonstreamingHierarchical_literalMutation3547");
            Gson gson = new GsonBuilder().registerTypeHierarchyAdapter(Foo.class, newSerializer("serializer")).registerTypeHierarchyAdapter(Foo.class, newDeserializer("deerializer")).registerTypeHierarchyAdapter(Foo.class, newTypeAdapter("type adapter")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1106,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2386,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2387,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingHierarchicalFollowedByNonstreamingHierarchical_literalMutation3548() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingHierarchicalFollowedByNonstreamingHierarchical_literalMutation3548");
            Gson gson = new GsonBuilder().registerTypeHierarchyAdapter(Foo.class, newSerializer("serializer")).registerTypeHierarchyAdapter(Foo.class, newDeserializer("deserializer")).registerTypeHierarchyAdapter(Foo.class, newTypeAdapter("type adpter")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1106,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2386,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2387,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingHierarchicalFollowedByNonstreamingHierarchical_literalMutation3549() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingHierarchicalFollowedByNonstreamingHierarchical_literalMutation3549");
            Gson gson = new GsonBuilder().registerTypeHierarchyAdapter(Foo.class, newSerializer("serializer")).registerTypeHierarchyAdapter(Foo.class, newDeserializer("deserializer")).registerTypeHierarchyAdapter(Foo.class, newTypeAdapter("typªe adapter")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1106,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2386,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2387,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStreamingHierarchicalFollowedByNonstreamingHierarchical_literalMutation3550() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStreamingHierarchicalFollowedByNonstreamingHierarchical_literalMutation3550");
            Gson gson = new GsonBuilder().registerTypeHierarchyAdapter(Foo.class, newSerializer("serializer")).registerTypeHierarchyAdapter(Foo.class, newDeserializer("deserializer")).registerTypeHierarchyAdapter(Foo.class, newTypeAdapter("type aapter")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1106,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2386,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2387,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNonstreamingHierarchicalFollowedByNonstreaming() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNonstreamingHierarchicalFollowedByNonstreaming");
            Gson gson = new GsonBuilder().registerTypeHierarchyAdapter(Foo.class, newSerializer("hierachical")).registerTypeHierarchyAdapter(Foo.class, newDeserializer("hierarchical")).registerTypeAdapter(Foo.class, newSerializer("non hierarchical")).registerTypeAdapter(Foo.class, newDeserializer("non hierarchical")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2376,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2374,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2375,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNonstreamingHierarchicalFollowedByNonstreaming_literalMutation3489() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNonstreamingHierarchicalFollowedByNonstreaming_literalMutation3489");
            Gson gson = new GsonBuilder().registerTypeHierarchyAdapter(Foo.class, newSerializer("hkierarchical")).registerTypeHierarchyAdapter(Foo.class, newDeserializer("hierarchical")).registerTypeAdapter(Foo.class, newSerializer("non hierarchical")).registerTypeAdapter(Foo.class, newDeserializer("non hierarchical")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2376,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2374,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2375,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNonstreamingHierarchicalFollowedByNonstreaming_literalMutation3490() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNonstreamingHierarchicalFollowedByNonstreaming_literalMutation3490");
            Gson gson = new GsonBuilder().registerTypeHierarchyAdapter(Foo.class, newSerializer("hierarcical")).registerTypeHierarchyAdapter(Foo.class, newDeserializer("hierarchical")).registerTypeAdapter(Foo.class, newSerializer("non hierarchical")).registerTypeAdapter(Foo.class, newDeserializer("non hierarchical")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2376,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2374,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2375,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNonstreamingHierarchicalFollowedByNonstreaming_literalMutation3491() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNonstreamingHierarchicalFollowedByNonstreaming_literalMutation3491");
            Gson gson = new GsonBuilder().registerTypeHierarchyAdapter(Foo.class, newSerializer("hierarchical")).registerTypeHierarchyAdapter(Foo.class, newDeserializer("hierar8hical")).registerTypeAdapter(Foo.class, newSerializer("non hierarchical")).registerTypeAdapter(Foo.class, newDeserializer("non hierarchical")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2376,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2374,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2375,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNonstreamingHierarchicalFollowedByNonstreaming_literalMutation3492() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNonstreamingHierarchicalFollowedByNonstreaming_literalMutation3492");
            Gson gson = new GsonBuilder().registerTypeHierarchyAdapter(Foo.class, newSerializer("hierarchical")).registerTypeHierarchyAdapter(Foo.class, newDeserializer("hiÕerarchical")).registerTypeAdapter(Foo.class, newSerializer("non hierarchical")).registerTypeAdapter(Foo.class, newDeserializer("non hierarchical")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2376,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2374,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2375,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNonstreamingHierarchicalFollowedByNonstreaming_literalMutation3493() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNonstreamingHierarchicalFollowedByNonstreaming_literalMutation3493");
            Gson gson = new GsonBuilder().registerTypeHierarchyAdapter(Foo.class, newSerializer("hierarchical")).registerTypeHierarchyAdapter(Foo.class, newDeserializer("hierarcical")).registerTypeAdapter(Foo.class, newSerializer("non hierarchical")).registerTypeAdapter(Foo.class, newDeserializer("non hierarchical")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2376,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2374,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2375,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNonstreamingHierarchicalFollowedByNonstreaming_literalMutation3494() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNonstreamingHierarchicalFollowedByNonstreaming_literalMutation3494");
            Gson gson = new GsonBuilder().registerTypeHierarchyAdapter(Foo.class, newSerializer("hierarchical")).registerTypeHierarchyAdapter(Foo.class, newDeserializer("hierarchical")).registerTypeAdapter(Foo.class, newSerializer("non hi<rarchical")).registerTypeAdapter(Foo.class, newDeserializer("non hierarchical")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2376,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2374,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2375,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNonstreamingHierarchicalFollowedByNonstreaming_literalMutation3495() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNonstreamingHierarchicalFollowedByNonstreaming_literalMutation3495");
            Gson gson = new GsonBuilder().registerTypeHierarchyAdapter(Foo.class, newSerializer("hierarchical")).registerTypeHierarchyAdapter(Foo.class, newDeserializer("hierarchical")).registerTypeAdapter(Foo.class, newSerializer("non hierarchiûcal")).registerTypeAdapter(Foo.class, newDeserializer("non hierarchical")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2376,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2374,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2375,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNonstreamingHierarchicalFollowedByNonstreaming_literalMutation3496() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNonstreamingHierarchicalFollowedByNonstreaming_literalMutation3496");
            Gson gson = new GsonBuilder().registerTypeHierarchyAdapter(Foo.class, newSerializer("hierarchical")).registerTypeHierarchyAdapter(Foo.class, newDeserializer("hierarchical")).registerTypeAdapter(Foo.class, newSerializer("non herarchical")).registerTypeAdapter(Foo.class, newDeserializer("non hierarchical")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2376,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2374,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2375,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNonstreamingHierarchicalFollowedByNonstreaming_literalMutation3497() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNonstreamingHierarchicalFollowedByNonstreaming_literalMutation3497");
            Gson gson = new GsonBuilder().registerTypeHierarchyAdapter(Foo.class, newSerializer("hierarchical")).registerTypeHierarchyAdapter(Foo.class, newDeserializer("hierarchical")).registerTypeAdapter(Foo.class, newSerializer("non hierarchical")).registerTypeAdapter(Foo.class, newDeserializer("non hie\"archical")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2376,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2374,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2375,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNonstreamingHierarchicalFollowedByNonstreaming_literalMutation3498() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNonstreamingHierarchicalFollowedByNonstreaming_literalMutation3498");
            Gson gson = new GsonBuilder().registerTypeHierarchyAdapter(Foo.class, newSerializer("hierarchical")).registerTypeHierarchyAdapter(Foo.class, newDeserializer("hierarchical")).registerTypeAdapter(Foo.class, newSerializer("non hierarchical")).registerTypeAdapter(Foo.class, newDeserializer("nâon hierarchical")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2376,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2374,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2375,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNonstreamingHierarchicalFollowedByNonstreaming_literalMutation3499() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNonstreamingHierarchicalFollowedByNonstreaming_literalMutation3499");
            Gson gson = new GsonBuilder().registerTypeHierarchyAdapter(Foo.class, newSerializer("hierarchical")).registerTypeHierarchyAdapter(Foo.class, newDeserializer("hierarchical")).registerTypeAdapter(Foo.class, newSerializer("non hierarchical")).registerTypeAdapter(Foo.class, newDeserializer("non hierarhical")).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2376,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2374,gson.toJson(new com.google.gson.functional.TypeAdapterPrecedenceTest.Foo("foo")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2375,gson.fromJson("foo", com.google.gson.functional.TypeAdapterPrecedenceTest.Foo.class).name);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    private static class Foo {
        final String name;

        private Foo(String name) {
            this.name = name;
        }
    }

    private JsonSerializer<Foo> newSerializer(final String name) {
        return new JsonSerializer<Foo>() {
            public JsonElement serialize(Foo src, Type typeOfSrc, JsonSerializationContext context) {
                return new JsonPrimitive((((src.name) + " via ") + name));
            }
        };
    }

    private JsonDeserializer<Foo> newDeserializer(final String name) {
        return new JsonDeserializer<Foo>() {
            public Foo deserialize(JsonElement json, Type typeOfT, JsonDeserializationContext context) {
                return new Foo((((json.getAsString()) + " via ") + name));
            }
        };
    }

    private TypeAdapter<Foo> newTypeAdapter(final String name) {
        return new TypeAdapter<Foo>() {
            @Override
            public Foo read(JsonReader in) throws IOException {
                return new Foo((((in.nextString()) + " via ") + name));
            }

            @Override
            public void write(JsonWriter out, Foo value) throws IOException {
                out.value((((value.name) + " via ") + name));
            }
        };
    }
}

