package com.google.gson.functional;

import java.util.ArrayList;
import java.util.Collection;
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import java.util.HashSet;
import java.util.Iterator;
import com.google.gson.JsonElement;
import com.google.gson.JsonPrimitive;
import com.google.gson.JsonSerializationContext;
import com.google.gson.JsonSerializer;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;
import java.util.Queue;
import java.util.Set;
import org.junit.Test;
import junit.framework.TestCase;
import com.google.gson.common.TestTypes;
import java.lang.reflect.Type;
import com.google.gson.reflect.TypeToken;

/** 
 * Functional tests for Json serialization and deserialization of collections.
 * 
 * @author Inderjeet Singh
 * @author Joel Leitch
 */
public class CollectionTest extends TestCase {
    private Gson gson;

    @Override
    protected void setUp() throws Exception {
        super.setUp();
        gson = new Gson();
        fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),141,gson);
    }

    @Test(timeout = 1000)
    public void testTopLevelCollectionOfIntegersSerialization_add48() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersSerialization_add48");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),237,target);
            Type targetType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),238,targetType);
            String json = gson.toJson(target, targetType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),239,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),236,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersSerialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersSerialization");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(2, 2, 3, 4, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),237,target);
            Type targetType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),238,targetType);
            String json = gson.toJson(target, targetType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),239,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),236,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersSerialization_literalMutation529() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersSerialization_literalMutation529");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(0, 2, 3, 4, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),237,target);
            Type targetType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),238,targetType);
            String json = gson.toJson(target, targetType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),239,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),236,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersSerialization_literalMutation530() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersSerialization_literalMutation530");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(0, 2, 3, 4, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),237,target);
            Type targetType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),238,targetType);
            String json = gson.toJson(target, targetType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),239,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),236,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersSerialization_literalMutation532() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersSerialization_literalMutation532");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 1, 3, 4, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),237,target);
            Type targetType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),238,targetType);
            String json = gson.toJson(target, targetType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),239,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),236,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersSerialization_literalMutation533() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersSerialization_literalMutation533");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 4, 3, 4, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),237,target);
            Type targetType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),238,targetType);
            String json = gson.toJson(target, targetType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),239,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),236,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersSerialization_literalMutation534() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersSerialization_literalMutation534");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 3, 3, 4, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),237,target);
            Type targetType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),238,targetType);
            String json = gson.toJson(target, targetType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),239,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),236,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersSerialization_literalMutation536() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersSerialization_literalMutation536");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 4, 4, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),237,target);
            Type targetType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),238,targetType);
            String json = gson.toJson(target, targetType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),239,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),236,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersSerialization_literalMutation537() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersSerialization_literalMutation537");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 2, 4, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),237,target);
            Type targetType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),238,targetType);
            String json = gson.toJson(target, targetType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),239,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),236,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersSerialization_literalMutation538() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersSerialization_literalMutation538");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 1, 4, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),237,target);
            Type targetType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),238,targetType);
            String json = gson.toJson(target, targetType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),239,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),236,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersSerialization_literalMutation539() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersSerialization_literalMutation539");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 6, 4, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),237,target);
            Type targetType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),238,targetType);
            String json = gson.toJson(target, targetType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),239,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),236,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersSerialization_literalMutation541() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersSerialization_literalMutation541");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 2, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),237,target);
            Type targetType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),238,targetType);
            String json = gson.toJson(target, targetType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),239,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),236,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersSerialization_literalMutation542() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersSerialization_literalMutation542");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 8, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),237,target);
            Type targetType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),238,targetType);
            String json = gson.toJson(target, targetType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),239,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),236,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersSerialization_literalMutation543() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersSerialization_literalMutation543");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 5, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),237,target);
            Type targetType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),238,targetType);
            String json = gson.toJson(target, targetType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),239,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),236,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersSerialization_literalMutation544() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersSerialization_literalMutation544");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 3, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),237,target);
            Type targetType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),238,targetType);
            String json = gson.toJson(target, targetType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),239,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),236,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersSerialization_literalMutation546() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersSerialization_literalMutation546");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 4, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),237,target);
            Type targetType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),238,targetType);
            String json = gson.toJson(target, targetType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),239,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),236,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersSerialization_literalMutation547() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersSerialization_literalMutation547");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 2, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),237,target);
            Type targetType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),238,targetType);
            String json = gson.toJson(target, targetType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),239,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),236,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersSerialization_literalMutation548() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersSerialization_literalMutation548");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 10, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),237,target);
            Type targetType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),238,targetType);
            String json = gson.toJson(target, targetType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),239,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),236,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersSerialization_literalMutation549() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersSerialization_literalMutation549");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 6, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),237,target);
            Type targetType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),238,targetType);
            String json = gson.toJson(target, targetType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),239,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),236,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersSerialization_literalMutation551() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersSerialization_literalMutation551");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 5, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),237,target);
            Type targetType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),238,targetType);
            String json = gson.toJson(target, targetType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),239,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),236,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersSerialization_literalMutation552() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersSerialization_literalMutation552");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 3, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),237,target);
            Type targetType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),238,targetType);
            String json = gson.toJson(target, targetType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),239,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),236,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersSerialization_literalMutation553() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersSerialization_literalMutation553");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 12, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),237,target);
            Type targetType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),238,targetType);
            String json = gson.toJson(target, targetType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),239,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),236,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersSerialization_literalMutation554() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersSerialization_literalMutation554");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 7, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),237,target);
            Type targetType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),238,targetType);
            String json = gson.toJson(target, targetType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),239,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),236,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersSerialization_literalMutation556() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersSerialization_literalMutation556");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 8, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),237,target);
            Type targetType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),238,targetType);
            String json = gson.toJson(target, targetType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),239,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),236,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersSerialization_literalMutation557() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersSerialization_literalMutation557");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 6, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),237,target);
            Type targetType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),238,targetType);
            String json = gson.toJson(target, targetType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),239,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),236,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersSerialization_literalMutation558() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersSerialization_literalMutation558");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 3, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),237,target);
            Type targetType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),238,targetType);
            String json = gson.toJson(target, targetType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),239,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),236,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersSerialization_literalMutation559() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersSerialization_literalMutation559");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 14, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),237,target);
            Type targetType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),238,targetType);
            String json = gson.toJson(target, targetType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),239,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),236,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersSerialization_literalMutation561() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersSerialization_literalMutation561");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 7, 4, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),237,target);
            Type targetType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),238,targetType);
            String json = gson.toJson(target, targetType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),239,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),236,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersSerialization_literalMutation562() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersSerialization_literalMutation562");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 7, 16, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),237,target);
            Type targetType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),238,targetType);
            String json = gson.toJson(target, targetType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),239,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),236,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersSerialization_literalMutation563() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersSerialization_literalMutation563");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 7, 9, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),237,target);
            Type targetType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),238,targetType);
            String json = gson.toJson(target, targetType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),239,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),236,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersSerialization_literalMutation564() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersSerialization_literalMutation564");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 7, 7, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),237,target);
            Type targetType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),238,targetType);
            String json = gson.toJson(target, targetType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),239,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),236,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersSerialization_literalMutation566() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersSerialization_literalMutation566");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 7, 8, 8);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),237,target);
            Type targetType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),238,targetType);
            String json = gson.toJson(target, targetType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),239,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),236,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersSerialization_literalMutation567() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersSerialization_literalMutation567");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 7, 8, 4);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),237,target);
            Type targetType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),238,targetType);
            String json = gson.toJson(target, targetType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),239,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),236,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersSerialization_literalMutation568() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersSerialization_literalMutation568");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 7, 8, 18);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),237,target);
            Type targetType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),238,targetType);
            String json = gson.toJson(target, targetType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),239,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),236,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersSerialization_literalMutation569() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersSerialization_literalMutation569");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 7, 8, 10);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),237,target);
            Type targetType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),238,targetType);
            String json = gson.toJson(target, targetType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),239,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),236,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testTopLevelCollectionOfIntegersSerialization_remove47() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersSerialization_remove47");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),237,target);
            Type targetType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),238,targetType);
            String json = gson.toJson(target, targetType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),239,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),236,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testTopLevelCollectionOfIntegersDeserialization_add46() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_add46");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testTopLevelCollectionOfIntegersDeserialization_add47() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_add47");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization");
            String json = "[0,,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation479() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation479");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation480() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation480");
            String json = "[0,1,23,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation481() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation481");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 1 , 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation482() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation482");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ -1 , 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation483() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation483");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation485() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation485");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 2 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation486() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation486");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 0 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation487() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation487");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 0 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation489() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation489");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 1 , 3 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation490() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation490");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 4 , 3 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation491() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation491");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 3 , 3 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation493() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation493");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 2 , 4 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation494() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation494");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 2 , 2 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation495() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation495");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 2 , 1 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation496() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation496");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 2 , 6 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation498() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation498");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 2 , 3 , 2 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation499() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation499");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 2 , 3 , 8 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation500() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation500");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 2 , 3 , 5 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation501() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation501");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 2 , 3 , 3 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation503() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation503");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 2 , 3 , 4 , 4 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation504() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation504");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 2 , 3 , 4 , 2 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation505() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation505");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 2 , 3 , 4 , 10 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation506() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation506");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 2 , 3 , 4 , 6 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation508() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation508");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 2 , 3 , 4 , 5 , 5 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation509() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation509");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 2 , 3 , 4 , 5 , 3 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation510() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation510");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 2 , 3 , 4 , 5 , 12 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation511() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation511");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 2 , 3 , 4 , 5 , 7 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation513() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation513");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 2 , 3 , 4 , 5 , 6 , 8 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation514() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation514");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 2 , 3 , 4 , 5 , 6 , 6 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation515() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation515");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 2 , 3 , 4 , 5 , 6 , 3 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation516() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation516");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 2 , 3 , 4 , 5 , 6 , 14 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation518() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation518");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 2 , 3 , 4 , 5 , 6 , 7 , 4 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation519() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation519");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 2 , 3 , 4 , 5 , 6 , 7 , 16 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation520() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation520");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 2 , 3 , 4 , 5 , 6 , 7 , 9 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation521() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation521");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 2 , 3 , 4 , 5 , 6 , 7 , 7 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation523() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation523");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 8 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation524() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation524");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 4 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation525() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation525");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 18 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelCollectionOfIntegersDeserialization_literalMutation526() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_literalMutation526");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 10 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testTopLevelCollectionOfIntegersDeserialization_remove45() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_remove45");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
            com.google.gson.common.MoreAsserts.assertEquals(expected, CollectionTest.toIntArray(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testTopLevelCollectionOfIntegersDeserialization_remove46() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelCollectionOfIntegersDeserialization_remove46");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),232,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),233,collectionType);
            Collection<java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),234,target);
            int[] expected = new int[]{ 0 , 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),235,expected);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testTopLevelListOfIntegerCollectionsDeserialization_add49() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_add49");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 3 ; ++i) {
                int start = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testTopLevelListOfIntegerCollectionsDeserialization_add50() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_add50");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 3 ; ++i) {
                int start = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization");
            String json = "[[1,2,3],[4,,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 3 ; ++i) {
                int start = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation572() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation572");
            String json = "[[1,2,3],[4,5,6],[7ý,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 3 ; ++i) {
                int start = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation573() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation573");
            String json = "[[1,2,3],[4,5,6],[7,89]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 3 ; ++i) {
                int start = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation574() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation574");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[4][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 3 ; ++i) {
                int start = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation575() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation575");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[2][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 3 ; ++i) {
                int start = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation576() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation576");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[1][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 3 ; ++i) {
                int start = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation577() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation577");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[6][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 3 ; ++i) {
                int start = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation579() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation579");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][4];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 3 ; ++i) {
                int start = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation580() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation580");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][2];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 3 ; ++i) {
                int start = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation581() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation581");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][1];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 3 ; ++i) {
                int start = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation582() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation582");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][6];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 3 ; ++i) {
                int start = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation584() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation584");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 1 ; i < 3 ; ++i) {
                int start = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation585() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation585");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = -1 ; i < 3 ; ++i) {
                int start = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation586() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation586");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 3 ; ++i) {
                int start = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation588() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation588");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 4 ; ++i) {
                int start = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation589() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation589");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 2 ; ++i) {
                int start = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation590() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation590");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 1 ; ++i) {
                int start = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation591() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation591");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 6 ; ++i) {
                int start = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation593() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation593");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 3 ; ++i) {
                int start = (4 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation594() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation594");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 3 ; ++i) {
                int start = (2 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation595() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation595");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 3 ; ++i) {
                int start = (1 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation596() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation596");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 3 ; ++i) {
                int start = (6 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation598() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation598");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 3 ; ++i) {
                int start = (3 * i) + 2;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation599() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation599");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 3 ; ++i) {
                int start = (3 * i) + 0;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation600() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation600");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 3 ; ++i) {
                int start = (3 * i) + 0;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation602() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation602");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 3 ; ++i) {
                int start = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 1 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation603() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation603");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 3 ; ++i) {
                int start = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = -1 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation604() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation604");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 3 ; ++i) {
                int start = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation606() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation606");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 3 ; ++i) {
                int start = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 4 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation607() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation607");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 3 ; ++i) {
                int start = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 2 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation608() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation608");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 3 ; ++i) {
                int start = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 1 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation609() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation609");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 3 ; ++i) {
                int start = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 6 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation611() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation611");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 3 ; ++i) {
                int start = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 1 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation612() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation612");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 3 ; ++i) {
                int start = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = -1 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation613() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation613");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 3 ; ++i) {
                int start = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation615() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation615");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 3 ; ++i) {
                int start = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 4 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation616() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation616");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 3 ; ++i) {
                int start = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 2 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation617() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation617");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 3 ; ++i) {
                int start = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 1 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelListOfIntegerCollectionsDeserialization_literalMutation618() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_literalMutation618");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 3 ; ++i) {
                int start = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 6 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testTopLevelListOfIntegerCollectionsDeserialization_remove48() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_remove48");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 3 ; ++i) {
                int start = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 3 ; i++) {
                com.google.gson.common.MoreAsserts.assertEquals(expected[i], CollectionTest.toIntArray(target.get(i)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testTopLevelListOfIntegerCollectionsDeserialization_remove49() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelListOfIntegerCollectionsDeserialization_remove49");
            String json = "[[1,2,3],[4,5,6],[7,8,9]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            Type collectionType = new TypeToken<java.util.Collection<java.util.Collection<java.lang.Integer>>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),242,collectionType);
            List<java.util.Collection<java.lang.Integer>> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),243,target);
            int[][] expected = new int[3][3];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),244,expected);
            for (int i = 0 ; i < 3 ; ++i) {
                int start = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),245,start);
                for (int j = 0 ; j < 3 ; ++j) {
                    expected[i][j] = start + j;
                    fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),240,expected[i][j]);
                }
            }
            for (int i = 0 ; i < 3 ; i++) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testLinkedListSerialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testLinkedListSerialization");
            List<java.lang.String> list = new LinkedList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),176,list);
            list.add("a1");
            list.add("a1");
            list.add("a2");
            Type linkedListType = new TypeToken<java.util.LinkedList<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),177,linkedListType);
            String json = gson.toJson(list, linkedListType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),178,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),174,json.contains("a1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),175,json.contains("a2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testLinkedListSerialization_add28() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testLinkedListSerialization_add28");
            List<java.lang.String> list = new LinkedList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),176,list);
            list.add("a1");
            list.add("a2");
            list.add("a2");
            Type linkedListType = new TypeToken<java.util.LinkedList<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),177,linkedListType);
            String json = gson.toJson(list, linkedListType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),178,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),174,json.contains("a1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),175,json.contains("a2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testLinkedListSerialization_add29() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testLinkedListSerialization_add29");
            List<java.lang.String> list = new LinkedList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),176,list);
            list.add("a1");
            list.add("a2");
            Type linkedListType = new TypeToken<java.util.LinkedList<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),177,linkedListType);
            String json = gson.toJson(list, linkedListType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),178,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),174,json.contains("a1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),175,json.contains("a2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testLinkedListSerialization_remove26() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testLinkedListSerialization_remove26");
            List<java.lang.String> list = new LinkedList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),176,list);
            list.add("a2");
            Type linkedListType = new TypeToken<java.util.LinkedList<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),177,linkedListType);
            String json = gson.toJson(list, linkedListType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),178,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),174,json.contains("a1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),175,json.contains("a2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testLinkedListSerialization_remove27() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testLinkedListSerialization_remove27");
            List<java.lang.String> list = new LinkedList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),176,list);
            list.add("a2");
            Type linkedListType = new TypeToken<java.util.LinkedList<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),177,linkedListType);
            String json = gson.toJson(list, linkedListType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),178,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),174,json.contains("a1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),175,json.contains("a2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testLinkedListSerialization_remove28() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testLinkedListSerialization_remove28");
            List<java.lang.String> list = new LinkedList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),176,list);
            list.add("a1");
            list.add("a2");
            Type linkedListType = new TypeToken<java.util.LinkedList<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),177,linkedListType);
            String json = gson.toJson(list, linkedListType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),178,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),174,json.contains("a1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),175,json.contains("a2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testLinkedListDeserialization_add26() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testLinkedListDeserialization_add26");
            String json = "[\'a1\',\'a2\']";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),171,json);
            Type linkedListType = new TypeToken<java.util.LinkedList<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),172,linkedListType);
            List<java.lang.String> list = gson.fromJson(json, linkedListType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),173,list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),169,list.get(0));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),170,list.get(1));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testLinkedListDeserialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testLinkedListDeserialization");
            String json = "[\'a1\',\'Ø2\']";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),171,json);
            Type linkedListType = new TypeToken<java.util.LinkedList<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),172,linkedListType);
            List<java.lang.String> list = gson.fromJson(json, linkedListType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),173,list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),169,list.get(0));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),170,list.get(1));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testLinkedListDeserialization_literalMutation360() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testLinkedListDeserialization_literalMutation360");
            String json = "[\'a1\',\'aó2\']";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),171,json);
            Type linkedListType = new TypeToken<java.util.LinkedList<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),172,linkedListType);
            List<java.lang.String> list = gson.fromJson(json, linkedListType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),173,list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),169,list.get(0));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),170,list.get(1));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testLinkedListDeserialization_literalMutation361() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testLinkedListDeserialization_literalMutation361");
            String json = "[\'a1,\'a2\']";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),171,json);
            Type linkedListType = new TypeToken<java.util.LinkedList<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),172,linkedListType);
            List<java.lang.String> list = gson.fromJson(json, linkedListType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),173,list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),169,list.get(0));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),170,list.get(1));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testLinkedListDeserialization_remove25() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testLinkedListDeserialization_remove25");
            String json = "[\'a1\',\'a2\']";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),171,json);
            Type linkedListType = new TypeToken<java.util.LinkedList<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),172,linkedListType);
            List<java.lang.String> list = gson.fromJson(json, linkedListType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),173,list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),169,list.get(0));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),170,list.get(1));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testQueueSerialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testQueueSerialization");
            Queue<java.lang.String> queue = new LinkedList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),198,queue);
            queue.add("a1");
            queue.add("a1");
            queue.add("a2");
            Type queueType = new TypeToken<java.util.Queue<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),199,queueType);
            String json = gson.toJson(queue, queueType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),200,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),196,json.contains("a1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),197,json.contains("a2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testQueueSerialization_add41() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testQueueSerialization_add41");
            Queue<java.lang.String> queue = new LinkedList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),198,queue);
            queue.add("a1");
            queue.add("a2");
            queue.add("a2");
            Type queueType = new TypeToken<java.util.Queue<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),199,queueType);
            String json = gson.toJson(queue, queueType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),200,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),196,json.contains("a1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),197,json.contains("a2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testQueueSerialization_add42() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testQueueSerialization_add42");
            Queue<java.lang.String> queue = new LinkedList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),198,queue);
            queue.add("a1");
            queue.add("a2");
            Type queueType = new TypeToken<java.util.Queue<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),199,queueType);
            String json = gson.toJson(queue, queueType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),200,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),196,json.contains("a1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),197,json.contains("a2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testQueueSerialization_remove39() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testQueueSerialization_remove39");
            Queue<java.lang.String> queue = new LinkedList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),198,queue);
            queue.add("a2");
            Type queueType = new TypeToken<java.util.Queue<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),199,queueType);
            String json = gson.toJson(queue, queueType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),200,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),196,json.contains("a1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),197,json.contains("a2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testQueueSerialization_remove40() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testQueueSerialization_remove40");
            Queue<java.lang.String> queue = new LinkedList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),198,queue);
            queue.add("a2");
            Type queueType = new TypeToken<java.util.Queue<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),199,queueType);
            String json = gson.toJson(queue, queueType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),200,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),196,json.contains("a1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),197,json.contains("a2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testQueueSerialization_remove41() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testQueueSerialization_remove41");
            Queue<java.lang.String> queue = new LinkedList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),198,queue);
            queue.add("a1");
            queue.add("a2");
            Type queueType = new TypeToken<java.util.Queue<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),199,queueType);
            String json = gson.toJson(queue, queueType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),200,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),196,json.contains("a1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),197,json.contains("a2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testQueueDeserialization_add38() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testQueueDeserialization_add38");
            String json = "[\'a1\',\'a2\']";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),193,json);
            Type queueType = new TypeToken<java.util.Queue<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),194,queueType);
            Queue<java.lang.String> queue = gson.fromJson(json, queueType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),195,queue);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),191,queue.element());
            queue.remove();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),192,queue.element());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testQueueDeserialization_add39() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testQueueDeserialization_add39");
            String json = "[\'a1\',\'a2\']";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),193,json);
            Type queueType = new TypeToken<java.util.Queue<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),194,queueType);
            Queue<java.lang.String> queue = gson.fromJson(json, queueType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),195,queue);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),191,queue.element());
            queue.remove();
            queue.remove();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),192,queue.element());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testQueueDeserialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testQueueDeserialization");
            String json = "[{a1\',\'a2\']";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),193,json);
            Type queueType = new TypeToken<java.util.Queue<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),194,queueType);
            Queue<java.lang.String> queue = gson.fromJson(json, queueType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),195,queue);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),191,queue.element());
            queue.remove();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),192,queue.element());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testQueueDeserialization_literalMutation387() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testQueueDeserialization_literalMutation387");
            String json = "[\'a1\',\'a2â\']";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),193,json);
            Type queueType = new TypeToken<java.util.Queue<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),194,queueType);
            Queue<java.lang.String> queue = gson.fromJson(json, queueType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),195,queue);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),191,queue.element());
            queue.remove();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),192,queue.element());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testQueueDeserialization_literalMutation388() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testQueueDeserialization_literalMutation388");
            String json = "[\'a\',\'a2\']";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),193,json);
            Type queueType = new TypeToken<java.util.Queue<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),194,queueType);
            Queue<java.lang.String> queue = gson.fromJson(json, queueType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),195,queue);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),191,queue.element());
            queue.remove();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),192,queue.element());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testQueueDeserialization_remove37() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testQueueDeserialization_remove37");
            String json = "[\'a1\',\'a2\']";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),193,json);
            Type queueType = new TypeToken<java.util.Queue<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),194,queueType);
            Queue<java.lang.String> queue = gson.fromJson(json, queueType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),195,queue);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),191,queue.element());
            queue.remove();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),192,queue.element());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testQueueDeserialization_remove38() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testQueueDeserialization_remove38");
            String json = "[\'a1\',\'a2\']";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),193,json);
            Type queueType = new TypeToken<java.util.Queue<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),194,queueType);
            Queue<java.lang.String> queue = gson.fromJson(json, queueType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),195,queue);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),191,queue.element());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),192,queue.element());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testNullsInListSerialization_add34() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInListSerialization_add34");
            List<java.lang.String> list = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),187,list);
            list.add("foo");
            list.add("foo");
            list.add(null);
            list.add("bar");
            String expected = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),188,expected);
            Type typeOfList = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),189,typeOfList);
            String json = gson.toJson(list, typeOfList);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),190,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),185,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),186,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testNullsInListSerialization_add35() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInListSerialization_add35");
            List<java.lang.String> list = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),187,list);
            list.add("foo");
            list.add(null);
            list.add(null);
            list.add("bar");
            String expected = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),188,expected);
            Type typeOfList = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),189,typeOfList);
            String json = gson.toJson(list, typeOfList);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),190,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),185,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),186,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testNullsInListSerialization_add36() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInListSerialization_add36");
            List<java.lang.String> list = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),187,list);
            list.add("foo");
            list.add(null);
            list.add("bar");
            list.add("bar");
            String expected = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),188,expected);
            Type typeOfList = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),189,typeOfList);
            String json = gson.toJson(list, typeOfList);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),190,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),185,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),186,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testNullsInListSerialization_add37() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInListSerialization_add37");
            List<java.lang.String> list = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),187,list);
            list.add("foo");
            list.add(null);
            list.add("bar");
            String expected = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),188,expected);
            Type typeOfList = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),189,typeOfList);
            String json = gson.toJson(list, typeOfList);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),190,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),185,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),186,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInListSerialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInListSerialization");
            List<java.lang.String> list = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),187,list);
            list.add("Õoo");
            list.add(null);
            list.add("bar");
            String expected = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),188,expected);
            Type typeOfList = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),189,typeOfList);
            String json = gson.toJson(list, typeOfList);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),190,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),185,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),186,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInListSerialization_literalMutation377() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInListSerialization_literalMutation377");
            List<java.lang.String> list = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),187,list);
            list.add("f¯oo");
            list.add(null);
            list.add("bar");
            String expected = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),188,expected);
            Type typeOfList = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),189,typeOfList);
            String json = gson.toJson(list, typeOfList);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),190,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),185,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),186,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInListSerialization_literalMutation378() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInListSerialization_literalMutation378");
            List<java.lang.String> list = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),187,list);
            list.add("fo");
            list.add(null);
            list.add("bar");
            String expected = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),188,expected);
            Type typeOfList = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),189,typeOfList);
            String json = gson.toJson(list, typeOfList);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),190,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),185,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),186,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInListSerialization_literalMutation380() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInListSerialization_literalMutation380");
            List<java.lang.String> list = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),187,list);
            list.add("foo");
            list.add(null);
            list.add("Yar");
            String expected = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),188,expected);
            Type typeOfList = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),189,typeOfList);
            String json = gson.toJson(list, typeOfList);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),190,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),185,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),186,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInListSerialization_literalMutation381() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInListSerialization_literalMutation381");
            List<java.lang.String> list = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),187,list);
            list.add("foo");
            list.add(null);
            list.add("bGar");
            String expected = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),188,expected);
            Type typeOfList = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),189,typeOfList);
            String json = gson.toJson(list, typeOfList);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),190,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),185,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),186,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInListSerialization_literalMutation382() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInListSerialization_literalMutation382");
            List<java.lang.String> list = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),187,list);
            list.add("foo");
            list.add(null);
            list.add("br");
            String expected = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),188,expected);
            Type typeOfList = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),189,typeOfList);
            String json = gson.toJson(list, typeOfList);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),190,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),185,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),186,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInListSerialization_literalMutation383() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInListSerialization_literalMutation383");
            List<java.lang.String> list = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),187,list);
            list.add("foo");
            list.add(null);
            list.add("bar");
            String expected = "[\"foom,null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),188,expected);
            Type typeOfList = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),189,typeOfList);
            String json = gson.toJson(list, typeOfList);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),190,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),185,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),186,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInListSerialization_literalMutation384() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInListSerialization_literalMutation384");
            List<java.lang.String> list = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),187,list);
            list.add("foo");
            list.add(null);
            list.add("bar");
            String expected = "[\"f\'oo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),188,expected);
            Type typeOfList = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),189,typeOfList);
            String json = gson.toJson(list, typeOfList);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),190,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),185,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),186,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInListSerialization_literalMutation385() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInListSerialization_literalMutation385");
            List<java.lang.String> list = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),187,list);
            list.add("foo");
            list.add(null);
            list.add("bar");
            String expected = "[\"fo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),188,expected);
            Type typeOfList = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),189,typeOfList);
            String json = gson.toJson(list, typeOfList);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),190,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),185,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),186,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testNullsInListSerialization_remove33() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInListSerialization_remove33");
            List<java.lang.String> list = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),187,list);
            list.add(null);
            list.add("bar");
            String expected = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),188,expected);
            Type typeOfList = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),189,typeOfList);
            String json = gson.toJson(list, typeOfList);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),190,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),185,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),186,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testNullsInListSerialization_remove34() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInListSerialization_remove34");
            List<java.lang.String> list = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),187,list);
            list.add(null);
            list.add("bar");
            String expected = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),188,expected);
            Type typeOfList = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),189,typeOfList);
            String json = gson.toJson(list, typeOfList);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),190,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),185,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),186,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testNullsInListSerialization_remove35() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInListSerialization_remove35");
            List<java.lang.String> list = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),187,list);
            list.add(null);
            list.add("bar");
            String expected = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),188,expected);
            Type typeOfList = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),189,typeOfList);
            String json = gson.toJson(list, typeOfList);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),190,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),185,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),186,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testNullsInListSerialization_remove36() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInListSerialization_remove36");
            List<java.lang.String> list = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),187,list);
            list.add("foo");
            list.add(null);
            list.add("bar");
            String expected = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),188,expected);
            Type typeOfList = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),189,typeOfList);
            String json = gson.toJson(list, typeOfList);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),190,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),185,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),186,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testNullsInListDeserialization_add30() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInListDeserialization_add30");
            List<java.lang.String> expected = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),181,expected);
            expected.add("foo");
            expected.add("foo");
            expected.add(null);
            expected.add("bar");
            String json = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),182,json);
            Type expectedType = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),183,expectedType);
            List<java.lang.String> target = gson.fromJson(json, expectedType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),184,target);
            for (int i = 0 ; i < (expected.size()) ; ++i) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),179,expected.get(i));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),180,target.get(i));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testNullsInListDeserialization_add31() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInListDeserialization_add31");
            List<java.lang.String> expected = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),181,expected);
            expected.add("foo");
            expected.add(null);
            expected.add(null);
            expected.add("bar");
            String json = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),182,json);
            Type expectedType = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),183,expectedType);
            List<java.lang.String> target = gson.fromJson(json, expectedType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),184,target);
            for (int i = 0 ; i < (expected.size()) ; ++i) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),179,expected.get(i));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),180,target.get(i));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testNullsInListDeserialization_add32() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInListDeserialization_add32");
            List<java.lang.String> expected = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),181,expected);
            expected.add("foo");
            expected.add(null);
            expected.add("bar");
            expected.add("bar");
            String json = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),182,json);
            Type expectedType = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),183,expectedType);
            List<java.lang.String> target = gson.fromJson(json, expectedType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),184,target);
            for (int i = 0 ; i < (expected.size()) ; ++i) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),179,expected.get(i));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),180,target.get(i));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testNullsInListDeserialization_add33() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInListDeserialization_add33");
            List<java.lang.String> expected = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),181,expected);
            expected.add("foo");
            expected.add(null);
            expected.add("bar");
            String json = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),182,json);
            Type expectedType = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),183,expectedType);
            List<java.lang.String> target = gson.fromJson(json, expectedType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),184,target);
            for (int i = 0 ; i < (expected.size()) ; ++i) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),179,expected.get(i));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),180,target.get(i));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInListDeserialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInListDeserialization");
            List<java.lang.String> expected = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),181,expected);
            expected.add(":oo");
            expected.add(null);
            expected.add("bar");
            String json = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),182,json);
            Type expectedType = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),183,expectedType);
            List<java.lang.String> target = gson.fromJson(json, expectedType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),184,target);
            for (int i = 0 ; i < (expected.size()) ; ++i) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),179,expected.get(i));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),180,target.get(i));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInListDeserialization_literalMutation363() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInListDeserialization_literalMutation363");
            List<java.lang.String> expected = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),181,expected);
            expected.add("foo");
            expected.add(null);
            expected.add("bar");
            String json = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),182,json);
            Type expectedType = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),183,expectedType);
            List<java.lang.String> target = gson.fromJson(json, expectedType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),184,target);
            for (int i = 0 ; i < (expected.size()) ; ++i) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),179,expected.get(i));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),180,target.get(i));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInListDeserialization_literalMutation364() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInListDeserialization_literalMutation364");
            List<java.lang.String> expected = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),181,expected);
            expected.add("fo");
            expected.add(null);
            expected.add("bar");
            String json = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),182,json);
            Type expectedType = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),183,expectedType);
            List<java.lang.String> target = gson.fromJson(json, expectedType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),184,target);
            for (int i = 0 ; i < (expected.size()) ; ++i) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),179,expected.get(i));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),180,target.get(i));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInListDeserialization_literalMutation366() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInListDeserialization_literalMutation366");
            List<java.lang.String> expected = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),181,expected);
            expected.add("foo");
            expected.add(null);
            expected.add("Óar");
            String json = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),182,json);
            Type expectedType = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),183,expectedType);
            List<java.lang.String> target = gson.fromJson(json, expectedType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),184,target);
            for (int i = 0 ; i < (expected.size()) ; ++i) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),179,expected.get(i));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),180,target.get(i));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInListDeserialization_literalMutation367() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInListDeserialization_literalMutation367");
            List<java.lang.String> expected = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),181,expected);
            expected.add("foo");
            expected.add(null);
            expected.add("bar");
            String json = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),182,json);
            Type expectedType = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),183,expectedType);
            List<java.lang.String> target = gson.fromJson(json, expectedType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),184,target);
            for (int i = 0 ; i < (expected.size()) ; ++i) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),179,expected.get(i));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),180,target.get(i));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInListDeserialization_literalMutation368() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInListDeserialization_literalMutation368");
            List<java.lang.String> expected = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),181,expected);
            expected.add("foo");
            expected.add(null);
            expected.add("br");
            String json = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),182,json);
            Type expectedType = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),183,expectedType);
            List<java.lang.String> target = gson.fromJson(json, expectedType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),184,target);
            for (int i = 0 ; i < (expected.size()) ; ++i) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),179,expected.get(i));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),180,target.get(i));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInListDeserialization_literalMutation369() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInListDeserialization_literalMutation369");
            List<java.lang.String> expected = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),181,expected);
            expected.add("foo");
            expected.add(null);
            expected.add("bar");
            String json = "[\"foo\",null,xbar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),182,json);
            Type expectedType = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),183,expectedType);
            List<java.lang.String> target = gson.fromJson(json, expectedType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),184,target);
            for (int i = 0 ; i < (expected.size()) ; ++i) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),179,expected.get(i));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),180,target.get(i));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInListDeserialization_literalMutation370() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInListDeserialization_literalMutation370");
            List<java.lang.String> expected = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),181,expected);
            expected.add("foo");
            expected.add(null);
            expected.add("bar");
            String json = "[\"8foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),182,json);
            Type expectedType = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),183,expectedType);
            List<java.lang.String> target = gson.fromJson(json, expectedType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),184,target);
            for (int i = 0 ; i < (expected.size()) ; ++i) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),179,expected.get(i));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),180,target.get(i));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInListDeserialization_literalMutation371() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInListDeserialization_literalMutation371");
            List<java.lang.String> expected = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),181,expected);
            expected.add("foo");
            expected.add(null);
            expected.add("bar");
            String json = "[\"fo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),182,json);
            Type expectedType = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),183,expectedType);
            List<java.lang.String> target = gson.fromJson(json, expectedType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),184,target);
            for (int i = 0 ; i < (expected.size()) ; ++i) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),179,expected.get(i));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),180,target.get(i));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInListDeserialization_literalMutation372() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInListDeserialization_literalMutation372");
            List<java.lang.String> expected = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),181,expected);
            expected.add("foo");
            expected.add(null);
            expected.add("bar");
            String json = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),182,json);
            Type expectedType = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),183,expectedType);
            List<java.lang.String> target = gson.fromJson(json, expectedType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),184,target);
            for (int i = 1 ; i < (expected.size()) ; ++i) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),179,expected.get(i));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),180,target.get(i));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInListDeserialization_literalMutation373() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInListDeserialization_literalMutation373");
            List<java.lang.String> expected = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),181,expected);
            expected.add("foo");
            expected.add(null);
            expected.add("bar");
            String json = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),182,json);
            Type expectedType = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),183,expectedType);
            List<java.lang.String> target = gson.fromJson(json, expectedType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),184,target);
            for (int i = -1 ; i < (expected.size()) ; ++i) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),179,expected.get(i));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),180,target.get(i));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInListDeserialization_literalMutation374() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInListDeserialization_literalMutation374");
            List<java.lang.String> expected = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),181,expected);
            expected.add("foo");
            expected.add(null);
            expected.add("bar");
            String json = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),182,json);
            Type expectedType = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),183,expectedType);
            List<java.lang.String> target = gson.fromJson(json, expectedType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),184,target);
            for (int i = 0 ; i < (expected.size()) ; ++i) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),179,expected.get(i));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),180,target.get(i));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testNullsInListDeserialization_remove29() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInListDeserialization_remove29");
            List<java.lang.String> expected = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),181,expected);
            expected.add(null);
            expected.add("bar");
            String json = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),182,json);
            Type expectedType = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),183,expectedType);
            List<java.lang.String> target = gson.fromJson(json, expectedType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),184,target);
            for (int i = 0 ; i < (expected.size()) ; ++i) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),179,expected.get(i));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),180,target.get(i));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testNullsInListDeserialization_remove30() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInListDeserialization_remove30");
            List<java.lang.String> expected = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),181,expected);
            expected.add(null);
            expected.add("bar");
            String json = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),182,json);
            Type expectedType = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),183,expectedType);
            List<java.lang.String> target = gson.fromJson(json, expectedType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),184,target);
            for (int i = 0 ; i < (expected.size()) ; ++i) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),179,expected.get(i));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),180,target.get(i));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testNullsInListDeserialization_remove31() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInListDeserialization_remove31");
            List<java.lang.String> expected = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),181,expected);
            expected.add(null);
            expected.add("bar");
            String json = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),182,json);
            Type expectedType = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),183,expectedType);
            List<java.lang.String> target = gson.fromJson(json, expectedType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),184,target);
            for (int i = 0 ; i < (expected.size()) ; ++i) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),179,expected.get(i));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),180,target.get(i));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testNullsInListDeserialization_remove32() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInListDeserialization_remove32");
            List<java.lang.String> expected = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),181,expected);
            expected.add("foo");
            expected.add(null);
            expected.add("bar");
            String json = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),182,json);
            Type expectedType = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),183,expectedType);
            List<java.lang.String> target = gson.fromJson(json, expectedType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),184,target);
            for (int i = 0 ; i < (expected.size()) ; ++i) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),179,expected.get(i));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),180,target.get(i));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testCollectionOfObjectSerialization_add14() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfObjectSerialization_add14");
            List<java.lang.Object> target = new ArrayList<java.lang.Object>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),151,target);
            target.add("Hello");
            target.add("Hello");
            target.add("World");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),149,gson.toJson(target));
            Type type = new TypeToken<java.util.List<java.lang.Object>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),152,type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),150,gson.toJson(target, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testCollectionOfObjectSerialization_add15() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfObjectSerialization_add15");
            List<java.lang.Object> target = new ArrayList<java.lang.Object>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),151,target);
            target.add("Hello");
            target.add("World");
            target.add("World");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),149,gson.toJson(target));
            Type type = new TypeToken<java.util.List<java.lang.Object>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),152,type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),150,gson.toJson(target, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testCollectionOfObjectSerialization_add16() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfObjectSerialization_add16");
            List<java.lang.Object> target = new ArrayList<java.lang.Object>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),151,target);
            target.add("Hello");
            target.add("World");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),149,gson.toJson(target));
            Type type = new TypeToken<java.util.List<java.lang.Object>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),152,type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),150,gson.toJson(target, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfObjectSerialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfObjectSerialization");
            List<java.lang.Object> target = new ArrayList<java.lang.Object>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),151,target);
            target.add("He)lo");
            target.add("World");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),149,gson.toJson(target));
            Type type = new TypeToken<java.util.List<java.lang.Object>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),152,type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),150,gson.toJson(target, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfObjectSerialization_literalMutation326() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfObjectSerialization_literalMutation326");
            List<java.lang.Object> target = new ArrayList<java.lang.Object>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),151,target);
            target.add("HelRlo");
            target.add("World");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),149,gson.toJson(target));
            Type type = new TypeToken<java.util.List<java.lang.Object>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),152,type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),150,gson.toJson(target, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfObjectSerialization_literalMutation327() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfObjectSerialization_literalMutation327");
            List<java.lang.Object> target = new ArrayList<java.lang.Object>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),151,target);
            target.add("Hllo");
            target.add("World");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),149,gson.toJson(target));
            Type type = new TypeToken<java.util.List<java.lang.Object>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),152,type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),150,gson.toJson(target, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfObjectSerialization_literalMutation328() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfObjectSerialization_literalMutation328");
            List<java.lang.Object> target = new ArrayList<java.lang.Object>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),151,target);
            target.add("Hello");
            target.add("orld");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),149,gson.toJson(target));
            Type type = new TypeToken<java.util.List<java.lang.Object>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),152,type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),150,gson.toJson(target, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfObjectSerialization_literalMutation329() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfObjectSerialization_literalMutation329");
            List<java.lang.Object> target = new ArrayList<java.lang.Object>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),151,target);
            target.add("Hello");
            target.add("Wo?rld");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),149,gson.toJson(target));
            Type type = new TypeToken<java.util.List<java.lang.Object>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),152,type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),150,gson.toJson(target, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfObjectSerialization_literalMutation330() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfObjectSerialization_literalMutation330");
            List<java.lang.Object> target = new ArrayList<java.lang.Object>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),151,target);
            target.add("Hello");
            target.add("Word");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),149,gson.toJson(target));
            Type type = new TypeToken<java.util.List<java.lang.Object>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),152,type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),150,gson.toJson(target, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testCollectionOfObjectSerialization_remove13() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfObjectSerialization_remove13");
            List<java.lang.Object> target = new ArrayList<java.lang.Object>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),151,target);
            target.add("World");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),149,gson.toJson(target));
            Type type = new TypeToken<java.util.List<java.lang.Object>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),152,type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),150,gson.toJson(target, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testCollectionOfObjectSerialization_remove14() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfObjectSerialization_remove14");
            List<java.lang.Object> target = new ArrayList<java.lang.Object>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),151,target);
            target.add("World");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),149,gson.toJson(target));
            Type type = new TypeToken<java.util.List<java.lang.Object>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),152,type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),150,gson.toJson(target, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testCollectionOfObjectSerialization_remove15() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfObjectSerialization_remove15");
            List<java.lang.Object> target = new ArrayList<java.lang.Object>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),151,target);
            target.add("Hello");
            target.add("World");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),149,gson.toJson(target));
            Type type = new TypeToken<java.util.List<java.lang.Object>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),152,type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),150,gson.toJson(target, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testCollectionOfObjectWithNullSerialization_add17() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfObjectWithNullSerialization_add17");
            List<java.lang.Object> target = new ArrayList<java.lang.Object>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),155,target);
            target.add("Hello");
            target.add("Hello");
            target.add(null);
            target.add("World");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),153,gson.toJson(target));
            Type type = new TypeToken<java.util.List<java.lang.Object>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),156,type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),154,gson.toJson(target, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testCollectionOfObjectWithNullSerialization_add18() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfObjectWithNullSerialization_add18");
            List<java.lang.Object> target = new ArrayList<java.lang.Object>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),155,target);
            target.add("Hello");
            target.add(null);
            target.add(null);
            target.add("World");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),153,gson.toJson(target));
            Type type = new TypeToken<java.util.List<java.lang.Object>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),156,type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),154,gson.toJson(target, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testCollectionOfObjectWithNullSerialization_add19() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfObjectWithNullSerialization_add19");
            List<java.lang.Object> target = new ArrayList<java.lang.Object>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),155,target);
            target.add("Hello");
            target.add(null);
            target.add("World");
            target.add("World");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),153,gson.toJson(target));
            Type type = new TypeToken<java.util.List<java.lang.Object>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),156,type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),154,gson.toJson(target, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testCollectionOfObjectWithNullSerialization_add20() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfObjectWithNullSerialization_add20");
            List<java.lang.Object> target = new ArrayList<java.lang.Object>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),155,target);
            target.add("Hello");
            target.add(null);
            target.add("World");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),153,gson.toJson(target));
            Type type = new TypeToken<java.util.List<java.lang.Object>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),156,type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),154,gson.toJson(target, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfObjectWithNullSerialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfObjectWithNullSerialization");
            List<java.lang.Object> target = new ArrayList<java.lang.Object>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),155,target);
            target.add("rello");
            target.add(null);
            target.add("World");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),153,gson.toJson(target));
            Type type = new TypeToken<java.util.List<java.lang.Object>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),156,type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),154,gson.toJson(target, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfObjectWithNullSerialization_literalMutation332() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfObjectWithNullSerialization_literalMutation332");
            List<java.lang.Object> target = new ArrayList<java.lang.Object>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),155,target);
            target.add("Hello");
            target.add(null);
            target.add("World");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),153,gson.toJson(target));
            Type type = new TypeToken<java.util.List<java.lang.Object>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),156,type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),154,gson.toJson(target, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfObjectWithNullSerialization_literalMutation333() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfObjectWithNullSerialization_literalMutation333");
            List<java.lang.Object> target = new ArrayList<java.lang.Object>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),155,target);
            target.add("Hllo");
            target.add(null);
            target.add("World");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),153,gson.toJson(target));
            Type type = new TypeToken<java.util.List<java.lang.Object>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),156,type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),154,gson.toJson(target, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfObjectWithNullSerialization_literalMutation335() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfObjectWithNullSerialization_literalMutation335");
            List<java.lang.Object> target = new ArrayList<java.lang.Object>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),155,target);
            target.add("Hello");
            target.add(null);
            target.add("¨orld");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),153,gson.toJson(target));
            Type type = new TypeToken<java.util.List<java.lang.Object>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),156,type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),154,gson.toJson(target, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfObjectWithNullSerialization_literalMutation336() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfObjectWithNullSerialization_literalMutation336");
            List<java.lang.Object> target = new ArrayList<java.lang.Object>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),155,target);
            target.add("Hello");
            target.add(null);
            target.add("World");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),153,gson.toJson(target));
            Type type = new TypeToken<java.util.List<java.lang.Object>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),156,type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),154,gson.toJson(target, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfObjectWithNullSerialization_literalMutation337() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfObjectWithNullSerialization_literalMutation337");
            List<java.lang.Object> target = new ArrayList<java.lang.Object>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),155,target);
            target.add("Hello");
            target.add(null);
            target.add("Wold");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),153,gson.toJson(target));
            Type type = new TypeToken<java.util.List<java.lang.Object>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),156,type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),154,gson.toJson(target, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testCollectionOfObjectWithNullSerialization_remove16() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfObjectWithNullSerialization_remove16");
            List<java.lang.Object> target = new ArrayList<java.lang.Object>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),155,target);
            target.add(null);
            target.add("World");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),153,gson.toJson(target));
            Type type = new TypeToken<java.util.List<java.lang.Object>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),156,type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),154,gson.toJson(target, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testCollectionOfObjectWithNullSerialization_remove17() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfObjectWithNullSerialization_remove17");
            List<java.lang.Object> target = new ArrayList<java.lang.Object>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),155,target);
            target.add(null);
            target.add("World");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),153,gson.toJson(target));
            Type type = new TypeToken<java.util.List<java.lang.Object>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),156,type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),154,gson.toJson(target, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testCollectionOfObjectWithNullSerialization_remove18() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfObjectWithNullSerialization_remove18");
            List<java.lang.Object> target = new ArrayList<java.lang.Object>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),155,target);
            target.add(null);
            target.add("World");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),153,gson.toJson(target));
            Type type = new TypeToken<java.util.List<java.lang.Object>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),156,type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),154,gson.toJson(target, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testCollectionOfObjectWithNullSerialization_remove19() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfObjectWithNullSerialization_remove19");
            List<java.lang.Object> target = new ArrayList<java.lang.Object>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),155,target);
            target.add("Hello");
            target.add(null);
            target.add("World");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),153,gson.toJson(target));
            Type type = new TypeToken<java.util.List<java.lang.Object>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),156,type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),154,gson.toJson(target, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testCollectionOfStringsSerialization_add22() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfStringsSerialization_add22");
            List<java.lang.String> target = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            target.add("Hello");
            target.add("Hello");
            target.add("World");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),162,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testCollectionOfStringsSerialization_add23() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfStringsSerialization_add23");
            List<java.lang.String> target = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            target.add("Hello");
            target.add("World");
            target.add("World");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),162,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfStringsSerialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfStringsSerialization");
            List<java.lang.String> target = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            target.add("Héllo");
            target.add("World");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),162,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfStringsSerialization_literalMutation342() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfStringsSerialization_literalMutation342");
            List<java.lang.String> target = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            target.add("Hello");
            target.add("World");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),162,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfStringsSerialization_literalMutation343() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfStringsSerialization_literalMutation343");
            List<java.lang.String> target = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            target.add("Helo");
            target.add("World");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),162,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfStringsSerialization_literalMutation344() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfStringsSerialization_literalMutation344");
            List<java.lang.String> target = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            target.add("Hello");
            target.add("Wrld");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),162,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfStringsSerialization_literalMutation345() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfStringsSerialization_literalMutation345");
            List<java.lang.String> target = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            target.add("Hello");
            target.add("Wor)ld");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),162,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfStringsSerialization_literalMutation346() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfStringsSerialization_literalMutation346");
            List<java.lang.String> target = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            target.add("Hello");
            target.add("Wold");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),162,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testCollectionOfStringsSerialization_remove21() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfStringsSerialization_remove21");
            List<java.lang.String> target = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            target.add("World");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),162,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testCollectionOfStringsSerialization_remove22() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfStringsSerialization_remove22");
            List<java.lang.String> target = new ArrayList<java.lang.String>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            target.add("World");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),162,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testCollectionOfBagOfPrimitivesSerialization_add12() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfBagOfPrimitivesSerialization_add12");
            List<com.google.gson.common.TestTypes.BagOfPrimitives> target = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),145,target);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),146,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 6 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),147,objB);
            target.add(objA);
            target.add(objA);
            target.add(objB);
            String result = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),148,result);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),142,result.startsWith("["));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),143,result.endsWith("]"));
            for (TestTypes.BagOfPrimitives obj : target) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),144,result.contains(obj.getExpectedJson()));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testCollectionOfBagOfPrimitivesSerialization_add13() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfBagOfPrimitivesSerialization_add13");
            List<com.google.gson.common.TestTypes.BagOfPrimitives> target = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),145,target);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),146,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 6 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),147,objB);
            target.add(objA);
            target.add(objB);
            target.add(objB);
            String result = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),148,result);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),142,result.startsWith("["));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),143,result.endsWith("]"));
            for (TestTypes.BagOfPrimitives obj : target) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),144,result.contains(obj.getExpectedJson()));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfBagOfPrimitivesSerialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfBagOfPrimitivesSerialization");
            List<com.google.gson.common.TestTypes.BagOfPrimitives> target = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),145,target);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(4L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),146,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 6 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),147,objB);
            target.add(objA);
            target.add(objB);
            String result = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),148,result);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),142,result.startsWith("["));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),143,result.endsWith("]"));
            for (TestTypes.BagOfPrimitives obj : target) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),144,result.contains(obj.getExpectedJson()));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfBagOfPrimitivesSerialization_literalMutation300() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfBagOfPrimitivesSerialization_literalMutation300");
            List<com.google.gson.common.TestTypes.BagOfPrimitives> target = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),145,target);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(2L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),146,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 6 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),147,objB);
            target.add(objA);
            target.add(objB);
            String result = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),148,result);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),142,result.startsWith("["));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),143,result.endsWith("]"));
            for (TestTypes.BagOfPrimitives obj : target) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),144,result.contains(obj.getExpectedJson()));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfBagOfPrimitivesSerialization_literalMutation301() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfBagOfPrimitivesSerialization_literalMutation301");
            List<com.google.gson.common.TestTypes.BagOfPrimitives> target = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),145,target);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(1L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),146,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 6 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),147,objB);
            target.add(objA);
            target.add(objB);
            String result = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),148,result);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),142,result.startsWith("["));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),143,result.endsWith("]"));
            for (TestTypes.BagOfPrimitives obj : target) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),144,result.contains(obj.getExpectedJson()));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfBagOfPrimitivesSerialization_literalMutation302() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfBagOfPrimitivesSerialization_literalMutation302");
            List<com.google.gson.common.TestTypes.BagOfPrimitives> target = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),145,target);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(6L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),146,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 6 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),147,objB);
            target.add(objA);
            target.add(objB);
            String result = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),148,result);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),142,result.startsWith("["));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),143,result.endsWith("]"));
            for (TestTypes.BagOfPrimitives obj : target) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),144,result.contains(obj.getExpectedJson()));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfBagOfPrimitivesSerialization_literalMutation304() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfBagOfPrimitivesSerialization_literalMutation304");
            List<com.google.gson.common.TestTypes.BagOfPrimitives> target = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),145,target);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 2 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),146,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 6 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),147,objB);
            target.add(objA);
            target.add(objB);
            String result = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),148,result);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),142,result.startsWith("["));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),143,result.endsWith("]"));
            for (TestTypes.BagOfPrimitives obj : target) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),144,result.contains(obj.getExpectedJson()));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfBagOfPrimitivesSerialization_literalMutation305() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfBagOfPrimitivesSerialization_literalMutation305");
            List<com.google.gson.common.TestTypes.BagOfPrimitives> target = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),145,target);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 0 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),146,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 6 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),147,objB);
            target.add(objA);
            target.add(objB);
            String result = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),148,result);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),142,result.startsWith("["));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),143,result.endsWith("]"));
            for (TestTypes.BagOfPrimitives obj : target) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),144,result.contains(obj.getExpectedJson()));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfBagOfPrimitivesSerialization_literalMutation306() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfBagOfPrimitivesSerialization_literalMutation306");
            List<com.google.gson.common.TestTypes.BagOfPrimitives> target = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),145,target);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 0 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),146,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 6 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),147,objB);
            target.add(objA);
            target.add(objB);
            String result = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),148,result);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),142,result.startsWith("["));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),143,result.endsWith("]"));
            for (TestTypes.BagOfPrimitives obj : target) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),144,result.contains(obj.getExpectedJson()));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfBagOfPrimitivesSerialization_literalMutation309() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfBagOfPrimitivesSerialization_literalMutation309");
            List<com.google.gson.common.TestTypes.BagOfPrimitives> target = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),145,target);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 1 , true , "bJah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),146,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 6 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),147,objB);
            target.add(objA);
            target.add(objB);
            String result = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),148,result);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),142,result.startsWith("["));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),143,result.endsWith("]"));
            for (TestTypes.BagOfPrimitives obj : target) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),144,result.contains(obj.getExpectedJson()));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfBagOfPrimitivesSerialization_literalMutation310() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfBagOfPrimitivesSerialization_literalMutation310");
            List<com.google.gson.common.TestTypes.BagOfPrimitives> target = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),145,target);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 1 , true , "bÞlah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),146,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 6 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),147,objB);
            target.add(objA);
            target.add(objB);
            String result = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),148,result);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),142,result.startsWith("["));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),143,result.endsWith("]"));
            for (TestTypes.BagOfPrimitives obj : target) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),144,result.contains(obj.getExpectedJson()));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfBagOfPrimitivesSerialization_literalMutation311() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfBagOfPrimitivesSerialization_literalMutation311");
            List<com.google.gson.common.TestTypes.BagOfPrimitives> target = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),145,target);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 1 , true , "blh");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),146,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 6 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),147,objB);
            target.add(objA);
            target.add(objB);
            String result = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),148,result);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),142,result.startsWith("["));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),143,result.endsWith("]"));
            for (TestTypes.BagOfPrimitives obj : target) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),144,result.contains(obj.getExpectedJson()));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfBagOfPrimitivesSerialization_literalMutation312() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfBagOfPrimitivesSerialization_literalMutation312");
            List<com.google.gson.common.TestTypes.BagOfPrimitives> target = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),145,target);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),146,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(1L , 6 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),147,objB);
            target.add(objA);
            target.add(objB);
            String result = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),148,result);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),142,result.startsWith("["));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),143,result.endsWith("]"));
            for (TestTypes.BagOfPrimitives obj : target) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),144,result.contains(obj.getExpectedJson()));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfBagOfPrimitivesSerialization_literalMutation313() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfBagOfPrimitivesSerialization_literalMutation313");
            List<com.google.gson.common.TestTypes.BagOfPrimitives> target = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),145,target);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),146,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(4L , 6 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),147,objB);
            target.add(objA);
            target.add(objB);
            String result = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),148,result);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),142,result.startsWith("["));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),143,result.endsWith("]"));
            for (TestTypes.BagOfPrimitives obj : target) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),144,result.contains(obj.getExpectedJson()));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfBagOfPrimitivesSerialization_literalMutation314() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfBagOfPrimitivesSerialization_literalMutation314");
            List<com.google.gson.common.TestTypes.BagOfPrimitives> target = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),145,target);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),146,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(3L , 6 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),147,objB);
            target.add(objA);
            target.add(objB);
            String result = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),148,result);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),142,result.startsWith("["));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),143,result.endsWith("]"));
            for (TestTypes.BagOfPrimitives obj : target) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),144,result.contains(obj.getExpectedJson()));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfBagOfPrimitivesSerialization_literalMutation316() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfBagOfPrimitivesSerialization_literalMutation316");
            List<com.google.gson.common.TestTypes.BagOfPrimitives> target = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),145,target);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),146,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 5 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),147,objB);
            target.add(objA);
            target.add(objB);
            String result = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),148,result);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),142,result.startsWith("["));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),143,result.endsWith("]"));
            for (TestTypes.BagOfPrimitives obj : target) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),144,result.contains(obj.getExpectedJson()));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfBagOfPrimitivesSerialization_literalMutation317() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfBagOfPrimitivesSerialization_literalMutation317");
            List<com.google.gson.common.TestTypes.BagOfPrimitives> target = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),145,target);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),146,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 3 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),147,objB);
            target.add(objA);
            target.add(objB);
            String result = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),148,result);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),142,result.startsWith("["));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),143,result.endsWith("]"));
            for (TestTypes.BagOfPrimitives obj : target) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),144,result.contains(obj.getExpectedJson()));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfBagOfPrimitivesSerialization_literalMutation318() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfBagOfPrimitivesSerialization_literalMutation318");
            List<com.google.gson.common.TestTypes.BagOfPrimitives> target = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),145,target);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),146,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 12 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),147,objB);
            target.add(objA);
            target.add(objB);
            String result = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),148,result);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),142,result.startsWith("["));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),143,result.endsWith("]"));
            for (TestTypes.BagOfPrimitives obj : target) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),144,result.contains(obj.getExpectedJson()));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfBagOfPrimitivesSerialization_literalMutation319() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfBagOfPrimitivesSerialization_literalMutation319");
            List<com.google.gson.common.TestTypes.BagOfPrimitives> target = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),145,target);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),146,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 7 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),147,objB);
            target.add(objA);
            target.add(objB);
            String result = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),148,result);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),142,result.startsWith("["));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),143,result.endsWith("]"));
            for (TestTypes.BagOfPrimitives obj : target) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),144,result.contains(obj.getExpectedJson()));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfBagOfPrimitivesSerialization_literalMutation321() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfBagOfPrimitivesSerialization_literalMutation321");
            List<com.google.gson.common.TestTypes.BagOfPrimitives> target = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),145,target);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),146,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 6 , true , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),147,objB);
            target.add(objA);
            target.add(objB);
            String result = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),148,result);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),142,result.startsWith("["));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),143,result.endsWith("]"));
            for (TestTypes.BagOfPrimitives obj : target) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),144,result.contains(obj.getExpectedJson()));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfBagOfPrimitivesSerialization_literalMutation322() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfBagOfPrimitivesSerialization_literalMutation322");
            List<com.google.gson.common.TestTypes.BagOfPrimitives> target = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),145,target);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),146,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 6 , false , "bl§hB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),147,objB);
            target.add(objA);
            target.add(objB);
            String result = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),148,result);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),142,result.startsWith("["));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),143,result.endsWith("]"));
            for (TestTypes.BagOfPrimitives obj : target) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),144,result.contains(obj.getExpectedJson()));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfBagOfPrimitivesSerialization_literalMutation323() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfBagOfPrimitivesSerialization_literalMutation323");
            List<com.google.gson.common.TestTypes.BagOfPrimitives> target = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),145,target);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),146,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 6 , false , "blaKhB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),147,objB);
            target.add(objA);
            target.add(objB);
            String result = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),148,result);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),142,result.startsWith("["));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),143,result.endsWith("]"));
            for (TestTypes.BagOfPrimitives obj : target) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),144,result.contains(obj.getExpectedJson()));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfBagOfPrimitivesSerialization_literalMutation324() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfBagOfPrimitivesSerialization_literalMutation324");
            List<com.google.gson.common.TestTypes.BagOfPrimitives> target = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),145,target);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),146,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 6 , false , "blhB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),147,objB);
            target.add(objA);
            target.add(objB);
            String result = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),148,result);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),142,result.startsWith("["));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),143,result.endsWith("]"));
            for (TestTypes.BagOfPrimitives obj : target) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),144,result.contains(obj.getExpectedJson()));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testCollectionOfBagOfPrimitivesSerialization_remove11() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfBagOfPrimitivesSerialization_remove11");
            List<com.google.gson.common.TestTypes.BagOfPrimitives> target = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),145,target);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),146,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 6 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),147,objB);
            target.add(objB);
            String result = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),148,result);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),142,result.startsWith("["));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),143,result.endsWith("]"));
            for (TestTypes.BagOfPrimitives obj : target) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),144,result.contains(obj.getExpectedJson()));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testCollectionOfBagOfPrimitivesSerialization_remove12() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfBagOfPrimitivesSerialization_remove12");
            List<com.google.gson.common.TestTypes.BagOfPrimitives> target = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),145,target);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),146,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 6 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),147,objB);
            target.add(objB);
            String result = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),148,result);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),142,result.startsWith("["));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),143,result.endsWith("]"));
            for (TestTypes.BagOfPrimitives obj : target) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),144,result.contains(obj.getExpectedJson()));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testCollectionOfStringsDeserialization_add21() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfStringsDeserialization_add21");
            String json = "[\"Hello\",\"World\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),159,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),160,collectionType);
            Collection<java.lang.String> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),161,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),157,target.contains("Hello"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),158,target.contains("World"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfStringsDeserialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfStringsDeserialization");
            String json = "[\"Hello\",\"Wocld\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),159,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),160,collectionType);
            Collection<java.lang.String> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),161,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),157,target.contains("Hello"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),158,target.contains("World"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfStringsDeserialization_literalMutation339() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfStringsDeserialization_literalMutation339");
            String json = "[\"Hel¤lo\",\"World\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),159,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),160,collectionType);
            Collection<java.lang.String> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),161,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),157,target.contains("Hello"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),158,target.contains("World"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfStringsDeserialization_literalMutation340() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfStringsDeserialization_literalMutation340");
            String json = "[\"Helo\",\"World\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),159,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),160,collectionType);
            Collection<java.lang.String> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),161,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),157,target.contains("Hello"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),158,target.contains("World"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testCollectionOfStringsDeserialization_remove20() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfStringsDeserialization_remove20");
            String json = "[\"Hello\",\"World\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),159,json);
            Type collectionType = new TypeToken<java.util.Collection<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),160,collectionType);
            Collection<java.lang.String> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),161,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),157,target.contains("Hello"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),158,target.contains("World"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRawCollectionOfIntegersSerialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfIntegersSerialization");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(2, 2, 3, 4, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),218,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),217,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRawCollectionOfIntegersSerialization_literalMutation422() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfIntegersSerialization_literalMutation422");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(0, 2, 3, 4, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),218,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),217,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRawCollectionOfIntegersSerialization_literalMutation423() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfIntegersSerialization_literalMutation423");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(0, 2, 3, 4, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),218,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),217,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRawCollectionOfIntegersSerialization_literalMutation425() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfIntegersSerialization_literalMutation425");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 1, 3, 4, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),218,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),217,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRawCollectionOfIntegersSerialization_literalMutation426() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfIntegersSerialization_literalMutation426");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 4, 3, 4, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),218,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),217,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRawCollectionOfIntegersSerialization_literalMutation427() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfIntegersSerialization_literalMutation427");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 3, 3, 4, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),218,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),217,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRawCollectionOfIntegersSerialization_literalMutation429() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfIntegersSerialization_literalMutation429");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 4, 4, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),218,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),217,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRawCollectionOfIntegersSerialization_literalMutation430() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfIntegersSerialization_literalMutation430");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 2, 4, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),218,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),217,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRawCollectionOfIntegersSerialization_literalMutation431() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfIntegersSerialization_literalMutation431");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 1, 4, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),218,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),217,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRawCollectionOfIntegersSerialization_literalMutation432() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfIntegersSerialization_literalMutation432");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 6, 4, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),218,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),217,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRawCollectionOfIntegersSerialization_literalMutation434() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfIntegersSerialization_literalMutation434");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 2, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),218,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),217,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRawCollectionOfIntegersSerialization_literalMutation435() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfIntegersSerialization_literalMutation435");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 8, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),218,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),217,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRawCollectionOfIntegersSerialization_literalMutation436() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfIntegersSerialization_literalMutation436");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 5, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),218,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),217,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRawCollectionOfIntegersSerialization_literalMutation437() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfIntegersSerialization_literalMutation437");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 3, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),218,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),217,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRawCollectionOfIntegersSerialization_literalMutation439() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfIntegersSerialization_literalMutation439");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 4, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),218,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),217,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRawCollectionOfIntegersSerialization_literalMutation440() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfIntegersSerialization_literalMutation440");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 2, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),218,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),217,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRawCollectionOfIntegersSerialization_literalMutation441() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfIntegersSerialization_literalMutation441");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 10, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),218,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),217,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRawCollectionOfIntegersSerialization_literalMutation442() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfIntegersSerialization_literalMutation442");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 6, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),218,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),217,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRawCollectionOfIntegersSerialization_literalMutation444() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfIntegersSerialization_literalMutation444");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 5, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),218,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),217,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRawCollectionOfIntegersSerialization_literalMutation445() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfIntegersSerialization_literalMutation445");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 3, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),218,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),217,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRawCollectionOfIntegersSerialization_literalMutation446() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfIntegersSerialization_literalMutation446");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 12, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),218,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),217,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRawCollectionOfIntegersSerialization_literalMutation447() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfIntegersSerialization_literalMutation447");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 7, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),218,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),217,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRawCollectionOfIntegersSerialization_literalMutation449() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfIntegersSerialization_literalMutation449");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 8, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),218,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),217,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRawCollectionOfIntegersSerialization_literalMutation450() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfIntegersSerialization_literalMutation450");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 6, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),218,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),217,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRawCollectionOfIntegersSerialization_literalMutation451() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfIntegersSerialization_literalMutation451");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 3, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),218,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),217,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRawCollectionOfIntegersSerialization_literalMutation452() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfIntegersSerialization_literalMutation452");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 14, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),218,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),217,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRawCollectionOfIntegersSerialization_literalMutation454() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfIntegersSerialization_literalMutation454");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 7, 4, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),218,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),217,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRawCollectionOfIntegersSerialization_literalMutation455() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfIntegersSerialization_literalMutation455");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 7, 16, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),218,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),217,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRawCollectionOfIntegersSerialization_literalMutation456() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfIntegersSerialization_literalMutation456");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 7, 9, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),218,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),217,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRawCollectionOfIntegersSerialization_literalMutation457() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfIntegersSerialization_literalMutation457");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 7, 7, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),218,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),217,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRawCollectionOfIntegersSerialization_literalMutation459() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfIntegersSerialization_literalMutation459");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 7, 8, 8);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),218,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),217,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRawCollectionOfIntegersSerialization_literalMutation460() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfIntegersSerialization_literalMutation460");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 7, 8, 4);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),218,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),217,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRawCollectionOfIntegersSerialization_literalMutation461() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfIntegersSerialization_literalMutation461");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 7, 8, 18);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),218,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),217,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testRawCollectionOfIntegersSerialization_literalMutation462() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfIntegersSerialization_literalMutation462");
            Collection<java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 7, 8, 10);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),218,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),217,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "rÄwtypes")
    public void testRawCollectionSerialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionSerialization");
            TestTypes.BagOfPrimitives bag1 = new TestTypes.BagOfPrimitives();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),220,bag1);
            Collection target = java.util.Arrays.asList(bag1, bag1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),221,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),222,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),219,json.contains(bag1.getExpectedJson()));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "rawtypes")
    public void testRawCollectionSerialization_literalMutation465() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionSerialization_literalMutation465");
            TestTypes.BagOfPrimitives bag1 = new TestTypes.BagOfPrimitives();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),220,bag1);
            Collection target = java.util.Arrays.asList(bag1, bag1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),221,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),222,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),219,json.contains(bag1.getExpectedJson()));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "rawypes")
    public void testRawCollectionSerialization_literalMutation466() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionSerialization_literalMutation466");
            TestTypes.BagOfPrimitives bag1 = new TestTypes.BagOfPrimitives();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),220,bag1);
            Collection target = java.util.Arrays.asList(bag1, bag1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),221,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),222,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),219,json.contains(bag1.getExpectedJson()));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "5awtypes")
    public void testRawCollectionDeserializationNotAlllowed() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionDeserializationNotAlllowed");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),206,json);
            Collection integers = gson.fromJson(json, Collection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),207,integers);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),201,java.util.Arrays.asList(0.0, 1.0, 2.0, 3.0, 4.0, 5.0, 6.0, 7.0, 8.0, 9.0));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),202,integers);
            json = "[\"Hello\", \"World\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),205,json);
            Collection strings = gson.fromJson(json, Collection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),208,strings);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),203,strings.contains("Hello"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),204,strings.contains("World"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "rawtAypes")
    public void testRawCollectionDeserializationNotAlllowed_literalMutation390() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionDeserializationNotAlllowed_literalMutation390");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),206,json);
            Collection integers = gson.fromJson(json, Collection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),207,integers);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),201,java.util.Arrays.asList(0.0, 1.0, 2.0, 3.0, 4.0, 5.0, 6.0, 7.0, 8.0, 9.0));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),202,integers);
            json = "[\"Hello\", \"World\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),205,json);
            Collection strings = gson.fromJson(json, Collection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),208,strings);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),203,strings.contains("Hello"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),204,strings.contains("World"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "rawypes")
    public void testRawCollectionDeserializationNotAlllowed_literalMutation391() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionDeserializationNotAlllowed_literalMutation391");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),206,json);
            Collection integers = gson.fromJson(json, Collection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),207,integers);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),201,java.util.Arrays.asList(0.0, 1.0, 2.0, 3.0, 4.0, 5.0, 6.0, 7.0, 8.0, 9.0));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),202,integers);
            json = "[\"Hello\", \"World\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),205,json);
            Collection strings = gson.fromJson(json, Collection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),208,strings);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),203,strings.contains("Hello"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),204,strings.contains("World"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "rawtypes")
    public void testRawCollectionDeserializationNotAlllowed_literalMutation392() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionDeserializationNotAlllowed_literalMutation392");
            String json = "[0,1,2,3,4,5,6,7p8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),206,json);
            Collection integers = gson.fromJson(json, Collection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),207,integers);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),201,java.util.Arrays.asList(0.0, 1.0, 2.0, 3.0, 4.0, 5.0, 6.0, 7.0, 8.0, 9.0));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),202,integers);
            json = "[\"Hello\", \"World\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),205,json);
            Collection strings = gson.fromJson(json, Collection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),208,strings);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),203,strings.contains("Hello"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),204,strings.contains("World"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "rawtypes")
    public void testRawCollectionDeserializationNotAlllowed_literalMutation393() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionDeserializationNotAlllowed_literalMutation393");
            String json = "[¯0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),206,json);
            Collection integers = gson.fromJson(json, Collection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),207,integers);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),201,java.util.Arrays.asList(0.0, 1.0, 2.0, 3.0, 4.0, 5.0, 6.0, 7.0, 8.0, 9.0));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),202,integers);
            json = "[\"Hello\", \"World\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),205,json);
            Collection strings = gson.fromJson(json, Collection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),208,strings);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),203,strings.contains("Hello"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),204,strings.contains("World"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "rawtypes")
    public void testRawCollectionDeserializationNotAlllowed_literalMutation394() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionDeserializationNotAlllowed_literalMutation394");
            String json = "[,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),206,json);
            Collection integers = gson.fromJson(json, Collection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),207,integers);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),201,java.util.Arrays.asList(0.0, 1.0, 2.0, 3.0, 4.0, 5.0, 6.0, 7.0, 8.0, 9.0));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),202,integers);
            json = "[\"Hello\", \"World\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),205,json);
            Collection strings = gson.fromJson(json, Collection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),208,strings);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),203,strings.contains("Hello"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),204,strings.contains("World"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "rawtypes")
    public void testRawCollectionDeserializationNotAlllowed_literalMutation395() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionDeserializationNotAlllowed_literalMutation395");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),206,json);
            Collection integers = gson.fromJson(json, Collection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),207,integers);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),201,java.util.Arrays.asList(0.0, 1.0, 2.0, 3.0, 4.0, 5.0, 6.0, 7.0, 8.0, 9.0));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),202,integers);
            json = "[\"Hello\", bWorld\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),205,json);
            Collection strings = gson.fromJson(json, Collection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),208,strings);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),203,strings.contains("Hello"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),204,strings.contains("World"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "rawtypes")
    public void testRawCollectionDeserializationNotAlllowed_literalMutation396() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionDeserializationNotAlllowed_literalMutation396");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),206,json);
            Collection integers = gson.fromJson(json, Collection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),207,integers);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),201,java.util.Arrays.asList(0.0, 1.0, 2.0, 3.0, 4.0, 5.0, 6.0, 7.0, 8.0, 9.0));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),202,integers);
            json = "[\"HelloË\", \"World\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),205,json);
            Collection strings = gson.fromJson(json, Collection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),208,strings);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),203,strings.contains("Hello"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),204,strings.contains("World"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "rawtypes")
    public void testRawCollectionDeserializationNotAlllowed_literalMutation397() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionDeserializationNotAlllowed_literalMutation397");
            String json = "[0,1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),206,json);
            Collection integers = gson.fromJson(json, Collection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),207,integers);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),201,java.util.Arrays.asList(0.0, 1.0, 2.0, 3.0, 4.0, 5.0, 6.0, 7.0, 8.0, 9.0));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),202,integers);
            json = "[Hello\", \"World\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),205,json);
            Collection strings = gson.fromJson(json, Collection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),208,strings);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),203,strings.contains("Hello"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),204,strings.contains("World"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = { "raxtypes" , "unchecked" })
    public void testRawCollectionOfBagOfPrimitivesNotAllowed() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfBagOfPrimitivesNotAllowed");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10 , 20 , false , "stringValue");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),213,bag);
            String json = ((('[' + (bag.getExpectedJson())) + ',') + (bag.getExpectedJson())) + ']';
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),214,json);
            Collection target = gson.fromJson(json, Collection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),215,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),209,target.size());
            for (Object bag1 : target) {
                Map<java.lang.String, java.lang.Object> values = ((Map<java.lang.String, java.lang.Object>)(bag1));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),216,values);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),210,values.containsValue(10.0));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),211,values.containsValue(20.0));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),212,values.containsValue("stringValue"));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = { "rawtXypes" , "unchecked" })
    public void testRawCollectionOfBagOfPrimitivesNotAllowed_literalMutation399() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfBagOfPrimitivesNotAllowed_literalMutation399");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10 , 20 , false , "stringValue");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),213,bag);
            String json = ((('[' + (bag.getExpectedJson())) + ',') + (bag.getExpectedJson())) + ']';
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),214,json);
            Collection target = gson.fromJson(json, Collection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),215,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),209,target.size());
            for (Object bag1 : target) {
                Map<java.lang.String, java.lang.Object> values = ((Map<java.lang.String, java.lang.Object>)(bag1));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),216,values);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),210,values.containsValue(10.0));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),211,values.containsValue(20.0));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),212,values.containsValue("stringValue"));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = { "rwtypes" , "unchecked" })
    public void testRawCollectionOfBagOfPrimitivesNotAllowed_literalMutation400() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfBagOfPrimitivesNotAllowed_literalMutation400");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10 , 20 , false , "stringValue");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),213,bag);
            String json = ((('[' + (bag.getExpectedJson())) + ',') + (bag.getExpectedJson())) + ']';
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),214,json);
            Collection target = gson.fromJson(json, Collection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),215,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),209,target.size());
            for (Object bag1 : target) {
                Map<java.lang.String, java.lang.Object> values = ((Map<java.lang.String, java.lang.Object>)(bag1));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),216,values);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),210,values.containsValue(10.0));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),211,values.containsValue(20.0));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),212,values.containsValue("stringValue"));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = { "rawtypes" , "uchecked" })
    public void testRawCollectionOfBagOfPrimitivesNotAllowed_literalMutation401() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfBagOfPrimitivesNotAllowed_literalMutation401");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10 , 20 , false , "stringValue");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),213,bag);
            String json = ((('[' + (bag.getExpectedJson())) + ',') + (bag.getExpectedJson())) + ']';
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),214,json);
            Collection target = gson.fromJson(json, Collection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),215,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),209,target.size());
            for (Object bag1 : target) {
                Map<java.lang.String, java.lang.Object> values = ((Map<java.lang.String, java.lang.Object>)(bag1));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),216,values);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),210,values.containsValue(10.0));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),211,values.containsValue(20.0));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),212,values.containsValue("stringValue"));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = { "rawtypes" , "unchecked" })
    public void testRawCollectionOfBagOfPrimitivesNotAllowed_literalMutation402() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfBagOfPrimitivesNotAllowed_literalMutation402");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10 , 20 , false , "stringValue");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),213,bag);
            String json = ((('[' + (bag.getExpectedJson())) + ',') + (bag.getExpectedJson())) + ']';
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),214,json);
            Collection target = gson.fromJson(json, Collection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),215,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),209,target.size());
            for (Object bag1 : target) {
                Map<java.lang.String, java.lang.Object> values = ((Map<java.lang.String, java.lang.Object>)(bag1));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),216,values);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),210,values.containsValue(10.0));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),211,values.containsValue(20.0));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),212,values.containsValue("stringValue"));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = { "rawtypes" , "uchecked" })
    public void testRawCollectionOfBagOfPrimitivesNotAllowed_literalMutation403() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfBagOfPrimitivesNotAllowed_literalMutation403");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10 , 20 , false , "stringValue");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),213,bag);
            String json = ((('[' + (bag.getExpectedJson())) + ',') + (bag.getExpectedJson())) + ']';
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),214,json);
            Collection target = gson.fromJson(json, Collection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),215,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),209,target.size());
            for (Object bag1 : target) {
                Map<java.lang.String, java.lang.Object> values = ((Map<java.lang.String, java.lang.Object>)(bag1));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),216,values);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),210,values.containsValue(10.0));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),211,values.containsValue(20.0));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),212,values.containsValue("stringValue"));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = { "rawtypes" , "unchecked" })
    public void testRawCollectionOfBagOfPrimitivesNotAllowed_literalMutation404() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfBagOfPrimitivesNotAllowed_literalMutation404");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(9 , 20 , false , "stringValue");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),213,bag);
            String json = ((('[' + (bag.getExpectedJson())) + ',') + (bag.getExpectedJson())) + ']';
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),214,json);
            Collection target = gson.fromJson(json, Collection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),215,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),209,target.size());
            for (Object bag1 : target) {
                Map<java.lang.String, java.lang.Object> values = ((Map<java.lang.String, java.lang.Object>)(bag1));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),216,values);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),210,values.containsValue(10.0));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),211,values.containsValue(20.0));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),212,values.containsValue("stringValue"));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = { "rawtypes" , "unchecked" })
    public void testRawCollectionOfBagOfPrimitivesNotAllowed_literalMutation405() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfBagOfPrimitivesNotAllowed_literalMutation405");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(5 , 20 , false , "stringValue");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),213,bag);
            String json = ((('[' + (bag.getExpectedJson())) + ',') + (bag.getExpectedJson())) + ']';
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),214,json);
            Collection target = gson.fromJson(json, Collection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),215,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),209,target.size());
            for (Object bag1 : target) {
                Map<java.lang.String, java.lang.Object> values = ((Map<java.lang.String, java.lang.Object>)(bag1));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),216,values);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),210,values.containsValue(10.0));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),211,values.containsValue(20.0));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),212,values.containsValue("stringValue"));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = { "rawtypes" , "unchecked" })
    public void testRawCollectionOfBagOfPrimitivesNotAllowed_literalMutation406() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfBagOfPrimitivesNotAllowed_literalMutation406");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(20 , 20 , false , "stringValue");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),213,bag);
            String json = ((('[' + (bag.getExpectedJson())) + ',') + (bag.getExpectedJson())) + ']';
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),214,json);
            Collection target = gson.fromJson(json, Collection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),215,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),209,target.size());
            for (Object bag1 : target) {
                Map<java.lang.String, java.lang.Object> values = ((Map<java.lang.String, java.lang.Object>)(bag1));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),216,values);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),210,values.containsValue(10.0));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),211,values.containsValue(20.0));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),212,values.containsValue("stringValue"));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = { "rawtypes" , "unchecked" })
    public void testRawCollectionOfBagOfPrimitivesNotAllowed_literalMutation407() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfBagOfPrimitivesNotAllowed_literalMutation407");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(11 , 20 , false , "stringValue");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),213,bag);
            String json = ((('[' + (bag.getExpectedJson())) + ',') + (bag.getExpectedJson())) + ']';
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),214,json);
            Collection target = gson.fromJson(json, Collection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),215,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),209,target.size());
            for (Object bag1 : target) {
                Map<java.lang.String, java.lang.Object> values = ((Map<java.lang.String, java.lang.Object>)(bag1));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),216,values);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),210,values.containsValue(10.0));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),211,values.containsValue(20.0));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),212,values.containsValue("stringValue"));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = { "rawtypes" , "unchecked" })
    public void testRawCollectionOfBagOfPrimitivesNotAllowed_literalMutation409() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfBagOfPrimitivesNotAllowed_literalMutation409");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10 , 19 , false , "stringValue");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),213,bag);
            String json = ((('[' + (bag.getExpectedJson())) + ',') + (bag.getExpectedJson())) + ']';
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),214,json);
            Collection target = gson.fromJson(json, Collection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),215,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),209,target.size());
            for (Object bag1 : target) {
                Map<java.lang.String, java.lang.Object> values = ((Map<java.lang.String, java.lang.Object>)(bag1));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),216,values);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),210,values.containsValue(10.0));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),211,values.containsValue(20.0));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),212,values.containsValue("stringValue"));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = { "rawtypes" , "unchecked" })
    public void testRawCollectionOfBagOfPrimitivesNotAllowed_literalMutation410() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfBagOfPrimitivesNotAllowed_literalMutation410");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10 , 10 , false , "stringValue");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),213,bag);
            String json = ((('[' + (bag.getExpectedJson())) + ',') + (bag.getExpectedJson())) + ']';
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),214,json);
            Collection target = gson.fromJson(json, Collection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),215,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),209,target.size());
            for (Object bag1 : target) {
                Map<java.lang.String, java.lang.Object> values = ((Map<java.lang.String, java.lang.Object>)(bag1));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),216,values);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),210,values.containsValue(10.0));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),211,values.containsValue(20.0));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),212,values.containsValue("stringValue"));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = { "rawtypes" , "unchecked" })
    public void testRawCollectionOfBagOfPrimitivesNotAllowed_literalMutation411() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfBagOfPrimitivesNotAllowed_literalMutation411");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10 , 40 , false , "stringValue");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),213,bag);
            String json = ((('[' + (bag.getExpectedJson())) + ',') + (bag.getExpectedJson())) + ']';
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),214,json);
            Collection target = gson.fromJson(json, Collection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),215,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),209,target.size());
            for (Object bag1 : target) {
                Map<java.lang.String, java.lang.Object> values = ((Map<java.lang.String, java.lang.Object>)(bag1));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),216,values);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),210,values.containsValue(10.0));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),211,values.containsValue(20.0));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),212,values.containsValue("stringValue"));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = { "rawtypes" , "unchecked" })
    public void testRawCollectionOfBagOfPrimitivesNotAllowed_literalMutation412() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfBagOfPrimitivesNotAllowed_literalMutation412");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10 , 21 , false , "stringValue");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),213,bag);
            String json = ((('[' + (bag.getExpectedJson())) + ',') + (bag.getExpectedJson())) + ']';
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),214,json);
            Collection target = gson.fromJson(json, Collection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),215,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),209,target.size());
            for (Object bag1 : target) {
                Map<java.lang.String, java.lang.Object> values = ((Map<java.lang.String, java.lang.Object>)(bag1));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),216,values);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),210,values.containsValue(10.0));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),211,values.containsValue(20.0));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),212,values.containsValue("stringValue"));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = { "rawtypes" , "unchecked" })
    public void testRawCollectionOfBagOfPrimitivesNotAllowed_literalMutation414() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfBagOfPrimitivesNotAllowed_literalMutation414");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10 , 20 , true , "stringValue");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),213,bag);
            String json = ((('[' + (bag.getExpectedJson())) + ',') + (bag.getExpectedJson())) + ']';
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),214,json);
            Collection target = gson.fromJson(json, Collection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),215,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),209,target.size());
            for (Object bag1 : target) {
                Map<java.lang.String, java.lang.Object> values = ((Map<java.lang.String, java.lang.Object>)(bag1));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),216,values);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),210,values.containsValue(10.0));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),211,values.containsValue(20.0));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),212,values.containsValue("stringValue"));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = { "rawtypes" , "unchecked" })
    public void testRawCollectionOfBagOfPrimitivesNotAllowed_literalMutation415() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfBagOfPrimitivesNotAllowed_literalMutation415");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10 , 20 , false , "sªringValue");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),213,bag);
            String json = ((('[' + (bag.getExpectedJson())) + ',') + (bag.getExpectedJson())) + ']';
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),214,json);
            Collection target = gson.fromJson(json, Collection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),215,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),209,target.size());
            for (Object bag1 : target) {
                Map<java.lang.String, java.lang.Object> values = ((Map<java.lang.String, java.lang.Object>)(bag1));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),216,values);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),210,values.containsValue(10.0));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),211,values.containsValue(20.0));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),212,values.containsValue("stringValue"));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = { "rawtypes" , "unchecked" })
    public void testRawCollectionOfBagOfPrimitivesNotAllowed_literalMutation416() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfBagOfPrimitivesNotAllowed_literalMutation416");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10 , 20 , false , "stÖringValue");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),213,bag);
            String json = ((('[' + (bag.getExpectedJson())) + ',') + (bag.getExpectedJson())) + ']';
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),214,json);
            Collection target = gson.fromJson(json, Collection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),215,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),209,target.size());
            for (Object bag1 : target) {
                Map<java.lang.String, java.lang.Object> values = ((Map<java.lang.String, java.lang.Object>)(bag1));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),216,values);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),210,values.containsValue(10.0));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),211,values.containsValue(20.0));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),212,values.containsValue("stringValue"));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = { "rawtypes" , "unchecked" })
    public void testRawCollectionOfBagOfPrimitivesNotAllowed_literalMutation417() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testRawCollectionOfBagOfPrimitivesNotAllowed_literalMutation417");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives(10 , 20 , false , "strngValue");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),213,bag);
            String json = ((('[' + (bag.getExpectedJson())) + ',') + (bag.getExpectedJson())) + ']';
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),214,json);
            Collection target = gson.fromJson(json, Collection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),215,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),209,target.size());
            for (Object bag1 : target) {
                Map<java.lang.String, java.lang.Object> values = ((Map<java.lang.String, java.lang.Object>)(bag1));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),216,values);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),210,values.containsValue(10.0));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),211,values.containsValue(20.0));
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),212,values.containsValue("stringValue"));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWildcardPrimitiveCollectionSerilaization_add56() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionSerilaization_add56");
            Collection<? extends java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),271,target);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),272,collectionType);
            String json = gson.toJson(target, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),273,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),268,json);
            json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),270,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),269,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardPrimitiveCollectionSerilaization() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionSerilaization");
            Collection<? extends java.lang.Integer> target = java.util.Arrays.asList(2, 2, 3, 4, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),271,target);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),272,collectionType);
            String json = gson.toJson(target, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),273,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),268,json);
            json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),270,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),269,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardPrimitiveCollectionSerilaization_literalMutation654() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionSerilaization_literalMutation654");
            Collection<? extends java.lang.Integer> target = java.util.Arrays.asList(0, 2, 3, 4, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),271,target);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),272,collectionType);
            String json = gson.toJson(target, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),273,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),268,json);
            json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),270,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),269,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardPrimitiveCollectionSerilaization_literalMutation655() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionSerilaization_literalMutation655");
            Collection<? extends java.lang.Integer> target = java.util.Arrays.asList(0, 2, 3, 4, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),271,target);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),272,collectionType);
            String json = gson.toJson(target, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),273,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),268,json);
            json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),270,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),269,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardPrimitiveCollectionSerilaization_literalMutation657() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionSerilaization_literalMutation657");
            Collection<? extends java.lang.Integer> target = java.util.Arrays.asList(1, 1, 3, 4, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),271,target);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),272,collectionType);
            String json = gson.toJson(target, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),273,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),268,json);
            json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),270,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),269,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardPrimitiveCollectionSerilaization_literalMutation658() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionSerilaization_literalMutation658");
            Collection<? extends java.lang.Integer> target = java.util.Arrays.asList(1, 4, 3, 4, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),271,target);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),272,collectionType);
            String json = gson.toJson(target, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),273,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),268,json);
            json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),270,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),269,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardPrimitiveCollectionSerilaization_literalMutation659() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionSerilaization_literalMutation659");
            Collection<? extends java.lang.Integer> target = java.util.Arrays.asList(1, 3, 3, 4, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),271,target);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),272,collectionType);
            String json = gson.toJson(target, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),273,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),268,json);
            json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),270,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),269,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardPrimitiveCollectionSerilaization_literalMutation661() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionSerilaization_literalMutation661");
            Collection<? extends java.lang.Integer> target = java.util.Arrays.asList(1, 2, 4, 4, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),271,target);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),272,collectionType);
            String json = gson.toJson(target, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),273,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),268,json);
            json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),270,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),269,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardPrimitiveCollectionSerilaization_literalMutation662() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionSerilaization_literalMutation662");
            Collection<? extends java.lang.Integer> target = java.util.Arrays.asList(1, 2, 2, 4, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),271,target);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),272,collectionType);
            String json = gson.toJson(target, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),273,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),268,json);
            json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),270,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),269,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardPrimitiveCollectionSerilaization_literalMutation663() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionSerilaization_literalMutation663");
            Collection<? extends java.lang.Integer> target = java.util.Arrays.asList(1, 2, 1, 4, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),271,target);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),272,collectionType);
            String json = gson.toJson(target, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),273,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),268,json);
            json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),270,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),269,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardPrimitiveCollectionSerilaization_literalMutation664() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionSerilaization_literalMutation664");
            Collection<? extends java.lang.Integer> target = java.util.Arrays.asList(1, 2, 6, 4, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),271,target);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),272,collectionType);
            String json = gson.toJson(target, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),273,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),268,json);
            json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),270,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),269,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardPrimitiveCollectionSerilaization_literalMutation666() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionSerilaization_literalMutation666");
            Collection<? extends java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 2, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),271,target);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),272,collectionType);
            String json = gson.toJson(target, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),273,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),268,json);
            json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),270,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),269,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardPrimitiveCollectionSerilaization_literalMutation667() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionSerilaization_literalMutation667");
            Collection<? extends java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 8, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),271,target);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),272,collectionType);
            String json = gson.toJson(target, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),273,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),268,json);
            json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),270,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),269,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardPrimitiveCollectionSerilaization_literalMutation668() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionSerilaization_literalMutation668");
            Collection<? extends java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 5, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),271,target);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),272,collectionType);
            String json = gson.toJson(target, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),273,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),268,json);
            json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),270,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),269,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardPrimitiveCollectionSerilaization_literalMutation669() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionSerilaization_literalMutation669");
            Collection<? extends java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 3, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),271,target);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),272,collectionType);
            String json = gson.toJson(target, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),273,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),268,json);
            json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),270,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),269,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardPrimitiveCollectionSerilaization_literalMutation671() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionSerilaization_literalMutation671");
            Collection<? extends java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 4, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),271,target);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),272,collectionType);
            String json = gson.toJson(target, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),273,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),268,json);
            json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),270,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),269,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardPrimitiveCollectionSerilaization_literalMutation672() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionSerilaization_literalMutation672");
            Collection<? extends java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 2, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),271,target);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),272,collectionType);
            String json = gson.toJson(target, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),273,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),268,json);
            json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),270,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),269,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardPrimitiveCollectionSerilaization_literalMutation673() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionSerilaization_literalMutation673");
            Collection<? extends java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 10, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),271,target);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),272,collectionType);
            String json = gson.toJson(target, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),273,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),268,json);
            json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),270,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),269,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardPrimitiveCollectionSerilaization_literalMutation674() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionSerilaization_literalMutation674");
            Collection<? extends java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 6, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),271,target);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),272,collectionType);
            String json = gson.toJson(target, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),273,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),268,json);
            json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),270,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),269,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardPrimitiveCollectionSerilaization_literalMutation676() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionSerilaization_literalMutation676");
            Collection<? extends java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 5, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),271,target);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),272,collectionType);
            String json = gson.toJson(target, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),273,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),268,json);
            json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),270,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),269,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardPrimitiveCollectionSerilaization_literalMutation677() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionSerilaization_literalMutation677");
            Collection<? extends java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 3, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),271,target);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),272,collectionType);
            String json = gson.toJson(target, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),273,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),268,json);
            json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),270,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),269,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardPrimitiveCollectionSerilaization_literalMutation678() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionSerilaization_literalMutation678");
            Collection<? extends java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 12, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),271,target);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),272,collectionType);
            String json = gson.toJson(target, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),273,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),268,json);
            json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),270,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),269,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardPrimitiveCollectionSerilaization_literalMutation679() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionSerilaization_literalMutation679");
            Collection<? extends java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 7, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),271,target);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),272,collectionType);
            String json = gson.toJson(target, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),273,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),268,json);
            json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),270,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),269,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardPrimitiveCollectionSerilaization_literalMutation681() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionSerilaization_literalMutation681");
            Collection<? extends java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 8, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),271,target);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),272,collectionType);
            String json = gson.toJson(target, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),273,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),268,json);
            json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),270,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),269,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardPrimitiveCollectionSerilaization_literalMutation682() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionSerilaization_literalMutation682");
            Collection<? extends java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 6, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),271,target);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),272,collectionType);
            String json = gson.toJson(target, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),273,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),268,json);
            json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),270,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),269,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardPrimitiveCollectionSerilaization_literalMutation683() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionSerilaization_literalMutation683");
            Collection<? extends java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 3, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),271,target);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),272,collectionType);
            String json = gson.toJson(target, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),273,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),268,json);
            json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),270,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),269,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardPrimitiveCollectionSerilaization_literalMutation684() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionSerilaization_literalMutation684");
            Collection<? extends java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 14, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),271,target);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),272,collectionType);
            String json = gson.toJson(target, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),273,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),268,json);
            json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),270,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),269,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardPrimitiveCollectionSerilaization_literalMutation686() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionSerilaization_literalMutation686");
            Collection<? extends java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 7, 4, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),271,target);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),272,collectionType);
            String json = gson.toJson(target, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),273,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),268,json);
            json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),270,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),269,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardPrimitiveCollectionSerilaization_literalMutation687() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionSerilaization_literalMutation687");
            Collection<? extends java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 7, 16, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),271,target);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),272,collectionType);
            String json = gson.toJson(target, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),273,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),268,json);
            json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),270,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),269,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardPrimitiveCollectionSerilaization_literalMutation688() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionSerilaization_literalMutation688");
            Collection<? extends java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 7, 9, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),271,target);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),272,collectionType);
            String json = gson.toJson(target, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),273,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),268,json);
            json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),270,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),269,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardPrimitiveCollectionSerilaization_literalMutation689() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionSerilaization_literalMutation689");
            Collection<? extends java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 7, 7, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),271,target);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),272,collectionType);
            String json = gson.toJson(target, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),273,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),268,json);
            json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),270,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),269,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardPrimitiveCollectionSerilaization_literalMutation691() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionSerilaization_literalMutation691");
            Collection<? extends java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 7, 8, 8);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),271,target);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),272,collectionType);
            String json = gson.toJson(target, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),273,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),268,json);
            json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),270,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),269,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardPrimitiveCollectionSerilaization_literalMutation692() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionSerilaization_literalMutation692");
            Collection<? extends java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 7, 8, 4);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),271,target);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),272,collectionType);
            String json = gson.toJson(target, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),273,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),268,json);
            json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),270,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),269,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardPrimitiveCollectionSerilaization_literalMutation693() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionSerilaization_literalMutation693");
            Collection<? extends java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 7, 8, 18);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),271,target);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),272,collectionType);
            String json = gson.toJson(target, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),273,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),268,json);
            json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),270,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),269,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardPrimitiveCollectionSerilaization_literalMutation694() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionSerilaization_literalMutation694");
            Collection<? extends java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 7, 8, 10);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),271,target);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),272,collectionType);
            String json = gson.toJson(target, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),273,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),268,json);
            json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),270,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),269,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWildcardPrimitiveCollectionSerilaization_remove55() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionSerilaization_remove55");
            Collection<? extends java.lang.Integer> target = java.util.Arrays.asList(1, 2, 3, 4, 5, 6, 7, 8, 9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),271,target);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),272,collectionType);
            String json = gson.toJson(target, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),273,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),268,json);
            json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),270,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),269,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWildcardPrimitiveCollectionDeserilaization_add55() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionDeserilaization_add55");
            String json = "[1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),265,json);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),266,collectionType);
            Collection<? extends java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),267,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),262,target.size());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),263,target.contains(1));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),264,target.contains(9));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardPrimitiveCollectionDeserilaization() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionDeserilaization");
            String json = "[12,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),265,json);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),266,collectionType);
            Collection<? extends java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),267,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),262,target.size());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),263,target.contains(1));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),264,target.contains(9));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardPrimitiveCollectionDeserilaization_literalMutation651() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionDeserilaization_literalMutation651");
            String json = "[1,2,3,4,5,6,7,8O,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),265,json);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),266,collectionType);
            Collection<? extends java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),267,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),262,target.size());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),263,target.contains(1));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),264,target.contains(9));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardPrimitiveCollectionDeserilaization_literalMutation652() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionDeserilaization_literalMutation652");
            String json = "[1,2,3,4,5,6,,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),265,json);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),266,collectionType);
            Collection<? extends java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),267,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),262,target.size());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),263,target.contains(1));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),264,target.contains(9));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWildcardPrimitiveCollectionDeserilaization_remove54() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardPrimitiveCollectionDeserilaization_remove54");
            String json = "[1,2,3,4,5,6,7,8,9]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),265,json);
            Type collectionType = new TypeToken<java.util.Collection<? extends java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),266,collectionType);
            Collection<? extends java.lang.Integer> target = gson.fromJson(json, collectionType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),267,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),262,target.size());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),263,target.contains(1));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),264,target.contains(9));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWildcardCollectionField_add53() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardCollectionField_add53");
            Collection<com.google.gson.common.TestTypes.BagOfPrimitives> collection = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),256,collection);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),257,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 6 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),258,objB);
            collection.add(objA);
            collection.add(objA);
            collection.add(objB);
            ObjectWithWildcardCollection target = new ObjectWithWildcardCollection(collection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),259,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),260,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),250,json.contains(objA.getExpectedJson()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),251,json.contains(objB.getExpectedJson()));
            target = gson.fromJson(json, ObjectWithWildcardCollection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),255,target);
            Collection<? extends com.google.gson.common.TestTypes.BagOfPrimitives> deserializedCollection = target.getCollection();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),261,deserializedCollection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),252,deserializedCollection.size());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),253,deserializedCollection.contains(objA));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),254,deserializedCollection.contains(objB));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWildcardCollectionField_add54() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardCollectionField_add54");
            Collection<com.google.gson.common.TestTypes.BagOfPrimitives> collection = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),256,collection);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),257,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 6 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),258,objB);
            collection.add(objA);
            collection.add(objB);
            collection.add(objB);
            ObjectWithWildcardCollection target = new ObjectWithWildcardCollection(collection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),259,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),260,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),250,json.contains(objA.getExpectedJson()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),251,json.contains(objB.getExpectedJson()));
            target = gson.fromJson(json, ObjectWithWildcardCollection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),255,target);
            Collection<? extends com.google.gson.common.TestTypes.BagOfPrimitives> deserializedCollection = target.getCollection();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),261,deserializedCollection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),252,deserializedCollection.size());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),253,deserializedCollection.contains(objA));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),254,deserializedCollection.contains(objB));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardCollectionField() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardCollectionField");
            Collection<com.google.gson.common.TestTypes.BagOfPrimitives> collection = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),256,collection);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(4L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),257,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 6 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),258,objB);
            collection.add(objA);
            collection.add(objB);
            ObjectWithWildcardCollection target = new ObjectWithWildcardCollection(collection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),259,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),260,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),250,json.contains(objA.getExpectedJson()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),251,json.contains(objB.getExpectedJson()));
            target = gson.fromJson(json, ObjectWithWildcardCollection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),255,target);
            Collection<? extends com.google.gson.common.TestTypes.BagOfPrimitives> deserializedCollection = target.getCollection();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),261,deserializedCollection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),252,deserializedCollection.size());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),253,deserializedCollection.contains(objA));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),254,deserializedCollection.contains(objB));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardCollectionField_literalMutation625() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardCollectionField_literalMutation625");
            Collection<com.google.gson.common.TestTypes.BagOfPrimitives> collection = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),256,collection);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(2L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),257,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 6 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),258,objB);
            collection.add(objA);
            collection.add(objB);
            ObjectWithWildcardCollection target = new ObjectWithWildcardCollection(collection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),259,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),260,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),250,json.contains(objA.getExpectedJson()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),251,json.contains(objB.getExpectedJson()));
            target = gson.fromJson(json, ObjectWithWildcardCollection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),255,target);
            Collection<? extends com.google.gson.common.TestTypes.BagOfPrimitives> deserializedCollection = target.getCollection();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),261,deserializedCollection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),252,deserializedCollection.size());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),253,deserializedCollection.contains(objA));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),254,deserializedCollection.contains(objB));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardCollectionField_literalMutation626() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardCollectionField_literalMutation626");
            Collection<com.google.gson.common.TestTypes.BagOfPrimitives> collection = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),256,collection);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(1L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),257,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 6 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),258,objB);
            collection.add(objA);
            collection.add(objB);
            ObjectWithWildcardCollection target = new ObjectWithWildcardCollection(collection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),259,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),260,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),250,json.contains(objA.getExpectedJson()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),251,json.contains(objB.getExpectedJson()));
            target = gson.fromJson(json, ObjectWithWildcardCollection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),255,target);
            Collection<? extends com.google.gson.common.TestTypes.BagOfPrimitives> deserializedCollection = target.getCollection();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),261,deserializedCollection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),252,deserializedCollection.size());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),253,deserializedCollection.contains(objA));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),254,deserializedCollection.contains(objB));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardCollectionField_literalMutation627() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardCollectionField_literalMutation627");
            Collection<com.google.gson.common.TestTypes.BagOfPrimitives> collection = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),256,collection);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(6L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),257,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 6 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),258,objB);
            collection.add(objA);
            collection.add(objB);
            ObjectWithWildcardCollection target = new ObjectWithWildcardCollection(collection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),259,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),260,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),250,json.contains(objA.getExpectedJson()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),251,json.contains(objB.getExpectedJson()));
            target = gson.fromJson(json, ObjectWithWildcardCollection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),255,target);
            Collection<? extends com.google.gson.common.TestTypes.BagOfPrimitives> deserializedCollection = target.getCollection();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),261,deserializedCollection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),252,deserializedCollection.size());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),253,deserializedCollection.contains(objA));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),254,deserializedCollection.contains(objB));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardCollectionField_literalMutation629() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardCollectionField_literalMutation629");
            Collection<com.google.gson.common.TestTypes.BagOfPrimitives> collection = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),256,collection);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 2 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),257,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 6 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),258,objB);
            collection.add(objA);
            collection.add(objB);
            ObjectWithWildcardCollection target = new ObjectWithWildcardCollection(collection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),259,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),260,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),250,json.contains(objA.getExpectedJson()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),251,json.contains(objB.getExpectedJson()));
            target = gson.fromJson(json, ObjectWithWildcardCollection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),255,target);
            Collection<? extends com.google.gson.common.TestTypes.BagOfPrimitives> deserializedCollection = target.getCollection();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),261,deserializedCollection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),252,deserializedCollection.size());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),253,deserializedCollection.contains(objA));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),254,deserializedCollection.contains(objB));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardCollectionField_literalMutation630() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardCollectionField_literalMutation630");
            Collection<com.google.gson.common.TestTypes.BagOfPrimitives> collection = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),256,collection);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 0 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),257,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 6 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),258,objB);
            collection.add(objA);
            collection.add(objB);
            ObjectWithWildcardCollection target = new ObjectWithWildcardCollection(collection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),259,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),260,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),250,json.contains(objA.getExpectedJson()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),251,json.contains(objB.getExpectedJson()));
            target = gson.fromJson(json, ObjectWithWildcardCollection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),255,target);
            Collection<? extends com.google.gson.common.TestTypes.BagOfPrimitives> deserializedCollection = target.getCollection();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),261,deserializedCollection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),252,deserializedCollection.size());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),253,deserializedCollection.contains(objA));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),254,deserializedCollection.contains(objB));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardCollectionField_literalMutation631() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardCollectionField_literalMutation631");
            Collection<com.google.gson.common.TestTypes.BagOfPrimitives> collection = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),256,collection);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 0 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),257,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 6 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),258,objB);
            collection.add(objA);
            collection.add(objB);
            ObjectWithWildcardCollection target = new ObjectWithWildcardCollection(collection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),259,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),260,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),250,json.contains(objA.getExpectedJson()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),251,json.contains(objB.getExpectedJson()));
            target = gson.fromJson(json, ObjectWithWildcardCollection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),255,target);
            Collection<? extends com.google.gson.common.TestTypes.BagOfPrimitives> deserializedCollection = target.getCollection();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),261,deserializedCollection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),252,deserializedCollection.size());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),253,deserializedCollection.contains(objA));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),254,deserializedCollection.contains(objB));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardCollectionField_literalMutation634() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardCollectionField_literalMutation634");
            Collection<com.google.gson.common.TestTypes.BagOfPrimitives> collection = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),256,collection);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 1 , true , "b\'ah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),257,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 6 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),258,objB);
            collection.add(objA);
            collection.add(objB);
            ObjectWithWildcardCollection target = new ObjectWithWildcardCollection(collection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),259,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),260,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),250,json.contains(objA.getExpectedJson()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),251,json.contains(objB.getExpectedJson()));
            target = gson.fromJson(json, ObjectWithWildcardCollection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),255,target);
            Collection<? extends com.google.gson.common.TestTypes.BagOfPrimitives> deserializedCollection = target.getCollection();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),261,deserializedCollection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),252,deserializedCollection.size());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),253,deserializedCollection.contains(objA));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),254,deserializedCollection.contains(objB));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardCollectionField_literalMutation635() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardCollectionField_literalMutation635");
            Collection<com.google.gson.common.TestTypes.BagOfPrimitives> collection = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),256,collection);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 1 , true , "bl!ah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),257,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 6 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),258,objB);
            collection.add(objA);
            collection.add(objB);
            ObjectWithWildcardCollection target = new ObjectWithWildcardCollection(collection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),259,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),260,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),250,json.contains(objA.getExpectedJson()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),251,json.contains(objB.getExpectedJson()));
            target = gson.fromJson(json, ObjectWithWildcardCollection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),255,target);
            Collection<? extends com.google.gson.common.TestTypes.BagOfPrimitives> deserializedCollection = target.getCollection();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),261,deserializedCollection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),252,deserializedCollection.size());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),253,deserializedCollection.contains(objA));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),254,deserializedCollection.contains(objB));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardCollectionField_literalMutation636() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardCollectionField_literalMutation636");
            Collection<com.google.gson.common.TestTypes.BagOfPrimitives> collection = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),256,collection);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 1 , true , "blh");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),257,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 6 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),258,objB);
            collection.add(objA);
            collection.add(objB);
            ObjectWithWildcardCollection target = new ObjectWithWildcardCollection(collection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),259,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),260,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),250,json.contains(objA.getExpectedJson()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),251,json.contains(objB.getExpectedJson()));
            target = gson.fromJson(json, ObjectWithWildcardCollection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),255,target);
            Collection<? extends com.google.gson.common.TestTypes.BagOfPrimitives> deserializedCollection = target.getCollection();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),261,deserializedCollection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),252,deserializedCollection.size());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),253,deserializedCollection.contains(objA));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),254,deserializedCollection.contains(objB));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardCollectionField_literalMutation637() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardCollectionField_literalMutation637");
            Collection<com.google.gson.common.TestTypes.BagOfPrimitives> collection = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),256,collection);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),257,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(1L , 6 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),258,objB);
            collection.add(objA);
            collection.add(objB);
            ObjectWithWildcardCollection target = new ObjectWithWildcardCollection(collection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),259,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),260,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),250,json.contains(objA.getExpectedJson()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),251,json.contains(objB.getExpectedJson()));
            target = gson.fromJson(json, ObjectWithWildcardCollection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),255,target);
            Collection<? extends com.google.gson.common.TestTypes.BagOfPrimitives> deserializedCollection = target.getCollection();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),261,deserializedCollection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),252,deserializedCollection.size());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),253,deserializedCollection.contains(objA));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),254,deserializedCollection.contains(objB));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardCollectionField_literalMutation638() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardCollectionField_literalMutation638");
            Collection<com.google.gson.common.TestTypes.BagOfPrimitives> collection = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),256,collection);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),257,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(4L , 6 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),258,objB);
            collection.add(objA);
            collection.add(objB);
            ObjectWithWildcardCollection target = new ObjectWithWildcardCollection(collection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),259,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),260,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),250,json.contains(objA.getExpectedJson()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),251,json.contains(objB.getExpectedJson()));
            target = gson.fromJson(json, ObjectWithWildcardCollection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),255,target);
            Collection<? extends com.google.gson.common.TestTypes.BagOfPrimitives> deserializedCollection = target.getCollection();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),261,deserializedCollection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),252,deserializedCollection.size());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),253,deserializedCollection.contains(objA));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),254,deserializedCollection.contains(objB));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardCollectionField_literalMutation639() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardCollectionField_literalMutation639");
            Collection<com.google.gson.common.TestTypes.BagOfPrimitives> collection = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),256,collection);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),257,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(3L , 6 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),258,objB);
            collection.add(objA);
            collection.add(objB);
            ObjectWithWildcardCollection target = new ObjectWithWildcardCollection(collection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),259,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),260,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),250,json.contains(objA.getExpectedJson()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),251,json.contains(objB.getExpectedJson()));
            target = gson.fromJson(json, ObjectWithWildcardCollection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),255,target);
            Collection<? extends com.google.gson.common.TestTypes.BagOfPrimitives> deserializedCollection = target.getCollection();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),261,deserializedCollection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),252,deserializedCollection.size());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),253,deserializedCollection.contains(objA));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),254,deserializedCollection.contains(objB));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardCollectionField_literalMutation641() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardCollectionField_literalMutation641");
            Collection<com.google.gson.common.TestTypes.BagOfPrimitives> collection = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),256,collection);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),257,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 5 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),258,objB);
            collection.add(objA);
            collection.add(objB);
            ObjectWithWildcardCollection target = new ObjectWithWildcardCollection(collection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),259,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),260,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),250,json.contains(objA.getExpectedJson()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),251,json.contains(objB.getExpectedJson()));
            target = gson.fromJson(json, ObjectWithWildcardCollection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),255,target);
            Collection<? extends com.google.gson.common.TestTypes.BagOfPrimitives> deserializedCollection = target.getCollection();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),261,deserializedCollection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),252,deserializedCollection.size());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),253,deserializedCollection.contains(objA));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),254,deserializedCollection.contains(objB));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardCollectionField_literalMutation642() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardCollectionField_literalMutation642");
            Collection<com.google.gson.common.TestTypes.BagOfPrimitives> collection = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),256,collection);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),257,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 3 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),258,objB);
            collection.add(objA);
            collection.add(objB);
            ObjectWithWildcardCollection target = new ObjectWithWildcardCollection(collection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),259,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),260,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),250,json.contains(objA.getExpectedJson()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),251,json.contains(objB.getExpectedJson()));
            target = gson.fromJson(json, ObjectWithWildcardCollection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),255,target);
            Collection<? extends com.google.gson.common.TestTypes.BagOfPrimitives> deserializedCollection = target.getCollection();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),261,deserializedCollection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),252,deserializedCollection.size());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),253,deserializedCollection.contains(objA));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),254,deserializedCollection.contains(objB));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardCollectionField_literalMutation643() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardCollectionField_literalMutation643");
            Collection<com.google.gson.common.TestTypes.BagOfPrimitives> collection = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),256,collection);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),257,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 12 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),258,objB);
            collection.add(objA);
            collection.add(objB);
            ObjectWithWildcardCollection target = new ObjectWithWildcardCollection(collection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),259,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),260,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),250,json.contains(objA.getExpectedJson()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),251,json.contains(objB.getExpectedJson()));
            target = gson.fromJson(json, ObjectWithWildcardCollection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),255,target);
            Collection<? extends com.google.gson.common.TestTypes.BagOfPrimitives> deserializedCollection = target.getCollection();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),261,deserializedCollection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),252,deserializedCollection.size());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),253,deserializedCollection.contains(objA));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),254,deserializedCollection.contains(objB));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardCollectionField_literalMutation644() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardCollectionField_literalMutation644");
            Collection<com.google.gson.common.TestTypes.BagOfPrimitives> collection = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),256,collection);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),257,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 7 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),258,objB);
            collection.add(objA);
            collection.add(objB);
            ObjectWithWildcardCollection target = new ObjectWithWildcardCollection(collection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),259,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),260,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),250,json.contains(objA.getExpectedJson()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),251,json.contains(objB.getExpectedJson()));
            target = gson.fromJson(json, ObjectWithWildcardCollection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),255,target);
            Collection<? extends com.google.gson.common.TestTypes.BagOfPrimitives> deserializedCollection = target.getCollection();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),261,deserializedCollection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),252,deserializedCollection.size());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),253,deserializedCollection.contains(objA));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),254,deserializedCollection.contains(objB));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardCollectionField_literalMutation646() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardCollectionField_literalMutation646");
            Collection<com.google.gson.common.TestTypes.BagOfPrimitives> collection = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),256,collection);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),257,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 6 , true , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),258,objB);
            collection.add(objA);
            collection.add(objB);
            ObjectWithWildcardCollection target = new ObjectWithWildcardCollection(collection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),259,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),260,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),250,json.contains(objA.getExpectedJson()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),251,json.contains(objB.getExpectedJson()));
            target = gson.fromJson(json, ObjectWithWildcardCollection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),255,target);
            Collection<? extends com.google.gson.common.TestTypes.BagOfPrimitives> deserializedCollection = target.getCollection();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),261,deserializedCollection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),252,deserializedCollection.size());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),253,deserializedCollection.contains(objA));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),254,deserializedCollection.contains(objB));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardCollectionField_literalMutation647() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardCollectionField_literalMutation647");
            Collection<com.google.gson.common.TestTypes.BagOfPrimitives> collection = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),256,collection);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),257,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 6 , false , "blÃhB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),258,objB);
            collection.add(objA);
            collection.add(objB);
            ObjectWithWildcardCollection target = new ObjectWithWildcardCollection(collection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),259,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),260,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),250,json.contains(objA.getExpectedJson()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),251,json.contains(objB.getExpectedJson()));
            target = gson.fromJson(json, ObjectWithWildcardCollection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),255,target);
            Collection<? extends com.google.gson.common.TestTypes.BagOfPrimitives> deserializedCollection = target.getCollection();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),261,deserializedCollection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),252,deserializedCollection.size());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),253,deserializedCollection.contains(objA));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),254,deserializedCollection.contains(objB));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardCollectionField_literalMutation648() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardCollectionField_literalMutation648");
            Collection<com.google.gson.common.TestTypes.BagOfPrimitives> collection = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),256,collection);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),257,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 6 , false , "bZlahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),258,objB);
            collection.add(objA);
            collection.add(objB);
            ObjectWithWildcardCollection target = new ObjectWithWildcardCollection(collection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),259,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),260,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),250,json.contains(objA.getExpectedJson()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),251,json.contains(objB.getExpectedJson()));
            target = gson.fromJson(json, ObjectWithWildcardCollection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),255,target);
            Collection<? extends com.google.gson.common.TestTypes.BagOfPrimitives> deserializedCollection = target.getCollection();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),261,deserializedCollection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),252,deserializedCollection.size());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),253,deserializedCollection.contains(objA));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),254,deserializedCollection.contains(objB));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWildcardCollectionField_literalMutation649() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardCollectionField_literalMutation649");
            Collection<com.google.gson.common.TestTypes.BagOfPrimitives> collection = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),256,collection);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),257,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 6 , false , "bahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),258,objB);
            collection.add(objA);
            collection.add(objB);
            ObjectWithWildcardCollection target = new ObjectWithWildcardCollection(collection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),259,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),260,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),250,json.contains(objA.getExpectedJson()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),251,json.contains(objB.getExpectedJson()));
            target = gson.fromJson(json, ObjectWithWildcardCollection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),255,target);
            Collection<? extends com.google.gson.common.TestTypes.BagOfPrimitives> deserializedCollection = target.getCollection();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),261,deserializedCollection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),252,deserializedCollection.size());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),253,deserializedCollection.contains(objA));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),254,deserializedCollection.contains(objB));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWildcardCollectionField_remove52() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardCollectionField_remove52");
            Collection<com.google.gson.common.TestTypes.BagOfPrimitives> collection = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),256,collection);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),257,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 6 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),258,objB);
            collection.add(objB);
            ObjectWithWildcardCollection target = new ObjectWithWildcardCollection(collection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),259,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),260,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),250,json.contains(objA.getExpectedJson()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),251,json.contains(objB.getExpectedJson()));
            target = gson.fromJson(json, ObjectWithWildcardCollection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),255,target);
            Collection<? extends com.google.gson.common.TestTypes.BagOfPrimitives> deserializedCollection = target.getCollection();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),261,deserializedCollection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),252,deserializedCollection.size());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),253,deserializedCollection.contains(objA));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),254,deserializedCollection.contains(objB));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWildcardCollectionField_remove53() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWildcardCollectionField_remove53");
            Collection<com.google.gson.common.TestTypes.BagOfPrimitives> collection = new ArrayList<com.google.gson.common.TestTypes.BagOfPrimitives>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),256,collection);
            TestTypes.BagOfPrimitives objA = new TestTypes.BagOfPrimitives(3L , 1 , true , "blah");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),257,objA);
            TestTypes.BagOfPrimitives objB = new TestTypes.BagOfPrimitives(2L , 6 , false , "blahB");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),258,objB);
            collection.add(objB);
            ObjectWithWildcardCollection target = new ObjectWithWildcardCollection(collection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),259,target);
            String json = gson.toJson(target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),260,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),250,json.contains(objA.getExpectedJson()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),251,json.contains(objB.getExpectedJson()));
            target = gson.fromJson(json, ObjectWithWildcardCollection.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),255,target);
            Collection<? extends com.google.gson.common.TestTypes.BagOfPrimitives> deserializedCollection = target.getCollection();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),261,deserializedCollection);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),252,deserializedCollection.size());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),253,deserializedCollection.contains(objA));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),254,deserializedCollection.contains(objB));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testFieldIsArrayList_add24() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testFieldIsArrayList_add24");
            HasArrayListField object = new HasArrayListField();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),166,object);
            object.longs.add(1L);
            object.longs.add(1L);
            object.longs.add(3L);
            String json = gson.toJson(object, HasArrayListField.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),167,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),163,json);
            HasArrayListField copy = gson.fromJson("{\"longs\":[1,3]}", HasArrayListField.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),168,copy);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),164,java.util.Arrays.asList(1L, 3L));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),165,copy.longs);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testFieldIsArrayList_add25() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testFieldIsArrayList_add25");
            HasArrayListField object = new HasArrayListField();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),166,object);
            object.longs.add(1L);
            object.longs.add(3L);
            object.longs.add(3L);
            String json = gson.toJson(object, HasArrayListField.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),167,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),163,json);
            HasArrayListField copy = gson.fromJson("{\"longs\":[1,3]}", HasArrayListField.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),168,copy);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),164,java.util.Arrays.asList(1L, 3L));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),165,copy.longs);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testFieldIsArrayList() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testFieldIsArrayList");
            HasArrayListField object = new HasArrayListField();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),166,object);
            object.longs.add(2L);
            object.longs.add(3L);
            String json = gson.toJson(object, HasArrayListField.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),167,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),163,json);
            HasArrayListField copy = gson.fromJson("{\"longs\":[1,3]}", HasArrayListField.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),168,copy);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),164,java.util.Arrays.asList(1L, 3L));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),165,copy.longs);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testFieldIsArrayList_literalMutation348() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testFieldIsArrayList_literalMutation348");
            HasArrayListField object = new HasArrayListField();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),166,object);
            object.longs.add(0L);
            object.longs.add(3L);
            String json = gson.toJson(object, HasArrayListField.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),167,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),163,json);
            HasArrayListField copy = gson.fromJson("{\"longs\":[1,3]}", HasArrayListField.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),168,copy);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),164,java.util.Arrays.asList(1L, 3L));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),165,copy.longs);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testFieldIsArrayList_literalMutation349() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testFieldIsArrayList_literalMutation349");
            HasArrayListField object = new HasArrayListField();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),166,object);
            object.longs.add(0L);
            object.longs.add(3L);
            String json = gson.toJson(object, HasArrayListField.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),167,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),163,json);
            HasArrayListField copy = gson.fromJson("{\"longs\":[1,3]}", HasArrayListField.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),168,copy);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),164,java.util.Arrays.asList(1L, 3L));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),165,copy.longs);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testFieldIsArrayList_literalMutation351() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testFieldIsArrayList_literalMutation351");
            HasArrayListField object = new HasArrayListField();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),166,object);
            object.longs.add(1L);
            object.longs.add(4L);
            String json = gson.toJson(object, HasArrayListField.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),167,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),163,json);
            HasArrayListField copy = gson.fromJson("{\"longs\":[1,3]}", HasArrayListField.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),168,copy);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),164,java.util.Arrays.asList(1L, 3L));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),165,copy.longs);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testFieldIsArrayList_literalMutation352() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testFieldIsArrayList_literalMutation352");
            HasArrayListField object = new HasArrayListField();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),166,object);
            object.longs.add(1L);
            object.longs.add(2L);
            String json = gson.toJson(object, HasArrayListField.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),167,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),163,json);
            HasArrayListField copy = gson.fromJson("{\"longs\":[1,3]}", HasArrayListField.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),168,copy);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),164,java.util.Arrays.asList(1L, 3L));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),165,copy.longs);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testFieldIsArrayList_literalMutation353() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testFieldIsArrayList_literalMutation353");
            HasArrayListField object = new HasArrayListField();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),166,object);
            object.longs.add(1L);
            object.longs.add(1L);
            String json = gson.toJson(object, HasArrayListField.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),167,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),163,json);
            HasArrayListField copy = gson.fromJson("{\"longs\":[1,3]}", HasArrayListField.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),168,copy);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),164,java.util.Arrays.asList(1L, 3L));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),165,copy.longs);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testFieldIsArrayList_literalMutation354() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testFieldIsArrayList_literalMutation354");
            HasArrayListField object = new HasArrayListField();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),166,object);
            object.longs.add(1L);
            object.longs.add(6L);
            String json = gson.toJson(object, HasArrayListField.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),167,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),163,json);
            HasArrayListField copy = gson.fromJson("{\"longs\":[1,3]}", HasArrayListField.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),168,copy);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),164,java.util.Arrays.asList(1L, 3L));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),165,copy.longs);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testFieldIsArrayList_literalMutation356() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testFieldIsArrayList_literalMutation356");
            HasArrayListField object = new HasArrayListField();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),166,object);
            object.longs.add(1L);
            object.longs.add(3L);
            String json = gson.toJson(object, HasArrayListField.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),167,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),163,json);
            HasArrayListField copy = gson.fromJson("{longs\":[1,3]}", HasArrayListField.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),168,copy);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),164,java.util.Arrays.asList(1L, 3L));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),165,copy.longs);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testFieldIsArrayList_literalMutation357() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testFieldIsArrayList_literalMutation357");
            HasArrayListField object = new HasArrayListField();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),166,object);
            object.longs.add(1L);
            object.longs.add(3L);
            String json = gson.toJson(object, HasArrayListField.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),167,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),163,json);
            HasArrayListField copy = gson.fromJson("{\"longs\":[1+,3]}", HasArrayListField.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),168,copy);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),164,java.util.Arrays.asList(1L, 3L));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),165,copy.longs);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testFieldIsArrayList_literalMutation358() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testFieldIsArrayList_literalMutation358");
            HasArrayListField object = new HasArrayListField();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),166,object);
            object.longs.add(1L);
            object.longs.add(3L);
            String json = gson.toJson(object, HasArrayListField.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),167,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),163,json);
            HasArrayListField copy = gson.fromJson("{\"longs\":[,3]}", HasArrayListField.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),168,copy);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),164,java.util.Arrays.asList(1L, 3L));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),165,copy.longs);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testFieldIsArrayList_remove23() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testFieldIsArrayList_remove23");
            HasArrayListField object = new HasArrayListField();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),166,object);
            object.longs.add(3L);
            String json = gson.toJson(object, HasArrayListField.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),167,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),163,json);
            HasArrayListField copy = gson.fromJson("{\"longs\":[1,3]}", HasArrayListField.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),168,copy);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),164,java.util.Arrays.asList(1L, 3L));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),165,copy.longs);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testFieldIsArrayList_remove24() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testFieldIsArrayList_remove24");
            HasArrayListField object = new HasArrayListField();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),166,object);
            object.longs.add(3L);
            String json = gson.toJson(object, HasArrayListField.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),167,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),163,json);
            HasArrayListField copy = gson.fromJson("{\"longs\":[1,3]}", HasArrayListField.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),168,copy);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),164,java.util.Arrays.asList(1L, 3L));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),165,copy.longs);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testUserCollectionTypeAdapter_add51() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testUserCollectionTypeAdapter_add51");
            Type listOfString = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),247,listOfString);
            Object stringListSerializer = new JsonSerializer<java.util.List<java.lang.String>>() {
                public JsonElement serialize(List<java.lang.String> src, Type typeOfSrc, JsonSerializationContext context) {
                    return new JsonPrimitive((((src.get(0)) + ";") + (src.get(1))));
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),248,stringListSerializer);
            Gson gson = new GsonBuilder().registerTypeAdapter(listOfString, stringListSerializer).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),249,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),246,gson.toJson(java.util.Arrays.asList("ab", "cd"), listOfString));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testUserCollectionTypeAdapter_add52() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testUserCollectionTypeAdapter_add52");
            Type listOfString = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),247,listOfString);
            Object stringListSerializer = new JsonSerializer<java.util.List<java.lang.String>>() {
                public JsonElement serialize(List<java.lang.String> src, Type typeOfSrc, JsonSerializationContext context) {
                    return new JsonPrimitive((((src.get(0)) + ";") + (src.get(1))));
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),248,stringListSerializer);
            Gson gson = new GsonBuilder().registerTypeAdapter(listOfString, stringListSerializer).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),249,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),246,gson.toJson(java.util.Arrays.asList("ab", "cd"), listOfString));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testUserCollectionTypeAdapter() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testUserCollectionTypeAdapter");
            Type listOfString = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),247,listOfString);
            Object stringListSerializer = new JsonSerializer<java.util.List<java.lang.String>>() {
                public JsonElement serialize(List<java.lang.String> src, Type typeOfSrc, JsonSerializationContext context) {
                    return new JsonPrimitive((((src.get(1)) + ";") + (src.get(1))));
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),248,stringListSerializer);
            Gson gson = new GsonBuilder().registerTypeAdapter(listOfString, stringListSerializer).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),249,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),246,gson.toJson(java.util.Arrays.asList("ab", "cd"), listOfString));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testUserCollectionTypeAdapter_literalMutation621() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testUserCollectionTypeAdapter_literalMutation621");
            Type listOfString = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),247,listOfString);
            Object stringListSerializer = new JsonSerializer<java.util.List<java.lang.String>>() {
                public JsonElement serialize(List<java.lang.String> src, Type typeOfSrc, JsonSerializationContext context) {
                    return new JsonPrimitive((((src.get(-1)) + ";") + (src.get(1))));
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),248,stringListSerializer);
            Gson gson = new GsonBuilder().registerTypeAdapter(listOfString, stringListSerializer).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),249,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),246,gson.toJson(java.util.Arrays.asList("ab", "cd"), listOfString));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testUserCollectionTypeAdapter_literalMutation622() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testUserCollectionTypeAdapter_literalMutation622");
            Type listOfString = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),247,listOfString);
            Object stringListSerializer = new JsonSerializer<java.util.List<java.lang.String>>() {
                public JsonElement serialize(List<java.lang.String> src, Type typeOfSrc, JsonSerializationContext context) {
                    return new JsonPrimitive((((src.get(0)) + ";") + (src.get(1))));
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),248,stringListSerializer);
            Gson gson = new GsonBuilder().registerTypeAdapter(listOfString, stringListSerializer).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),249,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),246,gson.toJson(java.util.Arrays.asList("ab", "cd"), listOfString));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testUserCollectionTypeAdapter_remove50() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testUserCollectionTypeAdapter_remove50");
            Type listOfString = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),247,listOfString);
            Object stringListSerializer = new JsonSerializer<java.util.List<java.lang.String>>() {
                public JsonElement serialize(List<java.lang.String> src, Type typeOfSrc, JsonSerializationContext context) {
                    return new JsonPrimitive((((src.get(0)) + ";") + (src.get(1))));
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),248,stringListSerializer);
            Gson gson = new GsonBuilder().registerTypeAdapter(listOfString, stringListSerializer).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),249,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),246,gson.toJson(java.util.Arrays.asList("ab", "cd"), listOfString));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testUserCollectionTypeAdapter_remove51() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testUserCollectionTypeAdapter_remove51");
            Type listOfString = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),247,listOfString);
            Object stringListSerializer = new JsonSerializer<java.util.List<java.lang.String>>() {
                public JsonElement serialize(List<java.lang.String> src, Type typeOfSrc, JsonSerializationContext context) {
                    return new JsonPrimitive((((src.get(0)) + ";") + (src.get(1))));
                }
            };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),248,stringListSerializer);
            Gson gson = new GsonBuilder().registerTypeAdapter(listOfString, stringListSerializer).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),249,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),246,gson.toJson(java.util.Arrays.asList("ab", "cd"), listOfString));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    static class HasArrayListField {
        ArrayList<java.lang.Long> longs = new ArrayList<java.lang.Long>();
    }

    @SuppressWarnings(value = "rawtypes")
    private static int[] toIntArray(Collection collection) {
        int[] ints = new int[collection.size()];
        int i = 0;
        for (Iterator iterator = collection.iterator() ; iterator.hasNext() ; ++i) {
            Object obj = iterator.next();
            if (obj instanceof Integer) {
                ints[i] = ((Integer)(obj)).intValue();
            } else if (obj instanceof Long) {
                ints[i] = ((Long)(obj)).intValue();
            } 
        }
        return ints;
    }

    private static class ObjectWithWildcardCollection {
        private final Collection<? extends com.google.gson.common.TestTypes.BagOfPrimitives> collection;

        public ObjectWithWildcardCollection(Collection<? extends com.google.gson.common.TestTypes.BagOfPrimitives> collection) {
            this.collection = collection;
        }

        public Collection<? extends com.google.gson.common.TestTypes.BagOfPrimitives> getCollection() {
            return collection;
        }
    }

    private static class Entry {
        int value;

        Entry(int value) {
            this.value = value;
        }
    }

    @Test(timeout = 1000)
    public void testSetSerialization_add44() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSetSerialization_add44");
            Set<Entry> set = new HashSet<Entry>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),230,set);
            set.add(new Entry(1));
            set.add(new Entry(1));
            set.add(new Entry(2));
            String json = gson.toJson(set);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),231,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),228,json.contains("1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),229,json.contains("2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testSetSerialization_add45() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSetSerialization_add45");
            Set<Entry> set = new HashSet<Entry>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),230,set);
            set.add(new Entry(1));
            set.add(new Entry(2));
            set.add(new Entry(2));
            String json = gson.toJson(set);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),231,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),228,json.contains("1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),229,json.contains("2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSetSerialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSetSerialization");
            Set<Entry> set = new HashSet<Entry>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),230,set);
            set.add(new Entry(2));
            set.add(new Entry(2));
            String json = gson.toJson(set);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),231,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),228,json.contains("1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),229,json.contains("2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSetSerialization_literalMutation471() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSetSerialization_literalMutation471");
            Set<Entry> set = new HashSet<Entry>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),230,set);
            set.add(new Entry(0));
            set.add(new Entry(2));
            String json = gson.toJson(set);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),231,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),228,json.contains("1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),229,json.contains("2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSetSerialization_literalMutation472() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSetSerialization_literalMutation472");
            Set<Entry> set = new HashSet<Entry>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),230,set);
            set.add(new Entry(0));
            set.add(new Entry(2));
            String json = gson.toJson(set);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),231,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),228,json.contains("1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),229,json.contains("2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSetSerialization_literalMutation474() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSetSerialization_literalMutation474");
            Set<Entry> set = new HashSet<Entry>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),230,set);
            set.add(new Entry(1));
            set.add(new Entry(1));
            String json = gson.toJson(set);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),231,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),228,json.contains("1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),229,json.contains("2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSetSerialization_literalMutation475() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSetSerialization_literalMutation475");
            Set<Entry> set = new HashSet<Entry>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),230,set);
            set.add(new Entry(1));
            set.add(new Entry(4));
            String json = gson.toJson(set);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),231,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),228,json.contains("1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),229,json.contains("2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSetSerialization_literalMutation476() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSetSerialization_literalMutation476");
            Set<Entry> set = new HashSet<Entry>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),230,set);
            set.add(new Entry(1));
            set.add(new Entry(3));
            String json = gson.toJson(set);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),231,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),228,json.contains("1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),229,json.contains("2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testSetSerialization_remove43() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSetSerialization_remove43");
            Set<Entry> set = new HashSet<Entry>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),230,set);
            set.add(new Entry(2));
            String json = gson.toJson(set);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),231,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),228,json.contains("1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),229,json.contains("2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testSetSerialization_remove44() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSetSerialization_remove44");
            Set<Entry> set = new HashSet<Entry>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),230,set);
            set.add(new Entry(2));
            String json = gson.toJson(set);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),231,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),228,json.contains("1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),229,json.contains("2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testSetDeserialization_add43() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSetDeserialization_add43");
            String json = "[{value:1},{value:2}]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),225,json);
            Type type = new TypeToken<java.util.Set<Entry>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),226,type);
            Set<Entry> set = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),227,set);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),223,set.size());
            for (Entry entry : set) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),224,(((entry.value) == 1) || ((entry.value) == 2)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSetDeserialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSetDeserialization");
            String json = "[{valueö1},{value:2}]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),225,json);
            Type type = new TypeToken<java.util.Set<Entry>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),226,type);
            Set<Entry> set = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),227,set);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),223,set.size());
            for (Entry entry : set) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),224,(((entry.value) == 1) || ((entry.value) == 2)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSetDeserialization_literalMutation468() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSetDeserialization_literalMutation468");
            String json = "[{value:1(},{value:2}]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),225,json);
            Type type = new TypeToken<java.util.Set<Entry>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),226,type);
            Set<Entry> set = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),227,set);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),223,set.size());
            for (Entry entry : set) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),224,(((entry.value) == 1) || ((entry.value) == 2)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSetDeserialization_literalMutation469() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSetDeserialization_literalMutation469");
            String json = "[{value1},{value:2}]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),225,json);
            Type type = new TypeToken<java.util.Set<Entry>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),226,type);
            Set<Entry> set = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),227,set);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),223,set.size());
            for (Entry entry : set) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),224,(((entry.value) == 1) || ((entry.value) == 2)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testSetDeserialization_remove42() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSetDeserialization_remove42");
            String json = "[{value:1},{value:2}]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),225,json);
            Type type = new TypeToken<java.util.Set<Entry>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),226,type);
            Set<Entry> set = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),227,set);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),223,set.size());
            for (Entry entry : set) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),224,(((entry.value) == 1) || ((entry.value) == 2)));
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }
}

